{
  mode: 'development',
  context: '/Users/coywoo/Documents/code/plg-tms-std-web',
  node: {
    setImmediate: false,
    process: 'mock',
    dgram: 'empty',
    fs: 'empty',
    net: 'empty',
    tls: 'empty',
    child_process: 'empty'
  },
  output: {
    path: '/Users/coywoo/Documents/code/plg-tms-std-web/dist',
    filename: 'js/[name].js',
    publicPath: '/',
    chunkFilename: 'js/[name].js'
  },
  resolve: {
    alias: {
      '@': '/Users/coywoo/Documents/code/plg-tms-std-web/src',
      vue$: 'vue/dist/vue.esm.js',
      '@$': '/Users/coywoo/Documents/code/plg-tms-std-web/src',
      jq: '/Users/coywoo/Documents/code/plg-tms-std-web/public/jq',
      'tms-js': '/Users/coywoo/Documents/code/plg-tms-std-web/src/views/JQ_Page/js'
    },
    extensions: [
      '.mjs',
      '.js',
      '.jsx',
      '.vue',
      '.json',
      '.wasm'
    ],
    modules: [
      'node_modules',
      '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules',
      '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_@vue_cli-service@4.5.17@@vue/cli-service/node_modules'
    ],
    plugins: [
      {
        apply: function nothing() {
          // ¯\_(ツ)_/¯
        },
        makePlugin: function () { /* omitted long function */ },
        moduleLoader: function () { /* omitted long function */ },
        topLevelLoader: {
          apply: function nothing() {
            // ¯\_(ツ)_/¯
          }
        },
        bind: function () { /* omitted long function */ },
        tsLoaderOptions: function () { /* omitted long function */ },
        forkTsCheckerOptions: function () { /* omitted long function */ }
      }
    ]
  },
  resolveLoader: {
    modules: [
      '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_@vue_cli-plugin-babel@4.5.17@@vue/cli-plugin-babel/node_modules',
      'node_modules',
      '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules',
      '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_@vue_cli-service@4.5.17@@vue/cli-service/node_modules'
    ],
    plugins: [
      {
        apply: function nothing() {
          // ¯\_(ツ)_/¯
        }
      }
    ]
  },
  module: {
    noParse: /^(vue|vue-router|vuex|vuex-router-sync)$/,
    rules: [
      /* config.module.rule('mjs') */
      {
        test: /\.mjs$/,
        type: 'javascript/auto',
        include: [
          /node_modules/
        ]
      },
      /* config.module.rule('vue') */
      {
        test: /\.vue$/,
        use: [
          {
            loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_cache-loader@4.1.0@cache-loader/dist/cjs.js',
            options: {
              cacheDirectory: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/.cache/vue-loader',
              cacheIdentifier: '790f4abc'
            }
          },
          {
            loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-loader@15.9.8@vue-loader/lib/index.js',
            options: {
              compilerOptions: {
                whitespace: 'condense'
              },
              cacheDirectory: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/.cache/vue-loader',
              cacheIdentifier: '790f4abc'
            }
          }
        ]
      },
      /* config.module.rule('images') */
      {
        test: /\.(png|jpe?g|gif|webp)(\?.*)?$/,
        use: [
          {
            loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_url-loader@2.3.0@url-loader/dist/cjs.js',
            options: {
              limit: 4096,
              fallback: {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_file-loader@4.3.0@file-loader/dist/cjs.js',
                options: {
                  name: 'img/[name].[ext]'
                }
              }
            }
          }
        ]
      },
      /* config.module.rule('svg') */
      {
        test: /\.(svg)(\?.*)?$/,
        oneOf: [
          /* config.module.rule('svg').rule('inline') */
          {
            resourceQuery: /inline/,
            use: [
              {
                loader: 'vue-svg-icon-loader'
              }
            ]
          },
          /* config.module.rule('svg').rule('external') */
          {
            use: [
              {
                loader: 'file-loader',
                options: {
                  name: 'assets/[name].[hash:8].[ext]'
                }
              }
            ]
          }
        ]
      },
      /* config.module.rule('media') */
      {
        test: /\.(mp4|webm|ogg|mp3|wav|flac|aac)(\?.*)?$/,
        use: [
          {
            loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_url-loader@2.3.0@url-loader/dist/cjs.js',
            options: {
              limit: 4096,
              fallback: {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_file-loader@4.3.0@file-loader/dist/cjs.js',
                options: {
                  name: 'media/[name].[ext]'
                }
              }
            }
          }
        ]
      },
      /* config.module.rule('fonts') */
      {
        test: /\.(woff2?|eot|ttf|otf)(\?.*)?$/i,
        use: [
          {
            loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_url-loader@2.3.0@url-loader/dist/cjs.js',
            options: {
              limit: 4096,
              fallback: {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_file-loader@4.3.0@file-loader/dist/cjs.js',
                options: {
                  name: 'fonts/[name].[ext]'
                }
              }
            }
          }
        ]
      },
      /* config.module.rule('pug') */
      {
        test: /\.pug$/,
        oneOf: [
          /* config.module.rule('pug').rule('pug-vue') */
          {
            resourceQuery: /vue/,
            use: [
              {
                loader: 'pug-plain-loader'
              }
            ]
          },
          /* config.module.rule('pug').rule('pug-template') */
          {
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_raw-loader@4.0.2@raw-loader/dist/cjs.js'
              },
              {
                loader: 'pug-plain-loader'
              }
            ]
          }
        ]
      },
      /* config.module.rule('css') */
      {
        test: /\.css$/,
        oneOf: [
          /* config.module.rule('css').rule('vue-modules') */
          {
            resourceQuery: /module/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2,
                  modules: {
                    localIdentName: '[name]_[local]_[hash:base64:5]'
                  }
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              }
            ]
          },
          /* config.module.rule('css').rule('vue') */
          {
            resourceQuery: /\?vue/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              }
            ]
          },
          /* config.module.rule('css').rule('normal-modules') */
          {
            test: /\.module\.\w+$/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2,
                  modules: {
                    localIdentName: '[name]_[local]_[hash:base64:5]'
                  }
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              }
            ]
          },
          /* config.module.rule('css').rule('normal') */
          {
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              }
            ]
          }
        ]
      },
      /* config.module.rule('postcss') */
      {
        test: /\.p(ost)?css$/,
        oneOf: [
          /* config.module.rule('postcss').rule('vue-modules') */
          {
            resourceQuery: /module/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2,
                  modules: {
                    localIdentName: '[name]_[local]_[hash:base64:5]'
                  }
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              }
            ]
          },
          /* config.module.rule('postcss').rule('vue') */
          {
            resourceQuery: /\?vue/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              }
            ]
          },
          /* config.module.rule('postcss').rule('normal-modules') */
          {
            test: /\.module\.\w+$/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2,
                  modules: {
                    localIdentName: '[name]_[local]_[hash:base64:5]'
                  }
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              }
            ]
          },
          /* config.module.rule('postcss').rule('normal') */
          {
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              }
            ]
          }
        ]
      },
      /* config.module.rule('scss') */
      {
        test: /\.scss$/,
        oneOf: [
          /* config.module.rule('scss').rule('vue-modules') */
          {
            resourceQuery: /module/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2,
                  modules: {
                    localIdentName: '[name]_[local]_[hash:base64:5]'
                  }
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: 'sass-loader',
                options: {
                  sourceMap: true
                }
              }
            ]
          },
          /* config.module.rule('scss').rule('vue') */
          {
            resourceQuery: /\?vue/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: 'sass-loader',
                options: {
                  sourceMap: true
                }
              }
            ]
          },
          /* config.module.rule('scss').rule('normal-modules') */
          {
            test: /\.module\.\w+$/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2,
                  modules: {
                    localIdentName: '[name]_[local]_[hash:base64:5]'
                  }
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: 'sass-loader',
                options: {
                  sourceMap: true
                }
              }
            ]
          },
          /* config.module.rule('scss').rule('normal') */
          {
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: 'sass-loader',
                options: {
                  sourceMap: true
                }
              }
            ]
          }
        ]
      },
      /* config.module.rule('sass') */
      {
        test: /\.sass$/,
        oneOf: [
          /* config.module.rule('sass').rule('vue-modules') */
          {
            resourceQuery: /module/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2,
                  modules: {
                    localIdentName: '[name]_[local]_[hash:base64:5]'
                  }
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: 'sass-loader',
                options: {
                  sourceMap: true,
                  sassOptions: {
                    indentedSyntax: true
                  }
                }
              }
            ]
          },
          /* config.module.rule('sass').rule('vue') */
          {
            resourceQuery: /\?vue/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: 'sass-loader',
                options: {
                  sourceMap: true,
                  sassOptions: {
                    indentedSyntax: true
                  }
                }
              }
            ]
          },
          /* config.module.rule('sass').rule('normal-modules') */
          {
            test: /\.module\.\w+$/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2,
                  modules: {
                    localIdentName: '[name]_[local]_[hash:base64:5]'
                  }
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: 'sass-loader',
                options: {
                  sourceMap: true,
                  sassOptions: {
                    indentedSyntax: true
                  }
                }
              }
            ]
          },
          /* config.module.rule('sass').rule('normal') */
          {
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: 'sass-loader',
                options: {
                  sourceMap: true,
                  sassOptions: {
                    indentedSyntax: true
                  }
                }
              }
            ]
          }
        ]
      },
      /* config.module.rule('less') */
      {
        test: /\.less$/,
        oneOf: [
          /* config.module.rule('less').rule('vue-modules') */
          {
            resourceQuery: /module/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2,
                  modules: {
                    localIdentName: '[name]_[local]_[hash:base64:5]'
                  }
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_less-loader@5.0.0@less-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  modifyVars: {
                    'border-radius-base': '2px',
                    'font-size-base': '12px',
                    'table-padding-vertical': '10px',
                    'table-padding-horizontal': '8px',
                    'form-item-margin-bottom': '8px',
                    'input-height-base': '28px',
                    'btn-height-base': '28px',
                    'btn-height-lg': ' 36px',
                    'btn-height-sm': '20px',
                    'padding-lg': '20px',
                    'padding-md': '12px',
                    'padding-sm': '8px',
                    'checkbox-size': '16px',
                    'switch-height': '18px',
                    'switch-sm-height': '14px',
                    'pagination-item-size': '28px',
                    'pagination-item-size-sm': '20px',
                    'modal-body-padding': '16px',
                    'drawer-header-padding': '12px 18px',
                    'drawer-body-padding': '18px',
                    'card-head-padding': ' 12px',
                    'card-inner-head-padding': '8px',
                    'card-padding-base': '18px',
                    'dropdown-vertical-padding': '4px',
                    'dropdown-edge-child-vertical-padding': '3px'
                  },
                  javascriptEnabled: true
                }
              }
            ]
          },
          /* config.module.rule('less').rule('vue') */
          {
            resourceQuery: /\?vue/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_less-loader@5.0.0@less-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  modifyVars: {
                    'border-radius-base': '2px',
                    'font-size-base': '12px',
                    'table-padding-vertical': '10px',
                    'table-padding-horizontal': '8px',
                    'form-item-margin-bottom': '8px',
                    'input-height-base': '28px',
                    'btn-height-base': '28px',
                    'btn-height-lg': ' 36px',
                    'btn-height-sm': '20px',
                    'padding-lg': '20px',
                    'padding-md': '12px',
                    'padding-sm': '8px',
                    'checkbox-size': '16px',
                    'switch-height': '18px',
                    'switch-sm-height': '14px',
                    'pagination-item-size': '28px',
                    'pagination-item-size-sm': '20px',
                    'modal-body-padding': '16px',
                    'drawer-header-padding': '12px 18px',
                    'drawer-body-padding': '18px',
                    'card-head-padding': ' 12px',
                    'card-inner-head-padding': '8px',
                    'card-padding-base': '18px',
                    'dropdown-vertical-padding': '4px',
                    'dropdown-edge-child-vertical-padding': '3px'
                  },
                  javascriptEnabled: true
                }
              }
            ]
          },
          /* config.module.rule('less').rule('normal-modules') */
          {
            test: /\.module\.\w+$/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2,
                  modules: {
                    localIdentName: '[name]_[local]_[hash:base64:5]'
                  }
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_less-loader@5.0.0@less-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  modifyVars: {
                    'border-radius-base': '2px',
                    'font-size-base': '12px',
                    'table-padding-vertical': '10px',
                    'table-padding-horizontal': '8px',
                    'form-item-margin-bottom': '8px',
                    'input-height-base': '28px',
                    'btn-height-base': '28px',
                    'btn-height-lg': ' 36px',
                    'btn-height-sm': '20px',
                    'padding-lg': '20px',
                    'padding-md': '12px',
                    'padding-sm': '8px',
                    'checkbox-size': '16px',
                    'switch-height': '18px',
                    'switch-sm-height': '14px',
                    'pagination-item-size': '28px',
                    'pagination-item-size-sm': '20px',
                    'modal-body-padding': '16px',
                    'drawer-header-padding': '12px 18px',
                    'drawer-body-padding': '18px',
                    'card-head-padding': ' 12px',
                    'card-inner-head-padding': '8px',
                    'card-padding-base': '18px',
                    'dropdown-vertical-padding': '4px',
                    'dropdown-edge-child-vertical-padding': '3px'
                  },
                  javascriptEnabled: true
                }
              }
            ]
          },
          /* config.module.rule('less').rule('normal') */
          {
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_less-loader@5.0.0@less-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  modifyVars: {
                    'border-radius-base': '2px',
                    'font-size-base': '12px',
                    'table-padding-vertical': '10px',
                    'table-padding-horizontal': '8px',
                    'form-item-margin-bottom': '8px',
                    'input-height-base': '28px',
                    'btn-height-base': '28px',
                    'btn-height-lg': ' 36px',
                    'btn-height-sm': '20px',
                    'padding-lg': '20px',
                    'padding-md': '12px',
                    'padding-sm': '8px',
                    'checkbox-size': '16px',
                    'switch-height': '18px',
                    'switch-sm-height': '14px',
                    'pagination-item-size': '28px',
                    'pagination-item-size-sm': '20px',
                    'modal-body-padding': '16px',
                    'drawer-header-padding': '12px 18px',
                    'drawer-body-padding': '18px',
                    'card-head-padding': ' 12px',
                    'card-inner-head-padding': '8px',
                    'card-padding-base': '18px',
                    'dropdown-vertical-padding': '4px',
                    'dropdown-edge-child-vertical-padding': '3px'
                  },
                  javascriptEnabled: true
                }
              }
            ]
          }
        ]
      },
      /* config.module.rule('stylus') */
      {
        test: /\.styl(us)?$/,
        oneOf: [
          /* config.module.rule('stylus').rule('vue-modules') */
          {
            resourceQuery: /module/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2,
                  modules: {
                    localIdentName: '[name]_[local]_[hash:base64:5]'
                  }
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: 'stylus-loader',
                options: {
                  sourceMap: true,
                  preferPathResolver: 'webpack'
                }
              }
            ]
          },
          /* config.module.rule('stylus').rule('vue') */
          {
            resourceQuery: /\?vue/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: 'stylus-loader',
                options: {
                  sourceMap: true,
                  preferPathResolver: 'webpack'
                }
              }
            ]
          },
          /* config.module.rule('stylus').rule('normal-modules') */
          {
            test: /\.module\.\w+$/,
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2,
                  modules: {
                    localIdentName: '[name]_[local]_[hash:base64:5]'
                  }
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: 'stylus-loader',
                options: {
                  sourceMap: true,
                  preferPathResolver: 'webpack'
                }
              }
            ]
          },
          /* config.module.rule('stylus').rule('normal') */
          {
            use: [
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_vue-style-loader@4.1.3@vue-style-loader/index.js',
                options: {
                  sourceMap: true,
                  shadowMode: false
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_css-loader@3.6.0@css-loader/dist/cjs.js',
                options: {
                  sourceMap: true,
                  importLoaders: 2
                }
              },
              {
                loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_postcss-loader@3.0.0@postcss-loader/src/index.js',
                options: {
                  sourceMap: true
                }
              },
              {
                loader: 'stylus-loader',
                options: {
                  sourceMap: true,
                  preferPathResolver: 'webpack'
                }
              }
            ]
          }
        ]
      },
      /* config.module.rule('js') */
      {
        test: /\.m?jsx?$/,
        exclude: [
          function () { /* omitted long function */ }
        ],
        use: [
          {
            loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_cache-loader@4.1.0@cache-loader/dist/cjs.js',
            options: {
              cacheDirectory: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/.cache/babel-loader',
              cacheIdentifier: 'da826934'
            }
          },
          {
            loader: '/Users/coywoo/Documents/code/plg-tms-std-web/node_modules/_babel-loader@8.2.5@babel-loader/lib/index.js'
          }
        ]
      },
      /* config.module.rule('jqhtml') */
      {
        test: /(.*(\/JQ_Page\/pages)+?.*).html$/,
        use: [
          {
            loader: 'html-loader'
          }
        ]
      }
    ]
  },
  optimization: {
    splitChunks: {
      cacheGroups: {
        vendors: {
          name: 'chunk-vendors',
          test: /[\\/]node_modules[\\/]/,
          priority: -10,
          chunks: 'initial'
        },
        common: {
          name: 'chunk-common',
          minChunks: 2,
          priority: -20,
          chunks: 'initial',
          reuseExistingChunk: true
        },
        JQPage: {
          name: 'JQPage',
          priority: -100,
          test: /(.*(\/JQ_Page\/js)+?.*).js$/
        }
      }
    },
    minimizer: [
      {
        options: {
          test: /\.m?js(\?.*)?$/i,
          chunkFilter: () => true,
          warningsFilter: () => true,
          extractComments: false,
          sourceMap: true,
          cache: true,
          cacheKeys: defaultCacheKeys => defaultCacheKeys,
          parallel: true,
          include: undefined,
          exclude: undefined,
          minify: undefined,
          terserOptions: {
            output: {
              comments: /^\**!|@preserve|@license|@cc_on/i
            },
            compress: {
              arrows: false,
              collapse_vars: false,
              comparisons: false,
              computed_props: false,
              hoist_funs: false,
              hoist_props: false,
              hoist_vars: false,
              inline: false,
              loops: false,
              negate_iife: false,
              properties: false,
              reduce_funcs: false,
              reduce_vars: false,
              switches: false,
              toplevel: false,
              typeofs: false,
              booleans: true,
              if_return: true,
              sequences: true,
              unused: true,
              conditionals: true,
              dead_code: true,
              evaluate: true
            },
            mangle: {
              safari10: true
            }
          }
        }
      }
    ]
  },
  plugins: [
    /* config.plugin('vue-loader') */
    new VueLoaderPlugin(),
    /* config.plugin('define') */
    new DefinePlugin(
      {
        'process.env': {
          NODE_ENV: '"development"',
          BASE_URL: '"/"'
        }
      }
    ),
    /* config.plugin('case-sensitive-paths') */
    new CaseSensitivePathsPlugin(),
    /* config.plugin('friendly-errors') */
    new FriendlyErrorsWebpackPlugin(
      {
        additionalTransformers: [
          function () { /* omitted long function */ }
        ],
        additionalFormatters: [
          function () { /* omitted long function */ }
        ]
      }
    ),
    /* config.plugin('html') */
    new HtmlWebpackPlugin(
      {
        title: 'TMS-UPCloud',
        templateParameters: function () { /* omitted long function */ },
        template: '/Users/coywoo/Documents/code/plg-tms-std-web/public/index.html',
        scripts: [
          '/tms/prologui/dist/vendors/jquery/jquery-3.3.1.min.js',
          '/tms/prologui/dist/vendors/echarts/dist/echarts.js',
          '/tms/prologui/dist/vendors/layui-master/dist/layui.all.js',
          '/tms/prologui/dist/vendors/vipspa-master/build/vipspa.js',
          '/tms/prologui/dist/vendors/dhtmlx/grid/codebase/dhtmlxgrid.js',
          '/tms/prologui/dist/vendors/dhtmlx/form/codebase/dhtmlxform.js',
          '/tms/prologui/dist/vendors/zTree_v3/js/jquery.ztree.core.min.js',
          '/tms/prologui/dist/js/prolog.all-0.0.1.js',
          '/tms/prologui/dist/vendors/zTree_v3/js/jquery.ztree.excheck.min.js',
          '/tms/prologui/modules/cryptojs/crypto-js.js',
          '/tms/prologui/modules/qrcode/qrcode.min.js',
          '/tms/prologui/modules/viewer/js/viewer.min.js',
          '//webapi.amap.com/maps?v=1.4.15&key=7a7f83315e1f4db61723b012737b7e30&plugin=AMap.Geocoder',
          '//webapi.amap.com/ui/1.1/main.js',
          '/tms/prologui/modules/qiankun@2.6.3/dist/index.umd.min.js',
          '/tms/utils/prologutil.js'
        ],
        links: [
          '/tms/prologui/dist/vendors/layui-master/dist/css/layui.rem.css',
          '/tms/prologui/dist/css/prolog.all-0.0.1.css',
          '/tms/css/auth.ext.css',
          '//at.alicdn.com/t/font_799562_uwf89qp4mcf.css',
          '/tms/prologui/modules/viewer/css/viewer.min.css'
        ]
      }
    ),
    /* config.plugin('preload') */
    new PreloadPlugin(
      {
        rel: 'preload',
        include: 'initial',
        fileBlacklist: [
          /\.map$/,
          /hot-update\.js$/
        ]
      }
    ),
    /* config.plugin('copy') */
    new CopyPlugin(
      [
        {
          from: '/Users/coywoo/Documents/code/plg-tms-std-web/public',
          to: '/Users/coywoo/Documents/code/plg-tms-std-web/dist',
          toType: 'dir',
          ignore: [
            '.DS_Store',
            {
              glob: 'index.html',
              matchBase: false
            }
          ]
        }
      ]
    ),
    {
      options: {
        resourceRegExp: /^\.\/locale$/,
        contextRegExp: /moment$/
      },
      checkIgnore: function () { [native code] }
    },
    {
      definitions: {
        APP_VERSION: '"1.0.1"',
        GIT_HASH: '"921d01c"',
        BUILD_DATE: '"5/31/2022, 5:09:50 PM"'
      }
    },
    {
      options: {
        languages: [
          {
            label: 'javascript',
            entry: 'vs/basic-languages/javascript/javascript.contribution'
          },
          {
            label: 'css',
            entry: [
              'vs/basic-languages/css/css.contribution',
              'vs/language/css/monaco.contribution'
            ],
            worker: {
              id: 'vs/language/css/cssWorker',
              entry: 'vs/language/css/css.worker'
            }
          },
          {
            label: 'html',
            entry: [
              'vs/basic-languages/html/html.contribution',
              'vs/language/html/monaco.contribution'
            ],
            worker: {
              id: 'vs/language/html/htmlWorker',
              entry: 'vs/language/html/html.worker'
            }
          },
          {
            label: 'json',
            entry: 'vs/language/json/monaco.contribution',
            worker: {
              id: 'vs/language/json/jsonWorker',
              entry: 'vs/language/json/json.worker'
            }
          },
          {
            label: 'sql',
            entry: 'vs/basic-languages/sql/sql.contribution'
          }
        ],
        features: [
          {
            label: 'coreCommands',
            entry: 'vs/editor/browser/controller/coreCommands'
          },
          {
            label: 'find',
            entry: 'vs/editor/contrib/find/findController'
          }
        ],
        filename: '[name].worker.js',
        publicPath: '',
        globalAPI: false
      }
    },
    {
      options: {
        test: /\.(js|css)$/,
        include: undefined,
        exclude: undefined,
        cache: true,
        algorithm: 'gzip',
        compressionOptions: {
          level: 9
        },
        filename: '[path][base].gz',
        threshold: 10240,
        minRatio: 0.6,
        deleteOriginalAssets: false
      },
      algorithm: function () { /* omitted long function */ }
    },
    {
      handler: {
        options: {
          fileName: 'css/theme-colors-[contenthash:8].css',
          matchColors: [
            '#1890ff',
            '#2f9bff',
            '#46a6ff',
            '#5db1ff',
            '#74bcff',
            '#8cc8ff',
            '#a3d3ff',
            '#badeff',
            '#d1e9ff',
            '#e6f7ff',
            '#bae7ff',
            '#91d5ff',
            '#69c0ff',
            '#40a9ff',
            '#1890ff',
            '#096dd9',
            '#0050b3',
            '#003a8c',
            '#002766',
            '24,144,255'
          ],
          isJsUgly: false,
          configVar: 'tc_cfg_07733136315861389',
          changeSelector: function () { /* omitted long function */ }
        },
        assetsExtractor: {
          extractor: {
            extractColors: function () { /* omitted long function */ },
            getRules: function () { /* omitted long function */ },
            testCssCode: function () { /* omitted long function */ }
          },
          extractAssets: function () { /* omitted long function */ },
          extractToArray: function () { /* omitted long function */ },
          extractAsset: function () { /* omitted long function */ }
        }
      }
    },
    {},
    {
      opts: {
        analyzerMode: 'server',
        analyzerHost: '127.0.0.1',
        reportFilename: null,
        reportTitle: function () { /* omitted long function */ },
        defaultSizes: 'parsed',
        openAnalyzer: true,
        generateStatsFile: false,
        statsFilename: 'stats.json',
        statsOptions: null,
        excludeAssets: null,
        logLevel: 'info',
        startAnalyzer: true,
        analyzerPort: 8888
      },
      server: null,
      logger: {
        activeLevels: new Set([
          'info',
          'warn',
          'error',
          'silent'
        ])
      }
    }
  ],
  entry: {
    app: [
      './src/main.js'
    ]
  },
  externals: {}
}
