**********************************************************************
* option 参数说明
* 名称             默认值                  说明
* width           256                     图像宽度
* height          256                     图像高度 
* colorDark       "#000000"               前景色
* colorLight      "#ffffff"               背景色
* correctLevel    QRCode.CorrectLevel.L	容错级别，可设置为：QRCode.CorrectLevel.L , QRCode.CorrectLevel.M , QRCode.CorrectLevel.Q , QRCode.CorrectLevel.H
**********************************************************************

**********************************************************************
* API 接口
* 名称               说明
* makeCode(text)     设置二维码内容
* clear()            清除二维码。（仅在不支持 Canvas 的浏览器下有效）
**********************************************************************

<div id="qrcode" style="width:100px; height:100px; margin-top:15px;"></div>

<script type="text/javascript">
    let t = document.getElementById("qrcode");

    // 示例1
    var qrcode = new QRCode(t, {
        width: 86,
        height: 86,
        text: "http://127.0.0.1",
        correctLevel: QRCode.CorrectLevel.M
    });

    // 示例2
    //var qrcode = new QRCode(t, { width: 86, height: 86});
    //qrcode.makeCode("http://127.0.0.1");
</script>