import request from '@/utils/request'
import { SERVICES_INTERNATIONALIZE_PLATFORM} from '@/config/serviceSettings.js'

const langApi = {
  lang: SERVICES_INTERNATIONALIZE_PLATFORM+'/pageLanguage/internationalize'
}

/**
 * login func
 * @param parameter
 * @returns {*}
 */
export function loadLangData(parameter) {
  return request({
    url: langApi.lang,
    method: 'get',
    params: parameter
  })
}
