# 地址解析组件使用说明

## 引入

```javascript
  import addressAnalysis from '@/blocks/addressAnalysis'

  <addressAnalysis
    v-show="addressAnalysisShow"
    :type="'consignor'"
    :searchParams="addressSearchData"
    :addressData="addressData"
    @back="addressAnalysisShow = false"
  ></addressAnalysis>

  type         每个页面的类型，同时根据这个类型配置组件里的文案、参数、接口

  searchParams 首页进去时的查询传参
    例：{cargoOwnerIds: [{ cargoOwnerId: '10000005' }, { cargoOwnerId: '10000004' }]}

  addressData  新增修改进去时的传参
    例：{ address: '越秀财富中心', longitude: 114.250019, latitude: 30.568682, }
```
