// /**分页查询接口重试日志 */

import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE, UPCLOUD_RDC_TMS_BUSINESS_SERVICE } from '@/config/serviceSettings.js'
const business = UPCLOUD_RDC_TMS_BUSINESS_SERVICE
//运单详情
export const mainViewUrl = business + '/shipbill/view_id'
import { axios } from '@/utils/request'

// 节点跟踪
export const nodeTrackingView = (data) => {
  return axios.post(business + '/nodeTracking/list', data)
}

// 节点跟踪
export const operateLogView = (data) => {
  return axios.post(business + '/operateLog/list', data)
}

// 报警地址
export const alertRemoteUrl = {
  url: business + '/inTransit/common/getAlarm/wechat',
  method: 'post',
}
