import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE } from '@/config/serviceSettings.js'
import request from '@/utils/request'

// 小程序轨迹
export const wechat = (data) => {
  return request({
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/shipBill/gps/getTrackByShipBillId/wechat',
    method: 'post',
    params: data,
  })
}

// 设备轨迹
export const device = (data) => {
  return request({
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/shipBill/gps/getTrackByShipBillId/device',
    method: 'post',
    params: data,
  })
}

// 设备直连
export function deviceLink(params) {
  return request({
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/shipBill/gps/getTrackByShipBillId/deviceLink',
    method: 'post',
    params,
  })
}