
export const vxe_setColumns = (self) => {
  return [
    {
      type: 'checkbox',
      title:"",
      fixed: "left",
      width: 40,
      field: 'id',
      align: "center",
      showOverflow: false,
      // showHeaderOverflow:false
    },

    {
      field: 'groupName',
      fixed: "left",
      treeNode:true,
      title: '分组名称',
      width: 250,
      showOverflow: false
    },
    {
      field: 'shippingOrder', align: 'center', title: '配送顺序',
      sortable:true,
      width: 100,
    },
    {
      field: 'cargoOwnerQty', align: 'center', title: '货主数', width: 100,
      sortable:true,
    },
    {
      field: 'oderQty',
      align: 'center', title: '可配载运单数', width: 120,
      sortable:true,
    },
    {
      field: 'totalPieceQty', title: '总件数', align: 'center', width: 100,
      sortable:true,

    },

    {
      field: 'totalWeightQty', title: '总重量', align: 'center', width: 100,
      sortable:true,
    },
    {
      field: 'totalVolumeQty', title: '总体积', align: 'center', width: 100,
      sortable:true,

    },

    {
      field: 'minEstimatedPickupTime', align: 'center', title: '最早提货时间', width: 180,
      sorter: (a, b) => {
        return +new Date(a.minEstimatedPickupTime) - +new Date(b.minEstimatedPickupTime)
      },
    },

    {
      field: 'maxEstimatedDeliveryTime', align: 'center', title: '最晚送达时间', width: 180,
      sorter: (a, b) => {
        return +new Date(a.maxEstimatedDeliveryTime) - +new Date(b.maxEstimatedDeliveryTime)
      },
    },

    {
      field: 'shipbillQty', align: 'center', title: '运单数', width: 100,
      sortable:true,

    },
    {
      field: 'coldChainShipbillQty', align: 'center', title: '冷链运单数', width: 140,
      sortable:true,

    },
    {
      field: 'urgentShipbillQty', align: 'center', title: '紧急加急运单数', width: 140,
      sortable:true,

    },
    {
      field: 'consigneeQty',
      title: '收货方数',
      align: 'center',
      width: 100,
      sortable:true,

    },

    {
      field: 'totalPickUpSiteQty',
      title: '总提货点数',
      align: 'center',
      width: 140,
      sortable: true,


    },
    {
      field: 'totalDeliverySiteQty',
      title: '总配送点数',
      align: 'center',
      width: 140,
      sortable:true,

    },
    {
      field: 'totalSitQty',
      title: '总站点数',
      align: 'center',
      width: 140,
      sortable:true,

    },
    {
      field: 'packageWholePiece', title: '总整件数', align: 'center', width: 140,
      sortable:true,

    },
    {
      field: 'totalLclPieceQty', title: '总拼箱数', align: 'center', width: 100,
      sortable:true,

    },


  ]
}
