import request from '@/utils/request'
import { UPCLOUD_RDC_TMS_BMS_SERVICE, UPCLOUD_RDC_TMS_MAINDATA_SERVICE, UPCLOUD_RDC_TMS_BUSINESS_SERVICE } from '@/config/serviceSettings.js'
const business = UPCLOUD_RDC_TMS_BUSINESS_SERVICE
const serviceName = UPCLOUD_RDC_TMS_MAINDATA_SERVICE
const bms = UPCLOUD_RDC_TMS_BMS_SERVICE
//BMS-运单管理-运单详情
export const mainViewUrl = bms + '/bmsShipBill/detailById'
export const queryBranchUrl = serviceName + '/tmsBaseBranch/queryBranchPopup' //仓库

export const queryProviderhUrl = serviceName + '/provider/ByCargoOwner/popup' //供应商

export const queryProviderh_consignee_Url = serviceName + '/provider/shipper/popup' //供应商_收货方弹窗

export const driver_popup_Url = serviceName + '/driver/popup' //司机弹窗
export const vehicle_popup_Url = serviceName + '/vehicle/popup' //车辆弹窗
export const vehicle_type_popup_Url = serviceName + '/vehicle_type/popup' //车型弹窗
export const carrier_popup_Url = serviceName + '/carrier/popup' //承运商弹窗
export const cargo_ownerUrl = serviceName + '/cargo_owner/popup' //货主
export const queryCustomerUrl = serviceName + '/tmsBaseCustomer/queryCustomerPopup' //客户
export const queryCustomer_consignee_Url = serviceName + '/tmsBaseCustomer/consignee/popup' //客户_收货方弹窗
export const packageTableUrl = business + '/allShipbill/listPackageData' //包裹信息


//选商品弹出框
export const getGoodsUrl = serviceName + '/item/byCargoOwner/page'



export const itemByIdUrl = serviceName + '/item/by/itemId'
export const getItemUnit = (_this, data, st) => {
  return request({
    url: itemByIdUrl,
    method: 'post',
    data,
  })
}