


export const setQueryFormItmes = (self) => {
  return [
    {
      hidden: true,
      value: '查询',
      type: 'button',
      htmlType: 'submit',
    },
    { name: 'cargoOwnerName', label: '货主', type: 'input' },
    { name: 'orderNo', label: '订单号', type: 'input' },
    { name: 'shipbillNo', label: '运单号', type: 'input' },
    {
      name: 'orderBusinessType',
      label: '业务类型',
      type: 'select',
      get options() {
        return self.options.ORDER_BUSINESS_TYPE
      },
    },
    {
      name: 'startDate',
      label: '启运日期',
      type: 'a-range-picker',
      format: 'YYYY-MM-DD',
      valueFormat: 'YYYY-MM-DD',
      placeholder: ['开始时间', '结束时间']


    },
    {
      name: 'deliveryDate',
      label: '送达日期',
      type: 'a-range-picker',
      format: 'YYYY-MM-DD',
      valueFormat: 'YYYY-MM-DD',
      placeholder: ['开始时间', '结束时间']

    },
    {
      name: 'receiptDate',
      label: '回单日期',
      type: 'a-range-picker',
      format: 'YYYY-MM-DD',
      valueFormat: 'YYYY-MM-DD',
      placeholder: ['开始时间', '结束时间']
    },
    {
      name: 'originalBackDate',

      label: '正本回单日期',
      type: 'a-range-picker',
      format: 'YYYY-MM-DD',
      valueFormat: 'YYYY-MM-DD',
      placeholder: ['开始时间', '结束时间']

    },
    {
      name: 'completeDate',
      label: '完成日期',
      type: 'a-range-picker',
      format: 'YYYY-MM-DD',
      valueFormat: 'YYYY-MM-DD',
      placeholder: ['开始时间', '结束时间']
    },
    {
      name: 'shipperProvinceCityDistrict',
      label: '始发地',
      type: 'input'
    },
    {
      name: 'consigneeProvinceCityDistrict',
      label: '目的地',
      type: 'input'
    },
    {
      name: 'synchronousStatus',
      label: '同步状态',
      type: 'select',
      get options() {
        return self.options.SYNCHRONOUS_STATUS
      },
    },
    {
      name: 'settlementStatus',
      label: '核算状态',
      type: 'select',
      get options() {
        return self.options.SETTLEMENT_STATUS
      },
    },
  ]
}

