export default (self) => {
  return [
    {
      hidden: true,
      value: '查询',
      type: 'button',
      htmlType: 'submit',
    },
    { name: 'settlementCompany', label: '结算公司', type: 'input' },
    { name: 'settlementDepartment', label: '结算部门', type: 'input' },
    { name: 'settlementNo', label: '结算单号', type: 'input' },
    {
      name: 'settlementName',
      label: '结算单名称',
      type: 'input'
    },
    {
      name: 'status',
      label: '结算单状态',
      type: 'select',
      get options() {
        return self.options.CLOSE_ACCOUNT_STATUS
      },
    },
    {
      name: 'createStartTime',
      label: '创建日期',
      type: 'a-range-picker',
      format: 'YYYY-MM-DD',
      valueFormat: 'YYYY-MM-DD',
      placeholder: ['开始时间', '结束时间']
    },
    {
      name: 'updateStartTime',
      label: '修改日期',
      type: 'a-range-picker',
      format: 'YYYY-MM-DD',
      valueFormat: 'YYYY-MM-DD',
      placeholder: ['开始时间', '结束时间']
    },
    {
      name: 'cargoOwnerName',
      label: '往来单位',
      type: 'input'
    },


  ]
}

