// 主表
export const setMainColumns = (self, expData = []) => {
  return [
    { dataIndex: 'itemCode', title: '商品编码', width: 120, },
    { dataIndex: 'itemName', title: '商品名称', width: 120, },
    { dataIndex: 'departmentName', title: '部门', width: 120, },
    { dataIndex: 'cargoOwnerName', title: '所属货主', width: 120, },
    { dataIndex: 'itemCategoryName', title: '商品品类', width: 120, },
    { dataIndex: 'packTypeName', title: '包装类型', width: 120, },
    { dataIndex: 'cargoThermosphereName', title: '货物温层', width: 120, },
    { dataIndex: 'memo', title: '备注', width: 120, },
    { dataIndex: 'branchName', title: '默认存放仓库', width: 120, },
    { dataIndex: 'inventoryPcs', title: '库存件数', width: 120, },
    { dataIndex: 'stagingLocation', title: '暂存位', width: 120, },
    { dataIndex: 'statusName', title: '状态', width: 120, },
    { dataIndex: 'length', title: '长(mm)', width: 120, },
    { dataIndex: 'width', title: '宽(mm)', width: 120, },
    { dataIndex: 'heigth', title: '高(mm)', width: 120, },
    { dataIndex: 'weight', title: '重量(kg)', width: 120, },
    { dataIndex: 'volume', title: '体积(m³)', width: 120, },
    { dataIndex: 'cargoValue', title: '货值', width: 120, },
    ...expData,
    { dataIndex: 'temperatureCtlUpperLimit', title: '温控区间（上限）',width: 140 },
    { dataIndex: 'temperatureCtlLowerLimit', title: '温控区间（下限）',width: 140 },
    { dataIndex: 'createperson', title: '创建人', width: 120, },
    { dataIndex: 'createtime', title: '创建时间', width: 120, },
    { dataIndex: 'updateperson', title: '修改人', width: 120, },
    { dataIndex: 'updatetime', title: '修改时间', width: 120, },
    {
      key: 'operation',
      title: '操作',
      width: 180,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' },
    },
  ]
}