



export const setMainColumns = (self, expData) => {
  return [
    { dataIndex: 'id', title: 'id', width: 120, hidden: true },
    { dataIndex: 'messageName', title: '消息名称', },
    { dataIndex: 'messageTypeName', title: '消息类型' },
    { dataIndex: 'sendTypeName', title: '推送方式', },
    {
      dataIndex: 'content',
      title: '消息内容',
      ellipsis:true,
      customRender(txt) {
        return self._c('div', {
          style: {
            width: '300px',
            whiteSpace: 'nowrap',
            overflow: 'hidden',
            textOverflow: 'ellipsis'
          },
          domProps: {
            innerHTML: txt,
          },
        });
      },
    },
    { dataIndex: 'condition', title: '满足条件', },
    { dataIndex: 'noticeTo', title: '通知人员', },
    { dataIndex: 'orderTypeName', title: '单据类型', },
    { dataIndex: 'orderNo', title: '单据号', },
    { dataIndex: 'sendStatusName', title: '推送状态', },
    { dataIndex: 'sendTime', title: '推送时间', },


    {
      key: 'operation',
      title: '操作',
      width: 100,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' },
    },
  ];
};
