

export const setQueryFormItmes = (self) => {
  return [
    { name: 'orderNo', label: '单据号', type: 'input' },
    { name: 'messageName', label: '消息名称', type: 'input' },
    {
      name: 'status',
      label: '状态',
      type: 'select',
      itemStyle:"width:120px",
      options: [
        { label: '失败', value: '1' },
        { label: '成功', value: '0' }]
    },

    {
      span: 6,
      type: 'buttonGroup',
      style: { textAlign: 'right' },
      options: [
        {
          value: '查询',
          icon: 'search',
          btnType: 'primary',
          style: 'margin-right:10px',
          htmlType: 'submit',
        },
        {
          value: '重置',
          name: 'ccz',
          style: 'margin-right:10px',
          on: {
            click(event, form) {
              form.resetFields()
            },
          },
        },
      ],
    },
  ]
}
