import { axios } from "@/utils/request";
import qs from "qs";
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE } from '@/config/serviceSettings.js'
const serviceName = UPCLOUD_RDC_TMS_MAINDATA_SERVICE

// 主表地址
export const listRemoteUrl = {
  url: serviceName + "/business_flow/page",
  method: "post"
};

// 删除
export const Delete = data => {
  return axios.post(serviceName + "/business_flow/delete", data);
};

// 新增
export const Add = data => {
  return axios.post(serviceName + "/business_flow/add", data);
};

// 修改
export const Update = data => {
  return axios.post(serviceName + "/business_flow/update", data);
};

// 查看
export const View = data => {
  return axios.post(serviceName + "/business_flow/view", qs.stringify(data), {
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  });
};
