export const setQueryFormItmes = self => {
  return [
    {
      name: 'type',
      label: '标记类型',
      type: 'select',
      itemStyle: {
        width:'200px'
      },
      replaceFields: {
        label: 'text'
      },
      get options() {
        return self.options.SIGNCONFIG_TYPE
      }
    },
    { name: 'name', label: '名称', type: 'input' },

    {
      span: 6,
      type: 'buttonGroup',
      style: { textAlign: 'right' },
      options: [
        {
          value: '查询',
          icon: 'search',
          btnType: 'primary',
          style: 'margin-right:10px',
          htmlType: 'submit'
        },
        {
          value: '重置',
          name: 'ccz',
          style: 'margin-right:10px',
          on: {
            click(event, form) {
              form.resetFields()
            }
          }
        }
      ]
    },
    // {
    //   style: 'float:right',
    //   scopedSlots: { customRender: "right" },

    // }
  ]
}
