const setQueryFormItmes = (self) => {
  let options = [
    { label: "小程序", value: "wechat" },
    { label: "设备", value: "device" },
  ]
  if (self.$auth('deviceLink')) {
    options.push({ label: "设备直连", value: "deviceLink" })
  }
  return [
    {
      name: 'loadingBillNo', label: '派车单号', type: 'input', required: true,
      value: process.env.NODE_ENV === 'development' ? 'ZCD0000002065' : ''
    },
    {
      type: "radio",
      name: "urlType",
      label: "",
      value: "wechat",
      options
    },
  ]
}
export default {
  data() {
    return {
      mx_queryFromItems: setQueryFormItmes(this),
    }
  },
  methods: {
    getFieldsValue() {
      return this.$refs.searchBar.getFieldsValue()
    },
    searchSubmit(data) {
      this.mapData = null
      this.$refs.mainTable.dataSource = []
      this.mainId=null
      if (this.type == 'path') {
        this.mode = 1
        return this.$nextTick(() => {
          this.$refs.mainTable.reload({ data }).then(() => {
            this.dataList = {
              1:this.$refs.mainTable.dataSource,
              2:[],
              3:[],
              4:[]
            }
          })

        });


      } else if (this.type == 'location') {
        this.$refs.mainTable.reload({ data });

      }



    },
  }
}
