import myClass from './structureClass.js'
const baseName = 'consignee'
let instance = new myClass({ name: '收货方', key: baseName, label: '送货' })
let numberType = self.st == 1 ? true : false

//收货方信息
export default (self) => [
  ...instance.init(self),
  {
    type: 'row',
    span: 24,
    wrapperCol: { span: 24 },

    list: [
      {
        offset: 1,
        name: 'consigneeReturnOrderPicture',
        readOnly: self.st == 1,
        type: 'check',
        span: 2,
        wrapperCol: { span: 24 },
        checkedText: '回单图片',
        value: 0,
        replaceFields: {
          true: 1,
          false: 0,
        },
      },
      {
        span: 2,
        name: 'returnOrderFlag',
        readOnly: self.st == 1,
        type: 'check',
        wrapperCol: { span: 24 },
        checkedText: '正本回单',
        value: 0,
        replaceFields: {
          true: 1,
          false: 0,
        },
      },
      {
        name:'returnOrderDeadline',
        span: 10,
        labelCol: { span: 5 },
        wrapperCol: { span: 7},
        label: '回单期限',
        value: 0,
        min: 0,
        tooltip: false,
        readOnly: numberType,
        unit: () => self._c('div', { style: 'width:24px;text-align:center' }, [self._v('天')]),
        type: self.st === 1 ? 'txt' : 'number',
        /**0=不显示,1=查看,2=新建,3=修改,4=复制 */
        // /**0=不显示, 1=新建，2=修改 ，3=查看 ，4=复制  */,
      },
    ],
  },
]
