import { axios } from '@/utils/request'
import { UPCLOUD_RDC_TMS_BUSINESS_SERVICE, UPCLOUD_RDC_TMS_MAINDATA_SERVICE } from '@/config/serviceSettings.js'
const serviceName = UPCLOUD_RDC_TMS_BUSINESS_SERVICE
// 运单货量统计
export const goods_quantity_statistics = (data) => {
  return axios.post(serviceName + '/pending_dispatch/goods_quantity_statistics', data)
}

// 线路货量统计
export const line_quantity_statistics = (data) => {
  return axios.post(serviceName + '/pending_dispatch/line_quantity_statistics', data)
}


export const getLine = (_this,data) => {
  return axios.post(UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/vehicleGps/queryVehicleGps', data)
}
