import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE } from '@/config/serviceSettings.js'

/**
 * 打印机
 * */
export const printAttr = {
  label: '打印机',
  placeholder: '请选择打印机',
  targetClick: true,
  targetValueKey: 'printerName',
  remoteUrl: { url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE + '/printer/findList', method: 'post' },
  rowKey: 'id',
  toolBar: {
    items: [
      { type: 'input', name: 'printerName', label: '打印机名称', value: '' },
      { type: 'input', name: 'printerCode', label: '打印机编码', value: '' }
    ]
  },
  tableConfig: {
    columns: [
      { ellipsis: true, dataIndex: 'printerName', title: '打印机名称' },
      { ellipsis: true, dataIndex: 'printerCode', title: '打印机编码' }
    ]
  }
}