import { axios } from '@/utils/request'
import { UPCLOUD_RDC_TMS_BUSINESS_SERVICE } from '@/config/serviceSettings.js'
import qs from 'qs'
const serviceName = UPCLOUD_RDC_TMS_BUSINESS_SERVICE

// 主表地址
export const listRemoteUrl = {
  url: serviceName + '/dispatch/page',
  method: 'post',
}

// 商品表地址
export const page_detail_item = {
  url: serviceName + '/dispatch/page_detail_item',
  method: 'post',
}

// 通过商品查包裹
export const page_package_item = {
  url: serviceName + '/dispatch/page_package_item',
  method: 'post',
}

// 包裹表地址
export const page_detail_package = {
  url: serviceName + '/dispatch/page_detail_package',
  method: 'post',
}

// 通过包裹查商品
export const page_item_package = {
  url: serviceName + '/dispatch/page_item_package',
  method: 'post',
}

// 查询运单明细
export const viewUrl = (data) => {
  return axios.post(serviceName + '/dispatch/view', data)
}

// 撤销
export const undo_Dispatch = (data) => {
  return axios.post(serviceName + '/dispatch/undo_Dispatch', data)
}
