

import { consignorAutoComplete,itemAttr,driverAutoCompleteMethod } from '@/blocks/components/searchModalConfig/index'

export default (self) => {
  return [
     {
       hidden: true,
       value: '查询',
       type: 'button',
       htmlType: 'submit',
     },
     consignorAutoComplete(self, { name: 'cargoOwnerName', label: '货主'}),
     { name: 'orderNo', label: '订单号', type: 'input' },
    { name: 'shipbillNo', label: '运单号', type: 'input' },
    { name: 'fatherShipbillNo', label: '父级运单编号', type: 'input' },
    { name: 'originalShipbillNo', label: '原始运单编号', type: 'input' },
    {
       name: 'orderBusinessType',
       label: '业务类型',
       type: 'select',
       get options() {
         return self.options.ORDER_BUSINESS_TYPE
       },
     },
    //  {
    //    label: '预计提货开始日期',
    //    name: 'estimatedPickupStartTime',
    //    disabledDate(startValue, form) {
    //      let endValue = form.getFieldValue('estimatedPickupEndTime')
    //      if (!startValue || !endValue) {
    //        return false
    //      }
    //      return startValue.valueOf() > new Date(endValue).valueOf()
    //    },

    //    type: 'date',
    //    // showTime: true,
    //    format: 'YYYY-MM-DD',
    //    placeholder: '年/月/日',
    //    on: {
    //      openChange(open, form) {
    //        if (!open) {
    //          form.setItemProps('estimatedPickupEndTime', { open: true })
    //        }
    //      },
    //    },
    //  },
    //  {
    //    name: 'estimatedPickupEndTime',
    //    label: '预计提货结束日期',
    //    disabledDate(endValue, form) {
    //      let startValue = form.getFieldValue('estimatedPickupStartTime')
    //      if (!startValue || !endValue) {
    //        return false
    //      }
    //      return new Date(startValue).valueOf() > endValue.valueOf()
    //    },
    //    type: 'date',
    //    format: 'YYYY-MM-DD',
    //    placeholder: '年/月/日',
    //    on: {
    //      openChange(open, form) {
    //        form.setItemProps('estimatedPickupEndTime', { open })
    //      },
    //    },
    //  },
    //  {
    //    name: 'estimatedDeliveryStartTime',
    //    label: '预计送达开始日期',
    //    disabledDate(startValue, form) {
    //      let endValue = form.getFieldValue('estimatedDeliveryEndTime')
    //      if (!startValue || !endValue) {
    //        return false
    //      }
    //      return startValue.valueOf() > new Date(endValue).valueOf()
    //    },
    //    type: 'date',
    //    format: 'YYYY-MM-DD',
    //    placeholder: '年/月/日',
    //    on: {
    //      openChange(open, form) {
    //        if (!open) {
    //          form.setItemProps('estimatedDeliveryEndTime', { open: true })
    //        }
    //      },
    //    },
    //  },
    //  {
    //    name: 'estimatedDeliveryEndTime',
    //    disabledDate(endValue, form) {
    //      let startValue = form.getFieldValue('estimatedDeliveryStartTime')
    //      if (!startValue || !endValue) {
    //        return false
    //      }
    //      return new Date(startValue).valueOf() > endValue.valueOf()
    //    },

    //    label: '预计送达结束日期',
    //    type: 'date',
    //    format: 'YYYY-MM-DD',
    //    placeholder: '年/月/日',
    //    on: {
    //      openChange(open, form) {
    //        form.setItemProps('estimatedDeliveryEndTime', { open })
    //      },
    //    },
    // },
    { name: 'shipperAddress', label: '始发地', type: 'input' },
    { name: 'consigneeAddress', label: '目的地', type: 'input' },
    { name: 'packageCode', label: '包裹号', type: 'input' },
    { name: 'shipperUnitName', label: '发货方', type: 'input' },
    { name: 'consigneeUnitName', label: '客户', type: 'input' },
    { name: 'consigneeName', label: '收货方', type: 'input' },
    { name: 'lineName', label: '线路', type: 'input' },
    { name: 'itemCode', label: '商品编码', type: 'input',hidden:true},
    {
      ...itemAttr,
      targetClick: false,
      targetValueKey: 'itemName',
      name: 'itemName',
      label: '商品名称',
      type: 'searchModal',
      on: {
        input(event,form) {
          form.setFieldsValue({itemCode:''})
        },
        change(event, value, dataArr, form) {
          let obj = { itemCode: '' }
          let data = Array.isArray(dataArr)?dataArr[0]:null;
          if (data) {
            obj.itemCode=data.itemCode

          }
          form.setFieldsValue(obj)
        }
      }
    }
   ]
 }

