package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class ExpensePopDTO implements Serializable {

	private static final long serialVersionUID = -590116347834313745L;

	@ApiModelProperty(value = "当前页")
	private int pageNum;

	@ApiModelProperty(value = "页最大行数")
	private int pageSize;

	@ApiModelProperty(value = "承运商/货主/司机 的编码")
	private String carrierCode;

	@ApiModelProperty(value = "费用编码")
	private String expenseCode;

	@ApiModelProperty(value = "费用名称")
	private String expenseName;

	@ApiModelProperty(value = "当前页")
	private Integer priceType;

	@ApiModelProperty(value = "合同模式 1-托运 2-承运")
	private Integer contractMode;
}