package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 接口日志DTO
 *
 * @className :IntfErrorLogDTO
 * @author :fanzw
 * @creationTime :2022/11/07
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/07
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("接口日志DTO")
public class IntfErrorLogDTO implements Serializable {

	private static final long serialVersionUID = 6479721406547905452L;

	@ApiModelProperty(value = "id")
	private String id;

	@ApiModelProperty(value = "接口描述")
	private String intfName;

	@ApiModelProperty(value = "详细错误信息")
	private String errorInfo;

	@ApiModelProperty(value = "数据来源表")
	private String tableName;

	@ApiModelProperty(value = "数据来源表主键")
	private String dataId;

	@ApiModelProperty(value = "是否成功")
	private boolean status;

}
