package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 商品接口转业务DTO
 *
 * @className :ItemResultDTO
 * @author :fanzw
 * @creationTime :2022/08/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class ItemResultDTO implements Serializable {

	private static final long serialVersionUID = 6206104943258272469L;

	@ApiModelProperty(value = "是否成功")
	private boolean success;

	@ApiModelProperty(value = "商品编码")
	private String itemCode;

	@ApiModelProperty(value = "处理结果")
	private String result;

}
