package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author panhb
 */
@Data
@ApiModel("运单、装车单信息DTO")
public class ShipAndLoadingBillDTO implements Serializable {

	private static final long serialVersionUID = 2222856189310934465L;

	@ApiModelProperty(value = "运单ID")
	private String shipBillId;

	@ApiModelProperty(value = "运单编号")
	private String shipBillNo;

	@ApiModelProperty(value = "派车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "派车单编号")
	private String loadingBillNo;

	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "司机编号")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "运单状态")
	private Integer status;

	@ApiModelProperty(value = "运单ID")
	private String realShipBillId;

}
