package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 *
 *
 * 根据运单适配匹配线路策略DTO
 *
 * @className :ShipbillMatchLineDTO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据运单适配匹配线路策略DTO")
public class ShipbillMatchLineDTO {

    @ApiModelProperty(value = "线路ID")
    private Long lineId;

    @ApiModelProperty(value = "线路编号")
    private String lineCode;

    @ApiModelProperty(value = "线路名称")
    private String lineName;

    @ApiModelProperty(value = "线路方向 数据字典LINE_DIRECTION 10正向 20逆向")
    private Integer lineDirection;

    @ApiModelProperty(value = "配送顺序")
    private Integer shippingOrder;

    @ApiModelProperty(value = "提货顺序")
    private Integer pickUpOrder;

    @ApiModelProperty(value = "发货时间")
    private String shipperAgingTime;

    @ApiModelProperty(value = "发货时间类型")
    private String shipperAgingTimeLine;

    @ApiModelProperty(value = "到货时间")
    private String consigneeAgingTime;

    @ApiModelProperty(value = "到货时间类型")
    private String consigneeAgingTimeLine;
}
