package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 标准版模板详情查询DTO
 *
 * @className :SysImportTempletdQueryDTO
 * @author :fanzw
 * @creationTime :2022/04/27
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/27
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("标准版模板详情查询DTO")
public class StandardTemplateDetailsListDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private String did;

	@ApiModelProperty(value = "汇总主键")
	private String hid;

	@ApiModelProperty(value = "导入对象编码")
	private String importObjNo;

	@ApiModelProperty(value = "导入对象名称")
	private String importObjName;

	@ApiModelProperty(value = "标准列名编码")
	private String stdColNo;

	@ApiModelProperty(value = "标准列名名称")
	private String stdColName;

	@ApiModelProperty(value = "自定义列名")
	private String custColName;

	@ApiModelProperty(value = "是否启用，0否，1是")
	private Integer status;

	@ApiModelProperty(value = "模板状态，用于删除，0无效，1有效")
	private Integer templetStatus;

	@ApiModelProperty(value = "是否必填,1-是/0-否")
	private Integer required;

	@ApiModelProperty(value = "标记")
	private String labelType;

	@ApiModelProperty(value = "默认id")
	private String defaultId;

	@ApiModelProperty(value = "默认code")
	private String defaultCode;

	@ApiModelProperty(value = "默认name")
	private String defaultName;
}
