package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 中转策略-匹配DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/18 10:08
 */
@Data
@ApiModel("中转策略-匹配DTO")
public class StrategyTransferMatchingDTO implements Serializable {

    private static final long serialVersionUID = -6630627123305344637L;

    @ApiModelProperty(value = "中转后是否重新匹配线路 数据字典 REMATCH_LINE :0否 1是")
    private Integer rematchLine;

    @ApiModelProperty(value = "中转策略中转站集合")
    private List<StrategyTransferStationDTO> transferStationDTOS = new ArrayList<StrategyTransferStationDTO>();

}
