package com.prolog.rdc.tms.model.dto.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 
 *
 * 始发站点资料查看DTO
 *
 * @className :StartingStationViewDTO
 * @author :xyf
 * @creationTime :2022/04/14
 * @description :
 *
 * @modifier :xyf
 * @modifyTime :2022/04/14
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("始发站点资料查看DTO")
public class StartingStationViewDTO implements Serializable {

	private static final long serialVersionUID = 2587512965896470451L;

	@ApiModelProperty(value = "主键id")
	private Long id;

	@ApiModelProperty(value = "始发站点ID")
	private Long startingStationId;

	@ApiModelProperty(value = "始发站点编号")
	private String startingStationCode;

	@ApiModelProperty(value = "始发站点名称")
	private String startingStationName;

	@ApiModelProperty(value = "距离")
	private BigDecimal distance;

	@ApiModelProperty(value = "备注")
	private String memo;

}
