package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 司机查询或新增VO
 *
 * @className :DriverAutomaticDTO
 * @author :fanzw
 * @creationTime :2022/08/11
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/11
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("司机查询或新增VO")
public class DriverAutomaticDTO implements Serializable {

	private static final long serialVersionUID = -239921442115081568L;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "司机编号")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "隶属机构ID")
	private Long affiliationId;

	@ApiModelProperty(value = "隶属机构编码")
	private String affiliationCode;

	@ApiModelProperty(value = "隶属机构名称")
	private String affiliationName;

}
