package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 司机车辆查询或新增VO
 *
 * @className :VehicleAndDriverDTO
 * @author :fanzw
 * @creationTime :2022/08/11
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/11
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("司机车辆查询或新增VO")
public class VehicleAndDriverDTO implements Serializable {

	private static final long serialVersionUID = 5386203145611609454L;

	@ApiModelProperty(value = "司机信息")
	private DriverAutomaticDTO driver;

	@ApiModelProperty(value = "车辆")
	private VehicleAutomaticDTO vehicle;

}
