package com.prolog.rdc.tms.model.entity;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
@Table("tms_base_branch_apt_time_dura")
public class TmsBaseBranchApTimeModel implements Serializable {
    private static final long serialVersionUID = -59771531258038504L;

    @Id
    @ApiModelProperty(value = "ID(主键)")
    @Column(value = "id")
    private Long id;
    
    @ApiModelProperty(value = "仓库ID")
    @Column(value = "branch_id")
    private Long branchId;
    
    @ApiModelProperty(value = "预约起始时刻")
    @Column(value = "start_time")
    private String startTime;
    
    @ApiModelProperty(value = "预约截至时刻")
    @Column(value = "end_time")
    private String endTime;
    
    @ApiModelProperty(value = "公司ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;
    
    @ApiModelProperty(value = "公司名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;
    
    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;
    
    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;
    
    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;
    
    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

}
