package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 运单包裹接口保存VO
 *
 * @className :IntfShipbillPackageVO
 * @author :fanzw
 * @creationTime :2022/08/13
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/13
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("运单包裹接口保存VO")
public class IntfShipbillPackageVO implements Serializable {

	private static final long serialVersionUID = -8626651002087632775L;

	@ApiModelProperty(value = "订单ID")
	private String orderId;

	@ApiModelProperty(value = "订单编号")
	private String orderNo;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@ApiModelProperty(value = "运单包裹汇总接口保存VO")
	private List<IntfShipbillPackageHeaderVO> headers;

}
