package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 商品品类接口VO
 *
 * @className :ItemCategorySaveVO
 * @author :fanzw
 * @creationTime :2023/04/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/04/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class ItemCategorySaveVO implements Serializable {

	private static final long serialVersionUID = 1166627723529627258L;

	@ApiModelProperty(value = "商品品类ID")
	private String itemCategoryId;

	@ApiModelProperty(value = "商品品类编码")
	private String itemCategoryCode;

	@ApiModelProperty(value = "商品品类名称")
	private String itemCategoryName;

	@ApiModelProperty(value = "商品品类层级  数据字典ITEM_CATEGORY_LEVEL")
	private Integer itemCategoryLevel;

	@ApiModelProperty(value = "上级商品品类编码")
	private String fatherItemCategoryCode;

	@ApiModelProperty(value = "上级商品品类名称")
	private String fatherItemCategoryName;

	@ApiModelProperty(value = "上级商品品类层级  数据字典ITEM_CATEGORY_LEVEL")
	private Integer fatherItemCategoryLevel;

	@ApiModelProperty(value = "状态:0：停用 10：启用")
	private Integer status;

	@ApiModelProperty(value = "来源 数据字典SOURCE 1.新增 2.excel导入 3.接口导入")
	private Integer source;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@ApiModelProperty(value = "所属货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "所属货主编码")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "所属货主名称")
	private String cargoOwnerName;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

}
