package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 
 *
 * kuaidi100接口调用参数VO
 *
 * @className :KD100VO
 * @author :fanzw
 * @creationTime :2023/02/03
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/02/03
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class KD100VO implements Serializable {

	private static final long serialVersionUID = -5873583673725618198L;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "快递单号")
	private String expressNumber;

	@ApiModelProperty(value = "承运商编码")
	private String carriersCode;

	@ApiModelProperty(value = "电话")
	private String phone;
}
