package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * TMS系统参数按条件 查询VO
 *
 * @className    :TmsBaseParameterConditionVO
 * @author       :fanzw
 * @creationTime :2021/06/04
 * @description  :
 *
 * @modifier     :fanzw
 * @modifyTime   :2021/06/04
 * @reviseRemarks:
 *
 * @version      :1.0.0
 *
 */
@Data
@ApiModel("TMS系统参数按条件 查询VO")
public class TmsBaseParameterConditionVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "物流中心/仓ID")
	private String branchCode;

	@ApiModelProperty(value = "参数编号")
	private String parameterCode;

	@ApiModelProperty(value = "分组编号")
	private String fatherParameterCode;
	
	@ApiModelProperty(value = "类型(1:扫描, 2:选仓)")
	private String type;
}
