package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/1/31
 */
@Data
@ApiModel("更新经纬度VO")
public class UpdateLatitudeAndLongitudeVO {

    @ApiModelProperty(value = "仓库/收/发货方id")
    private List<Long> idList;

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;
}
