package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 中转策略-匹配VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/18 10:08
 */
@Data
@ApiModel("中转策略-匹配VO")
public class StrategyTransferMatchingVO implements Serializable {

    private static final long serialVersionUID = -6630627123305344637L;

    @ApiModelProperty(value = "收货方单位ID")
    private Long consigneeUnitId;

    @ApiModelProperty(value = "收货方ID")
    private Long consigneeId;
}
