package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 根据承运商编码名称查询承运商资料VO
 *
 * @className :CarriersByEncodingNameVO
 * @author :fanzw
 * @creationTime :2023/09/19
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/09/19
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据承运商编码名称查询承运商资料VO")
public class CarriersByEncodingNameVO implements Serializable {

	private static final long serialVersionUID = 3021610065368050323L;

	@ApiModelProperty(value = "承运商编码")
	private String code;

	@ApiModelProperty(value = "承运商名称")
	private String name;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

}
