package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 根据客户编码名称查询客户资料VO
 *
 * @className :CustomerByEncodingNameVO
 * @author :fanzw
 * @creationTime :2022/05/10
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/05/10
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据客户编码名称查询客户资料VO")
public class CustomerByEncodingNameVO implements Serializable {

	private static final long serialVersionUID = 9074082846750619817L;

	@ApiModelProperty(value = "客户编码")
	private String code;

	@ApiModelProperty(value = "客户名称")
	private String name;

	@ApiModelProperty(value = "客户收货方编码")
	private String consigneeCode;

	@ApiModelProperty(value = "客户收货方名称")
	private String consigneeName;

}
