package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 根据商品编码名称查询商品资料VO
 *
 * @className :ItemByEncodingNameVO
 * @author :fanzw
 * @creationTime :2022/05/10
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/05/10
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据商品编码名称查询商品资料VO")
public class ItemByEncodingNameVO implements Serializable {

	private static final long serialVersionUID = 8839565936466096045L;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "商品编码")
	private String code;

	@ApiModelProperty(value = "商品名称")
	private String name;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

}
