package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 根据客户查询线路VO
 *
 * @className :LineByCustomerQueryVO
 * @author :fanzw
 * @creationTime :2022/07/06
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/07/06
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据客户查询线路VO")
public class LineByCustomerQueryVO implements Serializable {

	private static final long serialVersionUID = -357223951998856796L;

	@ApiModelProperty(value = "客户ID")
	private Long customerId;

	@ApiModelProperty(value = "收货方ID")
	private Long consigneeId;

}
