package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 *
 * 参照数据明细 VO
 *
 * @className    :SysRefdatadQueryVO
 * @author       :fanzw
 * @creationTime :2020/07/02
 * @description  :
 * 
 * @modifier     :fanzw
 * @modifyTime   :2020/07/02
 * @reviseRemarks:
 *
 * @version      :1.0.0
 *
 */
@Data
@ApiModel("参照数据明细 VO")
public class SysRefdatadQueryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "仓ID")
    private Long branchId;

    @ApiModelProperty(value = "字段编码")
    private String objectcode;
    
    @ApiModelProperty(value = "字段编码组")
    private String[] objectcodes;

    @ApiModelProperty(value = "储存值")
    private String code;

    @ApiModelProperty(value = "显示名称")
    private String name;

    @ApiModelProperty(value = "分组编号1")
    private String groupcode1;

    @ApiModelProperty(value = "分组编号2")
    private String groupcode2;

    @ApiModelProperty(value = "分组编号3")
    private String groupcode3;

    @ApiModelProperty(value = "分组编号4")
    private String groupcode4;

    @ApiModelProperty(value = "分组编号5")
    private String groupcode5;

}
