package com.prolog.rdc.tms.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
@Data
@ApiModel("发货信息同步明细vo")
public class ShipInfoDetailVO implements Serializable {

    @ApiModelProperty(value = "销售单号")
    private String billno;

    @ApiModelProperty(value = "明细行号")
    private Integer seqno;

    @ApiModelProperty(value = "物料编码")
    private String itemCode;

    @ApiModelProperty(value = "物料名称")
    private String itemName;

    @ApiModelProperty(value = "发货数量")
    private BigDecimal qty;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "货位、暂存位")
    private String loc;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

}
