package com.prolog.rdc.tms.model.vo.e6;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 获取车辆的轨迹信息VO
 * @author hongbo.pan
 * @date 2023/3/21
 */
@Data
public class TrackDetailVO {

    @NotBlank
    @ApiModelProperty(value = "车牌")
    private String vehicle;

    @NotNull
    @ApiModelProperty(value = "开始时间")
    private Date btime;

    @ApiModelProperty(value = "结束时间")
    private Date etime;
}
