package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 司机车辆查询或新增VO
 *
 * @className :VehicleAutomaticVO
 * @author :fanzw
 * @creationTime :2022/08/11
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/11
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("司机车辆查询或新增VO")
public class VehicleAndVehicleVO implements Serializable {

	private static final long serialVersionUID = 8461791637209591594L;

	@ApiModelProperty(value = "司机姓名")
	private String driverName;

	@ApiModelProperty(value = "司机手机")
	private String phoneNumber;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "车辆归属")
	private Integer vehicleAscription;

}
