package com.prolog.rdc.tms.app.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 容器归还单统计查询DTO
 *
 * @className :ContoinerBillReturnCountDTO
 * @author :fanzw
 * @creationTime :2023/06/09
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/06/09
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("容器归还单统计查询DTO")
public class ContoinerBillReturnCountDTO implements Serializable {

	private static final long serialVersionUID = 7046731377512951259L;

	@ApiModelProperty(value = "容器总数量")
	private BigDecimal containersNumbers;

	@ApiModelProperty(value = "托盘总数量")
	private BigDecimal palletsNumbers;

	@ApiModelProperty(value = "周转箱总数量")
	private BigDecimal totesNumbers;

}
