package com.prolog.rdc.tms.app.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 仓库任务明细查询DTO
 *
 * @className :PendingAppointmentDetailQueryDTO
 * @author :qian.yh
 * @date :2022/7/4
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("仓库任务明细查询DTO")
public class DispatchOrderQueryDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "司机ID")
	private String driverId;

	@ApiModelProperty(value = "企业ID")
	private String enterpriseId;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "发货方ID")
	private String shipperId;

	@ApiModelProperty(value = "发货方编号")
	private String shipperCode;

	@ApiModelProperty(value = "发货方名称")
	private String shipperName;

	@ApiModelProperty(value = "装车单编号")
	private String loadingBillNo;

	@ApiModelProperty(value = "运单数")
	private int shipBillNums;

	@ApiModelProperty(value = "总件数")
	private int shipBillPackages;

	@ApiModelProperty(value = "未完成数量")
	private int wwcNumber;

}
