package com.prolog.rdc.tms.app.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 司机取号查询DTO
 *
 * @className :DriverGetNumberQueryDTO
 * @author :qian.yh
 * @date :2022/7/22
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("司机取号查询DTO")
public class DriverVehicleDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "司机ID")
	private String driverId;

	@ApiModelProperty(value = "司机编码")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "车牌号")
	private String plateNumber;

	@ApiModelProperty(value = "车辆ID")
	private String vehicleId;

	@ApiModelProperty(value = "企业ID")
	private String enterpriseId;

}
