package com.prolog.rdc.tms.app.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 提货取号结果DTO
 *
 * @className :PendingPickUpTakeNumberDTO
 * @author :qian.yh
 * @date :2022/7/7
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("提货取号结果DTO")
public class PendingPickUpTakeNumberDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "预约单ID")
	private String appointmentId;

	@ApiModelProperty(value = "预约号")
	private String appointNumber;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机电话")
	private String driverTel;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "提货地点名称")
	private String shipfromName;

	@ApiModelProperty(value = "提货地点ID")
	private String shipfromId;

	@ApiModelProperty(value = "提货地点地址")
	private String shipfromAddress;

	@ApiModelProperty(value = "运单数")
	private int shipBillNums;

	@ApiModelProperty(value = "总件数")
	private int shipBillPackages;

	@ApiModelProperty(value = "预计提货时间")
	private String shipfromDate;

	@ApiModelProperty(value = "预约日期")
	private String appointmentDate;

	@ApiModelProperty(value = "预约时间")
	private String appointmentTime;

	@ApiModelProperty(value = "排队号")
	private String queueNumber;
}
