package com.prolog.rdc.tms.app.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待送达-配载包裹查询DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/6 18:07
 */
@Data
@ApiModel("待送达-配载包裹查询DTO")
public class WaitDeliveredPackageDetailDTO implements Serializable {

	private static final long serialVersionUID = -3539053748058107759L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "包裹ID")
	private String packageId;

	@ApiModelProperty(value = "包裹编号")
	private String packageCode;

	@ApiModelProperty(value = "数量")
	private BigDecimal pcs;

}
