package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 提货预约可预约一周DTO
 *
 * @author lhb
 * @since 2022-06-06 15:30:16
 */
@Data
@ApiModel("提货预约可预约一周DTO")
public class AppointmentWeekDTO implements Serializable {

	private static final long serialVersionUID = -95869941042132913L;

	@ApiModelProperty(value = "可预约日")
	private String aptDate;

	@ApiModelProperty(value = "可预约日是周几")
	private String aptWeek;

	@ApiModelProperty(value = "可预约时间段")
	private List<AppointmentTimesDTO> appointmentTimes;

}
