package com.prolog.rdc.tms.app.model.dto.business;

import com.prolog.rdc.tms.model.dto.fleetManagement.ContainerDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author hongbo.pan
 * @date 2023/5/22
 */
@Data
@ApiModel("容器温度DTO")
public class ContainerTemperatureDTO extends ContainerDTO {

    @ApiModelProperty(value = "是否显示容器温度")
    private BigDecimal temperature;

}
