package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("装车扫描信息DTO")
public class LoadingScanInfoDTO {

    @ApiModelProperty("派车单信息")
    private LoadingScanLoadingBillInfoDTO loadingBillInfoDTO;

    @ApiModelProperty("运单信息")
    private List<LoadingScanShipBillInfoDTO> shipBillInfoDTOList;

    @ApiModelProperty("1:派车单 2:运单")
    private String codeType;

    @ApiModelProperty("成功提示语")
    private String message;

}
