package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("装车扫描派车单数量DTO")
public class LoadingScanLoadingBillDTO {

    @ApiModelProperty("未扫派车单号")
    private List<String> unScanLoadingBillIdList;

    @ApiModelProperty("已扫派车单号")
    private List<String> scannedLoadingBillIdList;

    @ApiModelProperty("应扫派车单号")
    private List<String> totalScanLoadingBillIdList;

    @ApiModelProperty("未扫派车单号")
    private List<LoadingScanLoadingBillInfoDTO> unScanLoadingBillList;

    @ApiModelProperty("已扫派车单号")
    private List<LoadingScanLoadingBillInfoDTO> scannedLoadingBillList;

    @ApiModelProperty("应扫派车单号")
    private List<LoadingScanLoadingBillInfoDTO> totalScanLoadingBillList;

    @ApiModelProperty("未扫")
    private Integer unScan;

    @ApiModelProperty("已扫")
    private Integer scanned;

    @ApiModelProperty("应扫")
    private Integer totalScan;
}
