package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("装车扫描派车单DTO")
public class LoadingScanLoadingBillInfoDTO {

    @ApiModelProperty(value = "装车单ID")
    private String loadingBillId;

    @ApiModelProperty(value = "装车单编号")
    private String loadingBillNo;

    @ApiModelProperty(value = "运单数")
    private Integer shipbillNumber;

    @ApiModelProperty(value = "客户数")
    private Integer customerNumber;

    @ApiModelProperty(value = "总里程数")
    private BigDecimal totalMileage;

    @ApiModelProperty(value = "总件数")
    private BigDecimal totalPcs;

    @ApiModelProperty(value = "总体积")
    private BigDecimal totalVolume;

    @ApiModelProperty(value = "总重量")
    private BigDecimal totalWeight;

    @ApiModelProperty(value = "实际总件数")
    private BigDecimal actualTotalPcs;

    @ApiModelProperty(value = "实际总体积")
    private BigDecimal actualTotalVolume;

    @ApiModelProperty(value = "实际总重量")
    private BigDecimal actualTotalWeight;

    @ApiModelProperty(value = "总整件数")
    private BigDecimal totalWholePiece;

    @ApiModelProperty(value = "总拼箱数")
    private BigDecimal totalLclPiece;

    @ApiModelProperty(value = "配载体积装载率")
    private String volumeLoadingRate;

    @ApiModelProperty(value = "配载重量装载率")
    private String weightLoadingRate;

    @ApiModelProperty(value = "提货站点数")
    private Long pickupStations;

    @ApiModelProperty(value = "送货站点数")
    private Long deliveryStations;

    @ApiModelProperty(value = "总站点数")
    private Long totalStations;

    @ApiModelProperty(value = "冷链运单数")
    private Long coldShipbillNumber;

    @ApiModelProperty(value = "紧急运单数")
    private Long urgentShipbillNumber;

    @ApiModelProperty(value = "总货主数")
    private Long cargoOwnerNumber;
}
