package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("装车扫描月台信息DTO")
public class LoadingScanPlatformDTO {

    @ApiModelProperty("月台名称")
    private String platformName;

    @ApiModelProperty(value = "月台是否装车确认 数据字典CONFIRM_STATUS:10初始 20已装车确认")
    private Integer confirmStatus;

    @ApiModelProperty("月台运单装车扫描信息")
    private LoadingScanShipBillDTO loadingScanShipBillDTO;

}
