package com.prolog.rdc.tms.app.model.dto.business;

import com.prolog.rdc.tms.model.dto.basicConfigure.ShipbillMatchCarrierDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @date 2022/11/25
 */
@Data
@ApiModel("调度承运商策略匹配DTO")
public class MatchCarrierStrategyDTO {

    @ApiModelProperty(value = "匹配类型 0未匹配 1承运商 2司机，车辆")
    private String matchType;

    @ApiModelProperty(value = "匹配结果")
    private ShipbillMatchCarrierDTO shipbillMatchCarrierDTO;
}
