package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author hongbo.pan
 * @date 2023/1/16
 */
@Data
public class PendingReceiptPackageDetailDTO {

    @ApiModelProperty(value = "包裹ID")
    private String packageId;

    @ApiModelProperty(value = "包裹编号")
    private String packageCode;

    @ApiModelProperty(value = "件数")
    private BigDecimal pcs;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "整件数")
    private BigDecimal wholePiece;

    @ApiModelProperty(value = "拼箱数")
    private BigDecimal lclPiece;


}
