package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @date 2022/10/31
 */
@Data
public class ReceiptAndDeliveryCountDTO {

    @ApiModelProperty(value = "全部运单数")
    private Integer allNum;

    @ApiModelProperty(value = "待发货运单数")
    private Integer waitShipNum;

    @ApiModelProperty(value = "配送中运单数")
    private Integer shippingNum;

    @ApiModelProperty(value = "已送达运单数")
    private Integer deliveredNum;

    @ApiModelProperty(value = "已完成运单数")
    private Integer finishNum;

}
