package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author hongbo.pan
 * @date 2022/10/31
 */
@Data
public class ReceiptAndDeliveryItemDetailDTO {

    @ApiModelProperty(value = "运单明细id")
    private String id;

    @ApiModelProperty(value = "商品ID")
    private Long itemId;

    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    @ApiModelProperty(value = "商品名称")
    private String itemName;

    @ApiModelProperty(value = "件数")
    private BigDecimal pcs;

    @ApiModelProperty(value = "发货件数")
    private BigDecimal deliveryPcs;

    @ApiModelProperty(value = "原始件数")
    private BigDecimal origPcs;

    @ApiModelProperty(value = "关闭件数")
    private BigDecimal closingPcs;

    @ApiModelProperty(value = "签收件数")
    private BigDecimal signInPcs;


}
