package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("扫描派车扫描信息DTO")
public class ScanDispatchInfoDTO {

    @ApiModelProperty("已扫订单")
    private List<ScanOrderInfoDTO> scannedOrderList;

    @ApiModelProperty("未扫")
    private Integer unScan;

    @ApiModelProperty("已扫")
    private Integer scanned;

    @ApiModelProperty("应扫")
    private Integer totalScan;

    @ApiModelProperty("未扫商品")
    private Integer unScanItem;

    @ApiModelProperty("已扫商品")
    private Integer scannedItem;

    @ApiModelProperty("应扫商品")
    private Integer totalScanItem;
}
