package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("扫描派车扫描单据信息DTO")
public class ScanDispatchOrderInfoDTO {

    @ApiModelProperty("已扫订单")
    private List<ScanOrderInfoDTO> scannedOrderList;

    @ApiModelProperty("未扫")
    private Integer unScan;

    @ApiModelProperty("已扫")
    private Integer scanned;

    @ApiModelProperty("应扫")
    private Integer totalScan;

    @ApiModelProperty("所有未扫商品")
    private Integer allUnScanItem;

    @ApiModelProperty("所有已扫商品")
    private Integer allScannedItem;

    @ApiModelProperty("所有应扫商品")
    private Integer allTotalScanItem;

    @ApiModelProperty(value = "订单编号")
    private String orderNo;

    @ApiModelProperty(value = "所属部门名称")
    private String departmentName;

    @ApiModelProperty(value = "收货方名称")
    private String consigneeName;

    @ApiModelProperty(value = "运单模式下的已扫运单")
    private ScanDispatchShipbillInfoDTO shipbillInfoDTO;
}
