package com.prolog.rdc.tms.app.model.dto.business;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * @author xiaoyf
 * @since 2022/7/20 12:06
 */
@Data
@ApiModel("运单管理——包裹DTO")
public class ShipbillManagePackDTO implements Serializable {

	private static final long serialVersionUID = 3845796312412826332L;

	@ApiModelProperty(value = "包裹ID")
	private String packageId;

	@ApiModelProperty(value = "包裹号")
	private String packageCode;

	@ApiModelProperty(value = "包裹类型")
	private Integer packageType;

	@ApiModelProperty(value = "包裹类型名称")
	private String packageTypeName;

	@ApiModelProperty(value = "数量")
	private BigDecimal pcs;

	@ApiModelProperty(value = "重量")
	private BigDecimal weight;

	@ApiModelProperty(value = "体积")
	private BigDecimal volume;

	@ApiModelProperty(value = "暂存区")
	private String storageCache;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "关联设备类型")
	private Integer deviceCompany;

	@ApiModelProperty(value = "关联设备类型名称")
	private String deviceCompanyName;

	@ApiModelProperty(value = "设备名称")
	private String deviceName;

}
