package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 司机预约单明细查询VO
 *
 * @className :AppointmentBillDetailQueryVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("司机预约单查询VO")
public class AppointmentBillDetailQueryVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "预约单号")
    private String appointmentBillNo;

}

