package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 预约确认VO
 *
 * @className :AppointmentConfirmationVO
 * @author :qian.yh
 * @date :2022/07/04
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("预约确认VO")
public class AppointmentConfirmationVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "提货地点")
    private String shipfrom;

    @ApiModelProperty(value = "预计提货时间")
    private String shipfromDate;

    @ApiModelProperty(value = "预约日期")
    private String appointmentDate;

    @ApiModelProperty(value = "预约时间")
    private String appointTime;

    @ApiModelProperty(value = "运单ID集合")
    private String shipbillIds;

    @ApiModelProperty(value = "是否全链路预约")
    private Boolean fullLink;
}
