package com.prolog.rdc.tms.app.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 容器异常处理VO
 *
 * @className :ContoinerBillContainerAbnormalVO
 * @author :fanzw
 * @creationTime :2023/06/09
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/06/09
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("容器异常处理VO")
public class ContoinerBillContainerAbnormalVO implements Serializable {

	private static final long serialVersionUID = 4239879409692187402L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "异常状态 数据字典CONTAINER_ABNORMAL_STATUS：0正常 1缺货 2多货 3丢失")
	private Integer abnormalStatus;

	@ApiModelProperty(value = "异常备注")
	private String abnormalMemo;


}
