package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
/**
 *
 * 配送单汇总查询VO
 *
 * @className :DeliveryOrderQueryVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("配送单汇总查询VO")
public class DeliveryOrderQueryVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "开始时间")
    private String startDate;

    @ApiModelProperty(value = "结束时间")
    private String endDate;

    // STD-BUG20220823 xiaoyf bug【24012】 start
    @ApiModelProperty(value = "传1查询已完成的数据 传2查询异常的数据 传0这两种数据都查询")
    private String type;
    // STD-BUG20220823 xiaoyf bug【24012】 end

}
