package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 司机信息查询VO
 *
 * @className :DriverInformationQueryVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("司机信息查询VO")
public class DriverInformationQueryVO   implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "车辆ID")
    private String vehicleId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

}
