package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 司机导航派车单列表查询VO
 *
 * @author yaohai
 * @version v1.0.0
 * @since 2023/08/28 09:44
 **/
@Data
@ApiModel("司机版APP-导航派车单列表查询VO")
public class NavigationLoadingBillQueryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

}
