package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 仓库任务数汇总查询VO
 *
 * @className :PendingAppointmentQueryVO
 * @author :qian.yh
 * @date :2022/07/04
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("仓库任务数汇总查询VO")
public class PendingAppointmentQueryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

}

