package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
/**
 *
 * 异常上报VO
 *
 * @className :PendingDeliveryAbnormalReportVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("异常上报VO")
public class PendingDeliveryAbnormalReportVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "运单号")
    private String shipbillno;

    @ApiModelProperty(value = "异常类型")
    private Integer abnormalType;

    @ApiModelProperty(value = "异常事件")
    private Integer abnormalEvent;

    @ApiModelProperty(value = "是否客户投诉")
    private Integer isComplaint;

    @ApiModelProperty(value = "异常内容")
    private String abnormalContent;

    @ApiModelProperty(value = "异常图片")
    private String abnormalPicUrl;

}
