package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
/**
 *
 * 提货签到VO
 *
 * @className :PendingFullLinkPickUpSignInVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("提货签到VO")
public class PendingFullLinkPickUpSignInVO    implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "ID")
    private String id;

    // STD-DEVELOP20220823 lhb auto check in 20220905 start
    @ApiModelProperty(value = "运单ID")
    private String shipbillId;
    // STD-DEVELOP20220823 lhb auto check in 20220905 end
}
