package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * 全链路查询VO
 *
 * @className :PendingFullLinkQueryVO
 * @author :qian.yh
 * @date :2022/07/04
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("全链路查询VO")
public class PendingFullLinkQueryVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    //STD-DEVELOP20220823 lhb 自动签到 20220905 start
    @ApiModelProperty(value = "司机经度")
    private BigDecimal driverLongitude;

    @ApiModelProperty(value = "司机纬度")
    private BigDecimal driverLatitude;
    //STD-DEVELOP20220823 lhb 自动签到 20220905 end
}
