package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * 运单明细查询VO
 *
 * @className :QueryMaxReserveNumberVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("最大预约号查询VO")
public class QueryMaxReserveNumberVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预约类型")
    private Integer appointmentType;

    @ApiModelProperty(value = "仓库ID")
    private String branchId;

    @ApiModelProperty(value = "预约日期")
    private Date appointmentDate;

    @ApiModelProperty(value = "预约时间")
    private String appointmentTime;

    @ApiModelProperty(value = "预约时间")
    private String isJiaJi;
}
