package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 装车单明细查询VO
 *
 * @className :QueryTmsLoadingBillDetailVO
 * @author :qian.yh
 * @date :2022/07/04
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("仓库任务数明细查询VO")
public class QueryTmsLoadingBillDetailVO   implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "提货地点")
    private String shipfrom;

    @ApiModelProperty(value = "预计提货时间")
    private String shipfromDate;
}
