package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 运单商品修改VO
 * 
 * @author Eton Woo
 * @date 2022/04/02
 */
@Data
@ApiModel("运单商品修改VO")
public class ShipbillDetailModifyVO implements Serializable {

	private static final long serialVersionUID = -8005471142050109980L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "商品ID")
	private Long itemId;

	@ApiModelProperty(value = "件数")
	private BigDecimal pcs;
}
