package com.prolog.rdc.tms.app.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 服务评价VO
 *
 * @className :ShipbillServiceEvaluationVO
 * @author :qian.yh
 * @date :2022/07/27
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("服务评价VO")
public class ShipbillServiceEvaluationVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "司机ID")
	private String driverId;

	@ApiModelProperty(value = "企业ID")
	private String enterpriseId;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单号")
	private String shipbillno;

	@ApiModelProperty(value = "服务评价评分1星2星3星4星5星")
	private Integer serviceRating;

	@ApiModelProperty(value = "服务评价对象数据字典serviceobject:1发货方2物流公司")
	private Integer serviceObject;

	@ApiModelProperty(value = "服务评价问题数据字典serviceproblem:1收费错误2态度问题")
	private Integer serviceProblem;

	@ApiModelProperty(value = "服务评价描述")
	private String serviceDescription;

	@ApiModelProperty(value = "服务评价图片")
	private String servicePictures;

}
