package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 仓库取号扫描VO
 *
 * @className :WarehousePickUpNumberDataVO
 * @author :qian.yh
 * @date :2022/07/20
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("仓库取号扫描VO")
public class WarehousePickUpNumberDataVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "仓库ID")
    private String branchId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

}
