package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;

@Data
public class AppointDetailQueryVO implements Serializable {

	private static final long serialVersionUID = 6464879460487027784L;

	@NotEmpty(message = "预约单ID不能为空")
	@ApiModelProperty(value = "预约单ID")
	private String appointmentId;

	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@ApiModelProperty(value = "页最大行数")
	private Integer pageSize;

}
