package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("扫描单号VO")
public class LoadingScanCodeVO {

    @NotNull
    @ApiModelProperty(value = "司机ID")
    private Long driverId;

    @NotBlank
    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @NotBlank
    @ApiModelProperty(value = "单号")
    private String billCode;

    @ApiModelProperty(value = "派车单号")
    private String loadingBillNo;

    @ApiModelProperty(value = "月台名称")
    private String platformName;
}
