package com.prolog.rdc.tms.app.model.vo.business;

import com.prolog.rdc.tms.app.model.dto.business.LoadingScanByLoadbillDTO;
import com.prolog.rdc.tms.app.model.dto.business.WaitPickUpGoodsNotScannedDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/8 11:30
 */

@Data
@ApiModel("装车扫描DTO")
public class LoadingScanDTO implements Serializable {

	private static final long serialVersionUID = 9179127280552737280L;

	@ApiModelProperty(value = "提示信息")
	private String msg;

	@ApiModelProperty(value = "标记")
	private Integer flag;

	@ApiModelProperty(value = "派车单")
	private LoadingScanByLoadbillDTO loadingScanByLoadbillDTO;

	@ApiModelProperty("未扫描集合")
	private List<WaitPickUpGoodsNotScannedDTO> waitPickUpGoodsNotScannedDTOS = new ArrayList<WaitPickUpGoodsNotScannedDTO>();
}
