package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("扫描运单VO")
public class LoadingScanShipbillDetailVO {

    @NotBlank
    @ApiModelProperty(value = "运单明细主键")
    private String ids;

    @NotBlank
    @ApiModelProperty(value = "商品code")
    private String itemCode;

    @NotNull
    @ApiModelProperty(value = "总件数")
    private BigDecimal pcs;

    @NotNull
    @ApiModelProperty(value = "总已扫件数")
    private BigDecimal scannedPcs;

}
