package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/11/25
 */
@Data
@ApiModel("调度承运商策略匹配VO")
public class MatchCarrierStrategyVO {

    @Size(min = 1, message = "运单ID集合不能为空")
    @NotNull(message = "运单ID集合不能为null")
    @ApiModelProperty(value = "运单ID集合")
    private List<String> shipBillIdList;
}
