package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * 回单确认VO
 *
 * @author lhb
 * @date 2022/06/06
 */
@ApiModel("回单确认VO")
@Data
public class PendingReceiptConfirmVO implements Serializable {

	private static final long serialVersionUID = 3721621027326942299L;

	@Size(min = 1)
	@NotNull
	@ApiModelProperty(value = "运单ID")
	private List<String> shipbillIdList;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "回单照片地址")
	private String receiptPicUrl;

}
