package com.prolog.rdc.tms.app.model.vo.business;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 *
 * 待装卸-预约单模式VO
 *
 * @className :
 * @author :xyf
 * @creationTime :2022/05/08
 * @description :
 *
 *
 * 
 * @version :1.0.0
 *
 */
@Data
@ApiModel("待装卸-下一位VO")
public class QueryTypeByAppointmentVO implements Serializable {

	private static final long serialVersionUID = -1690097070286492068L;

	@ApiModelProperty(value = "叫号号码 传空默认查询当前仓库今天叫号顺序为1的预约单")
	private String callNumber;

	@ApiModelProperty(value = "月台ID")
	private String carportId;

	@NotNull(message = "仓库ID不能为空")
	@ApiModelProperty(value = "仓库ID")
	private String branchId;

	@ApiModelProperty(value = "预约单ID")
	private String appointmentId;

	@ApiModelProperty(value = "预约日期")
	private Date appointmentDate;

	@NotNull(message = "页码不能为空")
	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@NotNull(message = "每页条数不能为空")
	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

}
