package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 自提确认查询VO
 * Company: 湖北普罗格科技股份有限公司
 * @author xyf
 * @since 2022/4/15 15:21
 */
@Data
@ApiModel("自提确认查询VO")
public class SelfWithdrawalConfirmQueryVO implements Serializable {

    private static final long serialVersionUID = -395224701099284118L;

    @ApiModelProperty(value = "勾选的运单任意一个运单ID")
    private List<String> ids;
}
