package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 运单待审核-回退VO
 *
 * @author lhb
 * @date 2022/04/12
 */
@Data
@ApiModel("运单待审核-回退VO")
public class ShipbillGoBackVO implements Serializable {

    private static final long serialVersionUID = -6978230175631901168L;

    @ApiModelProperty(value = "回退回退运单ID")
    List<String> shipbillIdList;

    @ApiModelProperty(value = "回退类型")
    Integer backType;

    @ApiModelProperty(value = "回退原因")
    String backReason;
}
