package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/5/22
 */
@Data
@ApiModel("容器温度VO")
public class ShowContainerTemperatureVO {

    @NotEmpty
    @ApiModelProperty(value = "运单id集合")
    private List<String> shipbillIdList;

    @ApiModelProperty(value = "容器id集合")
    private List<String> containerIdList;
}
