package com.prolog.rdc.tms.app.model.vo.business;

import java.io.Serializable;
import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 取号管理-按预约单取号VO
 * 
 * @author xiaoyf
 * @date 2022/04/20
 */
@Data
@ApiModel("取号管理-按预约单取号VO")
public class TakeNumberByAppointVO implements Serializable {

	private static final long serialVersionUID = -2885379600521006444L;

	@NotNull(message = "仓库ID不能为空")
	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "勾选的预约单主键集合 格式ids:['','']")
	private List<String> ids;

}
