package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * 取号管理-按派车单取号VO
 *
 * @author panhb
 * @date 2022/10/12
 */
@Data
@ApiModel("取号管理-按派车单取号VO")
public class TakeNumberByLoadingBillVO implements Serializable {

	private static final long serialVersionUID = -2885379600521006444L;

	@NotBlank(message = "派车单id不能为空")
	@ApiModelProperty(value = "派车单id")
	private String loadingBillId;

}
