package com.prolog.rdc.tms.app.model.vo.business;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 待提交-查询VO
 *
 * @author zhangsj
 * @since 2022-03-30 15:36:56
 */
@Data
@ApiModel("待提交-查询VO")
public class WaitForArrangeGoodsVO implements Serializable {

	private static final long serialVersionUID = -39695669101321531L;

	@ApiModelProperty(value = "仓ID")
	private String branchId;

	@NotNull(message = "页码不能为空")
	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@NotNull(message = "每页条数不能为空")
	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;
}
