package com.prolog.rdc.tms.app.service.business;

import com.prolog.rdc.tms.app.model.dto.business.FrontPageStatisticalDTO;
import com.prolog.rdc.tms.app.model.dto.business.ScanQRByLoadingBillDTO;
import com.prolog.rdc.tms.app.model.dto.business.ScanQRDTO;

/**
 * 首页服务层
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/15 10:57
 */
public interface FrontPageService {

    /**
     * 统计查询
     *
     * @return
     */
    FrontPageStatisticalDTO statisticalData();

    /**
     * 首页扫二维码(运单二维码版)
     *
     * @return
     */
    ScanQRDTO scanQR(String shipbillNo) throws Exception;

    /**
     * 首页扫二维码(派车单二维码版)
     * @param loadingBillNo
     * @return
     */
    ScanQRByLoadingBillDTO scanQRByLoadingBill(String loadingBillNo);



}
