package com.prolog.rdc.tms.app.service.business;

import com.prolog.product.core.framework.entity.UserEntity;
import com.prolog.rdc.tms.app.model.entity.TmsShipbillDetailModel;
import com.prolog.rdc.tms.app.model.entity.TmsShipbillHeaderModel;

import java.util.List;

/**
 * 
 *
 * 运单公共处理服务层
 *
 * @className :ShipbillCommonService
 * @author :fanzw
 * @creationTime :2022/09/08
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/09/08
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface ShipbillCommonService {

	/**
	 * 运单推送BMS
	 * 
	 * @param ids
	 */
	void pushShipbillBmsData(List<String> ids);

	/**
	 * 运单明细查询
	 *
	 * @param shipbillId
	 * @return
	 */
	List<TmsShipbillDetailModel> listShipbillDetailData(String shipbillId, UserEntity user);

}
