package com.prolog.rdc.tms.app.service.business;

import com.prolog.rdc.tms.app.model.dto.business.ShipbillEvaluationDTO;
import com.prolog.rdc.tms.app.model.vo.business.ShipbillEvaluationAddOrUpdateVO;
import com.prolog.rdc.tms.app.model.vo.business.ShipbillEvaluationQueryVO;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/11/1
 */
public interface ShipbillEvaluationService {

    /**
     * 新增或修改运单服务评价
     * @param vo
     * @return
     */
    void addOrUpdate(ShipbillEvaluationAddOrUpdateVO vo);

    /**
     * 运单服务评价查询
     * @param vo
     * @return
     */
    List<ShipbillEvaluationDTO> findEvaluation(ShipbillEvaluationQueryVO vo);

}
