package com.prolog.rdc.tms.app.service.business;

import com.prolog.rdc.tms.app.model.entity.TmsShipbillEventFeedback;
import com.prolog.rdc.tms.app.model.vo.business.AddShipbillEventFeedbackVO;

/**
*  Service
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-01-17 15:01:18
*/
public interface ShipbillEventFeedbackService {

    /**
     * 新增运单事件
     * @param vo
     * @return
     */
    TmsShipbillEventFeedback add(AddShipbillEventFeedbackVO vo);

    /**
     * 事件反馈
     * @param id
     */
    void eventFeedback(String id);


}
