package com.prolog.rdc.tms.app.service.business;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.app.model.dto.business.WaitPickUpGoodsQueryByShipbillDTO;
import com.prolog.rdc.tms.app.model.vo.business.*;

/**
 * 待提货服务层
 *
 *
 * @author xiaoyf
 * @since 2022/6/8 10:45
 */
public interface WaitPickUpGoodsService {
	/**
	 * 运单分页查询
	 *
	 * @param
	 * @return
	 */
	Page<WaitPickUpGoodsQueryByShipbillDTO> queryShipbill(WaitPickUpGoodsQueryByShipbillVO waitPickUpGoodsQueryByShipbillVO);

	/**
	 * 运单分页查询
	 *
	 * @param
	 * @return
	 */
	void sign(WaitDeliveredSignVO vo) throws Exception;

	/**
	 * 启运登记
	 *
	 * @param waitPickUpGoodsStartShipmentVO
	 */
	Boolean startShipmentData(WaitPickUpGoodsStartShipmentVO waitPickUpGoodsStartShipmentVO);

}
