package com.prolog.rdc.tms.app.service.flow;

import com.prolog.product.core.framework.entity.UserEntity;
import com.prolog.rdc.tms.app.model.entity.TmsLoadingBillDetailModel;
import com.prolog.rdc.tms.app.model.entity.TmsLoadingBillHeaderModel;
import com.prolog.rdc.tms.app.model.entity.TmsShipbillDetailModel;
import com.prolog.rdc.tms.app.model.entity.TmsShipbillHeaderModel;
import lombok.Data;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/10/17
 */
@Data
public class FlowContext {

    /**
     * 用户信息
     */
    private UserEntity userEntity;

    /**
     * 流程配置信息
     */
    private String flowConfig;

    /**
     * 运单
     */
    private TmsShipbillHeaderModel originalTmsShipBillHeaderModel;

    /**
     * 运单明细集合
     */
    private List<TmsShipbillDetailModel> originalTmsShipBillDetailModelList;

    /**
     * 派车单
     */
    private TmsLoadingBillHeaderModel originalTmsLoadingBillHeaderModel;

    /**
     * 运单
     */
    private TmsShipbillHeaderModel tmsShipBillHeaderModel;

    /**
     * 运单明细集合
     */
    private List<TmsShipbillDetailModel> tmsShipBillDetailModelList;

    /**
     * 派车单
     */
    private TmsLoadingBillHeaderModel tmsLoadingBillHeaderModel;

    /**
     * 派车单明细集合
     */
    private List<TmsLoadingBillDetailModel> tmsLoadingBillDetailModelList;
}
