package com.prolog.rdc.tms;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;

import com.prolog.framework.authority.annotation.EnablePrologResourceServer;
import com.prolog.framework.microservice.annotation.EnablePrologService;

import lombok.extern.slf4j.Slf4j;

@Slf4j
@EnablePrologService
@EnablePrologResourceServer
@MapperScan("com.prolog.rdc.tms.**.mapper.**")
public class TmsBmslication {

	public static void main(String[] args) {
		SpringApplication.run(TmsBmslication.class, args);
		log.info("======== The tms-bms application has successfully started. ========");
	}
}
