package com.prolog.rdc.tms.dao.mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.BmsPayFeeDetailDTO;
import com.prolog.rdc.tms.model.entity.BmsPaySettlementDetailModel;
import com.prolog.rdc.tms.model.entity.BmsShipbillSettlementModel;
import com.prolog.rdc.tms.model.vo.SettlementFeeQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
* 结算单表 Mapper
* <p>
* Copyright: Copyright (C) 2023 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2023-05-04 10:47:02
*/
@Mapper
public interface BmsPaySettlementDetailMapper extends BaseMapper<BmsPaySettlementDetailModel> {


    // 司机 结算管理 费用信息查询
    List<BmsPayFeeDetailDTO> queryDriverFeeList(@Param("vo") SettlementFeeQueryVO vo);
}

