package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


@Data
public class ArSettlementOrderDetailDTO implements Serializable {

    @ApiModelProperty(value = "结算单ID")
    private Long id;

    @ApiModelProperty(value = "结算单号")
    private String settlementNo;

    @ApiModelProperty(value = "结算单名称")
    private String settlementName;

    @ApiModelProperty(value = "结算周期")
    private Integer settlementCycle;
    private String settlementCycleName;

    @ApiModelProperty(value = "往来单位id")
    private Long cargoOwnerId;

    @ApiModelProperty(value = "往来单位code")
    private String cargoOwnerCode;

    @ApiModelProperty(value = "往来单位名称")
    private String cargoOwnerName;

    @ApiModelProperty(value = "结算部门")
    private String settlementDepartment;

    @ApiModelProperty(value = "结算部门ID")
    private String settlementDepartmentId;

    @ApiModelProperty(value = "结算部门编码")
    private String settlementDepartmentCode;

    @ApiModelProperty(value = "结算公司")
    private String settlementCompany;

    @ApiModelProperty(value = "结算公司id")
    private Long settlementCompanyId;

    @ApiModelProperty(value = "结算公司编码")
    private String settlementCompanyCode;

    @ApiModelProperty(value = "挂账结束日期")
    private Date accountEndDate;

    @ApiModelProperty(value = "开票结束日期")
    private Date invoiceEndDate;

    @ApiModelProperty(value = "税点")
    private String taxPoint;

    @ApiModelProperty(value = "含税金额")
    private BigDecimal taxAmt;

    @ApiModelProperty(value = "无税金额")
    private BigDecimal noTaxAmt;

    @ApiModelProperty(value = "总税额")
    private BigDecimal tax;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "状态")
    private Integer status;
    private String statusName;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

    @ApiModelProperty(value = "字符属性扩展1")
    private String extStr1;

    @ApiModelProperty(value = "字符属性扩展2")
    private String extStr2;

    @ApiModelProperty(value = "字符属性扩展3")
    private String extStr3;

    @ApiModelProperty(value = "字符属性扩展4")
    private String extStr4;

    @ApiModelProperty(value = "字符属性扩展5")
    private String extStr5;

    @ApiModelProperty(value = "数值属性扩展1")
    private BigDecimal extNum1;

    @ApiModelProperty(value = "数值属性扩展2")
    private BigDecimal extNum2;

    @ApiModelProperty(value = "数值属性扩展3")
    private BigDecimal extNum3;

    @ApiModelProperty(value = "数值属性扩展4")
    private BigDecimal extNum4;

    @ApiModelProperty(value = "数值属性扩展5")
    private BigDecimal extNum5;

    @ApiModelProperty(value = "日期属性扩展1")
    private Date extDate1;

    @ApiModelProperty(value = "日期属性扩展2")
    private Date extDate2;

    @ApiModelProperty(value = "日期属性扩展3")
    private Date extDate3;

    @ApiModelProperty(value = "日期属性扩展4")
    private Date extDate4;

    @ApiModelProperty(value = "日期属性扩展5")
    private Date extDate5;

}