package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
public class ExpenseManagementQueryDTO implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "费用编码")
    private String expenseCode;

    @ApiModelProperty(value = "费用名称")
    private String expenseName;

    @ApiModelProperty(value = "费用科目编码")
    private String expenseAccountCode;

    @ApiModelProperty(value = "费用科目名称")
    private String expenseAccountName;

    @ApiModelProperty(value = "费用类别")
    private int expenseType;
    private String expenseTypeName;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "最后修改人")
    private String updateperson;

    @ApiModelProperty(value = "最后修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "状态")
    private Integer status;
    private String statusName;

    @ApiModelProperty(value = "分摊到每一单 1：是，0：否")
    private String isShare;

    @ApiModelProperty(value = "费用分类 1：收入，2：支出")
    private Integer expenseClassify;
    private String expenseClassifyName;
}