package com.prolog.rdc.tms.model.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class ExpenseManagmentTemplateDTO implements Serializable {

    @ExcelProperty(value = "费用编码")
    private String expenseCode;

    @ExcelProperty(value = "费用名称")
    private String expenseName;

    @ExcelProperty(value = "费用科目")
    private String expenseAccountName;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "最后修改人")
    private String updateperson;

    @ApiModelProperty(value = "最后修改时间")
    private Date updatetime;
}