package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;


@Data
public class FreightPriceQuery implements Serializable {

    @NotNull(message = "当前页不能为空")
    @ApiModelProperty(value = "当前页")
    private int pageNum;

    @NotNull(message = "页行数不能为空")
    @ApiModelProperty(value = "页行数")
    private int pageSize;

    @ApiModelProperty(value = "合同编号")
    private String contractNo;

    @ApiModelProperty(value = "0：运输费用，1：附加费")
    private Integer isSurcharge;

}