package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


@Data
public class ShipBillPriceDTO implements Serializable {

    @ApiModelProperty(value = "运单号")
    private String shipbillNo;

    @ApiModelProperty(value = "价格")
    private BigDecimal price;

    @ApiModelProperty(value = "附加费")
    private BigDecimal surcharge;

    @ApiModelProperty(value = "计费合同")
    private String costContract;

    @ApiModelProperty(value = "计费价格表")
    private String costPriceTable;

    @ApiModelProperty(value = "支出总价")
    private BigDecimal payAmount;

    @ApiModelProperty(value = "合同支出总价")
    private BigDecimal contractPayAmount;

    @ApiModelProperty(value = "甲方-货主ID/部门ID")
    private String firstPartyId;

    @ApiModelProperty(value = "甲方-货主编码/部门编码")
    private String firstPartyCode;

    @ApiModelProperty(value = "甲方-货主名称/部门名称")
    private String firstPartyName;

    /*@ApiModelProperty(value = "甲方-货主id")
    private String cargoOwnerId;

    @ApiModelProperty(value = "甲方-货主编码")
    private String cargoOwnerCode;

    @ApiModelProperty(value = "甲方-货主名称")
    private String cargoOwnerName;*/

    @ApiModelProperty(value = "包裹id")
    private Long packageId;

    @ApiModelProperty(value = "包裹号")
    private String packageCode;
}