package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


@Data
public class ArSettlementQueryVO implements Serializable {

    @ApiModelProperty(value = "当前页")
    private int pageNum;

    @ApiModelProperty(value = "页行数")
    private int pageSize;

    @ApiModelProperty(value = "结算公司")
    private String settlementCompany;

    @ApiModelProperty(value = "结算部门")
    private String settlementDepartment;

    @ApiModelProperty(value = "结算单号")
    private String settlementNo;

    @ApiModelProperty(value = "结算单名称")
    private String settlementName;

    @ApiModelProperty(value = "往来单位名称")
    private String CargoOwnerName;

    @ApiModelProperty(value = "结算单状态")
    private Integer status;

    @ApiModelProperty(value = "创建开始时间")
    private String createStartTime;

    @ApiModelProperty(value = "创建结束时间")
    private String createEndTime;

    @ApiModelProperty(value = "最后修改开始时间")
    private String updateStartTime;

    @ApiModelProperty(value = "最后修改结束时间")
    private String updateEndTime;
}