package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ExpenseAccountQueryVO implements Serializable {

    @ApiModelProperty(value = "当前页")
    private int pageNum;

    @ApiModelProperty(value = "页行数")
    private int pageSize;

    @ApiModelProperty(value = "费用编码")
    private String expenseCode;

    @ApiModelProperty(value = "费用名称")
    private String expenseName;

    @ApiModelProperty(value = "启用状态")
    private Integer status;

    private List<Long> ids;


}