package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class ExpenseAccountVO implements Serializable {

    private Long id;

    @NotEmpty(message = "费用编码不能为空")
    @ApiModelProperty(value = "费用编码")
    private String expenseCode;

    @NotEmpty(message = "费用名称不能为空")
    @ApiModelProperty(value = "费用名称")
    private String expenseName;

    @NotNull(message = "费用分类不能为空 EXPENSE_CLASSIFY")
    @ApiModelProperty(value = "费用分类")
    private Integer expenseClassify;
}