package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


@Data
public class ExpenseManagementQueryVO implements Serializable {

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "页数")
    private Integer pageSize;

    @ApiModelProperty(value = "费用编码")
    private String expenseCode;

    @ApiModelProperty(value = "费用名称")
    private String expenseName;

    @ApiModelProperty(value = "排除的费用名称")
    private String excludeExpenseName;

    @ApiModelProperty(value = "费用分类")
    private Integer expenseClassify;

    @ApiModelProperty(value = "启用状态")
    private Integer status;

    private List<Long> ids;
}