package com.prolog.rdc.tms.model.vo;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

@Data
public class StatusUpdate implements Serializable {

    @NotNull(message = "状态不能为空")
    private int status;

    @NotEmpty(message = "ID不能为空")
    private Long id;
}