package com.prolog.rdc.tms.model.vo.carrier.reconciliation;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/6/20
 */
@Data
public class CarrierReconciliationOperateVO {

    @NotEmpty
    @ApiModelProperty(value = "id集合")
    private List<Long> idList;

    @NotBlank
    @ApiModelProperty(value = "S-运单模式/F-费用模式")
    private String type;

}
