package com.prolog.rdc.tms.service;

import com.prolog.product.core.framework.entity.UserEntity;
import com.prolog.rdc.tms.model.entity.BmsLoadingBillHeaderModel;
import com.prolog.rdc.tms.model.entity.BmsShipBillDetailModel;
import com.prolog.rdc.tms.model.entity.BmsShipBillHeaderModel;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *
 * 单据匹配合同收入费用服务层
 *
 * @className :BillIncomeCostStrategyService
 * @author :lhb
 * @creationTime :2023/04/12
 * @description :
 *
 * @version :1.0.0
 *
 */
public interface BillIncomeCostStrategyService {

    Integer loadingBillCostStrategy(BmsLoadingBillHeaderModel loadingModel, String source, UserEntity user);

    Integer shipBillCostStrategy(BmsShipBillHeaderModel model, List<BmsShipBillDetailModel> detailDTOS,String source,UserEntity user);

    void deleteFeeDtl(String billNo, Long billId, UserEntity user, String source);
}
