package com.prolog.rdc.tms.service.strategy;


import com.prolog.product.core.framework.entity.UserEntity;
import com.prolog.rdc.tms.model.dto.LoadingBillPriceDTO;
import com.prolog.rdc.tms.model.dto.ShipBillPriceDTO;
import com.prolog.rdc.tms.model.entity.BmsFreightPriceModel;
import com.prolog.rdc.tms.model.entity.BmsLoadingBillHeaderModel;
import com.prolog.rdc.tms.model.entity.BmsLogisticsContractModel;
import com.prolog.rdc.tms.model.entity.BmsShipBillHeaderModel;

import java.util.List;

public abstract class IncomeAbstractSplitStrategyRuleHandler {

    public abstract List<ShipBillPriceDTO> executeStrategy(BmsLogisticsContractModel contractModel, BmsFreightPriceModel priceModel, BmsShipBillHeaderModel costStrategy, String source, UserEntity user);

    public abstract List<LoadingBillPriceDTO> executeStrategyLoading(BmsLogisticsContractModel contractModel, BmsFreightPriceModel priceModel, BmsLoadingBillHeaderModel costStrategy, String source,UserEntity user);

}
