package com.prolog.rdc.tms.constant;

/**
 * 常量类
 * 
 * @author Administrator
 *
 */
public class BussinessConstant {

	// 文件大小
	public static final int FILE_SIZE = 15728640;

	// 用户分类: I-内部员工(自有) C-客户 V-供应商 H-货主 S-服务商(承运商) D-司机 M-送货员
	public static final String USER_TYPE_ZY = "I";
	public static final String USER_TYPE_CYS = "S";
	public static final String USER_TYPE_GYS = "V";
	public static final String USER_TYPE_HZ = "H";
	public static final String USER_TYPE_KH = "C";
	public static final String USER_TYPE_SJ = "D";
	public static final String USER_TYPE_SHY = "M";

	// 部分权限 1有 0没有
	public static final Integer USER_DEPARTMENT_AUTH_Y = 1;
	public static final Integer USER_DEPARTMENT_AUTH_N = 0;

	// 装车扫描标记 0第一次扫描 1非第一次扫描
	public static final Integer LOADING_SCAN_FIRST = 0;
	public static final Integer LOADING_SCAN_AFTER = 1;

	// 叫号顺序从1000开始
	public static final int CALL_NUMBER = 1000;

	// 接口表数据状态
	public static final String INTERFACE_DATA_Y = "Y";
	public static final String INTERFACE_DATA_E = "E";

	public static final String E6 = "易流";
	public static final String G7 = "G7";

}
