package com.prolog.rdc.tms.constant;

/**
 * 
 *
 * 数据字典常量
 *
 * @className :DataDictionaryConstant
 * @author :fanzw
 * @creationTime :2022/02/24
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/24
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public class DataDictionaryConstant {

	// 运单状态 数据字典SHIPBILL_STATUS:0已作废 3已关闭 5已回退 10初始化 15审批中 20已提交 25待审核 30已审核 35自提登记审批中
	// 40已调度
	// 43调度审核审批中
	// 45调度单审核
	// 47待预约 // 48预约中
	// 50待开始理货 60待理货完成 70待开始装卸 80待装卸完成 75待装车扫描
	// 100未装 110待装车确认 120待启运 125启运审核 130拒收 140未送 150待送达 155托运交接
	// 160待回单 170待正本回单 180待自提确认 190完成
	public final static String SHIPBILL_STATUS = "SHIPBILL_STATUS";
	public final static Integer SHIPBILL_STATUS_ZF = 0;
	public final static Integer SHIPBILL_STATUS_CLOSE = 3;
	public final static Integer SHIPBILL_STATUS_YTH = 5;
	public final static Integer SHIPBILL_STATUS_CSH = 10;
	public final static Integer SHIPBILL_STATUS_DSH = 15;
	public final static Integer SHIPBILL_STATUS_YTJ = 20;
	public final static Integer SHIPBILL_STATUS_PENDING_PLAN = 25;
	public final static Integer SHIPBILL_STATUS_REVIEW = 30;
	public final static Integer SHIPBILL_STATUS_HD_ZT_APPROVAL = 35;
	public final static Integer SHIPBILL_STATUS_DISPATCH = 40;
	public final static Integer SHIPBILL_STATUS_DISPATCH_CHECK_APPROVAL = 43;
	public final static Integer SHIPBILL_STATUS_DISPATCH_CHECK = 45;
	public final static Integer SHIPBILL_STATUS_PENDING_APP = 47;
	public final static Integer SHIPBILL_STATUS_APP_ING = 48;
	public final static Integer SHIPBILL_STATUS_LH_START = 50;
	public final static Integer SHIPBILL_STATUS_LH_FINISH = 60;
	public final static Integer SHIPBILL_STATUS_ZX_START = 70;
	public final static Integer SHIPBILL_STATUS_ZX_FINISH = 80;
	public final static Integer SHIPBILL_STATUS_ZC_SCAN = 75;
	public final static Integer SHIPBILL_STATUS_WZ = 100;
	public final static Integer SHIPBILL_STATUS_ZX_CONFIRM = 110;
	public final static Integer SHIPBILL_STATUS_QY = 120;
	public final static Integer SHIPBILL_STATUS_QYSH = 125;

	public final static Integer SHIPBILL_STATUS_RS = 130;
	public final static Integer SHIPBILL_STATUS_WS = 140;
	public final static Integer SHIPBILL_STATUS_SD = 150;
	public final static Integer SHIPBILL_STATUS_CONSIGNMENT_HANDOVER = 155;
	public final static Integer SHIPBILL_STATUS_HD_PIC = 160;
	public final static Integer SHIPBILL_STATUS_HD_PIC_APPROVAL = 165;
	public final static Integer SHIPBILL_STATUS_HD_ZB = 170;
	public final static Integer SHIPBILL_STATUS_HD_ZB_APPROVAL = 175;
	public final static Integer SHIPBILL_STATUS_HD_ZT = 180;
	public final static Integer SHIPBILL_STATUS_END = 190;

	public final static String SHIPBILL_STATUSNAME_ZF = "运单已作废";
	public final static String SHIPBILL_STATUSNAME_CSH = "运单已创建";
	public final static String SHIPBILL_STATUSNAME_CSH_YTJ_APPROVAL = "运单已创建并提交审批中";
	public final static String SHIPBILL_STATUSNAME_CSH_YTJ = "运单已创建并提交";
	public final static String SHIPBILL_STATUSNAME_DSH = "运单已审核";
	public final static String SHIPBILL_STATUSNAME_PLAN = "运单已作成计划单";
	public final static String SHIPBILL_STATUSNAME_YTJ_APPROVAL = "运单已提交审批中";
	public final static String SHIPBILL_STATUSNAME_YTJ = "运单已提交";
	public final static String SHIPBILL_STATUSNAME_YTH = "运单已回退";
	public final static String SHIPBILL_STATUSNAME_DIS_REVOKE = "已调度撤销";

	public final static String SHIPBILL_STATUSNAME_REVOKE_SEND_CAR = "调度已撤销";
	public final static String SHIPBILL_STATUSNAME_REVOKE_TRAILER = "调度已撤销";
	public final static String SHIPBILL_STATUSNAME_REW = "运单已审核";
	public final static String SHIPBILL_STATUSNAME_DIS = "运单已调度";
	public final static String SHIPBILL_STATUSNAME_DIS_ADD = "添加到调度单";
	public final static String SHIPBILL_STATUSNAME_DTH = "待提货";
	public final static String SHIPBILL_STATUSNAME_ZX_START = "开始装卸";
	public final static String SHIPBILL_STATUSNAME_ZX_FINISH = "装卸完成";
	public final static String SHIPBILL_STATUSNAME_ZC_SCAN = "已装车扫描";
	public final static String SHIPBILL_STATUSNAME_ZC_CONFIRM = "装车确认";
	public final static String SHIPBILL_STATUSNAME_QY = "启运";
	public final static String SHIPBILL_STATUSNAME_QYQD = "启运签到";
	public final static String SHIPBILL_STATUSNAME_QYSH = "启运审核";
	public final static String SHIPBILL_STATUSNAME_DZT = "自提确认";
	public final static String SHIPBILL_STATUSNAME_DZT_DJ = "自提登记";
	public final static String SHIPBILL_STATUSNAME_TYJJ = "调度交接";
	public final static String SHIPBILL_STATUSNAME_SD = "送达";
	public final static String SHIPBILL_STATUSNAME_SDQD = "送达签到";
	public final static String SHIPBILL_STATUSNAME_PICKUP = "已提货";
	public final static String SHIPBILL_OPERATENAME_XG = "运单修改";
	public final static String SHIPBILL_OPERATENAME_TZ = "运单修改";
	public final static String SHIPBILL_OPERATENAME_TZ_BROTHER = "同级子单修改";
	public final static String SHIPBILL_OPERATENAME_UP_NEW = "因修改,新运单生成";
	public final static String SHIPBILL_STATUSNAME_HD_PIC = "回单";
	public final static String SHIPBILL_STATUSNAME_HD_PIC_APPROVAL = "回单 审批中";
	public final static String SHIPBILL_STATUSNAME_HD_ZB = "正本回单";
	public final static String SHIPBILL_STATUSNAME_HD_ZB_APPROVAL = "正本回单 审批中";
	public final static String SHIPBILL_STATUSNAME_KFFK = "客服反馈";
	public final static String SHIPBILL_STATUSNAME_YCDJ = "异常登记";
	public final static String SHIPBILL_STATUSNAME_QS = "签收";
	public final static String SHIPBILL_STATUSNAME_LH_START = "开始理货";
	public final static String SHIPBILL_STATUSNAME_LH_END = "理货完成";
	public final static String SHIPBILL_STATUSNAME_YYQX = "预约取消";
	public final static String SHIPBILL_STATUSNAME_YCGB = "异常关闭";
	public final static String SHIPBILL_NODE_SCAN_NEW = "因装车扫描,拆分的新运单";

	public final static String SHIPBILL_STATUSNAME_YYQR = "预约确认";
	public final static String SHIPBILL_STATUSNAME_YYSH = "预约审核";
	public final static String SHIPBILL_STATUSNAME_YYTC = "预约剔除";
	public final static String SHIPBILL_STATUSNAME_CLOSING = "运单关闭";
	public final static String SHIPBILL_UPDATE = "运单修改扩展字段";

	public final static String SHIPBILL_RECEIPT_DFH = "待发货";
	public final static String SHIPBILL_RECEIPT_YGB = "已关闭";

	public final static String SHIPBILL_EVENT_FEEDBACK = "事件反馈";

	// 运单节点事件
	public final static String SHIPBILL_NODE_STATUSNAME_SC = "运单已创建";
	public final static String SHIPBILL_NODE_STATUSNAME_TJ = "运单已提交";
	public final static String SHIPBILL_NODE_CSH_YTJ = "运单已创建并提交";
	public final static String SHIPBILL_NODE_CSH_YTJ_APPROVAL = "运单已创建并提交审批中";
	public final static String SHIPBILL_NODE_STATUSNAME_TJ_APPROVAL = "运单提交审批中";
	public final static String SHIPBILL_NODE_STATUSNAME_PLAN = "运单已作成计划单";

	public final static String SHIPBILL_NODE_STATUSNAME_ZF = "运单已作废";
	public final static String SHIPBILL_NODE_STATUSNAME_RE = "运单已审核";
	public final static String SHIPBILL_NODE_STATUSNAME_DI = "运单调度";
	public final static String SHIPBILL_NODE_STATUSNAME_HT = "运单已回退";
	public final static String SHIPBILL_NODE_STATUSNAME_PC = "已调度审核";
	public final static String SHIPBILL_NODE_STATUSNAME_TY = "已调度审核";
	public final static String SHIPBILL_NODE_STATUSNAME_YD = "移动到调度单";
	public final static String SHIPBILL_NODE_STATUSNAME_MOVE_TY = "移动到调度单";
	public final static String SHIPBILL_NODE_FEEDBACK = "客服反馈";
	public final static String SHIPBILL_NODE_ABNORMAL_REGISTER = "异常登记";
	public final static String SHIPBILL_NODE_CONSIGNMENT_HANDOVER = "调度交接";
	public final static String SHIPBILL_NODE_STATUSNAME_DIS_APPROVAL = "调度审核审批中";

	public final static String SHIPBILL_NODE_SELF_PICK_VEH_REG = "自提车辆登记";

	// 承运商 运单节点事件
	public final static String CARRIER_SHIPBILL_NODE_STATUSNAME_TJ = "承运商 已提交";
	public final static String CARRIER_SHIPBILL_NODE_STATUSNAME_RECEIVED = "承运商 运单已接单";
	public final static String CARRIER_SHIPBILL_NODE_STATUSNAME_REFUSE = "承运商 运单已拒绝";
	public final static String CARRIER_SHIPBILL_STATUSNAME_YTJ = "承运商 运单已提交";
	public final static String CARRIER_SHIPBILL_NODE_STATUSNAME_RE = "承运商 运单已审核";
	public final static String CARRIER_SHIPBILL_NODE_STATUSNAME_DI = "承运商 运单已调度";
	public final static String CARRIER_SHIPBILL_NODE_STATUSNAME_DI_ADD = "承运商 添加到调度单";
	public final static String CARRIER_SHIPBILL_STATUSNAME_YTH = "承运商 运单已回退";

	public final static String CARRIER_SHIPBILL_STATUSNAME_REVOKE_SEND_CAR = "承运商 调度已撤销";
	public final static String CARRIER_SHIPBILL_STATUSNAME_REVOKE_TRAILER = "承运商 调度已撤销";

	public final static String CARRIER_SHIPBILL_NODE_STATUSNAME_PC = "承运商 已调度审核";
	public final static String CARRIER_SHIPBILL_NODE_STATUSNAME_TY = "承运商 已调度审核";
	public final static String CARRIER_SHIPBILL_NODE_STATUSNAME_DIS_APPROVAL = "承运商调度审核审批中";

	// 运单异常状态
	public final static String ABNORMAL_STATUS = "ABNORMAL_STATUS";
	public final static Integer SHIPBILL_ABNORMAL_STATUS_NO = 0;// 未异常
	public final static Integer SHIPBILL_ABNORMAL_STATUS = 10;// 异常
	public final static Integer SHIPBILL_ABNORMAL_CLOSE_STATUS = 20;// 异常关闭

	// 运单操作日志事件
	public final static String SHIPBILL_EVENT_NAME_TRANSIT = "运单已中转";
	public final static String SHIPBILL_EVENT_NAME_TRANSIT_SUB = "中转新增订单";

	public final static String SHIPBILL_EVENT_NAME_SPLIT = "拆分";
	public final static String SHIPBILL_EVENT_NAME_SPLIT_SUB = "拆分新增订单";
	public final static String SHIPBILL_EVENT_NAME_REVOKE = "撤销";

	// 订单类型 数据字典ORDER_TYPE：1普通 2紧急 3加急
	public final static String ORDER_TYPE = "ORDER_TYPE";
	public final static Integer ORDER_TYPE_P = 1;
	public final static Integer ORDER_TYPE_JJ = 2;
	public final static Integer ORDER_TYPE_JJJ = 3;

	// 订单业务类型 数据字典ORDER_BUSINESS_TYPE：1销售订单-直送 2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提
	// 5销售退货 6采购退货 7调拨
	public final static String ORDER_BUSINESS_TYPE = "ORDER_BUSINESS_TYPE";

	// 运输状态 数据字典TRANSPORT_STATUS:10待发货 20 配送中 30 已送达
	public final static String TRANSPORT_STATUS = "TRANSPORT_STATUS";
	public final static Integer TRANSPORT_STATUS_PENDING_SHIP = 10;
	public final static Integer TRANSPORT_STATUS_SHIPPING = 20;
	public final static Integer TRANSPORT_STATUS_ARRIVED = 30;

	// 扫描状态 数据字典SCAN_STATUS:10初始 20已装车扫描
	public final static String SCAN_STATUS = "SCAN_STATUS";
	public final static Integer SCAN_STATUS_INIT = 10;
	public final static Integer SCAN_STATUS_LOADED = 20;

	// 配送状态 数据字典DELIVERY_STATUS:10配送失败 20配送滞留 30配送成功
	public final static String DELIVERY_STATUS = "DELIVERY_STATUS";
	public final static Integer DELIVERY_STATUS_FAILED = 10;
	public final static Integer DELIVERY_STATUS_STAY = 20;
	public final static Integer DELIVERY_STATUS_SUCCESS = 30;

	// 回单状态 数据字典 ORIG_RECEIPT_STATUS：10正常签收 20异常签收
	public final static String ORIG_RECEIPT_STATUS = "ORIG_RECEIPT_STATUS";
	public final static Integer ORIG_RECEIPT_STATUS_SUCCESS = 10;
	public final static Integer ORIG_RECEIPT_STATUS_ABNORMAL = 20;

	// 回单类型 数据字典 ORIG_RECEIPT_TYPE：10原件 20复印件
	public final static String ORIG_RECEIPT_TYPE = "ORIG_RECEIPT_TYPE";
	public final static Integer ORIG_RECEIPT_TYPE_ORIG = 10;
	public final static Integer ORIG_RECEIPT_TYPE_COPY = 20;

	// 拆单状态 数据字典SPLIT_ORDER_STATUS:0未拆单 1已拆单 2承运商未拆单 3承运商已拆单
	public final static String SPLIT_ORDER_STATUS = "SPLIT_ORDER_STATUS";
	// 拆单状态 数据字典SPLIT_ORDER_STATUS:0未拆单
	public final static Integer SPLIT_ORDER_STATUS_UN = 0;
	// 拆单状态 1已拆单
	public final static Integer SPLIT_ORDER_STATUS_ED = 1;

	// 拆单状态
	public final static String CARRIER_SPLIT_ORDER_STATUS = "CARRIER_SPLIT_ORDER_STATUS";
	// 拆单状态 0承运商未拆单
	public final static Integer CARRIER_SPLIT_ORDER_STATUS_UN = 0;
	// 拆单状态 1承运商已拆单
	public final static Integer CARRIER_SPLIT_ORDER_STATUS_ED = 1;

	// 拆单类型 SPLIT_ORDER_TYPE:拆单类型 数据字典 1未拆单 2拆分主单 3拆分子单 4中转主单
	// 5中转子单
	public final static Integer SPLIT_ORDER_TYPE_UN = 1;
	public final static Integer SPLIT_ORDER_TYPE_SPLIT_MASTER = 2;
	public final static Integer SPLIT_ORDER_TYPE_SPLIT_SUB = 3;
	public final static Integer SPLIT_ORDER_TYPE_TRANSIT_MASTER = 4;
	public final static Integer SPLIT_ORDER_TYPE_TRANSIT_SUB = 5;

	// 拆单类型 数据字典CARRIER_SPLIT_ORDER_TYPE:承运商拆单类型 1未拆单 2拆分主单 3拆分子单 4中转主单
	// 5中转子单
	public final static String CARRIER_SPLIT_ORDER_TYPE = "CARRIER_SPLIT_ORDER_TYPE";
	public final static Integer CARRIER_SPLIT_ORDER_TYPE_UN = 1;
	public final static Integer CARRIER_SPLIT_ORDER_TYPE_SPLIT_MASTER = 2;
	public final static Integer CARRIER_SPLIT_ORDER_TYPE_SPLIT_SUB = 3;
	public final static Integer CARRIER_SPLIT_ORDER_TYPE_TRANSIT_MASTER = 4;
	public final static Integer CARRIER_SPLIT_ORDER_TYPE_TRANSIT_SUB = 5;

	// 拆单类型 数据字典SPLIT_ORDER_TYPE:1拆单主单 2拆分子单 3拆段子单
	public final static String SPLIT_ORDER_TYPE = "SPLIT_ORDER_TYPE";

	// 配送方式 数据字典DELIVERY_METHOD_TYPE：1配送 2自提
	public final static String DELIVERY_METHOD_TYPE = "DELIVERY_METHOD_TYPE";
	public final static Integer DELIVERY_METHOD_TYPE_SEND = 1;
	public final static Integer DELIVERY_METHOD_TYPE_ZT = 2;

	// 运输类型(运输模式) 数据字典TRANSPORT_TYPE:1整车 2零担
	public final static String TRANSPORT_TYPE = "TRANSPORT_TYPE";
	public final static Integer TRANSPORT_TYPE_ZC = 1;
	public final static Integer TRANSPORT_TYPE_LD = 2;

	// 温度要求 数据字典TEMPERATURE_REQUIREMENT：1常温 2冷藏 3冷冻 4恒温
	public final static String TEMPERATURE_REQUIREMENT = "TEMPERATURE_REQUIREMENT";
	public final static Integer TEMPERATURE_REQUIREMENT_CW = 1;
	public final static Integer TEMPERATURE_REQUIREMENT_LC = 2;
	public final static Integer TEMPERATURE_REQUIREMENT_LD = 3;
	public final static Integer TEMPERATURE_REQUIREMENT_HW = 4;

	// 发货方类型 数据字典SHIPPER_TYPE:1客户 2仓库 3供应商
	public final static String SHIPPER_TYPE = "SHIPPER_TYPE";
	public final static Integer SHIPPER_TYPE_KH = 1;
	public final static Integer SHIPPER_TYPE_CK = 2;
	public final static Integer SHIPPER_TYPE_GYS = 3;

	// 提货签到 数据字典WHETHER:0否，1是
	public final static String WHETHER = "WHETHER";
	public final static Integer WHETHER_NO = 0;
	public final static Integer WHETHER_YES = 1;

	// 客户投诉 数据字典WHETHER:0否，1是
	public final static String ABNORMAL_COMPLAIN = "ABNORMAL_COMPLAIN";
	public final static Integer ABNORMAL_COMPLAIN_NO = 0;
	public final static Integer ABNORMAL_COMPLAIN_YES = 1;

	// 收货方类型 数据字典CONSIGNEE_TYPE:1客户 2仓库 3供应商
	public final static String CONSIGNEE_TYPE = "CONSIGNEE_TYPE";
	public final static Integer CONSIGNEE_TYPE_KH = 1;
	public final static Integer CONSIGNEE_TYPE_CK = 2;
	public final static Integer CONSIGNEE_TYPE_GYS = 3;

	// 来源 数据字典SOURCE 1.新增 2.excel导入 3.接口导入
	public static final Integer SOURCE_ADD = 1;
	public static final Integer SOURCE_EXCEL = 2;
	public static final Integer SOURCE_INTERFACE = 3;

	// 包装类型 数据字典PACK_TYPE:1纸箱 2包装袋
	public static final String PACK_TYPE = "PACK_TYPE";

	// 货物温层 数据字典CARGO_THERMOSPHERE:1常温 2冷藏 3冷冻
	public static final String CARGO_THERMOSPHERE = "CARGO_THERMOSPHERE";

	// 扩展对象
	// 15 订单管理-运单汇总
	// 17 订单管理-运单明细
	public static final String EXTENDED_OBJECT_SHIPBILL_HEADER = "15";
	public static final String EXTENDED_OBJECT_SHIPBILL_DETAIL = "17";

	// 配送单打印
	public static final String PRINT_TEMPID_PS_SHIPBILL = "1001";

	// 待审核运单打印
	public static final String PRINT_TEMPID_PR_SHIPBILL = "1002";

	// 已调度运单打印
	public static final String PRINT_TEMPID_PS_DISPATCHE = "1003";

	// 待审核运单打印
	public static final String PRINT_TEMPID_PENDING_REVIEW = "1004";

	// 待调度运单打印
	public static final String PRINT_TEMPID_PENDING_DISPATCH = "1005";

	// 待理货运单打印
	public static final String PRINT_TEMPID_WAIT_FOR_ARRANGE_GOODS = "1006";

	// 所有运单打印
	public static final String PRINT_TEMPID_ALL_SHIPBILL = "1007";

	// 待回单打印
	public static final String PRINT_TEMPID_PENDING_RECEIPT = "1008";

	// 待正本回单打印
	public static final String PRINT_TEMPID_PENDING_ORIG_RECEIPT = "1009";

	// 完成打印
	public static final String PRINT_TEMPID_FINISH_RECEIPT = "1010";

	// 待自提打印
	public static final String PRINT_TEMPID_WAIT_FOR_SELF_WITHDRAWAL = "1011";

	// 入库在途打印
	public static final String PRINT_TEMPID_STORAGEHALFWAY = "1012";

	// 提货确认打印
	public static final String PRINT_TEMPID_DELIVERYCONFIRM = "1013";

	// 待提货打印
	public static final String PRINT_TEMPID_WAITPICKUPGOODS = "1014";

	// 待装卸打印
	public static final String PRINT_TEMPID_WAITLOADINGANDUNLOADING = "1015";

	// 待送达打印
	public static final String PRINT_TEMPID_WAITDELIVERED = "1016";

	// 托车单打印
	public static final String PRINT_TEMPID_TRAILER = "1017";

	// 派车单打印
	public static final String PRINT_TEMPID_SENDCAR = "1018";

	// 拣货出库打印
	public static final String PRINT_TEMPID_PICKINGOUTBOUND = "1019";

	// 包裹类型 数据字典PACKAGE_TYPE:1整件 2拼箱
	public static final String PACKAGE_TYPE = "PACKAGE_TYPE";

	// 设备生产厂商 数据字典表DEVICE_COMPANY：1易流、2捷依、3G7
	public static final String DEVICE_COMPANY = "DEVICE_COMPANY";

	// 设备类型 数据字典DEVICE_TYPE:1.GPS 2.冷链设备
	public static final String DEVICE_TYPE = "DEVICE_TYPE";

	// 装车单状态 数据字典：LOADING_BILL_STATUS:10未审核 13调度审核审批中 20已审核
	// 50开始理货 60理货完成 70开始装卸 80装卸完成 90已装车扫描
	// 100未装 110装车确认 113部分启运 120启运 130拒收 140未送 143部分送达 150送达 155托运交接
	// 160回单 170正本回单 180自提
	public static final String LOADING_BILL_STATUS = "LOADING_BILL_STATUS";
	public static final Integer LOADING_BILL_STATUS_WSH = 10;
	public static final Integer LOADING_BILL_STATUS_DIS_APPROVAL = 13;
	public static final Integer LOADING_BILL_STATUS_YSH = 20;
	public final static Integer LOADING_BILL_STATUS_LH_START = 50;
	public final static Integer LOADING_BILL_STATUS_LH_FINISH = 60;
	public final static Integer LOADING_BILL_STATUS_ZX_START = 70;
	public final static Integer LOADING_BILL_STATUS_ZX_FINISH = 80;
	public final static Integer LOADING_BILL_STATUS_SCAN = 90;
	public final static Integer LOADING_BILL_STATUS_WZ = 100;
	public final static Integer LOADING_BILL_STATUS_ZC_CONFIRM = 110;
	public final static Integer LOADING_BILL_STATUS_QY_PART = 113;
	public final static Integer LOADING_BILL_STATUS_QY = 120;
	public final static Integer LOADING_BILL_STATUS_RS = 130;
	public final static Integer LOADING_BILL_STATUS_WS = 140;
	public final static Integer LOADING_BILL_STATUS_SD_PART = 143;
	public final static Integer LOADING_BILL_STATUS_SD = 150;
	public final static Integer LOADING_BILL_STATUS_CONSIGNMENT_HANDOVER = 155;
	public final static Integer LOADING_BILL_STATUS_HD_PIC = 160;
	public final static Integer LOADING_BILL_STATUS_HD_ZB = 170;
	public final static Integer LOADING_BILL_STATUS_HD_ZT = 180;
	public final static Integer LOADING_BILL_SHIPBILL_STATUS_END = 190;

	// 承运方类型 数据字典LINE_CARRIER_TYPE:1.承运商 2.司机 3.自提
	public static final String LINE_CARRIER_TYPE = "LINE_CARRIER_TYPE";
	public static final Integer LINE_CARRIER_TYPE_CYF = 1;
	public static final Integer LINE_CARRIER_TYPE_SJ = 2;
	public static final Integer LINE_CARRIER_TYPE_ZT = 3;

	// 标记类型 数据字典 SIGNCONFIG_TYPE 1订单类型 2业务类型 3温度要求 4配送方式 5订单备注
	public static final String SIGNCONFIG_TYPE = "SIGNCONFIG_TYPE";
	public static final int SIGNCONFIG_TYPE_DDLX = 1;
	public static final int SIGNCONFIG_TYPE_YWLX = 2;
	public static final int SIGNCONFIG_TYPE_WDYQ = 3;
	public static final int SIGNCONFIG_TYPE_PSFS = 4;
	public static final int SIGNCONFIG_TYPE_DDBZ = 5;

	// 匹配 数据字典SIGNCONFIG_MATCHING 1模糊匹配 2模糊不匹配 3非空 4为空 5等于 6不等于
	public static final String SIGNCONFIG_MATCHING = "SIGNCONFIG_MATCHING";
	public static final int SIGNCONFIG_MATCHING_LIKE = 1;
	public static final int SIGNCONFIG_MATCHING_NOT_LIKE = 2;
	public static final int SIGNCONFIG_MATCHING_NOT_NULL = 3;
	public static final int SIGNCONFIG_MATCHING_NULL = 4;
	public static final int SIGNCONFIG_MATCHING_EQ = 5;
	public static final int SIGNCONFIG_MATCHING_NOT_EQ = 6;

	// 运单导入
	public static final String SHIPBILL_IMPORT = "SHIPBILL_IMPORT";

	// 导入状态 数据字典IMPORT_STATUS:0失败，1.成功
	public static final String IMPORT_STATUS = "IMPORT_STATUS";
	public static final Integer IMPORT_STATUS_NO = 0;
	public static final Integer IMPORT_STATUS_YES = 1;

	public static final Integer IMPORT_STATUS_ING = 2;

	// 审批流程类型 数据字典 APPROVAL_FLOW_TYPE：1 货主审核 2 承运商审核 3 运单提交 4调度审核 5承运商调度审核 9自提登记审批
	// 10提货审批(提货件数不等于计划提货件数) 11回单审批 12正本回单审批
	public static final String APPROVAL_FLOW_TYPE = "APPROVAL_FLOW_TYPE";
	public static final Integer APPROVAL_FLOW_TYPE_OWNER = 1;
	public static final Integer APPROVAL_FLOW_TYPE_CARRIER = 2;
	public static final Integer APPROVAL_FLOW_TYPE_SHIPBILL = 3;
	public static final Integer APPROVAL_FLOW_TYPE_DISPATCH = 4;
	public static final Integer APPROVAL_FLOW_TYPE_DISPATCH_CARRIER = 5;
	public static final Integer APPROVAL_FLOW_TYPE_ZT_REG = 9;
	public static final Integer APPROVAL_FLOW_TYPE_START_SHIP = 10;
	public static final Integer APPROVAL_FLOW_TYPE_START_RECEIPT = 11;
	public static final Integer APPROVAL_FLOW_TYPE_START_RECEIPT_PIC = 12;

	// 审批结果 数据字典 NODE_APPROVAL_RESULT:1发起申请 2驳回发起人 3驳回上一级 4审批通过 5撤回 6 作废
	public static final String NODE_APPROVAL_RESULT = "NODE_APPROVAL_RESULT";
	public static final Integer NODE_APPROVAL_RESULT_APPLY = 1;
	public static final Integer NODE_APPROVAL_RESULT_REJECT_FIRST = 2;
	public static final Integer NODE_APPROVAL_RESULT_REJECT_PREVIOUS = 3;
	public static final Integer NODE_APPROVAL_RESULT_PASS = 4;
	public static final Integer NODE_APPROVAL_RESULT_RETRACT = 5;
	public static final Integer NODE_APPROVAL_RESULT_INVALID = 6;
	public static final Integer NODE_APPROVAL_RESULT_SUCCESS = 7;

	// 承运商运单状态 数据字典 CARRIER_SHIPBILL_STATUS：1已拒绝 5已退回 10待接单 20已接单 30已提交 40已审核 50已调度
	// 53承运商调度审核审批中 55调度审核
	// 55调度单审核
	public static final String CARRIER_SHIPBILL_STATUS = "CARRIER_SHIPBILL_STATUS";
	public static final Integer CARRIER_SHIPBILL_STATUS_REJECTED = 1;
	public static final Integer CARRIER_SHIPBILL_STATUS_ROLLBACK = 5;
	public static final Integer CARRIER_SHIPBILL_STATUS_WAIT_RECEIVE = 10;
	public static final Integer CARRIER_SHIPBILL_STATUS_RECEIVED = 20;
	public static final Integer CARRIER_SHIPBILL_STATUS_COMMIT = 30;
	public static final Integer CARRIER_SHIPBILL_STATUS_AUDITED = 40;
	public static final Integer CARRIER_SHIPBILL_STATUS_DISPATCHED = 50;
	public static final Integer CARRIER_SHIPBILL_STATUS_DISPATCHED_APPROVAL = 53;
	public static final Integer CARRIER_SHIPBILL_STATUS_DISPATCHED_CHECK = 55;

	// 承运商开单或拒绝权限
	public static final String CARRIER_ACCEPT_OR_REFUSED = "CARRIER_ACCEPT_OR_REFUSED";
	public static final String CARRIER_ACCEPT_OR_REFUSED_YES = "";
	public static final String CARRIER_ACCEPT_OR_REFUSED_NO = "";

	// 调度类型 数据字典SCHEDULE_TYPE:1.自有 2.承运商
	public static final String SCHEDULE_TYPE = "SCHEDULE_TYPE";
	public static final Integer SCHEDULE_TYPE_ZY = 1;
	public static final Integer SCHEDULE_TYPE_CYS = 2;

	// 装车扫描类型
	// 1先扫描派车单号再扫描运单号2先扫描派车单号再扫描包裹号3先扫描派车单号再扫描商品条码4只扫描派车单号5只扫描运单号6只扫描包裹号7只扫描商品条码
	public static final String SCANLOADING_METHED = "SCANLOADING_METHED";
	public static final String SCANLOADING_METHED_LOADINGBILL_SHIPBILL = "1";
	public static final String SCANLOADING_METHED_LOADINGBILL_PACKAGE = "2";
	public static final String SCANLOADING_METHED_LOADINGBILL_ITEM = "3";
	public static final String SCANLOADING_METHED_LOADINGBILL = "4";
	public static final String SCANLOADING_METHED_SHIPBILL = "5";
	public static final String SCANLOADING_METHED_PACKAGE = "6";
	public static final String SCANLOADING_METHED_ITEM = "7";

	// 流程配置 数据字典FLOW_CONFIG：Add新增,AddCommit新增提交,Commit提交,CommitReview提交审核,TransportPlan运输计划,Review审核,
	// SelfPickUpVehReg自提车俩登记,SelfPickUpConfirm自提确认"
	// "ReviewDispatch匹配唯一承运方自动调度,Dispatch调度,DispatchCheck调度后自动审核,Check调度审核,Appointment预约,"
	// "ArrangeGoods理货,LoadUnLoad装卸,Scanning装车扫描,SendOff启运登记,ArriveConfirm送达确认
	// 接单Receive,接单后自动提交ReceiveCommit,承运商是否开启接单拒绝RejectReceive
	public final static String FLOW_CONFIG = "FLOW_CONFIG";
	public final static String FLOW_CONFIG_ADD = "Add";
	public final static String FLOW_CONFIG_ADD_LINE_STRATEGY = "isLineStrategyAdd";
	public final static String FLOW_CONFIG_ADD_BUSINESS_STRATEGY = "isBusinessStrategyAdd";
	public final static String FLOW_CONFIG_COMMIT_LINE_STRATEGY = "isLineStrategyCommit";
	public final static String FLOW_CONFIG_COMMIT_BUSINESS_STRATEGY = "isBusinessStrategyCommit";
	public final static String FLOW_CONFIG_ADD_COMMIT = "AddCommit";
	public final static String FLOW_CONFIG_COMMIT = "Commit";
	public final static String FLOW_CONFIG_COMMIT_REVIEW = "CommitReview";
	public final static String FLOW_CONFIG_TRANSPORT_PLAN = "TransportPlan";
	public final static String FLOW_CONFIG_REVIEW = "Review";
	public final static String FLOW_CONFIG_REVIEW_SPLIT = "ReviewSplit";

	public final static String FLOW_CONFIG_REVIEW_DISPATCH = "ReviewDispatch";
	public final static String FLOW_CONFIG_DISPATCH = "Dispatch";
	public final static String FLOW_CONFIG_DISPATCH_CHECK = "DispatchCheck";
	public final static String FLOW_CONFIG_CHECK = "Check";
	public final static String FLOW_CONFIG_APPOINTMENT = "Appointment";

	public final static String FLOW_CONFIG_APPOINTMENT_TN_CN = "AppointmentTakeNumAndCallNum";

	public final static String FLOW_CONFIG_ARRANGE_GOODS = "ArrangeGoods";
	public final static String FLOW_CONFIG_LOAD_UNLOAD = "LoadUnLoad";
	public final static String FLOW_CONFIG_SCANNING = "Scanning";
	public final static String FLOW_CONFIG_SEND_OFF = "SendOff";
	public final static String FLOW_CONFIG_ARRIVE_CONFIRM = "ArriveConfirm";

	public final static String FLOW_CONFIG_RECEIVE = "Receive";
	public final static String FLOW_CONFIG_RECEIVE_COMMIT = "ReceiveCommit";
	public final static String FLOW_CONFIG_REJECT_RECEIVE = "RejectReceive";
	public final static String FLOW_CONFIG_SIGN_IN = "SignIn";
	public final static String FLOW_CONFIG_SELF_PICKUP_VEH_REG = "SelfPickUpVehReg";

	public final static String FLOW_CONFIG_SELF_PICKUP_CONFIRM = "SelfPickUpConfirm";

	// 装车单类型 数据字典LOADING_BILL_TYPE:10.入库类型 20.出库类型 30其他类型
	public static final String LOADING_BILL_TYPE = "LOADING_SCAN_TYPE";
	public static final Integer LOADING_BILL_TYPE_RK = 10;
	public static final Integer LOADING_BILL_TYPE_CK = 20;
	public static final Integer LOADING_BILL_TYPE_QT = 30;

	// 异常类型 数据字典 ABNORMAL_TYPE：10货物异常 20单据异常
	public static final String ABNORMAL_TYPE = "ABNORMAL_TYPE";
	public static final Integer ABNORMAL_TYPE_HW = 10;
	public static final Integer ABNORMAL_TYPE_DJ = 20;

	// 异常事件 数据字典 ABNORMAL_EVENT：10货物缺失 20货物破损
	public static final String ABNORMAL_EVENT = "ABNORMAL_EVENT";
	public static final Integer ABNORMAL_EVENT_QS = 10;
	public static final Integer ABNORMAL_EVENT_PS = 20;

	// 高级查询业务类型 数据字典 BIZ_TYPE：10订单管理 20待审核 30待调度 40已调度 50已派车 60已托运 70所有运单90已完成
	public static final String BIZ_TYPE = "BIZ_TYPE";
	public static final String BIZ_TYPE_BILL = "10";
	public static final String BIZ_TYPE_PENDING_REVIEW = "20";
	public static final String BIZ_TYPE_PENDING_DISPATCH = "30";
	public static final String BIZ_TYPE_DISPATCHED = "40";
	public static final String BIZ_TYPE_SEND_CAR = "50";
	public static final String BIZ_TYPE_TRAILER = "60";
	public static final String BIZ_TYPE_ALL = "70";
//	public static final String BIZ_TYPE_SELF_PICK_UP = "80";
	public static final String BIZ_TYPE_FINISH = "90";

	// 100待装卸 110 待送达 120待理货 130待自提 140待提货 150入库在途 160整车直发 170拣货出库 180出库在途
	// 190外包跟踪 200提货确认
	public static final String BIZ_TYPE_WAITFORARRANGEGOODS = "120";
	public static final String BIZ_TYPE_WAITLOADINGANDUNLOADING = "100";
	public static final String BIZ_TYPE_WAITDELIVERED = "110";
	public static final String BIZ_TYPE_WAITFORSELFWITHDRAWAL = "130";
	public static final String BIZ_TYPE_WAITPICKUPGOODS = "140";
	public static final String BIZ_TYPE_STORAGEHALFWAY = "150";
	public static final String BIZ_TYPE_WHOLECARDELIVERY = "160";
	public static final String BIZ_TYPE_PICKINGOUTBOUND = "170";
	public static final String BIZ_TYPE_OUTSTOCKONWAY = "180";
	public static final String BIZ_TYPE_OUTSOURCETRACK = "190";
	public static final String BIZ_TYPE_DELIVERYCONFIRM = "200";

	public static final String BIZ_TYPE_APPOINTMENT = "210";

	// 210预约管理
	public static final String BIZ_TYPE_BOOKING = "210";

	// 预约状态 数据字典:APPOINTMENT_STATUS 取消0 待审核10、已审核20、已取号30、等待中40、准备装卸50、已叫号60、 待理货(无取号和叫号)63 开始装卸70
	// 装卸完成80
	public static final String APPOINTMENT_STATUS = "APPOINTMENT_STATUS";
	public static final Integer APPOINTMENT_STATUS_QX = 0;
	public static final Integer APPOINTMENT_STATUS_DSH = 10;
	public static final Integer APPOINTMENT_STATUS_YSH = 20;
	public static final Integer APPOINTMENT_STATUS_YQH = 30;
	public static final Integer APPOINTMENT_STATUS_DDZ = 40;
	// public static final Integer APPOINTMENT_STATUS_ZBZX = 50;
	public static final Integer APPOINTMENT_STATUS_YJH = 60;
	public static final Integer APPOINTMENT_STATUS_DLH = 63;
	public static final Integer APPOINTMENT_STATUS_DZX = 65;
	public static final Integer APPOINTMENT_STATUS_KSZX = 70;
	public static final Integer APPOINTMENT_STATUS_ZXWC = 80;

	// 理货状态 数据字典TALLY_STATUS: 10未理货 20开始理货 30理货完成
	public static final String TALLY_STATUS = "TALLY_STATUS";
	public static final Integer TALLY_STATUS_WLH = 10;
	public static final Integer TALLY_STATUS_KSLH = 20;
	public static final Integer TALLY_STATUS_LHWC = 30;

	// 预约类型 数据字典:APPOINTMENT_TYPE 10提货 20送货
	public static final String APPOINTMENT_TYPE = "APPOINTMENT_TYPE";
	public static final Integer APPOINTMENT_TYPE_TH = 10;
	public static final Integer APPOINTMENT_TYPE_SH = 20;

	// 不可预约日期 数据字典 NON_ABL_DT 10按周 20按月
	public static final String NON_ABL_DT = "NON_ABL_DT";
	public static final Integer NON_ABL_DT_WK = 10;
	public static final Integer NON_ABL_DT_MT = 20;

	// 可预约时间单位 数据字典AVAILABLE_UNIT 1小时 2天
	public static final String AVAILABLE_UNIT = "AVAILABLE_UNIT";
	public static final Integer AVAILABLE_UNIT_HOUR = 1;
	public static final Integer AVAILABLE_UNIT_DAY = 2;

	// 可预约时间点 数据字典AVAILABLE_TIME 10预计提货时间 20下单时间 30提交时间 40审核时间 50调度时间 60调度审核时间
	public static final String AVAILABLE_TIME = "AVAILABLE_TIME";
	public static final Integer AVAILABLE_TIME_PICK_UP = 10;
	public static final Integer AVAILABLE_TIME_ORDER = 20;
	public static final Integer AVAILABLE_TIME_COMMIT = 30;
	public static final Integer AVAILABLE_TIME_REVIEW = 40;
	public static final Integer AVAILABLE_TIME_DISPATCH = 50;
	public static final Integer AVAILABLE_TIME_DISPATCH_CHECK = 60;

	public final static String ACTION_SAVE = "SAVE";
	public final static String ACTION_COMMIT = "COMMIT";
	public final static String ACTION_REVIEW = "REVIEW";
	public final static String ACTION_DISPATCH = "DISPATCH";
	public final static String ACTION_CHECK = "CHECK";

	// 分组调度 分组项目 数据字典GROUP_DISPATCH: 0线路 1业务类型 2温度要求 3客户 4客户-收货方 5始发地-省 6始发地-市
	// 7始发地-区 8目的地-省 9目的地-市 10目的地-区 11货主
	public static final String GROUP_DISPATCH = "GROUP_DISPATCH";
	public static final String GROUP_DISPATCH_NEW = "GROUP_DISPATCH_NEW";
	public static final Integer GROUP_DISPATCH_ZERO = 0;
	public static final Integer GROUP_DISPATCH_ONE = 1;
	public static final Integer GROUP_DISPATCH_TWO = 2;
	public static final Integer GROUP_DISPATCH_THREE = 3;
	public static final Integer GROUP_DISPATCH_FOUR = 4;
	public static final Integer GROUP_DISPATCH_FIVE = 5;
	public static final Integer GROUP_DISPATCH_SIX = 6;
	public static final Integer GROUP_DISPATCH_SEVEN = 7;
	public static final Integer GROUP_DISPATCH_EIGHT = 8;
	public static final Integer GROUP_DISPATCH_NINE = 9;
	public static final Integer GROUP_DISPATCH_TEN = 10;
	public static final Integer GROUP_DISPATCH_ELEVEN = 11;

	// 预约单号 加急
	public static final String RESERVE_NUMBER = "急";

	// 仓库车位类型
	public static final String CARPORT_TYPE = "CARPORT_TYPE";
	public static final Integer CARPORT_TYPE_TH = 1;// 提货
	public static final Integer CARPORT_TYPE_SH = 2;// 送货
	public static final Integer CARPORT_TYPE_TY = 3;// 通用
	public static final Integer CARPORT_TYPE_THDDQ = 4;// 提货等待区
	public static final Integer CARPORT_TYPE_SHDDQ = 5;// 送货等待区

	// 数据字典MAINDATA_STATUS: 0停用 1已创建 5审核中 10启用
	public static final String MAINDATA_STATUS = "MAINDATA_STATUS";
	public static final Integer STATUS_DISABLE = 0;
	public static final Integer STATUS_CREATE = 1;
	public static final Integer STATUS_UNDER_REVIEW = 5;
	public static final Integer STATUS_ENABLE = 10;

	// 叫号处理方式 数据字典CALL_HANDLE_TYPE 10等待区先叫号 20按照排队号叫号
	public static final String CALL_HANDLE_TYPE = "CALL_HANDLE_TYPE";
	public static final Integer CALL_HANDLE_TYPE_WAITINGAREA = 10;
	public static final Integer CALL_HANDLE_TYPE_NUMBER = 20;

	// 执行操作(拆分规则)编码 数据字典RULE_CODE:1按商品品类拆分 2按包装类型拆分 3按货物温层拆分 4按数量、库存数量拆分
	// 5按默认存放仓库、数量、库存数量拆分 6按默认存放仓库 7按运单明细匹配关键字拆分
	public static final String RULE_CODE = "RULE_CODE";
	public static final Integer RULE_CODE_CATEGORY = 1;
	public static final Integer RULE_CODE_TYPE = 2;
	public static final Integer RULE_CODE_GOODS = 3;
	public static final Integer RULE_CODE_QUANTITY = 4;
	public static final Integer RULE_CODE_WAREHOUSE = 5;
	public static final Integer RULE_CODE_BRANCH = 6;
	public static final Integer RULE_CODE_KEY = 7;

	// 拆分子单号
	public static final String SUB_SHIPBILL_NO = "-";
	public static final String SPLIT_SHIPBILL_NO = "C";

	// 收货方位置 数据字典CONSIGNEE_LOCATION 0未定位 1已定位
	public static final String CONSIGNEE_LOCATION = "CONSIGNEE_LOCATION";
	public static final Integer CONSIGNEE_LOCATION_N = 0;
	public static final Integer CONSIGNEE_LOCATION_Y = 1;

	// 发货方位置 数据字典SHIPPER_LOCATION 0未定位 1已定位
	public static final String SHIPPER_LOCATION = "SHIPPER_LOCATION";
	public static final Integer SHIPPER_LOCATION_N = 0;
	public static final Integer SHIPPER_LOCATION_Y = 1;

	// 过号处理方式 数据字典OVER_NUM_HANDLE_TYPE 10重新取号 20往后排三位 30往后排五位
	public static final String OVER_NUM_HANDLE_TYPE = "OVER_NUM_HANDLE_TYPE";
	public static final Integer OVER_NUM_HANDLE_TYPE_CXQH = 10;
	public static final Integer OVER_NUM_HANDLE_TYPE_HPSW = 20;
	public static final Integer OVER_NUM_HANDLE_TYPE_HPWW = 30;

	// 关闭类型 数据字典SHIPBILL_CLOSE_TYPE:10客户协商不再发货
	// 5中转子单
	public final static String SHIPBILL_CLOSE_TYPE = "SHIPBILL_CLOSE_TYPE";
	public final static Integer SHIPBILL_CLOSE_TYPE_NOT_DELIVERY = 10;

	// 运单ID生成规则
	// 1根据编码生成器生成 2根据上级运单生成
	public static final String SHIPBILL_ID_CREATE_RULE = "SHIPBILL_ID_CREATE_RULE";
	public static final String SHIPBILL_ID_CREATE_RULE_AUTO = "1";
	public static final String SHIPBILL_ID_CREATE_RULE_FATHER = "2";

	// 拆分后是否重新匹配线路 数据字典 REMATCH_LINE :0否 1是
	public final static String REMATCH_LINE = "REMATCH_LINE";
	public final static Integer REMATCH_LINE_NO = 0;
	public final static Integer REMATCH_LINE_YES = 1;

	// 多个发货地址调度单生成方式 1生成一个调度单 2按照发货地址个数生成
	public static final String LOADING_BILL_CREATE_RULE = "LOADING_BILL_CREATE_RULE";
	public static final String LOADING_BILL_CREATE_RULE_ONE = "1";
	public static final String LOADING_BILL_CREATE_RULE_MANY = "2";

	// 中转时间类型 数据字典 TRANSFER_TIME_TYPE 1下单日期 2提交日期 3审核日期
	public final static String TRANSFER_TIME_TYPE = "TRANSFER_TIME_TYPE";
	public final static Integer TRANSFER_TIME_TYPE_ORDER_DT = 1;
	public final static Integer TRANSFER_TIME_TYPE_COMMIT_DT = 2;
	public final static Integer TRANSFER_TIME_TYPE_REVIEW_DT = 3;

	// 包裹状态 数据字典PACKAGE_STATUS:0 取消 10 初始
	public static final String PACKAGE_STATUS = "PACKAGE_STATUS";
	public static final Integer PACKAGE_STATUS_CANCEL = 0;
	public static final Integer PACKAGE_STATUS_INI = 10;

	// 提货签到时间点 数据字典PICK_UP_SIGN_TIME 10预计提货开始时间 20预计提货结束时间 " +
	// "30下单时间 40提交时间 50审核时间 60调度时间 70调度审核时间
	public final static String PICK_UP_SIGN_TIME = "PICK_UP_SIGN_TIME";

	// 送达签到时间点 数据字典PICK_UP_SIGN_TIME 10预计送达开始时间 20预计送达结束时间 " +
	// "30下单时间 40提交时间 50审核时间 60调度时间 70调度审核时间
	public final static String DELIVERY_SIGN_TIME = "DELIVERY_SIGN_TIME";

	// 提货签到时间单位 数据字典SIGN_TIME_UNIT 1分钟 2小时 3天
	public final static String SIGN_TIME_UNIT = "SIGN_TIME_UNIT";
	public final static Integer SIGN_TIME_UNIT_MINUTE = 1;
	public final static Integer SIGN_TIME_UNIT_HOUR = 2;
	public final static Integer SIGN_TIME_UNIT_DAY = 3;

	// 里程管理 数据字典MILEAGE_MANAGEMENT 0：否 1：是
	public static final String MILEAGE_MANAGEMENT = "MILEAGE_MANAGEMENT";

	/**
	 * 车辆类别 车辆类别数据字典VEHICLE_TYPE_CATEGORY：1冷藏车、2平顶车、3厢式货车
	 */
	public final static String VEHICLE_TYPE_CATEGORY = "VEHICLE_TYPE_CATEGORY";
	public final static Integer VEHICLE_TYPE_CATEGORY_CLOUD = 1;

	/**
	 * 评价对象
	 */
	public static final String EVALUATION_TARGET = "EVALUATION_TARGET";

	/**
	 * 问题类型
	 */
	public static final String EVALUATION_PROBLEM_TYPE = "EVALUATION_PROBLEM_TYPE";

	// 待提货处理方式 1 输入提货件数 2 隐藏提货件数
	public static final String PICKUP_HANDLE_TYPE = "PICKUP_HANDLE_TYPE";
	public static final String PICKUP_HANDLE_TYPE_INPUT = "1";
	public static final String PICKUP_HANDLE_TYPE_HIDDEN = "2";

	// 线路方向 数据字典LINE_DIRECTION 10正向 20逆向
	public final static String LINE_DIRECTION = "LINE_DIRECTION";
	public final static Integer LINE_DIRECTION_F = 10;
	public final static Integer LINE_DIRECTION_R = 20;

	/**
	 * 业务规则 输入温度是否选择  是否启用
	 */
	public final static Integer TEMPERATURE_SELECT_NO = 0;
	public final static Integer TEMPERATURE_SELECT_YES = 1;

	public final static Integer TEMPERATURE_ENABLE_NO = 0;
	public final static Integer TEMPERATURE_ENABLE_YES = 10;

	// 承运商系统标志 CARRIER_SYS_FLG
	public final static String CARRIER_SYS_FLAG = "CARRIER_SYS_FLAG";
	public static final String CARRIER_SYS_FLAG_INNER = "I";
	public static final String CARRIER_SYS_FLAG_OUTSIDE = "O";

	// 车辆类型 数据字典VEHICLE_TYPE: 1自有、2挂靠、3临时
	public static final String VEHICLE_TYPE = "VEHICLE_TYPE";

	//  TMS下传单据 10-仅运单,20-运单和派车单
	public static final String TMS_TRANSFER_ORDER_TYPE = "TMS_TRANSFER_ORDER_TYPE";
	public final static Integer TMS_TRANSFER_ORDER_TYPE_SHIP_BILL = 10;
	public final static Integer TMS_TRANSFER_ORDER_TYPE_SHIP_LOADING_BILL = 20;

	// 容器类型 数据字典CONTAINER_TYPE:1：托盘 2：周转箱 3：保温箱
	public static final String CONTAINER_TYPE = "CONTAINER_TYPE";
	public static final Integer CONTAINER_TYPE_1 = 1;
	public static final Integer CONTAINER_TYPE_2 = 2;
	public static final Integer CONTAINER_TYPE_3 = 3;

	// 容器业务单类型：CONTAINER_BILL_TYPE:1容器随车单 2容器归还单
	public static final String CONTAINER_BILL_TYPE = "CONTAINER_BILL_TYPE";
	public static final Integer CONTAINER_BILL_TYPE_SCD = 1;
	public static final Integer CONTAINER_BILL_TYPE_GHD = 2;

	// 容器业务单状态 数据字典CONTAINER_BILL_STATUS:0 取消 1在途 2在店 3归还 4回途 5已送达 6到仓
	public static final String CONTAINER_BILL_STATUS = "CONTAINER_BILL_STATUS";
	public static final Integer CONTAINER_BILL_STATUS_QX = 0;
	public static final Integer CONTAINER_BILL_STATUS_ZT = 1;
	public static final Integer CONTAINER_BILL_STATUS_ZD = 2;
	public static final Integer CONTAINER_BILL_STATUS_GH = 3;
	public static final Integer CONTAINER_BILL_STATUS_HT = 4;
	public static final Integer CONTAINER_BILL_STATUS_YSD = 5;
	public static final Integer CONTAINER_BILL_STATUS_DC = 6;

	// 容器异常状态 数据字典CONTAINER_ABNORMAL_STATUS：0正常 1缺货 2多货 3丢失
	public static final String CONTAINER_ABNORMAL_STATUS = "CONTAINER_ABNORMAL_STATUS";
	public static final Integer CONTAINER_ABNORMAL_STATUS_ZC = 0;
	public static final Integer CONTAINER_ABNORMAL_STATUS_QH = 1;
	public static final Integer CONTAINER_ABNORMAL_STATUS_DH = 2;
	public static final Integer CONTAINER_ABNORMAL_STATUS_DS = 3;
	public static final String CONTAINER_ABNORMAL_STATUS_NAME_ZC = "正常";
	public static final String CONTAINER_ABNORMAL_STATUS_NAME_QH = "缺货";
	public static final String CONTAINER_ABNORMAL_STATUS_NAME_DH = "多货";
	public static final String CONTAINER_ABNORMAL_STATUS_NAME_DS = "丢失";
	public static final String CONTAINER_ABNORMAL_STATUS_NAME_DC = "到仓";

	// 容器管理单异常状态 数据字典CONTAINER_BILL_ABNORMAL_STATUS：0正常 1异常
	public static final String CONTAINER_BILL_ABNORMAL_STATUS = "CONTAINER_BILL_ABNORMAL_STATUS";
	public static final Integer CONTAINER_BILL_ABNORMAL_STATUS_ZC = 0;
	public static final Integer CONTAINER_BILL_ABNORMAL_STATUS_YC = 1;

	// 计划单状态 数据字典：PLAN_BILL_STATUS:10 待调度
	public static final String PLAN_BILL_STATUS = "PLAN_BILL_STATUS";
	public final static Integer PLAN_BILL_STATUS_PENDING_DISPATCH = 10;


	public static final String GOODS_TRANSFINITE_ENABLED = "GOODS_TRANSFINITE_ENABLED";
	public final static String GOODS_TRANSFINITE_ENABLED_YES = "1";

	public static final String PICK_UP_CHECK_DETAIL_SWITCH = "PICK_UP_CHECK_DETAIL_SWITCH";

	public static final String SCAN_DISPATCH_METHOD = "SCAN_DISPATCH_METHOD";
	public static final String SCAN_DISPATCH_METHOD_CONTAINER_CONSIGNEE = "1";
	public static final String SCAN_DISPATCH_METHOD_ORDER_ITEM = "2";
	public static final String SCAN_DISPATCH_METHOD_SHIPBILL_ITEM = "3";
	public static final String SCAN_DISPATCH_METHOD_ORDER = "4";
	public static final String SCAN_DISPATCH_METHOD_SHIPBILL = "5";

	public static final String GROUP_DISPATCH_PLAN = "GROUP_DISPATCH_PLAN";

	// 运单托运交接状态
	public static final String CONSIGNMENT_HANDOVER_STATUS = "CONSIGNMENT_HANDOVER_STATUS";
	public final static Integer CONSIGNMENT_HANDOVER_STATUS_NO = 1;
	public final static Integer CONSIGNMENT_HANDOVER_STATUS_YES = 2;

	// 数据字典CARRIERS_TYPE:1.三方快递  2.三方物流
	public static final String CARRIERS_TYPE = "CARRIERS_TYPE";
	public final static Integer CARRIERS_TYPE_EXPRESS = 1;
	public final static Integer CARRIERS_TYPE_LOG = 2;

	// 是否最后的包裹 数据字典LAST_PACKAGE 0-否，1-是
	public static final String LAST_PACKAGE = "LAST_PACKAGE";
	public final static Integer LAST_PACKAGE_NO = 0;
	public final static Integer LAST_PACKAGE_YES = 1;
}
