package com.prolog.rdc.tms.constant;

/**
 * 
 *
 * 状态常量
 *
 * @className :StatusConstant
 * @author :fanzw
 * @creationTime :2022/02/24
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/24
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public class StatusConstant {

	// 收货方/发货方位置
	public static final String POSITIONING_YDW = "已定位";
	public static final String POSITIONING_WDW = "未定位";

	// 是否为部门权限
	public static final String IS_DEPT_YES = "YES";
	public static final String IS_DEPT_NO = "NO";

	// 是否通用状态:0否 1是
	public static final Integer WHETHER_NO = 0;
	public static final Integer WHETHER_YES = 1;
	public static final String WHETHER_STRING_NO = "否";
	public static final String WHETHER_STRING_YES = "是";
}
