package com.prolog.rdc.tms.dao.mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.SysGroupQueryDTO;
import com.prolog.rdc.tms.model.dto.planMng.PlanBillDetailCalendarDTO;
import com.prolog.rdc.tms.model.dto.planMng.PlanBillDetailDTO;
import com.prolog.rdc.tms.model.dto.planMng.PlanGroupQueryDTO;
import com.prolog.rdc.tms.model.entity.TmsTransPlanBillDetailModel;
import com.prolog.rdc.tms.model.vo.SysGroupQueryVO;
import com.prolog.rdc.tms.model.vo.planMng.PlanBillDetailQueryVO;
import com.prolog.rdc.tms.model.vo.planMng.PlanGroupQueryVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 运单汇总表mapper
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/30 14:37
 */
@Repository
public interface TmsTransPlanBillDetailMapper extends BaseMapper<TmsTransPlanBillDetailModel> {

    List<PlanBillDetailCalendarDTO> queryOrderByPlanBill(@Param("planBillId")String planBillId);

    List<PlanBillDetailDTO> queryPlanBillDetail(@Param("vo") PlanBillDetailQueryVO vo);


    List<PlanGroupQueryDTO> planGroupQuery(@Param("vo") PlanGroupQueryVO vo);

}
