package com.prolog.rdc.tms.dao.mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.planMng.PlanBillHeaderQueryDTO;
import com.prolog.rdc.tms.model.dto.planMng.PlanBillQueryDTO;
import com.prolog.rdc.tms.model.entity.TmsTransPlanBillHeaderModel;
import com.prolog.rdc.tms.model.vo.planMng.TransportPlanQueryVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 计划单汇总表mapper
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author lhb
 * @since 2023/6/08 14:37
 */
@Repository
public interface TmsTransPlanBillHeaderMapper extends BaseMapper<TmsTransPlanBillHeaderModel> {

    List<PlanBillQueryDTO> queryPlanBillData(@Param("vo")TransportPlanQueryVO vo);


    List<PlanBillHeaderQueryDTO> queryWeekPlanBillData(@Param("vo")TransportPlanQueryVO vo);

    List<PlanBillHeaderQueryDTO> queryMonthPlanBillData(@Param("vo")TransportPlanQueryVO vo);
}
