package com.prolog.rdc.tms.model.dto;

import com.prolog.rdc.tms.model.dto.basicData.ApprovalLogDTO;
import com.prolog.rdc.tms.model.dto.basicData.ApprovalNodeSelDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/12/12
 */
@Data
public class ApprovalInfoDTO {


    @ApiModelProperty(value = "运单信息DTO")
    private List<ShipbillViewDTO> shipbillInfoDTOList;

    @ApiModelProperty(value = "运单审核历史DTO")
    private List<ApprovalLogDTO> shipbillApprovalLogDTOList;

    @ApiModelProperty(value = "运单审核节点DTO")
    private List<ApprovalNodeSelDTO> shipbillApprovalNodeDTOList;
}
