package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 仓库已预约信息查询DTO
 *
 * @author lhb
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("仓库已预约信息查询DTO")
public class BranchAppointmentInfoDTO implements Serializable {

	private static final long serialVersionUID = -95869941042132913L;

	@ApiModelProperty(value = "预约时间日期")
	private Date appointmentDate;

	@ApiModelProperty(value = "预约时间段 数据格式严格按 09:00-12:00(示例)存储")
	private String appointmentTime;

	@ApiModelProperty(value = "预约次数")
	private Integer appointmentCnt;

}
