package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 首页-统计DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/15 11:09
 */

@Data
@ApiModel("首页-统计DTO")
public class FrontPageStatisticalDTO implements Serializable {
    private static final long serialVersionUID = 7131638770404783869L;

    @ApiModelProperty(value = "待提交数量")
    private Integer waitSubmitNum;

    @ApiModelProperty(value = "待审核数量")
    private Integer pendingReviewNum;

    @ApiModelProperty(value = "待调度数量")
    private Integer pendingDispatchNum;

    @ApiModelProperty(value = "待调度审核数量")
    private Integer pendingDispatchReviewNum;

    @ApiModelProperty(value = "待提货数量")
    private Integer waitPickUpNum;

    @ApiModelProperty(value = "待送达数量")
    private Integer waitDeliveredNum;
}
