package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运输管理——外包跟踪 配载包裹分页查询DTO
 *
 * @author xyf
 * @since 2022/4/13 14:17
 *
 */
@ApiModel("外包跟踪 配载商品分页查询DTO")
@Data
public class OutsourceTrackPackageDTO implements Serializable {

	private static final long serialVersionUID = 143359325234349797L;

	@ApiModelProperty(value = "包裹ID")
	private String packageId;

	@ApiModelProperty(value = "包裹号")
	private String packageCode;

	@ApiModelProperty(value = "包裹类型")
	private String packageType;

	@ApiModelProperty(value = "包裹类型名称")
	private String packageTypeName;

	@ApiModelProperty(value = "数量")
	private String pcs;

	@ApiModelProperty(value = "重量")
	private String weight;

	@ApiModelProperty(value = "体积")
	private String volume;

	@ApiModelProperty(value = "暂存区")
	private String storageCache;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "关联设备类型")
	private Integer deviceCompany;

	@ApiModelProperty(value = "关联设备类型名称")
	private String deviceCompanyName;

	@ApiModelProperty(value = "设备名称")
	private String deviceName;

}
