package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 提货预约DTO
 *
 * @author lhb
 * @since 2022-06-06 15:30:16
 */
@Data
@ApiModel("提货预约DTO")
public class PickUpAppointmentDTO implements Serializable {

	private static final long serialVersionUID = -95869941042132913L;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "可预约一周时间")
	private List<AppointmentWeekDTO> appointmentWeeks;



}
