package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/8 11:30
 */

@Data
@ApiModel("装车扫描DTO")
public class PickingOutboundLoadingScanDTO implements Serializable {

	private static final long serialVersionUID = 9179127280552737280L;

	@ApiModelProperty(value = "提示信息")
	private String msg;

	@ApiModelProperty(value = "标记")
	private Integer flag;

	@ApiModelProperty(value = "派车单")
	private LoadingScanByLoadbillDTO loadingScanByLoadbillDTO;

	@ApiModelProperty("未扫描集合")
	private List<PickingOutboundNotScannedDTO> pickingOutboundNotScannedDTOS = new ArrayList<PickingOutboundNotScannedDTO>();
}
