package com.prolog.rdc.tms.model.dto;

import com.prolog.rdc.tms.model.dto.intransit.TmsVehicleGpsDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("运单温度DTO")
public class ShipBillTemperatureDTO {

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @ApiModelProperty(value = "温控区间（上限）")
    private BigDecimal temperatureCtlUpperLimit;

    @ApiModelProperty(value = "温控区间（下限）")
    private BigDecimal temperatureCtlLowerLimit;

    @ApiModelProperty(value = "温控轨迹")
    private List<TmsVehicleGpsDTO> dtoList;
}
