package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("运单温度轨迹明细DTO")
public class ShipBillTemperatureTrackDtlDTO {

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;

    @ApiModelProperty(value = "温度")
    private BigDecimal temperature;

    @ApiModelProperty(value = "设备号")
    private String deviceCode;

    @ApiModelProperty(value = "温度采集时间")
    private Date time;
}
