package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 运单业务规则DTO
 *
 * @author zhangsj
 * @since 2022-03-30 15:30:16
 */
@Data
@ApiModel("运单业务规则DTO")
public class ShipbillBusinessRuleDTO implements Serializable {
	private static final long serialVersionUID = -95869941042132913L;

	@ApiModelProperty(value = "配送方式 数据字典DELIVERY_METHOD_TYPE：1配送 2自提")
	private Integer deliveryMethodType;

	@ApiModelProperty(value = "配送方式名称 数据字典DELIVERY_METHOD_TYPE：1配送 2自提")
	private String deliveryMethodTypeName;

}
