package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @date 2023/2/7
 */
@Data
@ApiModel("运单轨迹DTO")
public class ShipbillTrackingDTO {

    @ApiModelProperty(value = "快递名称")
    private String carriersCode;

    @ApiModelProperty(value = "快递单号")
    private String expressNumber;

    @ApiModelProperty(value = "路由描述")
    private String routeContext;

    @ApiModelProperty(value = "路由日期")
    private String routeDate;

    @ApiModelProperty(value = "经度")
    private String longitude;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = "区域名称")
    private String areaName;
}
