package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 系统调度分组配置明细DTO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("系统调度分组配置明细DTO")
public class SysGroupCfgDtlDTO implements Serializable {

	private static final long serialVersionUID = -95869941042132913L;

	@ApiModelProperty(value = "明细ID")
	private String id;

	@ApiModelProperty(value = "分组配置ID")
	private String hdrId;

	@ApiModelProperty(value = "分组顺序")
	private Integer groupNumber;

	@ApiModelProperty(value = "分组项目 多个项目逗号分割")
	private String groupItem;

	@ApiModelProperty(value = "分组项目名称 多个项目逗号分割")
	private String groupItemName;

}
