package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author lhb
 * @date 2022/12/6
 */
@Data
@ApiModel("取温度轨迹间隔DTO")
public class TemperatureIntervalDTO {

    @ApiModelProperty(value = "最小时间")
    private Date minDate;

    @ApiModelProperty(value = "最大时间")
    private Date maxDate;

}
