package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class TmsLineSiteDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "站点顺序")
	private Integer siteOrder;

	@ApiModelProperty(value = "站点类型名称")
	private String siteTypeName;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "站点经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "站点纬度")
	private BigDecimal latitude;

	@ApiModelProperty(value = "收货方单位ID")
	private Long consigneeUnitId;

	@ApiModelProperty(value = "收货方单位编码")
	private String consigneeUnitCode;

	@ApiModelProperty(value = "收货方单位名称")
	private String consigneeUnitName;

	@ApiModelProperty(value = "收货方ID")
	private Long consigneeId;

	@ApiModelProperty(value = "收货方编码")
	private String consigneeCode;

	@ApiModelProperty(value = "收货方名称")
	private String consigneeName;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "是否匹配到线路 1是 0否")
	private String isLineSite;
}
