package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


/**
 * @author hongbo.pan
 * @date 2023/5/22
 */
@Data
public class TmsShipbillContainerDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "容器id")
    private Long containerId;

    @ApiModelProperty(value = "容器编号")
    private String containerCode;

    @ApiModelProperty(value = "容器名称")
    private String containerName;

    @ApiModelProperty(value = "温度")
    private BigDecimal temperature;

}
