package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 已扫描DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/13 13:45
 */
@Data
@ApiModel("已扫描DTO")
public class WaitPickUpGoodsScannedDTO implements Serializable {

    private static final long serialVersionUID = 8513067239593984492L;

    @ApiModelProperty(value = "已扫描派车单集合")
    private List<WaitPickUpGoodsScannedHeadDTO> waitPickUpGoodsScannedHeadDTOS;

    @ApiModelProperty(value = "已扫描运单集合")
    private List<WaitPickUpGoodsScannedDetailDTO> waitPickUpGoodsScannedDetailDTOS;
}
