package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 等待区DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/8 14:58
 */
@Data
@ApiModel("等待区DTO")
public class WaitingAreaDTO implements Serializable {
    private static final long serialVersionUID = -5820620146698153632L;

    @ApiModelProperty(value = "车牌号")
    private List<String> vehiclePlateNumbers;
}
