package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 仓库信息DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/8 15:00
 */
@Data
@ApiModel("仓库信息DTO")
public class WarehouseInfoDTO implements Serializable {
    private static final long serialVersionUID = -8671985277707964104L;

    @ApiModelProperty("月台信息集合")
    private List<PlatformInfoDTO> platformInfoDTOS = new ArrayList<PlatformInfoDTO>();

    @ApiModelProperty("等待区信息集合")
    private WaitingAreaDTO waitingAreaDTO;
}
