package com.prolog.rdc.tms.model.dto.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author hongbo.pan
 * @since 2023-08-24 12:27:10
*/
@Data
public class IntelligentDispatchResultConsigneeRouteDTO {

    @ApiModelProperty(value = "收货方id")
    private Long consigneeId;

    @ApiModelProperty(value = "运送顺序 0表示仓库")
    private Integer deliveryOrder;

    @ApiModelProperty(value = "经纬度")
    private List<BigDecimal> longitudeLatitude;

    @ApiModelProperty(value = "运单id集合")
    private List<String> shipBillIds;

}
