package com.prolog.rdc.tms.model.dto.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author hongbo.pan
 * @date 2023/8/29
 */
@Builder
@Data
public class IntelligentDispatchShipCountDTO {

    @ApiModelProperty(value = "运单数量")
    private Integer selectShipBillNum;

    @ApiModelProperty(value = "总体积")
    private BigDecimal totalVolume;

    @ApiModelProperty(value = "总重量")
    private BigDecimal totalWeight;

}
