package com.prolog.rdc.tms.model.dto.intransit;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @date 2022/9/22
 */
@Data
public class InTransitTrackDTO implements Serializable {

	private static final long serialVersionUID = -7732062294235119701L;

	@ApiModelProperty(value = "状态")
	private Integer status;

	@ApiModelProperty(value = "在途/终点")
	private String desc;

	@ApiModelProperty(value = "轨迹")
	private List<TmsVehicleGpsDTO> tmsVehicleGpsDTOList;

	@ApiModelProperty(value = "设备轨迹")
	private List<DeviceGpsDTO> deviceGpsDTOList;
}
