package com.prolog.rdc.tms.model.dto.planMng;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 计划单一周数据DTO
 *
 * @author lhb
 * @since 2022-06-06 15:30:16
 */
@Data
@ApiModel("计划单一周数据DTO")
public class PlanBillCalendarDTO implements Serializable {

	private static final long serialVersionUID = -95869941042132913L;

	@ApiModelProperty(value = "周几的日期")
	private String planDate;

	@ApiModelProperty(value = "周几的日期的日")
	private String planDateDD;

	@ApiModelProperty(value = "日历")
	private String planCalendar;

	@ApiModelProperty(value = "月历背景是否灰色 1灰色, 0默认颜色")
	private String isGrey;

	/*@ApiModelProperty(value = "颜色标记 底纹背景颜色")
	private String colorTagBgdColor;

	@ApiModelProperty(value = "颜色标记 字体颜色")
	private String colorTagFontColor;

	@ApiModelProperty(value = "记录标记语")
	private String recordTagWord;*/

	@ApiModelProperty(value = "订单的计划单数据")
	private List<PlanBillHeaderQueryDTO> planBillDTOS;

}
