package com.prolog.rdc.tms.model.dto.planMng;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 计划明细单DTO
 *
 * @author lhb
 * @since 2023-06-07 15:30:16
 */
@Data
@ApiModel("计划明细单DTO")
public class PlanBillDetailCalendarDTO implements Serializable {

	private static final long serialVersionUID = -95869941042132913L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "ids")
	private String ids;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "运单明细行id")
	private String shipbillDetailId;

	@ApiModelProperty(value = "运单明细行id")
	private String shipbillDetailIds;

	@ApiModelProperty(value = "运单id")
	private String shipbillIds;

	@ApiModelProperty(value = "订单ID")
	private String orderId;

	@ApiModelProperty(value = "订单编号")
	private String orderNo;
}
