package com.prolog.rdc.tms.model.dto.print;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 
 *
 * 待预约打印DTO
 *
 * @className :AppointmentPrintDTO
 * @author :fanzw
 * @creationTime :2022/11/16
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/16
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AppointmentPrintDTO extends PrintBaseDTO {

	private static final long serialVersionUID = -6147565670345483610L;

	@ApiModelProperty(value = " 待预约打印数据")
	private List<AppointmentPrintDataDTO> data;
}
