package com.prolog.rdc.tms.model.dto.print;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 待预约明细打印DTO
 *
 * @className :AppointmentPrintDetailDTO
 * @author :fanzw
 * @creationTime :2022/11/16
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/16
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("待预约明细打印DTO")
public class AppointmentPrintDetailDTO implements Serializable {

	private static final long serialVersionUID = -3696269108158988927L;

	@ApiModelProperty(value = "商品编码")
	private String itemCode;

	@ApiModelProperty(value = "商品名称")
	private String itemName;

	@ApiModelProperty(value = "商品品类")
	private String itemCategoryName;

	@ApiModelProperty(value = "包装类型")
	private String packTypeName;

	@ApiModelProperty(value = "货物温层")
	private String cargoThermosphereName;

	@ApiModelProperty(value = "件数")
	private BigDecimal pcs;

	@ApiModelProperty(value = "体积")
	private BigDecimal volume;

	@ApiModelProperty(value = "重量")
	private BigDecimal weight;

	@ApiModelProperty(value = "备注")
	private String memo;
}
