package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 
 *
 * 异常订单包裹查询VO
 *
 * @className :AbnormalShipbillPackageQueryVO
 * @author :fanzw
 * @creationTime :2022/06/28
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/28
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("异常订单包裹查询VO")
public class AbnormalShipbillPackageQueryVO implements Serializable {

	private static final long serialVersionUID = -2946312218119210818L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@NotNull(message = "页码不能为空")
	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@NotNull(message = "每页条数不能为空")
	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

}
