package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 所有运单——包裹更新VO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("包裹更新VO")
public class AllShipbillPackageVO implements Serializable {

	private static final long serialVersionUID = -1570418371562495334L;

	@ApiModelProperty(value = "包裹ID")
	private String packageId;

	@ApiModelProperty(value = "数量")
	private String pcs;

	@ApiModelProperty(value = "重量")
	private String weight;

	@ApiModelProperty(value = "体积")
	private String volume;

}
