package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 运输管理——所有运单销售模式分页查询VO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("所有运单销售模式分页查询VO")
public class AllShipbillSellQueryVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "运单ID(主键)")
	private String shipbillId;


	@ApiModelProperty(value = "承运商拆单类型 数据字典CARRIER_SPLIT_ORDER_TYPE:1未拆单 2拆分主单 3拆分子单 4中转主单 5中转子单")
	private Integer carrierSplitOrderType;

	@ApiModelProperty(value = "拆单类型 数据字典SPLIT_ORDER_TYPE:1未拆单 2拆分主单 3拆分子单 4中转主单 5中转子单")
	private Integer splitOrderType;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

}
