package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运输管理——所有运单分页查询VO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("所有运单分页查询VO")
public class AllShipbillUpdateVO implements Serializable {

	private static final long serialVersionUID = 6918711010534370530L;

	@ApiModelProperty(value = "修改过数据的运单商品明细List")
	private List<AllShipbillItemVO> items;

	@ApiModelProperty(value = "修改过数据的运单包裹明细List")
	private List<AllShipbillPackageVO> packs;

}
