package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 根据站点计算总里程VO
 *
 * @author lhb
 * @date 2022/04/20
 */
@Data
@ApiModel("根据站点计算总里程VO")
public class CalculateMileageVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;


	@ApiModelProperty(value = "站点顺序")
	private Integer siteOrder;

	@ApiModelProperty(value = "站点名称")
	private String stationName;

	@ApiModelProperty(value = "收(发)货方名称")
	private String scName;

	@ApiModelProperty(value = "分组项目")
	private List<String> groupItem;

}
