package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 查询仓库信息VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/8 15:06
 */
@Data
@ApiModel("查询仓库信息VO")
public class CallNumberByNextOneVO implements Serializable {
	private static final long serialVersionUID = 1203945335321847876L;

	@NotNull(message = "仓库ID不为空")
	@ApiModelProperty("仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "预约单ID")
	private String appointmentId;

	@NotNull(message = "月台编号不为空")
	@ApiModelProperty(value = "月台编号")
	private String platformCode;

}
