package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 门店在途容器明细查询VO
 *
 * @className :ContoinerBillConsigneeDetailsListVO
 * @author :fanzw
 * @creationTime :2023/06/09
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/06/09
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("门店在途容器明细查询VO")
public class ContoinerBillConsigneeDetailsListVO implements Serializable {

	private static final long serialVersionUID = -7922656290513460711L;

	@ApiModelProperty(value = "关联单号（容器业务单号）")
	private String containerBillNos;

	@ApiModelProperty(value = "容器编号")
	private String containerCode;



}
