package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 容器在途查询VO
 *
 * @className :ContoinerBillContainerPageVO
 * @author :fanzw
 * @creationTime :2023/06/09
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/06/09
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("容器在途查询VO")
public class ContoinerBillContainerPageVO implements Serializable {

	private static final long serialVersionUID = -8492689049602579579L;

	@ApiModelProperty(value = "容器编码")
	private String containerCode;

	@ApiModelProperty(value = "状态")
	private Integer status;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "部门权限", hidden = true)
	private String[] depts;

	@ApiModelProperty(value = "仓库权限", hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "客户权限", hidden = true)
	private Long customer;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

}
