package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 容器归还单查询VO
 *
 * @className :ContoinerBillReturnPageVO
 * @author :fanzw
 * @creationTime :2023/06/09
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/06/09
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("容器归还单查询VO")
public class ContoinerBillReturnPageVO implements Serializable {

	private static final long serialVersionUID = 8946568975798627370L;

	@ApiModelProperty(value = "容器编号")
	private String containerCode;

	@ApiModelProperty(value = "发货方ID")
	private Long[] shipperIds;

	@ApiModelProperty(value = "发货方名称")
	private String[] shipperNames;

	@ApiModelProperty(value = "发货方名称")
	private String shipperName;

	@ApiModelProperty(value = "司机姓名")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "状态")
	private Integer status;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "部门权限", hidden = true)
	private String[] depts;

	@ApiModelProperty(value = "仓库权限", hidden = true)
	private Long[] wsarehouses;

	@ApiModelProperty(value = "客户权限", hidden = true)
	private Long customer;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;


}
