package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 容器归还单签收VO
 *
 * @className :ContoinerBillReturnReceiptedVO
 * @author :fanzw
 * @creationTime :2023/06/09
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/06/09
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("容器归还单签收VO")
public class ContoinerBillReturnReceiptedVO implements Serializable {

	private static final long serialVersionUID = -2001163902714116035L;

	@ApiModelProperty(value = "容器归还单号")
	private String containerBillNo;

	@ApiModelProperty(value = "容器归还单签收明细")
	private List<ContoinerBillReturnReceiptedDetailsVO> details;



}
