package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

import java.math.BigDecimal;

/**
 * @author yaohai
 * @version v1.0.0
 * @since 2023/09/15 09:15
 **/
@Data
@ApiModel("运单签到同步VO")
public class CustomerSignVO {

    @ApiModelProperty(value = "订单号")
    public String orderNo;

    @ApiModelProperty(value = "送达时间")
    public String arrivedTime;

    @ApiModelProperty(value = "签收人")
    public String signUser;

    @ApiModelProperty(value = "签到时间")
    public String signTime;

    @ApiModelProperty(value = "货物图片")
    public MultipartFile[] itemImg;

    @ApiModelProperty(value = "回单照片")
    public MultipartFile[] hdImg;

    @ApiModelProperty(value = "备注")
    public String memo;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;
}
