package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 调度单审批流提交VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/5/10 11:17
 */
@Data
@ApiModel("调度单审批流提交VO")
public class DispatchApprovalSubmitVO implements Serializable {
	private static final long serialVersionUID = 4250270869273727509L;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "审批业务ID")
	private String approvalBusinessId;
}
