package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 分组调度VO
 *
 * @author lhb
 * @date 2022/04/20
 */
@Data
@ApiModel("分组调度VO")
public class GroupPendingDispatchVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "装车单汇总")
	private LoadingBillHeaderVO loadingBillHeaderVO;

	@ApiModelProperty(value = "装车单明细")
	private List<LoadingBillDetailVO> loadingBillDetailVO;

}
