package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待正本回单确认VO
 *
 * @author lhb
 * @date 2022/06/06
 */
@ApiModel("待正本回单确认VO")
@Data
public class OrigReceiptConfirmVO implements Serializable {

	private static final long serialVersionUID = 7730838649806815161L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "回单状态")
	private Integer origReceiptStatus;

	@ApiModelProperty(value = "回单类型")
	private Integer origReceiptType;

	@ApiModelProperty(value = "回单返回时间")
	private Date origReceiptReturnTime;

	@ApiModelProperty(value = "回单时效")
	private Integer origReceiptAging;

	@ApiModelProperty(value = "接收人")
	private String origReceiptReceivePerson;

	@ApiModelProperty(value = "接收份数")
	private Integer origReceiptNum;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "回单照片地址")
	private String picUrl;
}
