package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待正本回单确认对象VO
 *
 * @author lhb
 * @date 2022/06/06
 */
@ApiModel("待正本回单确认对象VO")
@Data
public class OrigReceiptVO implements Serializable {

	private static final long serialVersionUID = 1452462068503941752L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单状态")
	private Integer status;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

}
