package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 待审核商品信息查询
 *
 * @className :PendingReviewDetailVO
 * @author :fanzw
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/16
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("待审核商品信息查询")
public class PendingReviewDetailVO implements Serializable {

	private static final long serialVersionUID = -8776581947842290202L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

}
