package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待审核包裹信息查询VO
 *
 * @author lhb
 * @date 2022/04/11
 */
@ApiModel("待审核包裹信息查询VO")
@Data
public class PendingReviewShipbillPackageListVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

}
