package com.prolog.rdc.tms.model.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 提货预约VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/14 14:56
 */
@Data
@ApiModel("提货预约VO")
public class PickUpAppointmentVO implements Serializable {

    private static final long serialVersionUID = 6894768558505903615L;

    @ApiModelProperty(value = "仓库ID")
    private Long branchId;

    @ApiModelProperty(value = "仓库编码")
    private String branchCode;

    @ApiModelProperty(value = "仓库名称")
    private String branchName;

    @ApiModelProperty(value = "勾选的预约运单集合")
    List<PickUpAppointmentShipbillVO> pickUpAppointmentShipbillList;
}
