package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 回单确认VO
 *
 * @author lhb
 * @date 2022/06/06
 */
@ApiModel("回单确认VO")
@Data
public class ReceiptConfirmVO implements Serializable {

	private static final long serialVersionUID = 3721621027326942299L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "回单时间")
	private Date receiptTime;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "回单照片地址")
	private String picUrl;

}
