package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 配载运单查询VO
 *
 * @author lhb
 * @date 2022/06/01
 */
@Data
@ApiModel("配载运单查询VO")
public class ReceiptLoadingShipbillPageVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "运单id集合")
	private List<String> shipbillIds;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

}
