package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 已派车明细修改VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/20 11:14
 */
@Data
@ApiModel("已派车明细修改VO")
public class SendCarUpdateDetailVO implements Serializable {

	private static final long serialVersionUID = -1220356283781059796L;

	@ApiModelProperty(value = "主键ID")
	private String id;

	@ApiModelProperty(value = "配送顺序")
	private Integer shippingOrder;
}
