package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 运单修改VO
 * 
 * @author Eton Woo
 * @date 2022/04/02
 */
@Data
@ApiModel("运单修改VO")
public class ShipbillCloseVO implements Serializable {

	private static final long serialVersionUID = -7754713428926319575L;

	@ApiModelProperty(value = "关闭类型")
	private Integer closeType;

	@ApiModelProperty(value = "关闭原因")
	private String closeReason;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "商品集合")
	private List<ShipbillDetailModifyVO> details;

}
