package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单明细查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/31 10:31
 */
@Data
@ApiModel("运单明细查询VO")
public class ShipbillDetailPageVO implements Serializable {

	private static final long serialVersionUID = -6287978451915225369L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;
}
