package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 运单细表VO
 *
 * @author lhb
 * @since 2022-04-19 13:51:51
 */
@Data
@ApiModel("运单明细VO")
public class ShipbillDetailVO implements Serializable {
	private static final long serialVersionUID = -30632760594453541L;

	@ApiModelProperty(value = "运单明细主键")
	private String id;

	@ApiModelProperty(value = "件数")
	private BigDecimal pcs;

	@ApiModelProperty(value = "申请件数")
	private BigDecimal applyPcs;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;
}
