package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 待调度拆分VO
 *
 * @author lhb
 * @date 2022/04/24
 */
@Data
@ApiModel("待调度拆分VO")
public class SplitVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "拆分运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "拆分成多个子单集合")
	private List<SplitGoodsListVO> splitGoodsList;

}
