package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 打印路由配置表 VO
 * 
 * @author Eton Woo
 * @date 2022/04/06
 */
@Data
@ApiModel("打印路由配置表 VO")
public class SysDefineprintrouteVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "仓ID")
	private Long branchId;

	@ApiModelProperty(value = "路由配置ID")
	private String printrouteid;

	@ApiModelProperty(value = "IP地址")
	private String printername;

	@ApiModelProperty(value = "状态")
	private Integer status;

	@ApiModelProperty(value = "工号")
	private String operatorcode;

	@ApiModelProperty(value = "人员名称")
	private String operatorname;

	@ApiModelProperty(value = "字符属性扩展1")
	private String attrStr1;

	@ApiModelProperty(value = "字符属性扩展2")
	private String attrStr2;

	@ApiModelProperty(value = "字符属性扩展3")
	private String attrStr3;

	@ApiModelProperty(value = "字符属性扩展4")
	private String attrStr4;

	@ApiModelProperty(value = "字符属性扩展5")
	private String attrStr5;

	@ApiModelProperty(value = "模糊条件")
	private String condition;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
