package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 系统调度分组配置明细保存VO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("系统调度分组配置保存VO")
public class SysGroupCfgDtlSaveVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "分组顺序")
	private Integer groupNumber;

	@ApiModelProperty(value = "分组项目 多个项目逗号分割")
	private String groupItem;

}
