package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TakeNumberAppointQueryVO implements Serializable {

	private static final long serialVersionUID = 1652693458823009213L;

	@ApiModelProperty(value = "预约号")
	private String reserveNumber;

	@ApiModelProperty(value = "预约地点")
	private String branchName;

	@ApiModelProperty(value = "预约类型")
	private Integer appointmentType;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@NotNull(message = "仓库ID不能为空")
	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

}
