package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 已拖车配载包裹查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/15 15:21
 */
@Data
@ApiModel("已拖车配载包裹查询VO")
public class TrailerPackageDetailVO implements Serializable {

	private static final long serialVersionUID = 3034014640480453048L;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;
}
