package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 待自提商品查询VO
 *
 * @className :WaitForSelfWithdrawalItemQueryVO
 * @author :fanzw
 * @creationTime :2022/06/28
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/28
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("待自提商品查询VO")
public class WaitForSelfWithdrawalItemQueryVO implements Serializable {

	private static final long serialVersionUID = 7507472608690369925L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@ApiModelProperty(value = "页最大行数")
	private Integer pageSize;

}
