package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 整车直发—客服反馈VO
 *
 * @author xyf
 * @date 2022/04/22
 */
@Data
@ApiModel("整车直发—客服反馈VO")
public class WholeCarFeedbackVO implements Serializable {

	private static final long serialVersionUID = -2621323519052895034L;

	@ApiModelProperty(value = "勾选的派车单主键集合 格式['','']")
	private List<String> loadingBillids;

	@ApiModelProperty(value = "勾选的运单主键集合 格式['','']")
	private List<String> shipbillIds;

	@ApiModelProperty(value = "反馈日期")
	private Date feedbackDate;

	@ApiModelProperty(value = "实时地点")
	private String address;

	@ApiModelProperty(value = "反馈内容")
	private String feedbackContent;

	@ApiModelProperty(value = "反馈图片")
	private String feedbackPicture;

}
