package com.prolog.rdc.tms.model.vo.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author hongbo.pan
 * @date 2023/8/31
 */
@Data
public class IntelligentDispatchLoadingQueryVO {

    @NotBlank
    @ApiModelProperty(value = "智能调度id")
    private String intelligentDispatchId;

    @ApiModelProperty(value = "车型ID")
    private Long vehicleTypeId;

    @ApiModelProperty(value = "车辆ID")
    private Long vehicleId;

    @ApiModelProperty(value = "所属部门ID")
    private String departmentId;

    @ApiModelProperty(value = "调度状态")
    private Integer status;

    @ApiModelProperty(value = "装载率")
    private Integer rate;
}
