package com.prolog.rdc.tms.model.vo.planMng;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 运输计划单明细查询VO
 *
 * @author lhb
 * @date 2023/06/07
 */
@Data
@ApiModel("运输计划单明细查询VO")
public class PlanBillDetailQueryVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "计划单ID")
	private String planBillId;

	@ApiModelProperty(value = "计划单明细ID")
	private List<String> ids;

	@ApiModelProperty(value = "是否是调度查询")
	private String isDispatch;


}
