package com.prolog.rdc.tms.model.vo.planMng;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 计划单-配载查询VO
 *
 * @author lhb
 * @date 2022/04/20
 */
@Data
@ApiModel("计划单-配载查询VO")
public class PlanBillLoadingVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "多个计划单明细ID,逗号分隔")
	private String planDetailIds;

}
