package com.prolog.rdc.tms.service;

import com.prolog.rdc.tms.model.entity.TmsLoadingBillHeaderModel;

import java.util.List;

/**
 * 派车单服务
 * @author hongbo.pan
 * @date 2022/9/29
 */
public interface LoadingBillService {

    /**
     * 更新派车单站点数
     * updateStationByLoadingBillId
     * @param loadingBillId
     */
    void updateStationByLoadingBillId(String loadingBillId);

    /**
     * 批量更新派车单站点数
     * updateStationByLoadingBillIdList
     * @param loadingBillIdList
     */
    void updateStationByLoadingBillIdList(List<String> loadingBillIdList);

    /**
     * setLoadingBillDelivery
     * @param loadingBillHeaderModel
     * @return TmsLoadingBillHeaderModel
     */
    TmsLoadingBillHeaderModel setLoadingBillDelivery(TmsLoadingBillHeaderModel loadingBillHeaderModel);
}
