package com.prolog.rdc.tms.service.report;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.report.YogurtOperationExportDTO;
import com.prolog.rdc.tms.model.dto.report.YogurtOperationReportDTO;
import com.prolog.rdc.tms.model.vo.report.YogurtOperationReportVO;

import java.util.List;

/**
 * 酸奶运营统计报表服务层
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/6/1 12:43
 */
public interface YogurtOperationReportService {

	/**
	 * 酸奶运营报表分页查询
	 *
	 * @param
	 * @return
	 */
	Page<YogurtOperationReportDTO> pageYogurtOperationReport(YogurtOperationReportVO vo);


	List<YogurtOperationExportDTO>  exportData(YogurtOperationReportVO vo);

	List<YogurtOperationExportDTO>  exportPageData(YogurtOperationReportVO vo);

}
