package com.prolog.rdc.tms.constant;

/**
 * 
 *
 * 接口常量类
 *
 * @className :InterfaceConstant
 * @author :fanzw
 * @creationTime :2022/08/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public class InterfaceConstant {

	//
	public static final String INTERFACE_DATA_N = "N";
	public static final String INTERFACE_DATA_Y = "Y";
	public static final String INTERFACE_DATA_E = "E";

	public static final String INTERFACE_SYSTEM = "SYSTEM";

	// 运单配送方式 1配送 2自提
	public static final Integer DELIVERY_METHOD_TYPE_PS = 1;
	public static final Integer DELIVERY_METHOD_TYPE_ZT = 2;

	// 运单业务类型 1销售订单
	public static final Integer ORDER_BUSINESS_TYPE_XSDD = 1;

	// 订单类型 1销售订单
	public static final Integer ORDER_TYPE_PT = 1;
	public static final Integer ORDER_TYPE_JJ = 2;
	public static final Integer ORDER_TYPE_JIAJ = 3;

	// 运输类型 1整车 2零散
	public static final Integer TRANSPORT_TYPE_ZC = 1;
	public static final Integer TRANSPORT_TYPE_LS = 2;

	// 客户收货方状态 0停用 1已创建 5审核中 10启用
	public static final Integer CUSTOMER_CONSIGNEE_STATUS_TY = 0;
	public static final Integer CUSTOMER_CONSIGNEE_STATUS_YCJ = 1;
	public static final Integer CUSTOMER_CONSIGNEE_STATUS_SHZ = 5;
	public static final Integer CUSTOMER_CONSIGNEE_STATUS_QY = 10;

	// 发货方类型 数据字典SHIPPER_TYPE:1客户 2仓库 3供应商
	public final static String SHIPPER_TYPE = "SHIPPER_TYPE";
	public final static Integer SHIPPER_TYPE_KH = 1;
	public final static Integer SHIPPER_TYPE_CK = 2;
	public final static Integer SHIPPER_TYPE_GYS = 3;

	// 收货方类型 数据字典CONSIGNEE_TYPE:1客户 2仓库 3供应商
	public final static String CONSIGNEE_TYPE = "CONSIGNEE_TYPE";
	public final static Integer CONSIGNEE_TYPE_KH = 1;
	public final static Integer CONSIGNEE_TYPE_CK = 2;
	public final static Integer CONSIGNEE_TYPE_GYS = 3;

	// 来源 数据字典SOURCE 1.新增 2.excel导入 3.接口导入
	public static final Integer SOURCE_ADD = 1;
	public static final Integer SOURCE_EXCEL = 2;
	public static final Integer SOURCE_INTERFACE = 3;

	// 包裹类型PACKAGE_TYPE:1整件 2拼箱
	public static final String PACKAGE_TYPE = "PACKAGE_TYPE";
	public static final Integer PACKAGE_TYPE_ZJ = 1;
	public static final Integer PACKAGE_TYPE_PX = 2;

	// 商品品类层级 数据字典ITEM_CATEGORY_LEVEL： 1：1级 2：2级 3：3级
	public static final String ITEM_CATEGORY_LEVEL = "ITEM_CATEGORY_LEVEL";
	public static final Integer ITEM_CATEGORY_LEVEL_ONE = 1;
	public static final Integer ITEM_CATEGORY_LEVEL_TWO = 2;
	public static final Integer ITEM_CATEGORY_LEVEL_THREE = 3;


	// 运单路由表ID
	public static final String SHIPBILL_ROUTE_DATA_ID = "SHIPBILL_ROUTE_DATA_ID";

	// 是否最后的包裹 数据字典LAST_PACKAGE 0-否，1-是
	public static final String LAST_PACKAGE = "LAST_PACKAGE";
	public final static Integer LAST_PACKAGE_NO = 0;
	public final static Integer LAST_PACKAGE_YES = 1;

}
