package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.entity.CustomerModel;

/**
 * 
 *
 * 客户资料接口表
 *
 * @className :CustomerMapper
 * @author :fanzw
 * @creationTime :2022/11/07
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/07
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface CustomerMapper extends BaseMapper<CustomerModel> {

	/**
	 * 查询未处理的数据
	 * 
	 * @return
	 */
	List<CustomerModel> listCustomerSql();

}
