package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.entity.ProviderShipperModel;

/**
 * 
 *
 * 供应商发货方接口表
 *
 * @className :ProviderShipperMapper
 * @author :fanzw
 * @creationTime :2022/11/14
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/14
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface ProviderShipperMapper extends BaseMapper<ProviderShipperModel> {

	/**
	 * 查询未处理的数据
	 * 
	 * @return
	 */
	List<ProviderShipperModel> listProviderShipperSql();

}
