package com.prolog.rdc.tms.service;

import java.util.List;

import com.prolog.rdc.tms.model.vo.BillDownloadVO;
import com.prolog.rdc.tms.model.vo.IntfShipbillHeaderVO;

/**
 * 
 *
 * 运单接口服务层
 *
 * @className :ShipbillService
 * @author :fanzw
 * @creationTime :2022/11/08
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/08
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface ShipbillService {

	/**
	 * 运单接口保存
	 *
	 * @param
	 * @return
	 */
	String saveShipbillData(IntfShipbillHeaderVO intfShipbillHeaderVO);

	/**
	 * TMS运单同步BMS接口
	 */
	void saveShipbillBmsData(List<BillDownloadVO> billDownloadVO);

}
