package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.basicConfigure.SysAlertConfigurationQueryDTO;
import com.prolog.rdc.tms.model.entity.SysAlertConfigurationModel;
import com.prolog.rdc.tms.model.vo.basicConfigure.SysAlertConfigurationQueryVO;

/**
 * 
 *
 * 预警配置表
 *
 * @className :SysAlertConfigurationMapper
 * @author :fanzw
 * @creationTime :2022/01/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/01/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface SysAlertConfigurationMapper extends BaseMapper<SysAlertConfigurationModel> {

	/**
	 * 预警配置查询
	 * 
	 * @param sysAlertConfigurationQueryVO
	 * @return
	 */
	List<SysAlertConfigurationQueryDTO> listAlertConfigurationSql(@Param("sysAlertConfigurationQueryVO") SysAlertConfigurationQueryVO sysAlertConfigurationQueryVO, @Param("enterpriseid") Long enterpriseid);


	/**
	 * 预警配置查询
	 *
	 * @param sysAlertConfigurationQueryVO
	 * @return
	 */
	List<SysAlertConfigurationQueryDTO> queryAlertConfigurations(@Param("sysAlertConfigurationQueryVO") SysAlertConfigurationQueryVO sysAlertConfigurationQueryVO, @Param("enterpriseid") Long enterpriseid);

}
