package com.prolog.rdc.tms.dao.mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.ConfigurationQueryDTO;
import com.prolog.rdc.tms.model.entity.SysQueryCfgHdrModel;
import com.prolog.rdc.tms.model.vo.ConfigurationQueryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 
 *
 * 系统查询配置表 Mapper
 * @version      :1.0.0
 *
 */
@Mapper
public interface SysQueryConfigurationHdrMapper extends BaseMapper<SysQueryCfgHdrModel> {

	List<ConfigurationQueryDTO> queryConfigurationH(@Param("vo") ConfigurationQueryVO configurationQueryVO);

}