package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.basicData.TmsBaseBranchDTO;
import com.prolog.rdc.tms.model.entity.line.TmsBaseBranchModel;
import com.prolog.rdc.tms.model.vo.basicData.BranchConsigneeAndShipperPopupVO;
import com.prolog.rdc.tms.model.vo.basicData.TmsBaseBranchQueryVO;

@Mapper
public interface TmsBaseBranchMapper extends BaseMapper<TmsBaseBranchModel> {

	// STD-DEVELOP20220823 lhb JC-HZ-001 仓库支持多部门 20220908 start
	/**
	 * 仓库分页查询
	 * 
	 * @param vo
	 * @return
	 */
	List<TmsBaseBranchDTO> queryBranch(@Param("vo") TmsBaseBranchQueryVO vo);

	/**
	 * 仓库收发货方弹窗
	 */
	List<TmsBaseBranchDTO> popupBranchConsigneeAndShipperData(@Param("vo") BranchConsigneeAndShipperPopupVO branchConsigneeAndShipperPopupVO);
	// STD-DEVELOP20220823 lhb JC-HZ-001 仓库支持多部门 20220908 end
}
