package com.prolog.rdc.tms.dao.mapper;

import com.prolog.rdc.tms.model.dto.fleetManagement.ContainerDTO;
import com.prolog.rdc.tms.model.vo.fleetManagement.ContainerVO;
import org.apache.ibatis.annotations.Mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.entity.line.TmsBaseContainerModel;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/16 18:21
 */
@Mapper
public interface TmsBaseContainerMapper extends BaseMapper<TmsBaseContainerModel> {

    /**
     * findByCondition
     * @param vo
     * @return
     */
    List<ContainerDTO> findByCondition(@Param("vo") ContainerVO vo);

}
