package com.prolog.rdc.tms.dao.mapper;

import com.prolog.rdc.tms.model.dto.intelligent.VehicleTypeVehicleDTO;
import org.apache.ibatis.annotations.Mapper;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.entity.line.TmsBaseVehicleTypeModel;

import java.util.List;

/**
 * 车型资料表
 * 
 * @author Eton Woo
 * @date 2022/03/15
 */
@Mapper
public interface TmsBaseVehicleTypeMapper extends BaseMapper<TmsBaseVehicleTypeModel> {

    /**
     * groupByVehicleType
     * @param enterpriseId
     * @return
     */
    List<VehicleTypeVehicleDTO> groupByVehicleType(Long enterpriseId);

}
