package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.basicData.TmsBaseCustomerReceiverDTO;
import com.prolog.rdc.tms.model.entity.line.TmsCustomerConsignee;
import com.prolog.rdc.tms.model.vo.basicData.TmsBaseCustomerReceiverQueryVO;

/**
 * 
 *
 * 客户资料表mapper
 *
 * @className :TmsCustomerConsigneeMapper
 * @author :xyf
 * @creationTime :2022/04/12
 * @description :
 *
 * @modifier :xyf
 * @modifyTime :2022/04/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface TmsCustomerConsigneeMapper extends BaseMapper<TmsCustomerConsignee> {

	List<TmsBaseCustomerReceiverDTO> queryTmsBaseCustomerReceiver(@Param("vo") TmsBaseCustomerReceiverQueryVO vo, @Param("ids") String[] ids);

}
