package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.basicData.LineByCarriersDTO;
import com.prolog.rdc.tms.model.entity.line.TmsLineCarrierLinkModel;

/**
 * 
 *
 * 线路承运方关联表mapper
 *
 * @className :TmsLineCarrierLinkMapper
 * @author :fanzw
 * @creationTime :2022/03/15
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/15
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface TmsLineCarrierLinkMapper extends BaseMapper<TmsLineCarrierLinkModel> {
	List<LineByCarriersDTO> findLineByCarriers(@Param("carrierId") Long carrierId);

	List<LineByCarriersDTO> findLineByVehicleSql(@Param("plateNumber") String plateNumber);
}
