package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 审批业务明细DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/5/11 17:30
 */
@Data
@ApiModel("审批业务明细DTO")
public class ApprovalBusDetailDTO implements Serializable {

	private static final long serialVersionUID = -4045366341654597022L;

	@ApiModelProperty(value = "节点审批者类型 数据字典 NODE_APPROVER_TYPE 1 角色 2 用户")
	private Integer nodeApproverType;

	@ApiModelProperty(value = "审批方式  数据字典 NODE_APPROVAL_TYPE: 1 会签 2 或签")
	private Integer nodeApprovalType;
}
