package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 行政区域 Dto
 *
 * @className :LmsTmsZoneDTO
 * @author :fanzw
 * @creationTime :2020/07/03
 * @description :
 * 
 * @modifier :fanzw
 * @modifyTime :2020/07/03
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class LmsTmsZoneDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "区域ID")
	private String zoneid;

	@ApiModelProperty(value = "区域名称")
	private String zname;

	@ApiModelProperty(value = "简称")
	private String keyvalue;

	@ApiModelProperty(value = "层级")
	private Integer zlevel;

	@ApiModelProperty(value = "父级ID")
	private String fatherid;

	@ApiModelProperty(value = "父级名称")
	private String fullname;

	@ApiModelProperty(value = "补充说明")
	private String sortcode;

	@ApiModelProperty(value = "备注")
	private String remark;

}
