package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 
 *
 * 行政区域 Dto
 *
 * @className :LmsTmsZoneDTO
 * @author :fanzw
 * @creationTime :2020/07/03
 * @description :
 * 
 * @modifier :fanzw
 * @modifyTime :2020/07/03
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class ProvinceZoneDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "省-区域ID")
	private String zoneid;

	@ApiModelProperty(value = "省-区域名称")
	private String zname;

	@ApiModelProperty(value = "省-市")
	List<CityZoneDTO> cityZoneDTOList;
}
