package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入配置模板汇总 DTO
 *
 *
 * @className: SysImportTemplethDTO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysImportTemplethDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "模板汇总主键")
	private String hid;

	@ApiModelProperty(value = "导入对象编码，通用参照数据中配置")
	private String importObjNo;

	@ApiModelProperty(value = "导入对象名称，通用参照数据中配置")
	private String importObjName;

	@ApiModelProperty(value = "模板名称")
	private String templeteName;

	@ApiModelProperty(value = "是否启用，0否，1是")
	private Integer status;

	@ApiModelProperty(value = "模板状态，用于删除，0无效，1有效")
	private Integer templetStatus;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createtime;

	@ApiModelProperty(value = "创建人主键")
	private String createby;

	@ApiModelProperty(value = "创建人p_nickname")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	private LocalDateTime updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateby;

	@ApiModelProperty(value = "修改人姓名p_nickname")
	private String updateperson;

	@ApiModelProperty(value = "企业ID")
	private String penterpriseid;

	@ApiModelProperty(value = "企业名称")
	private String penterprisename;

	@ApiModelProperty(value = "扩展字段1")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	private String extend02;

	@ApiModelProperty(value = "扩展字段数字1")
	private BigDecimal extendnum01;

	@ApiModelProperty(value = "扩展字段数字2")
	private BigDecimal extendnum02;

	@ApiModelProperty(value = "扩展字段日期1")
	private LocalDateTime extenddte01;

	@ApiModelProperty(value = "扩展字段日期2")
	private LocalDateTime extenddte02;

}
