package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 参照数据明细DTO
 *
 * @className :SysRefdatadDTO
 * @author :fanzw
 * @creationTime :2020/07/02
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2020/07/02
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysRefdatadDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "仓ID")
	private Long branchId;

	@ApiModelProperty(value = "字段编码")
	private String objectcode;

	@ApiModelProperty(value = "储存值")
	private String code;

	@ApiModelProperty(value = "显示名称")
	private String name;

	@ApiModelProperty(value = "分组编号1")
	private String groupcode1;

	@ApiModelProperty(value = "分组编号2")
	private String groupcode2;

	@ApiModelProperty(value = "分组编号3")
	private String groupcode3;

	@ApiModelProperty(value = "分组编号4")
	private String groupcode4;

	@ApiModelProperty(value = "分组编号5")
	private String groupcode5;

	@ApiModelProperty(value = "排序号")
	private String sortnum;

	@ApiModelProperty(value = "备注")
	private String remark;
}
