package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * TMS系统参数表 DTO
 *
 * @className :TmsBaseParameterDTO
 * @author :fanzw
 * @creationTime :2020/06/29
 * @description :
 * @modifier :fanzw
 * @modifyTime :2020/06/29
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class TmsBaseParameterDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "序号")
	private BigDecimal seqno;

	@ApiModelProperty(value = "配送中心ID")
	private String branchCode;

	@ApiModelProperty(value = "配送中心名称")
	private String branchName;

	@ApiModelProperty(value = "参数编号")
	private String parameterCode;

	@ApiModelProperty(value = "参数名称")
	private String parameterName;

	@ApiModelProperty(value = "分组编号")
	private String fatherParameterCode;

	@ApiModelProperty(value = "分组名称")
	private String fatherParameterName;

	@ApiModelProperty(value = "参数值")
	private String parameterValue;

	@ApiModelProperty(value = "开始作业时间")
	private String startJobTime;

	@ApiModelProperty(value = "结束作业时间")
	private String endJobTime;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "扩展字段1")
	private String extend01;

	@ApiModelProperty(value = "扩展字段2")
	private String extend02;

	@ApiModelProperty(value = "扩展字段3")
	private String extend03;

	@ApiModelProperty(value = "扩展字段4")
	private String extend04;

	@ApiModelProperty(value = "扩展字段5")
	private String extend05;

}
