package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * TMS系统参数表分页DTO
 *
 * @className :TmsBaseParameterPageDTO
 * @author :fanzw
 * @creationTime :2021/08/30
 * @description :
 * @modifier :fanzw
 * @modifyTime :2021/08/30
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class TmsBaseParameterPageDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "配送中心ID")
	private String branchCode;

	@ApiModelProperty(value = "配送中心名称")
	private String branchName;

}
