package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 *
 *
 * 承运方匹配策略查看DTO
 *
 * @className :CarrierMthStrategyViewDTO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("承运方匹配策略查看DTO")
public class CarrierMthStrategyViewDTO {

    @ApiModelProperty(value = "策略名称")
    private String strategyName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "匹配优先级")
    private List<CarrierMthStrategyPrioDTO> carrierMthStrategyPrioDTOS;

    @ApiModelProperty(value = "承运方匹配策略条件集合")
    private List<CarrierMthStrategyCtViewDTO> carrierMthStrategyCtViewDTOS;
}
