package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入模板标准字段表 DTO
 *
 *
 * @className: ImportStdFeildQueryDTO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class ImportStdFeildQueryDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private String fieldid;

	@ApiModelProperty(value = "导入对象编码")
	private String importObjNo;

	@ApiModelProperty(value = "标准列名编码")
	private String stdColNo;

	@ApiModelProperty(value = "标准列名名称")
	private String stdColName;

	@ApiModelProperty(value = "排序号")
	private Integer sort;

	@ApiModelProperty(value = "是否必填,1-是/0-否")
	private Integer required;

	@ApiModelProperty(value = "标记")
	private String labelType;

	@ApiModelProperty(value = "默认id")
	private String defaultId;

	@ApiModelProperty(value = "默认code")
	private String defaultCode;

	@ApiModelProperty(value = "默认name")
	private String defaultName;
}
