package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
 *
 *
 * 线路匹配策略查看DTO
 *
 * @className :LineMthStrategyViewDTO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("线路匹配策略查看DTO")
public class LineMthStrategyViewDTO {

    @ApiModelProperty(value = "策略名称")
    private String strategyName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "匹配优先级")
    private List<LineMthStrategyPrioDTO> lineMthStrategyPrioDTOS;

    @ApiModelProperty(value = "线路匹配策略条件集合")
    private List<LineMthStrategyCtViewDTO> lineMthStrategyCtViewDTOS;
}
