package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 *
 *
 * 首页 待我审批的审批流程查询 Dto
 *
 * @className :PendingApprovalQueryDTO
 * @author :lhb
 * @creationTime :2022/05/09
 * @description :
 *
 * @modifier
 * @modifyTime
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class PendingApprovalQueryDTO {
	@ApiModelProperty(value = "审批业务ID")
	private Long id;

	@ApiModelProperty(value = "审批流程ID")
	private Long approvalId;

	@ApiModelProperty(value = "审批流程类型 数据字典 APPROVAL_FLOW_TYPE：1 货主审核 2 承运商审核")
	private Integer approvalFlowType;

	@ApiModelProperty(value = "审批流程类型名称")
	private String approvalFlowTypeName;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

	@ApiModelProperty(value = "审批对象ID")
	private String approvalObjectId;

	@ApiModelProperty(value = "审批对象编码/单号")
	private String approvalObjectCode;

	@ApiModelProperty(value = "审批对象名称")
	private String approvalObjectName;

	@ApiModelProperty(value = "发起用户ID")
	private Long initiatedUserId;

	@ApiModelProperty(value = "发起用户名称")
	private String initiatedUserName;

	@ApiModelProperty(value = "发起时间")
	private Date initiatedTime;

	@ApiModelProperty(value = "下一审批节点ID")
	private Long nextApproverNodeId;

	@ApiModelProperty(value = "审批流程下一节点顺序")
	private Integer nextApprovalOrder;

	@ApiModelProperty(value = "下一审批角色ID")
	private String nextApproverRoleId;

	@ApiModelProperty(value = "下一审批角色名称")
	private String nextApproverRoleName;

	@ApiModelProperty(value = "下一审批用户ID")
	private String nextApproverUserId;

	@ApiModelProperty(value = "下一审批用户名称")
	private String nextApproverUserName;

	@ApiModelProperty(value = "状态 数据字典 APPROVAL_BUSSINESS_STATUS: 1发起申请 2驳回 3撤回 4提交 5审核中 6作废  7审核完成")
	private Integer status;

	@ApiModelProperty(value = "状态名称")
	private String statusName;

	@ApiModelProperty(value = "节点审批者类型 数据字典 NODE_APPROVER_TYPE:1 角色 2 用户")
	private Integer nodeApproverType;

	@ApiModelProperty(value = "审批方式  数据字典 NODE_APPROVAL_TYPE: 1 会签 2 或签")
	private Integer nodeApprovalType;
}
