package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 中转策略-分页查询DTO
 *
 * @author zhangsj
 * @since 2022-07-16 10:06:06
 */
@Data
@ApiModel("中转策略-分页查询DTO")
public class StrategyTransferPageDTO implements Serializable {

    private static final long serialVersionUID = 805258676962222983L;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "中转策略名称")
    private String name;

    @ApiModelProperty(value = "满足条件")
    private String conditionName;

    @ApiModelProperty(value = "中转顺序")
    private String transferStationOrder;

    @ApiModelProperty(value = "状态 数据字典GENERAL_STATUS:0停用 10启用")
    private Integer status;

    @ApiModelProperty(value = "状态名称 数据字典GENERAL_STATUS:0停用 10启用")
    private String statusName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

}
