package com.prolog.rdc.tms.model.dto.basicData;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 线路收货方经纬度及配送顺序DTO
 *
 * @className :AddressDTO
 * @author :fanzw
 * @creationTime :2022/06/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("线路收货方经纬度及配送顺序DTO")
public class AddressDTO {

	@ApiModelProperty("地址顺序")
	private Integer index;

	@ApiModelProperty("经度")
	private BigDecimal longitude;

	@ApiModelProperty("纬度")
	private BigDecimal latitude;

}
