package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 审核节点DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/5/7 17:58
 */
@Data
@ApiModel("审核节点DTO")
public class ApprovalNodeSelDTO implements Serializable {
    private static final long serialVersionUID = 3027243616969056917L;

    @ApiModelProperty(value = "审批业务明细ID")
    private Long id;

    @ApiModelProperty(value = "审批节点顺序")
    private Integer approvalNodeOrder;

    @ApiModelProperty(value = "审批角色ID")
    private Long approverRoleId;

    @ApiModelProperty(value = "审批角色名称")
    private String approverRoleName;

    @ApiModelProperty(value = "审批用户ID")
    private Long approverUserId;

    @ApiModelProperty(value = "审批用户名称")
    private String approverUserName;

    @ApiModelProperty(value = "审批时间")
    private Date approvalTime;

    @ApiModelProperty(value = "审批结果 数据字典 APPROVAL_BUSSINESS_NODE_STATUS:1待审批 2驳回发起人 3驳回上一级  4审批通过")
    private Integer status;

    @ApiModelProperty(value = "审批结果名称 数据字典 APPROVAL_BUSSINESS_NODE_STATUS:1待审批 2驳回发起人 3驳回上一级  4审批通过")
    private String statusName;

    @ApiModelProperty(value = "备注")
    private String memo;
}
