package com.prolog.rdc.tms.model.dto.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 货主资料和流程审批的查询DTO
 *
 * @author :lhb
 * @version :1.0.0
 * @className :CargoOwnerCheckDTO
 * @creationTime :2022/05/11
 * @description :
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 */
@Data
@ApiModel("货主资料和流程审批的查询DTO")
public class CargoOwnerApprovalQueryDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "货主资料信息")
    private CargoOwnerDetailForApprovalDTO cargoOwnerDetailForApprovalDTO;

    @ApiModelProperty(value = "流程审批历史信息")
    List<ApprovalLogDTO> approvalLogDTOList;

    @ApiModelProperty(value = "流程审批节点信息")
    List<ApprovalNodeSelDTO> approvalNodeSelDTOList;
}
