package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 根据货主编码名称查询货主资料DTO
 *
 * @className :CargoOwnerByEncodingNameDTO
 * @author :fanzw
 * @creationTime :2022/05/10
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/05/10
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据货主编码名称查询货主资料DTO")
public class CargoOwnerByEncodingNameDTO implements Serializable {

	private static final long serialVersionUID = 7554386109063567644L;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "货主编码")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "货主名称")
	private String cargoOwnerName;

	// STD-DEVELOP20220823 lhb JC-HZ-001货主支持多部门 20220830 start
	@ApiModelProperty(value = "状态", hidden = true)
	private Integer status;
	// STD-DEVELOP20220823 lhb JC-HZ-001货主支持多部门 20220830 end

}
