package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 线路收货方资料 DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/24 10:24
 */
@Data
public class LineByCustomerDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "线路ID")
	private Long lineId;

	@ApiModelProperty(value = "线路编号")
	private String lineCode;

	@ApiModelProperty(value = "线路名称")
	private String lineName;

	@ApiModelProperty(value = "客户ID")
	private Long customerId;

	@ApiModelProperty(value = "客户编码")
	private String customerCode;

	@ApiModelProperty(value = "客户名称")
	private String customerName;

	@ApiModelProperty(value = "收货方ID")
	private String arriverId;

	@ApiModelProperty(value = "收货方编码")
	private String arriverCode;

	@ApiModelProperty(value = "收货方名称")
	private String arriverName;
}
