package com.prolog.rdc.tms.model.dto.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class LineShipperConsigneeDTO implements Serializable {

	private static final long serialVersionUID = -2692526468987082672L;

	@ApiModelProperty(value = "线路ID")
	private Long lineId;

	@ApiModelProperty(value = "线路的发货方集合")
	private List<TmsShipperDTO> shipperDTOS;

	@ApiModelProperty(value = "线路的收货方集合")
	private List<TmsArriverDTO> consigneeDTOS;
}
