package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TmsTransferStationParsingDTO implements Serializable {

	private static final long serialVersionUID = 3172963074879529857L;

	@ApiModelProperty(value = "中转站ID")
	private Long id;

	@ApiModelProperty(value = "中转站编码")
	private String code;

	@ApiModelProperty(value = "中转站名称")
	private String name;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

}
