package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 用户货主资料弹窗DTO
 *
 * @className :UserCargoOwnerPopupDTO
 * @author :fanzw
 * @creationTime :2022/07/05
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/07/05
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("用户货主资料弹窗DTO")
public class UserCargoOwnerPopupDTO implements Serializable {

	private static final long serialVersionUID = -6942404438330552699L;

	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "货主ID")
	private Long consignorId;

	@ApiModelProperty(value = "货主编码")
	private String consignorCode;

	@ApiModelProperty(value = "货主名称")
	private String consignorName;

}
