package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 用户承运商弹窗DTO
 *
 * @className :UserCarrierPopupDTO
 * @author :fanzw
 * @creationTime :2022/07/05
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/07/05
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("用户承运商弹窗DTO")
public class UserCarrierPopupDTO implements Serializable {

	private static final long serialVersionUID = -1240677699257014615L;

	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "承运商ID")
	private Long carrierId;

	@ApiModelProperty(value = "承运商编码")
	private String carrierCode;

	@ApiModelProperty(value = "承运商名称")
	private String carrierName;

}
