package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 用户客户资料弹窗DTO
 *
 * @className :UserCustomerPopupDTO
 * @author :fanzw
 * @creationTime :2022/07/05
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/07/05
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("用户客户资料弹窗DTO")
public class UserCustomerPopupDTO implements Serializable {

	private static final long serialVersionUID = -5366359532490950021L;

	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "客户ID")
	private Long customerId;

	@ApiModelProperty(value = "客户编码")
	private String customerCode;

	@ApiModelProperty(value = "客户名称")
	private String customerName;

	// STD-DEVELOP20220823 lhb JC-HZ-001 客户支持多部门 20220906 start
	@ApiModelProperty(value = "客户编码")
	private String code;

	@ApiModelProperty(value = "客户名称")
	private String name;
	// STD-DEVELOP20220823 lhb JC-HZ-001 客户支持多部门 20220906 end

}
