package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 司机常跑线路查看DTO
 *
 * @className :DriverLineCheckDTO
 * @author :fanzw
 * @creationTime :2022/03/15
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/15
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("司机常跑线路查看DTO")
public class DriverLineCheckDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "线路ID")
	private Long lineId;

	@ApiModelProperty(value = "线路编号")
	private String lineCode;

	@ApiModelProperty(value = "线路名称")
	private String lineName;

	@ApiModelProperty(value = "线路起点类型")
	private Integer startLineType;

	@ApiModelProperty(value = "线路起点编码")
	private String startLineCode;

	@ApiModelProperty(value = "线路起点名称")
	private String startLineName;

	@ApiModelProperty(value = "线路终点类型")
	private Integer endLineType;

	@ApiModelProperty(value = "线路终点编码")
	private String endLineCode;

	@ApiModelProperty(value = "线路终点名称")
	private String endLineName;

	@ApiModelProperty(value = "总里程数")
	private BigDecimal totalMileage;

	@ApiModelProperty(value = "备注")
	private String memo;

}
