package com.prolog.rdc.tms.model.dto.fleetManagement;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆设备关联查看VO
 * 
 * @author Eton Woo
 * @date 2022/03/16
 */
@Data
@ApiModel("车辆设备关联查看VO")
public class VehicleDeviceLinkViewDTO {

	@ApiModelProperty(value = "主键ID")
	private String id;

	@ApiModelProperty(value = "设备ID")
	private Long deviceId;

	@ApiModelProperty(value = "设备编码")
	private String deviceCode;

	@ApiModelProperty(value = "设备名称")
	private String deviceName;

	@ApiModelProperty(value = "设备类型")
	private Integer type;

	@ApiModelProperty(value = "设备类型名称")
	private String typeName;

	@ApiModelProperty(value = "设备生产商")
	private Integer company;

	@ApiModelProperty(value = "设备生产商名称")
	private String companyName;

	@ApiModelProperty(value = "隶属机构ID")
	private Long affiliationId;

	@ApiModelProperty(value = "隶属机构编码")
	private String affiliationCode;

	@ApiModelProperty(value = "隶属机构名称")
	private String affiliationName;

	@ApiModelProperty(value = "归属")
	private String belongTo;

	@ApiModelProperty(value = "归属名称")
	private String belongToName;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "状态(0：停用 1：启用)")
	private Integer status;

	@ApiModelProperty(value = "状态名称")
	private String statusName;

	@ApiModelProperty(value = "部门id")
	private String departmentId;

	@ApiModelProperty(value = "部门code")
	private String departmentCode;

	@ApiModelProperty(value = "部门名称")
	private String departmentName;
}
