package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆GPS数据查询DTO
 *
 * @author xiaoyf
 * @date 2022/03/14
 */
@Data
@ApiModel("车辆GPS数据查询DTO")
public class VehicleGpsDTO implements Serializable {

	private static final long serialVersionUID = -5411119215243358900L;

	@ApiModelProperty(value = "主键")
	private Long id;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "装车单ID")
	private String loadingbillId;

	@ApiModelProperty(value = "装车单编号")
	private String loadingbillNo;

	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "司机编号")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@ApiModelProperty(value = "数据写入时间")
	private Date createtime;

	@ApiModelProperty(value = "数据写入人")
	private String createperson;

	@ApiModelProperty(value = "最后修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "最后修改人")
	private String updateperson;

	@ApiModelProperty(value = "最后修改人")
	private String isDelivery;

}
