package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
  * 车辆-线路资料分页查询DTO
  * 
  * @author Eton Woo
  * @date 2022/03/16
  */
@Data
@ApiModel("车辆-线路资料分页查询DTO")
public class VehicleLinePagingQueryDTO implements Serializable {

	private static final long serialVersionUID = -4012701659794923724L;

	@ApiModelProperty(value = "线路编码")
	private String code;
	
	@ApiModelProperty(value = "线路名称")
	private String name;
	
	@ApiModelProperty(value = "线路起点名称")
	private String startLineName;
	
	@ApiModelProperty(value = "线路终点名称")
	private String endLineName;
	
	@ApiModelProperty(value = "总里程数")
	private String totalMileage;
	
	@ApiModelProperty(value = "备注")
	private String memo;
}
