package com.prolog.rdc.tms.model.dto.message;

import com.prolog.product.core.framework.entity.UserEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/11/16
 */
@Data
public class ChannelMessageDTO {

    @ApiModelProperty(value = "消息配置")
    private MessageConfigDTO messageConfigDTO;

    @ApiModelProperty(value = "发送信息")
    private SendMessageDTO sendMessageDTO;

    @ApiModelProperty(value = "接收人集合")
    private List<ChannelMessageUserDTO> channelMessageUserDTOList;

    @ApiModelProperty(value = "用户信息")
    private UserEntity user;

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;
}
