package com.prolog.rdc.tms.model.dto.print;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PrinterRouteDTO implements Serializable {

	private static final long serialVersionUID = -1890445427295943514L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "员工号")
	private String employeeId;

	@ApiModelProperty(value = "路由名称")
	private String routeName;

	@ApiModelProperty(value = "仓库ID")
	private Long warehouseId;

	@ApiModelProperty(value = "仓库ID")
	private String warehouseCode;

	@ApiModelProperty(value = "仓库名称")
	private String warehouseName;

	@ApiModelProperty(value = "打印机名称")
	private String printerName;

	@ApiModelProperty(value = "打印机ID")
	private Long printerId;

	@ApiModelProperty(value = "状态")
	private String status;
	private String statusName;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "备注")
	private int version;

	@ApiModelProperty(value = "0 未删除，1 已删除")
	private int deletedFlag;

	@ApiModelProperty(value = "创建人")
	private String createdBy;

	@ApiModelProperty(value = "创建时间")
	private Date createdDate;

	@ApiModelProperty(value = "最后修改人")
	private String lastModifiedBy;

	@ApiModelProperty(value = "最后修改时间")
	private Date lastModifiedDate;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

}