package com.prolog.rdc.tms.model.dto.print;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SysPrinterConfigurationDTO implements Serializable {

	private static final long serialVersionUID = -4868940851760869864L;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "打印机名称")
	private String printerName;

	@ApiModelProperty(value = "打印机编码")
	private String printerCode;

	@ApiModelProperty(value = "id地址")
	private String ip;

	@ApiModelProperty(value = "打印机类型")
	private String printerType;

	@ApiModelProperty(value = "打印机类型")
	private String printerTypeName;

	@ApiModelProperty(value = "打印机状态")
	private String printerStatus;

	@ApiModelProperty(value = "打印机状态")
	private String printerStatusName;

	@ApiModelProperty(value = "仓库ID")
	private Long warehouseId;

	@ApiModelProperty(value = "仓库ID")
	private String warehouseCode;

	@ApiModelProperty(value = "仓库名称")
	private String warehouseName;

	@ApiModelProperty(value = "状态0:停用，1:启用")
	private String status;

	@ApiModelProperty(value = "状态0:停用，1:启用")
	private String statusName;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "创建人")
	private String createdBy;

	@ApiModelProperty(value = "创建时间")
	@DateTimeFormat("yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date createdDate;

	@ApiModelProperty(value = "最后修改人")
	private String lastModifiedBy;

	@ApiModelProperty(value = "最后修改时间")
	@DateTimeFormat("yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	private Date lastModifiedDate;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

}