package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("查询配置实体明细")
@Table(value = "sys_query_configuration_dtl")
public class SysQueryCfgDtlModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@Column(value = "seq_id")
	@ApiModelProperty(value = "明细ID")
	private String seqId;

	@Column(value = "seq_no")
	@ApiModelProperty(value = "明细序号")
	private Integer seqNo;

	@Column(value = "hdr_id")
	@ApiModelProperty(value = "汇总ID")
	private String hdrId;

	@Column(value = "logic_symbol")
	@ApiModelProperty(value = "逻辑符号")
	private String logicSymbol;

	@Column(value = "field_code")
	@ApiModelProperty(value = "字段编码")
	private String fieldCode;

	@Column(value = "field_name")
	@ApiModelProperty(value = "字段名称")
	private String fieldName;

	@Column(value = "field_type")
	@ApiModelProperty(value = "字段类型")
	private String fieldType;

	@Column(value = "operation_symbol")
	@ApiModelProperty(value = "操作符")
	private String operationSymbol;

	@Column(value = "field_value")
	@ApiModelProperty(value = "字段值")
	private String fieldValue;

	@Column(value = "createdate")
	@ApiModelProperty(value = "创建时间")
	private Date createdate;

	@Column(value = "createby")
	@ApiModelProperty(value = "创建人")
	private String createby;

	@Column(value = "lastmodifydate")
	@ApiModelProperty(value = "修改时间")
	private Date lastmodifydate;

	@Column(value = "lastmodifyby")
	@ApiModelProperty(value = "修改人")
	private String lastmodifyby;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

}
