package com.prolog.rdc.tms.model.entity.line;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Table("tms_settlement_type")
public class TmsSettlementTypeModel implements Serializable {

	private static final long serialVersionUID = -956166120502957235L;

	@ApiModelProperty(value = "ID")
	@Id
	@Column(value = "ID")
	private Long id;

	@ApiModelProperty(value = "承运商编码")
	@Column(value = "code")
	private String code;

	@ApiModelProperty(value = "结算编码")
	@Column(value = "account_way_code")
	private String accountWayCode;

	@ApiModelProperty(value = "结算名称")
	@Column(value = "account_way_name")
	private String accountWayName;

	@ApiModelProperty(value = "结算类型  字典BMS_ACCOUNT_TYPE")
	@Column(value = "account_way")
	private int accountWay;

	@ApiModelProperty(value = "扩展字段1")
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "扩展字段2")
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "扩展字段3")
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "扩展字段4")
	@Column(value = "attr_str4")
	private String attrStr4;

	@ApiModelProperty(value = "扩展字段5")
	@Column(value = "attr_str5")
	private String attrStr5;

	@Column(value = "CREATEPERSON")
	@ApiModelProperty(value = "创建人")
	private String createperson;

	@Column(value = "CREATETIME")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@Column(value = "UPDATEPERSON")
	@ApiModelProperty(value = "最后修改人")
	private String updateperson;

	@Column(value = "UPDATETIME")
	@ApiModelProperty(value = "最后修改时间")
	private Date updatetime;

	@Column(value = "enterprise_id")
	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@Column(value = "enterprise_name")
	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;
}