package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 仓库可预约时间段查询VO
 *
 * @author xyf
 * @since 2022-05-07 16:54:01
 */
@Data
@ApiModel("仓库可预约时间段查询VO")
public class AppointTimeQueryVO implements Serializable {

	private static final long serialVersionUID = 7844182299947966990L;

	@NotNull(message = "仓库ID不能为空")
	private Long branchId;

}
