package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 数据字典明细保存VO
 *
 * @className    :SysRefdatadSaveVO
 * @author       :fanzw
 * @creationTime :2021/04/21
 * @description  :
 * 
 * @modifier     :fanzw
 * @modifyTime   :2021/04/21
 * @reviseRemarks:
 *
 * @version      :1.0.0
 *
 */
@Data
public class SysRefdatadSaveVO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "字段编码")
    private String objectcode;

    @ApiModelProperty(value = "储存值")
    private String code;

    @ApiModelProperty(value = "显示名称")
    private String name;
    
    @ApiModelProperty(value = "")
    private String objectparm;

    @ApiModelProperty(value = "分组编号1")
    private String groupcode1;

    @ApiModelProperty(value = "分组编号2")
    private String groupcode2;

    @ApiModelProperty(value = "分组编号3")
    private String groupcode3;

    @ApiModelProperty(value = "分组编号4")
    private String groupcode4;

    @ApiModelProperty(value = "分组编号5")
    private String groupcode5;
    
    @ApiModelProperty(value = "")
    private String longparm;
    
    @ApiModelProperty(value = "")
    private String colorvalue;
    
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "")
    private Date validdate;
	
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "")
    private Date fromdate;

    @ApiModelProperty(value = "排序号")
    private String sortnum;

}
