package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 数据字典保存VO
 *
 * @className    :SysRefdatahUpdateVO
 * @author       :fanzw
 * @creationTime :2021/04/15
 * @description  :
 *
 * @modifier     :fanzw
 * @modifyTime   :2021/04/15
 * @reviseRemarks:
 *
 * @version      :1.0.0
 *
 */
@Data
@ApiModel("数据字典保存VO")
public class SysRefdatahSaveVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "字段编码")
    private String objectcode;
    
    @ApiModelProperty(value = "字段描述")
    private String description;
    
    @ApiModelProperty(value = "是否允许修改")
    private String ismodify;
    
    @ApiModelProperty(value = "配置列表JSON")
    private String colnamelist;
    
    @ApiModelProperty(value = "")
    private String refidlist;
    
    @ApiModelProperty(value = "字段类型")
    private String codeidtype;
    
    @ApiModelProperty(value = "")
    private String isjoinrole;
    
    @ApiModelProperty(value = "描述")
    private String remarktext;

    @ApiModelProperty(value = "分组")
    private String groupcode;

    @ApiModelProperty(value = "修改等级")
    private String modifylevel;
    
}
