package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * TMS系统参数详情保存VO
 *
 * @className :TmsBaseParameterSaveDetailsVO
 * @author :fanzw
 * @creationTime :2021/04/21
 * @description :
 * @modifier :fanzw
 * @modifyTime :2021/04/21
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("TMS系统参数详情保存VO")
public class TmsBaseParameterSaveDetailsVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "参数编号")
	private String parameterCode;

	@ApiModelProperty(value = "参数名称")
	private String parameterName;

	@ApiModelProperty(value = "参数值")
	private String parameterValue;

	@ApiModelProperty(value = "备注")
	private String memo;

}
