package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 *
 * 预警消息是否存在VO
 *
 * @className :AlertMessageIsExistVO
 * @author :fanzw
 * @creationTime :2022/01/18
 * @description :
 * @modifier :fanzw
 * @modifyTime :2022/01/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class AlertMessageIsExistVO implements Serializable {

	private static final long serialVersionUID = -2649394760618883135L;

	@ApiModelProperty(value = "消息类型编码 1.预警")
	private Integer messageTypeCode;

	@ApiModelProperty(value = "单位id")
	private String customerIds;

	@ApiModelProperty(value = "业务单据ID")
	private String refbillid;

}
