package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 *
 * 审批流程节点配置 VO
 *
 * @className :ApprovalNodeVO
 * @author :lhb
 * @creationTime :2022/04/29
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("审批流程节点配置 VO")
public class ApprovalNodeVO implements Serializable {

	private static final long serialVersionUID = -2203709916627227145L;

	@ApiModelProperty(value = "审批节点ID")
	private Long nodeId;

	@ApiModelProperty(value = "审批流程ID")
	private Long approvalId;

	@ApiModelProperty(value = "审批节点状态 数据字典 NODE_APPROVAL_STATUS: 1 正常 2 停用")
	private Integer status;

	@ApiModelProperty(value = "节点审批者类型 数据字典 NODE_APPROVER_TYPE:1 角色 2 用户")
	private Integer nodeApproverType;

	@ApiModelProperty(value = "审批方式  数据字典 NODE_APPROVAL_TYPE: 1 会签 2 或签")
	private Integer nodeApprovalType;

	@ApiModelProperty(value = "审批节点顺序")
	private Integer nodeOrder;

	@ApiModelProperty(value = "审批节点的角色")
	private List<ApprovalNodeRoleVO> approvalNodeRoleVOs;

	@ApiModelProperty(value = "审批节点的用户")
	private List<ApprovalNodeUserVO> ApprovalNodeUserVOs;

}
