package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 *
 * 审批配置修正 VO
 *
 * @className :ApprovalViewVO
 * @author :lhb
 * @creationTime :2022/04/29
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("审批配置修正 VO")
public class ApprovalUpdateVO implements Serializable {

	private static final long serialVersionUID = 6618562835989840647L;

	@ApiModelProperty(value = "流程ID")
	private Long approvalId;

	@ApiModelProperty(value = "审批流程类型 数据字典 APPROVAL_FLOW_TYPE：1 货主审核 2 承运商审核 3运单提交 4调度审批 5承运商调度审批 ")
	private Integer approvalFlowType;

	@ApiModelProperty(value = "审批流程名称")
	private String approvalName;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "审批流程条件集合")
	private List<ApprovalConditionUpdateVO> approvalConditionUpdateVOS;

}
