package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;

import com.prolog.framework.core.annotation.Column;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 *
 * 审批配置查看 VO
 *
 * @className :ApprovalViewVO
 * @author :lhb
 * @creationTime :2022/04/29
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("审批配置查询 VO")
public class ApprovalViewVO implements Serializable {

	private static final long serialVersionUID = 4254440695890398966L;

	@ApiModelProperty(value = "货主名称")
	private String cargoOwnerName;

/*	@ApiModelProperty(value = "审批流程类型 数据字典 APPROVAL_FLOW_TYPE：1 货主审核 2 承运商审核 ")
	private Integer approvalFlowType;*/

	@ApiModelProperty(value = "审批流程类型名称")
	private String approvalFlowTypeName;

	@ApiModelProperty(value = "审批节点状态 数据字典 APPROVAL_STATUS: 1 启用 2 停用")
	@Column(value = "status")
	private Integer status;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页码大小")
	private Integer pageSize;
}
