package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 *
 * 业务流程分页查询VO
 * @className :BusinessFlowQueryVO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("业务流程分页查询VO")
public class BusinessFlowQueryVO implements Serializable {

	private static final long serialVersionUID = 4254440695890398966L;

	@ApiModelProperty(value = "流程名称")
	private String flowName;

	@ApiModelProperty(value = "页码")
	@NotNull(message = "页码不能为空")
	private Integer pageNum;

	@ApiModelProperty(value = "页码大小")
	@NotNull(message = "页码大小不能为空")
	private Integer pageSize;
}
