package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 导入数据查看VO
 *
 * @className :ImportDataCheckPageVO
 * @author :fanzw
 * @creationTime :2022/04/24
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/24
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("导入数据查看VO")
public class ImportDataCheckPageVO implements Serializable {

	private static final long serialVersionUID = -2969494184014697794L;

	@ApiModelProperty(value = "导入批次")
	@NotEmpty(message = "导入批次不应该为空")
	private String importBatchNumber;

	@ApiModelProperty(value = "导入对象编号")
	@NotEmpty(message = "导入对象编号不应该为空")
	private String importObjNo;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页码大小")
	private Integer pageSize;
}
