package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;

import javax.validation.constraints.Size;

import com.prolog.product.core.base.group.AddGroup;
import com.prolog.product.core.base.group.EditGroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入日志分页查询 VO
 *
 *
 * @className: ImportLogPageVO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("导入日志分页查询 VO")
public class ImportLogPageVO implements Serializable {

	private static final long serialVersionUID = 8557571995587273736L;

	@ApiModelProperty(value = "导入对象名称")
	@Size(max = 128, message = "导入对象名称，最大长度128", groups = { AddGroup.class, EditGroup.class })
	private String importObjName;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页码大小")
	private Integer pageSize;

}
