package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 拆分策略-查看VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/16 9:52
 */
@Data
@ApiModel("拆分策略-查看VO")
public class StrategySplitViewVO implements Serializable {

    private static final long serialVersionUID = -2455913545157188420L;

    @NotNull(message = "拆分策略id不能为空")
    @ApiModelProperty(value = "拆分策略id")
    private Long id;

}
