package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 预警配置查询VO
 *
 * @className :SysAlertConfigurationQueryVO
 * @author :fanzw
 * @creationTime :2022/01/18
 * @description :
 * @modifier :fanzw
 * @modifyTime :2022/01/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysAlertConfigurationQueryVO implements Serializable {

	private static final long serialVersionUID = 8490626576525669516L;

	@ApiModelProperty(value = "预警名称/预警类型/客户/通知用户")
	private String search;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页码大小")
	private Integer pageSize;

}
