package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 扩展字段修改VO
 *
 * @className :SysExtendedFieldUpdataVO
 * @author :fanzw
 * @creationTime :2022/01/12
 * @description :
 * @modifier :fanzw
 * @modifyTime :2022/01/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysExtendedFieldUpdataVO implements Serializable {

	private static final long serialVersionUID = 8119503363613282086L;

	@ApiModelProperty(value = "数据ID")
	private String lineid;

	@ApiModelProperty(value = "字段类型")
	private String fieldType;

	@ApiModelProperty(value = "字段类型名称")
	private String fieldTypeName;

	@ApiModelProperty(value = "字段选择框值")
	private String fieldChoiceValue;

	@ApiModelProperty(value = "字段排序")
	private Integer fieldSort;

	@ApiModelProperty(value = "状态:0停用 1启用")
	private String status;

}
