package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 货主资料是否启用VO
 *
 * @className :CargoOwnerWhetherEnableVO
 * @author :fanzw
 * @creationTime :2022/03/04
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/04
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("货主资料是否启用VO")
public class CargoOwnerWhetherEnableVO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "货主ID集合")
	private List<CargoOwnerByIdVO> cargoOwnerIds = new ArrayList<CargoOwnerByIdVO>();

	@ApiModelProperty(value = "状态：0：停用 1：启用")
	private Integer status;
}
