package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 承运商审核信息查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/5/7 17:53
 */
@Data
@ApiModel("承运商审核信息查询VO")
public class CarrierApprovalInfoVO implements Serializable {
    private static final long serialVersionUID = 6029441265268132629L;

    @ApiModelProperty(value = "承运商ID")
    private String carriersId;

    @ApiModelProperty(value = "审批业务ID")
    private Long approvalBusinessId;
}
