package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author hongbo.pan
 */
@Data
@ApiModel("承运商关联信息查询VO")
public class CarrierRelationInfoVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@NotNull
	@ApiModelProperty(value = "承运商ID")
	private Long carrierId;

	@NotNull
	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@NotNull
	@ApiModelProperty(value = "页数")
	private Integer pageSize;

}
