package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 *
 * 客户收货方匹配唯一承运方
 *
 * @className :CustomerCarrierVO
 * @author :fanzw
 * @creationTime :2022/04/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class CustomerCarrierVO implements Serializable {

	private static final long serialVersionUID = -1163251539359222175L;

	@ApiModelProperty(value = "客户ID")
	private Long customerId;

	@ApiModelProperty(value = "收货方ID")
	private Long consigneeId;

}
