package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 客户收货方弹窗
 *
 * @className :CustomerConsigneePopupVO
 * @author :fanzw
 * @creationTime :2022/04/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class CustomerConsigneePopupVO implements Serializable {

	private static final long serialVersionUID = -1163251539359222175L;

	@ApiModelProperty(value = "客户ID")
	private Long customerId;

	@ApiModelProperty(value = "客户收货方编码")
	private String code;

	@ApiModelProperty(value = "客户收货方名称")
	private String name;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

}
