package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 商品品类弹窗VO
 *
 * @className :ItemCategoryPopupVO
 * @author :fanzw
 * @creationTime :2022/02/25
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/25
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("商品品类弹窗VO")
public class ItemCategoryPopupVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "商品品类编码/名称")
	private String search;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

	@ApiModelProperty(value = "所属货主ID")
	private Long cargoOwnerId;
}
