package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 商品品类是否启用VO
 *
 * @className :ItemCategoryWhetherEnableVO
 * @author :fanzw
 * @creationTime :2022/03/04
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/04
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("商品品类是否启用VO")
public class ItemCategoryWhetherEnableVO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "商品品类ID集合")
	private List<ItemCategoryByIdVO> itemCategoryIds = new ArrayList<ItemCategoryByIdVO>();

	@ApiModelProperty(value = "状态：0：停用 1：启用")
	private Integer status;
}
