package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 线路移动查询 vo
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author zhangsj
 * @since 2022/3/8 16:43
 */
@Data
public class LineMoveQueryVO implements Serializable {

	private static final long serialVersionUID = 1440913466960941880L;

	@ApiModelProperty(value = "线路编号")
	private String lineCode;

	@ApiModelProperty(value = "线路名称")
	private String lineName;

	@ApiModelProperty(value = "线路ID集合")
	List<Long> lineIds;

	private Integer pageNum;

	private Integer pageSize;
}
