package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 供应商资料查看VO
 * 
 * @author Eton Woo
 * @date 2022/03/28
 */
@Data
@ApiModel("供应商资料查看VO")
public class ProviderCheckVO implements Serializable {

	private static final long serialVersionUID = 3526232332020952575L;

	@ApiModelProperty(value = "供应商ID")
	private Long providerId;

	@ApiModelProperty(value = "供应商编码")
	private String code;

	@ApiModelProperty(value = "供应商名称")
	private String name;
}
