package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 供应商收发货方弹窗VO
 *
 * @className :ProviderConsigneeAndShipperPopupVO
 * @author :fanzw
 * @creationTime :2022/08/07
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/07
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("供应商收发货方弹窗VO")
public class ProviderConsigneeAndShipperPopupVO implements Serializable {

	private static final long serialVersionUID = -6272922987033278624L;

	@ApiModelProperty(value = "供应商编码")
	private String code;

	@ApiModelProperty(value = "供应商名称")
	private String name;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
