package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 
 *
 * 供应商保存地址解析VO
 *
 * @className :ProviderGeocodingVO
 * @author :fanzw
 * @creationTime :2022/06/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("供应商保存地址解析VO")
public class ProviderGeocodingVO implements Serializable {

	private static final long serialVersionUID = 5858775554415447546L;

	@ApiModelProperty(value = "供应商ID")
	private Long id;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;
}
