package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 供应商弹窗VO
 *
 * @className :ProviderPopupVO
 * @author :fanzw
 * @creationTime :2022/04/22
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/22
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("供应商弹窗VO")
public class ProviderPopupVO implements Serializable {

	private static final long serialVersionUID = 3748003378730585060L;

	@ApiModelProperty(value = "供应商编码")
	private String code;

	@ApiModelProperty(value = "供应商名称")
	private String name;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
