package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 供应商发货方IdVO
 * 
 * @author Eton Woo
 * @date 2022/03/28
 */
@Data
@ApiModel("供应商发货方IdVO")
public class ProviderShipperByIdVO implements Serializable {

	private static final long serialVersionUID = -2745829308789352584L;
	
	@ApiModelProperty(value = "供应商发货方ID")
	private Long shipperId;

}
