package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 供应商发货方资料是否启用VO
 * 
 * @author Eton Woo
 * @date 2022/03/25
 */
@Data
@ApiModel("供应商发货方资料是否启用VO")
public class ProviderShipperWhetherEnableVO implements Serializable {

	private static final long serialVersionUID = 5285159143507563700L;

	@ApiModelProperty(value = "供应商发货方ID集合")
	private List<ProviderShipperByIdVO> shipperIds = new ArrayList<ProviderShipperByIdVO>();

	@ApiModelProperty(value = "状态：0：停用 1：启用")
	private Integer status;
}
