package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class QueryCustomerAndReceiverVO {

	@ApiModelProperty(value = "当前页")
    private int pageNum;

    @ApiModelProperty(value = "页最大行数")
    private int pageSize;
    
    @ApiModelProperty(value = "客户编码")
    private String customerCode;
    
    @ApiModelProperty(value = "客户名称")
    private String customerName;

    @ApiModelProperty(value = "用户类型",hidden = true)
    private String userType;

    @ApiModelProperty(value = "企业ID",hidden = true)
    private Long enterpriseId;

    @ApiModelProperty(value = "是否是部门权限",hidden = true)
    private Integer isDept;

    @ApiModelProperty(value = "部门权限",hidden = true)
    private String[] depts;

    @ApiModelProperty(value = "货主权限",hidden = true)
    private Long[] consignors;

    @ApiModelProperty(value = "客户权限",hidden = true)
    private Long[] customers;

    @ApiModelProperty(value = "单位ID",hidden = true)
    private Long unitId;

    @ApiModelProperty(value = "货主名称")
    private String cargoOwnerName;
}
