package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 线路资料管理查询条件表 vo
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author zhangsj
 * @since 2022/3/8 16:43
 */
@Data
public class ShipbillMatchLineQueryVO implements Serializable {

	private static final long serialVersionUID = 1440913466960941880L;

	@ApiModelProperty(value = "划分类型 数据字典DISTINGUISH_TYPE:1.收货方 2.行政区域")
	private Integer distinguishType;

	@ApiModelProperty(value = "线路起点类型 数据字典START_LINE_TYPE:1.发货方 2.行政区域")
	private Integer startLineType;

	@ApiModelProperty(value = "部门ID" , hidden = true)
	private String[] departmentIds;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "是否部门权限" , hidden = true)
	private String isDept;
}
