package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 
 *
 * 始发站点VO
 *
 * @className :StartingStationVO
 * @author :fanzw
 * @creationTime :2022/02/25
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/25
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("始发站点VO")
public class StartingStationVO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "站点ID")
	private Long stationId;

	@ApiModelProperty(value = "站点编号")
	private String stationCode;

	@ApiModelProperty(value = "站点名称")
	private String stationName;

	@ApiModelProperty(value = "始发站点ID")
	private Long startingStationId;

	@ApiModelProperty(value = "始发站点编号")
	private String startingStationCode;

	@ApiModelProperty(value = "始发站点名称")
	private String startingStationName;

	@ApiModelProperty(value = "距离")
	private BigDecimal distance;

	@ApiModelProperty(value = "备注")
	private String memo;

}
