package com.prolog.rdc.tms.model.vo.basicData;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TmsBaseCustomerReceiverQueryVO {

	private int pageNum;

	private int pageSize;

	@ApiModelProperty(value = "客户ID")
	private Long customerId;

	@ApiModelProperty(value = "收货方ID")
	private Long id;

	@ApiModelProperty(value = "收货方ID数组集合 前端入参格式 ['收货方ID1','收货方ID2']")
	private List<String> ids;

	@ApiModelProperty(value = "收货方名称")
	private String name;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

}
