package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 线路资料管理表 Dto
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author zhangsj
 * @since 2022/3/8 16:43
 */
@Data
public class TmsBaseTranslinePopVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
	
}
