package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class TmsLineMoveVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "移动的目标线路ID")
	private Long targetLineId;

	@ApiModelProperty(value = "移动的目标线路编号")
	private String targetLineCode;

	@ApiModelProperty(value = "移动的目标线路名称")
	private String targetLineName;

	@ApiModelProperty(value = "移动的原线路站点信息")
	private TmsLineMoveSiteVO sourceLineMoveSiteVO;


}
