package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 线路资料管理收货方 VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author zhangsj
 * @since 2022/3/8 16:43
 */
@Data
public class TmsLineShipperVO implements Serializable {

	private static final long serialVersionUID = -2297630669341391873L;

	@ApiModelProperty(value = "线路ID")
	private Long lineId;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
