package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/16 18:34
 */
@Data
public class ContainerPopVO implements Serializable {

	private static final long serialVersionUID = -6366750497330689883L;

	@ApiModelProperty(value = "物流中心/仓ID")
	private Long branchId;

	@ApiModelProperty(value = "容器编号")
	private String code;

	@ApiModelProperty(value = "容器名称")
	private String name;

	@ApiModelProperty(value = "容器类型（01：托盘 02：周转箱 03：保温箱）")
	private Integer type;

	private Integer pageNum;

	private Integer pageSize;
}
