package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 送货员资料弹窗VO
 *
 * @className :DeliverymanPopupVO
 * @author :fanzw
 * @creationTime :2022/03/16
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/16
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("送货员资料弹窗VO")
public class DeliverymanPopupVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "送货员编码")
	private String code;

	@ApiModelProperty(value = "送货员名称")
	private String name;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
