package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 司机分页查询VO
 *
 * @className :DriverPagingQueryVO
 * @author :fanzw
 * @creationTime :2022/03/15
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/15
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("司机分页查询VO")
public class DriverPagingQueryVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "司机编码")
	private String code;

	@ApiModelProperty(value = "司机名称")
	private String name;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
