package com.prolog.rdc.tms.model.vo.fleetManagement;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆设备关联新增VO
 * 
 * @author Eton Woo
 * @date 2022/03/16
 */
@Data
@ApiModel("车辆设备关联新增VO")
public class VehicleDeviceLinkAddVO {

	@ApiModelProperty(value = "设备ID")
	private Long deviceId;

	@ApiModelProperty(value = "设备编码")
	private String deviceCode;

	@ApiModelProperty(value = "设备名称")
	private String deviceName;
}
