package com.prolog.rdc.tms.model.vo.fleetManagement;

import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 车辆设备关联查看VO
 * 
 * @author Eton Woo
 * @date 2022/03/16
 */
@Data
@ApiModel("车辆设备关联查看VO")
public class VehicleDeviceLinkViewVO {

	@ApiModelProperty(value = "设备ID")
	private Long deviceId;

	@ApiModelProperty(value = "设备编码")
	private String deviceCode;

	@ApiModelProperty(value = "设备名称")
	private String deviceName;

	@ApiModelProperty(value = "设备类型")
	private Integer type;

	@ApiModelProperty(value = "设备类型名称")
	private String typeName;

	@ApiModelProperty(value = "设备生产商")
	private Integer company;

	@ApiModelProperty(value = "设备生产商名称")
	private String companyName;

	@ApiModelProperty(value = "隶属机构ID")
	private Long affiliationId;

	@ApiModelProperty(value = "隶属机构编码")
	private String affiliationCode;

	@ApiModelProperty(value = "隶属机构名称")
	private String affiliationName;

	@ApiModelProperty(value = "归属")
	private String belongTo;
}
