package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆司机关联修改VO
 * 
 * @author Eton Woo
 * @date 2022/03/16
 */
@Data
@ApiModel("车辆司机关联修改VO")
public class VehicleDriverLinkModifyVO implements Serializable {

	private static final long serialVersionUID = -4662475828915023786L;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "司机编码")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;
}
