package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆-司机资料分页查询VO
 * 
 * @author Eton Woo
 * @date 2022/03/15
 */
@Data
@ApiModel("车辆-司机资料分页查询VO")
public class VehicleDriverPagingQueryVO implements Serializable {

	private static final long serialVersionUID = -9036215789138005698L;

	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@ApiModelProperty(value = "所属部门")
	private List<String> depts;

	@ApiModelProperty(value = "单位ID")
	private Long unitId;

	@ApiModelProperty(value = "公司ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
