package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车型资料分页查询VO
 * 
 * @author Eton Woo
 * @date 2022/03/11
 */
@Data
@ApiModel("车型资料分页查询VO")
public class VehicleTypePagingQueryVO implements Serializable {
	
	private static final long serialVersionUID = 3747064965339271147L;

	@ApiModelProperty(value = "车型编码")
	private String vehicleTypeCode;
	
	@ApiModelProperty(value = "车型名称")
	private String vehicleTypeName;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
