package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车型资料弹窗VO
 * 
 * @author Eton Woo
 * @date 2022/03/16
 */
@Data
@ApiModel("车型资料弹窗VO")
public class VehicleTypePopupVO implements Serializable {

	private static final long serialVersionUID = -8395199961164432689L;

	@ApiModelProperty(value = "车型编码")
	private String vehicleTypeCode;
	
	@ApiModelProperty(value = "车型名称")
	private String vehicleTypeName;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
