package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车型资料是否启用VO
 * 
 * @author Eton Woo
 * @date 2022/03/15
 */
@Data
@ApiModel("车型资料是否启用VO")
public class VehicleTypeWhetherEnableVO implements Serializable {

	private static final long serialVersionUID = 4009506307645058512L;

	@ApiModelProperty(value = "车型ID集合")
	private List<VehicleTypeByIdVO> vehicleTypeByIds = new ArrayList<VehicleTypeByIdVO>();

	@ApiModelProperty(value = "状态：0：停用 1：启用")
	private Integer status;
}
