package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆资料是否启用VO
 * 
 * @author Eton Woo
 * @date 2022/03/16
 */
@Data
@ApiModel("车辆资料是否启用VO")
public class VehicleWhetherEnableVO implements Serializable {

	private static final long serialVersionUID = 338272651140923904L;

	@ApiModelProperty(value = "车辆ID集合")
	private List<VehicleByIdVO> vehicleByIds = new ArrayList<VehicleByIdVO>();

	@ApiModelProperty(value = "状态：0：停用 1：启用")
	private Integer status;
}
