package com.prolog.rdc.tms.model.vo.message;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 消息查询
 * @author hongbo.pan
 * @date 2022/11/15
 */
@Data
public class MessageReadAllVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "通知类型MESSAGE_NOTICE_TYPE")
    private String noticeType;

    @ApiModelProperty(value = "消息类型MESSAGE_TYPE")
    private String type;

    @ApiModelProperty(hidden = true)
    private Long receiveUserId;

    @ApiModelProperty(hidden = true)
    private String updatePerson;

}
