package com.prolog.rdc.tms.model.vo.message;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 消息查询
 * @author hongbo.pan
 * @date 2022/11/15
 */
@Data
public class MessageSendLogQueryVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "消息名称")
    private String messageName;

    @ApiModelProperty(value = "消息类型MESSAGE_TYPE")
    private String messageType;

    @ApiModelProperty(value = "单据类型MESSAGE_SEND_TYPE")
    private String sendType;

    @ApiModelProperty(value = "单据类型MESSAGE_ORDER_TYPE")
    private String orderType;

    @ApiModelProperty(value = "单号")
    private String orderNo;

    @ApiModelProperty(value = "状态：0成功 1失败")
    private String sendStatus;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "通知类型MESSAGE_NOTICE_TYPE")
    private String noticeType;

}
