package com.prolog.rdc.tms.model.vo.message;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
*  DTO
* <p>
* Copyright: Copyright (C) 2022 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2022-11-15 14:03:39
*/
@Data
public class SaveMessageConfigNoticeToVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "类型：R 角色 U 用户")
    private String type;

    @ApiModelProperty(value = "通知对象id集合")
    private String noticeToId;

    @ApiModelProperty(value = "通知对象名称集合")
    private String noticeToName;

}
