package com.prolog.rdc.tms.model.vo.message;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 停用启用消息配置
 * @author hongbo.pan
 * @date 2022/11/15
 */
@Data
public class UpdateMessageConfigStatusVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "消息配置id")
    private List<Long> idList;

    @ApiModelProperty(value = "状态：0停用 1启用")
    private String status;

}
