package com.prolog.rdc.tms.service;

import com.prolog.cs.platform.power.model.Organization;
import com.prolog.rdc.tms.config.enums.DepartmentBaseLinkBaseTypeEnum;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/10/9
 */
public interface DepartmentBaseLinkService {

    /**
     * 新增部门关联关系
     * @param typeEnum
     * @param baseId
     * @param departmentId
     * @param departmentCode
     * @param departmentName
     */
    void addLink(DepartmentBaseLinkBaseTypeEnum typeEnum, String baseId, String departmentId, String departmentCode, String departmentName);

    /**
     * 新增部门关联关系
     * @param typeEnum
     * @param baseId
     * @param departmentList
     */
    void addLink(DepartmentBaseLinkBaseTypeEnum typeEnum, String baseId, List<Organization> departmentList);

    /**
     * 新增部门关联关系
     * @param typeEnum
     * @param baseIdList
     */
    void deleteLink(DepartmentBaseLinkBaseTypeEnum typeEnum, List<String> baseIdList);
}
