package com.prolog.rdc.tms.service.fleetManagement;

import com.prolog.rdc.tms.model.dto.fleetManagement.VehicleGpsDTO;
import com.prolog.rdc.tms.model.vo.fleetManagement.VehicleGpsQueryVO;
import com.prolog.rdc.tms.model.vo.fleetManagement.VehicleGpsSaveVO;

import java.util.List;

/**
 *
 *
 * 车辆GPS数据管理服务层
 *
 * @className :VehicleGpsService
 * @author :xyf
 * @creationTime :2021/09/01
 * @description :
 *
 * @version :1.0.0
 *
 */
public interface VehicleGpsService {

    /**
     * 写入车辆GPS数据
     *
     * @param
     * @return
     */
    void saveVehicleGps(VehicleGpsSaveVO vo) throws Exception;

    /**
     * 车辆GPS列表数据查询
     *
     * @param
     * @return
     */
    List<VehicleGpsDTO> queryVehicleGps(VehicleGpsQueryVO vo) throws Exception;


    /**
     * 保存gps数据，递归所有父级运单
     * @param vo
     */
    void saveVehicleGpsNew(VehicleGpsSaveVO vo);

}
