package com.prolog.rdc.tms.service.message;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.message.MessageSendLogDTO;
import com.prolog.rdc.tms.model.vo.message.MessageSendLogQueryVO;
import com.prolog.rdc.tms.model.vo.message.RetrySendLogVO;

/**
 * @author hongbo.pan
 * @date 2022/11/16
 */
public interface MessageSendLogService {

    /**
     * 查询消息日志
     * @param vo
     * @return
     */
    Page<MessageSendLogDTO> query(MessageSendLogQueryVO vo);

    /**
     * 重试
     * @param vo
     */
    void retry(RetrySendLogVO vo);
}
