package com.prolog.rdc.tms.service.message.impl;

import com.alibaba.fastjson.JSON;
import com.prolog.rdc.tms.model.dto.message.ChannelMessageDTO;
import com.prolog.rdc.tms.service.message.MessageChannel;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 默认渠道处理
 * @author hongbo.pan
 * @date 2022/11/17
 */
@Slf4j
@Service
public class DefaultChannel implements MessageChannel {
    
    @Override
    public void send(ChannelMessageDTO channelMessageDTO) {
        log.info("topic={},channelMessageDTO={}", "DefaultChannel", JSON.toJSONString(channelMessageDTO));
    }
}
