import myClass from './structureClass.js'
const baseName = 'consignee'

//收货方信息
export default (self) => {

  let instance = new myClass({ name: '收货方', key: baseName, label: '送货' })

  return [
    ...instance.init(self),
    {
      type: 'row',
      span: 24,
      list: [
        {
          offset: 1,
          name: 'consigneeReturnOrderPicture',
          readOnly: self.st == 1,
          type: 'check',
          span: 3,
          wrapperCol: { span: 24 },
          checkedText: '回单图片',
          value: 0,
          replaceFields: {
            true: 1,
            false: 0,
          },
        },
        {
          span: 6,
          name: 'returnOrderFlag',
          readOnly: self.st == 1,
          type: 'check',
          wrapperCol: { span: 24 },
          checkedText: '正本回单',
          value: 0,
          replaceFields: {
            true: 1,
            false: 0,
          },
        },

        {
          name:'returnOrderDeadline',
          labelCol: { span: 5 },
          wrapperCol: { span: 4 },
          label: '回单期限',
          span: 14,
          value: 0,
          tooltip: false,
          unit: () => self._c('div', { style: 'width:24px;text-align:center' }, [self._v('天')]),
          type:'txt',
        },
      ],
    },
  ]

}