//import _default from "./src/index.jsx";
import _default from "./src/index.jsx";
import iteration from "./Iteration";
import { Table } from "ant-design-vue";



Table.Column.props.tooltip = { type: Boolean, default: true };
Table.Column.props.hidden = { type: Boolean };
Table.Column.props.index = { type: Number };

_default.install = function (Vue) {
  require('./style/index.js')
  let SelectionBox = require('ant-design-vue/es/table/SelectionBox.js').default
  SelectionBox.props.indeterminate = {
    type: null
  }
  iteration(Vue);

  Vue.component(_default.name, _default);
  Vue.component(_default.ColumnGroup.name, Table.ColumnGroup);
  Vue.component(_default.Column.name, Table.Column);
};

export default _default;
