import request from '@/utils/request'
import qs from 'qs'
import { UPCLOUD_RDC_TMS_BMS_SERVICE } from '@/config/serviceSettings.js'
const serviceName = UPCLOUD_RDC_TMS_BMS_SERVICE
// 主表地址
export const listRemoteUrl = {
  url: serviceName + '/reconciliation/findList',
  method: 'post',
}

// 商品表地址
export const page_detail_item = {
  url: serviceName + '/pending_review/detail/list',
  method: 'post',
}

// 包裹表地址
export const page_detail_package = {
  url: serviceName + '/pending_review/package/list',
  method: 'post',
}

// 确认
export const Confirm = (data) => {
  return request({
    url: serviceName + '/reconciliation/confirm',
    method: 'post',
    data,
  })
}

// 提交
export const Submit = (data) => {
  return request({
    url: serviceName + '/reconciliation/submit',
    method: 'post',
    data,
  })
}

// 运单查看
export const viewUrl = (data) => {
  return request({
    url: serviceName + '/pending_review/view',
    method: 'post',
    data,
  })
}
