/**
   * smy
   * 2021.09.02
   * 证件管理
      */
    import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
    import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
export default () => {
  var tabs;
  let queryItem = "";
  let queryFileItem = "";
  var gridTemplate1B = null;
  var openType;
  // 获取默认时间
  var startTodate = Prolog.formatDate(new Date()) + " 00:00:00";
  var endTodate = getSpecDate(60, Prolog.formatDate(new Date())) + " 23:59:59";

  let dataSelect;
  //获取下拉框
  getSelectGJ([{ "objectcode": "CERTIFICATE_PROVIDER_TYPE" }, { "objectcode": "CERTIFICATES_TYPE" }], function (data) {
    data.data.CERTIFICATE_PROVIDER_TYPE.unshift({ "text": "", "value": "" });
    data.data.CERTIFICATES_TYPE.unshift({ "text": "", "value": "" });
    dataSelect = data.data;
  });

  var waitStr;
  var user = localStorage.getItem("userinfo");
  Prolog.ajax({
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/sysParameter/queryByConditionNo",
    type: "post",
    contentType: "application/json",
    data: JSON.stringify({
      branchCode: JSON.parse(user).p_enterpriseid,
      parameterCode: "CERTIFICATE_EXPIRATION_WARNING"
    }),
    success: function (res) {
      if (res.success) {
        if (res.data.length) {
          waitStr = res.data[0].parameterValue;
        }
      }
    }, error: function () {

    }
  });


  let ddfrom;
  //跳转页面
  var carousel = layui.carousel;
  var car = carousel.render({
    elem: "#CFM_div",
    autoplay: false,
    index: 0,
    arrow: "none",
    indicator: "none",
    anim: "fade",
    width: "100%", //设置容器宽度
    height: "100%"
  });
  //跳转方法
  var tt = "CFM_zhu_div";

  function changePanel() {
    car.slide(tt);
    tt = tt == "CFM_xi1" ? "CFM_zhu_div" : "CFM_xi1";
  }
  var grid;
  //司机table
  var userTable2 = {
    columns: [
      { id: "id", name: "id", type: "ro", width: "130", hidden: true },
      { id: "userId", name: "司机编号", type: "ro" },
      { id: "userName", name: "司机名称", type: "ro" },
      { id: "tel", name: "手机号", type: "ro" },
      { id: "card", name: "身份证号", type: "ro" }
    ],
    multiselect: false,

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/sysUserDuty/querySysUserDutyPop", //数据接口
    type: "post", //数据提交方式，默认为get
    contentType: "application/json",
    pagebar: { type: "simple" },
    params: "{}", //查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //车牌号table
  var userTable3 = {
    columns: [
      { id: "vehicleId", name: "id", type: "ro", width: "130", hidden: true },
      { id: "vehicleNo", name: "车辆编号", type: "ro" },
      { id: "vehicleName", name: "车辆名称", type: "ro" },
      { id: "vehicleSpecs", name: "规格编号", type: "ro" },
      { id: "vehicleSpecsName", name: "规格名称", type: "ro" }
    ],
    multiselect: false,

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/tBaseVehicle/queryPop", //数据接口
    type: "post", //数据提交方式，默认为get
    pagebar: { type: "simple" },
    contentType: "application/json",
    params: "{}", //查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //单位资料弹窗
  var userTable = {
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "编号", type: "ro" },
      { id: "companyname", name: "名称", type: "ro" }
    ],
    multiselect: false,
    pagebar: { type: "simple" },

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyPop", //数据接口
    type: "post", //数据提交方式，默认为get
    contentType: "application/json",
    params: "{}", //查询提交参数，分页参数默认为pageNum,pageSize
    page: true, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };

  var config = {
    renderer: "CFM_tab", //挂载点
    indexActive: 0, //初始化默认选中项
    content: [
      {
        id: "tab1",
        title: "图片",
        template: " <div id =\"tableA\" style=\"height:100%;padding: 0px;\">" +
          "<div id=\"CFM_imageUpload\">" +
          "<div id=\"CFM_xi2\">" +
          "<img id=\"CFMAddImg\" class=\"leftImg\" src=\"/img/addimg.png\" />" +
          "</div>" +
          "</div>" +
          "</div > "
      },
      {
        id: "tab2",
        title: "文件",
        template: "<div id =\"tableB\" style=\"height:100%;padding: 0px;\">" +
          "<div class=\"layui-upload\">  <button type=\"button\" class=\"layui-btn\" style='float:left' id=\"carrierManagement_Template1B_divB1\">文件上传</button> <button type=\"button\" class=\"layui-btn\" style='float:left;margin-left:5px' id=\"carrierManagement_Template1B_divB5\">批量下载</button> </div>" +
          "<div id='carrierManagement_Template1B_divB2'></div></div>"
      }
    ]
  };
  tabs = new PlgTabs(config);

  //初始加载表格
  gridInit(0);

  function gridInit(type, uData) {
    if (type == 0) {
      //分页参数
      var opts = {
        //terrace显示全部，card分页显示
        skin: "card",
        //renderer:"grid",
        columns: [
          { id: "paperid", name: "id", type: "ro", width: "100", hidden: true },
          { id: "papertypename", name: "证件类型", type: "ro", width: "150" },
          { id: "paperno", name: "证件编号", type: "ro", width: "150" },
          { id: "paperprovidortypeName", name: "证件对象类型", type: "ro", width: "150" },
          { id: "paperprovidor", name: "证件对象编号", type: "ro", width: "150" },
          { id: "paperprovidorname", name: "证件对象名称", type: "ro", width: "150" },
          { id: "paperauthority", name: "发证机构", type: "ro", width: "150" },
          { id: "fromdate", name: "证件有效期始", type: "ro", width: "150" },
          { id: "todate", name: "证件有效期止", type: "ro", width: "150" },
          { id: "daysremaining", name: "剩余过期天数", type: "ro", width: "150" },
          { id: "remarks", name: "备注", type: "ro", width: "150" },
          {
            id: "op", name: "操作", type: "button", align: "left", fixed: "right", width: "100", render: function () {
              return "作废^CFM_tovoid_btn,复制^CFM_copy_btn,修改^CFM_modify_btn,详情^CFM_details_btn";
            }
          }
        ],
        multiselect: false,
        fixedLast: true,
        toolbar: [
          { type: "settings", labelWidth: 150, labelAlign: "right" },
          {
            type: "row",
            list: [
              { type: "calendar", name: "startTodate", className: "layui-col-md4", label: "证件到期查询开始日期:", value: startTodate },
              { type: "calendar", name: "endTodate", className: "layui-col-md4", label: "证件到期查询结束日期:", value: endTodate },
              {
                type: "combo",
                readonly: true,
                name: "paperprovidortype",
                label: "证件对象类型:",
                className: "layui-col-md4",
                options: dataSelect.CERTIFICATE_PROVIDER_TYPE
              },
              {
                type: "combo",
                readonly: true,
                name: "papertype",
                label: "证件类型:",
                className: "layui-col-md4",
                options: dataSelect.CERTIFICATES_TYPE
              },
              { type: "input", name: "paperno", className: "layui-col-md4", label: "证件编号:" },
              { type: "input", name: "paperprovidor_emptyInput", className: "layui-col-md4", label: "证件对象:", placeholder: "请选择" },
              {
                className: "layui-col-md4",
                type: "selectTable",
                placeholder: "请选择",
                readonly: false,
                table: userTable2,
                tableWidth: 500,
                tableHeight: 400,
                fieldText: "userName",
                fieldValue: "userId",
                name: "paperprovidorList2",
                label: "证件对象:",
                hidden: true,
                listener: function (userTable2Grid) {
                  setMethod(userTable2Grid, userTable2, function (data) {
                    var datad = {};
                    datad.paperprovidor = data.userId;
                    grid.getToolBarForm().setFormData(datad);
                  });
                }
              },
              {
                className: "layui-col-md4",
                type: "selectTable",
                placeholder: "请选择",
                readonly: false,
                table: userTable3,
                tableWidth: 500,
                tableHeight: 400,
                fieldText: "vehicleName",
                fieldValue: "vehicleNo",
                name: "paperprovidorList3",
                label: "证件对象:",
                hidden: true,
                listener: function (userTable3Grid) {
                  setMethod(userTable3Grid, userTable3, function (data) {
                    var datad = {};
                    datad.paperprovidor = data.vehicleNo;
                    grid.getToolBarForm().setFormData(datad);
                  });
                }
              },
              {
                className: "layui-col-md4",
                type: "selectTable",
                placeholder: "请选择",
                readonly: false,
                table: userTable,
                tableWidth: 500,
                tableHeight: 400,
                fieldText: "companyname",
                fieldValue: "companyid",
                name: "paperprovidorList",
                label: "证件对象:",
                hidden: true,
                listener: function (userTableGrid) {
                  setMethod(userTableGrid, userTable, function (data) {
                    var datad = {};
                    datad.paperprovidor = data.companyid;
                    grid.getToolBarForm().setFormData(datad);
                  });
                }
              },
              { type: "hidden", name: "paperprovidor" },

              {
                type: "block", className: "layui-col-md6 form_btn_left",
                list: [
                  { type: "button", className: "btn-normal", name: "querycarr", value: "查询" },
                  { type: "newcolumn" },
                  { type: "button", name: "car_Reset", className: "normal", value: "重置" }
                ]
              },
              {
                type: "block", className: "layui-col-md6 right",
                list: [
                  { type: "button", className: "btn-addBtn btn-normal", name: "grid_add_btn", value: "新增" }
                ]
              }
            ]
          }],

        url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubPaper/queryPubPaper",//数据接口
        type: "post",//数据提交方式，默认为get
        contentType: "application/json",
        params: JSON.stringify({ startTodate: startTodate, endTodate: endTodate }),//查询提交参数，分页参数默认为pageNum,pageSize
        page: true, //是否启用分页
        totalCount: "totalCount" //总记录数字段，默认totalCount
      };
      //分页参数 pageSize pageNum
      grid = new PlgGrid(opts);
      grid.renderTo("CFM_zhu");
      // grid.getToolBarForm().setFormData({ "systemId": "prolog-healthy-wms" });
      grid.loadData();

      // let style_green = "background-color: #6ee690;";
      let style_red = "background-color: #f00;";
      let style_gray = "background-color: #ccc;";
      grid.attachEvent("onDataReady", function () {

        for (let i = 0; i < grid.getRowsNum(); i++) {
          let rd = grid.getRowData(grid.getRowId(i));
          if (Number(rd.daysremaining) > 0 && Number(rd.daysremaining) <= Number(waitStr)) {
            grid.setRowTextStyle(grid.getRowId(i), style_red);
          }
          else if (Number(rd.daysremaining) <= 0) {
            grid.setRowTextStyle(grid.getRowId(i), style_gray);
          }
        }
        setTimeout(function () {
          layui.element.render();
        }, 200);
      });


      //按钮添加方法
      grid.attachToolBarEvent("onButtonClick", function (name) {
        //查询
        if (name == "querycarr") {
          let jsonData = grid.getToolBarForm().getFormData();
          jsonData.startTodate = jsonData.startTodate ? Prolog.formatDate(jsonData.startTodate) + " 00:00:00" : "";
          jsonData.endTodate = jsonData.endTodate ? Prolog.formatDate(jsonData.endTodate) + " 23:59:59" : "";
          if (jsonData.startTodate > jsonData.endTodate) {
            layer.msg("开始时间不能大于结束时间");
            return false;
          }
          delete jsonData.paperprovidorList;
          delete jsonData.paperprovidorList2;
          delete jsonData.paperprovidorList3;
          delete jsonData.paperprovidor_emptyInput;
          grid.setParams(JSON.stringify(jsonData));
          grid.reload();
        }
        //重置
        if (name == "car_Reset") {
          grid.getToolBarForm().getDForm().hideItem("paperprovidorList");
          grid.getToolBarForm().getDForm().hideItem("paperprovidorList2");
          grid.getToolBarForm().getDForm().hideItem("paperprovidorList3");
          grid.getToolBarForm().getDForm().showItem("paperprovidor_emptyInput");

          grid.getToolBarForm().getDForm().setText("paperprovidorList", "");
          grid.getToolBarForm().getDForm().setText("paperprovidorList2", "");
          grid.getToolBarForm().getDForm().setText("paperprovidorList3", "");
          grid.getToolBarForm().clear();
          grid.getToolBarForm().setFormData({ startTodate: startTodate, endTodate: endTodate });

        }
        //新增
        if (name == "grid_add_btn") {
          gridInit(1);
        }
      });
      grid.getToolBarForm().attachEvent("onFocus", function (name) {
        let fdata = grid.getToolBarForm().getFormData();
        if (!fdata.paperprovidortype && name == "paperprovidor_emptyInput") {
          PlgDialog.msg("请选择证件对象类型!");
          return;
        }
      });
      grid.getToolBarForm().attachEvent("onChange", function (name, value, boolean, state) {
        let fdata = grid.getToolBarForm().getDForm();
        let typeCode = grid.getToolBarForm().getFormData().paperprovidortype;
        let obj = {
          companytype: ""
        };
        if (name == "paperprovidortype") {
          if (value == "1" || value == "4" || value == "5" || value == "6") {
            fdata.showItem("paperprovidorList");
            fdata.hideItem("paperprovidorList2");
            fdata.hideItem("paperprovidorList3");
            fdata.hideItem("paperprovidor_emptyInput");

            fdata.setText("paperprovidorList", "");

            if (typeCode == "1") {
              obj.companytype = "Y";
            }
            else if (typeCode == "4") {
              obj.companytype = "C";
            }
            else if (typeCode == "5") {
              obj.companytype = "V";
            }
            else if (typeCode == "6") {
              obj.companytype = "H";
            }
            else {
              obj.companytype = "";
            }

            userTable.params = JSON.stringify(obj);
            fdata.setTableConfig("paperprovidorList", userTable);

          }
          else if (value == "2") {
            fdata.hideItem("paperprovidorList");
            fdata.showItem("paperprovidorList2");
            fdata.hideItem("paperprovidorList3");
            fdata.hideItem("paperprovidor_emptyInput");

            fdata.setText("paperprovidorList2", "");

          }
          else if (value == "3") {
            fdata.hideItem("paperprovidorList");
            fdata.hideItem("paperprovidorList2");
            fdata.showItem("paperprovidorList3");
            fdata.hideItem("paperprovidor_emptyInput");

            fdata.setText("paperprovidorList3", "");

          }
          else {
            fdata.hideItem("paperprovidorList");
            fdata.hideItem("paperprovidorList2");
            fdata.hideItem("paperprovidorList3");
            fdata.showItem("paperprovidor_emptyInput");
          }
        }


      });

    }
    if (type == 1) {
      $("#CFM_xi").html("");
      if (uData && uData.paperid) {
        $("#CFMErr").html("修改");
        $("#CFM_tab").show();
      }
      else {
        $("#CFMErr").html("新增");
        $("#CFM_xi2").html("");
        $("#CFM_xi2").append("<img id='CFMAddImg' class='leftImg' src='/img/addimg.png'/>");
        $("#CFM_tab").hide();
      }
      ddfrom = new PlgForm({
        renderer: "CFM_xi",
        items: [
          { type: "settings", labelWidth: 150, labelAlign: "right" },
          {
            type: "row",
            list: [
              { type: "hidden", name: "paperid" },

              {
                type: "combo",
                readonly: true,
                name: "paperprovidortype",
                label: "证件对象类型:",
                className: "layui-col-md4",
                options: dataSelect.CERTIFICATE_PROVIDER_TYPE,
                required: true
              },
              { type: "input", name: "paperprovidor_emptyInput", className: "layui-col-md4", label: "证件对象:<span class='dhxform_item_required'>*<span>", placeholder: "请选择" },
              {
                className: "layui-col-md4",
                type: "selectTable",
                placeholder: "请选择",
                readonly: false,
                table: userTable2,
                tableWidth: 500,
                tableHeight: 400,
                fieldText: "userName",
                fieldValue: "userId",
                name: "paperprovidorList2",
                label: "证件对象:<span class='dhxform_item_required'>*<span>",
                hidden: true,
                listener: function (userTable2Grid) {
                  setMethod(userTable2Grid, userTable2, function (data) {
                    var datad = {};
                    datad.paperprovidor = data.userId;
                    datad.paperprovidorname = data.userName;
                    ddfrom.setFormData(datad);
                  });
                }
              },
              {
                className: "layui-col-md4",
                type: "selectTable",
                placeholder: "请选择",
                readonly: false,
                table: userTable3,
                tableWidth: 500,
                tableHeight: 400,
                fieldText: "vehicleName",
                fieldValue: "vehicleNo",
                name: "paperprovidorList3",
                label: "证件对象:<span class='dhxform_item_required'>*<span>",
                hidden: true,
                listener: function (userTable3Grid) {
                  setMethod(userTable3Grid, userTable3, function (data) {
                    var datad = {};
                    datad.paperprovidor = data.vehicleNo;
                    datad.paperprovidorname = data.vehicleName;
                    ddfrom.setFormData(datad);
                  });
                }
              },
              {
                className: "layui-col-md4",
                type: "selectTable",
                placeholder: "请选择",
                readonly: false,
                table: userTable,
                tableWidth: 500,
                tableHeight: 400,
                fieldText: "companyname",
                fieldValue: "companyid",
                name: "paperprovidorList",
                label: "证件对象:<span class='dhxform_item_required'>*<span>",
                hidden: true,
                listener: function (userTableGrid) {
                  setMethod(userTableGrid, userTable, function (data) {
                    var datad = {};
                    datad.paperprovidor = data.companyid;
                    datad.paperprovidorname = data.companyname;
                    ddfrom.setFormData(datad);
                  });
                }
              },
              // 证件对象code
              { type: "hidden", name: "paperprovidor" },
              // 证件对象name
              { type: "hidden", name: "paperprovidorname" },

              { type: "calendar", name: "fromdate", className: "layui-col-md4", label: "有效期起:", value: startTodate, required: true },
              {
                type: "combo",
                readonly: true,
                name: "papertype",
                label: "证件类型:",
                className: "layui-col-md4",
                options: dataSelect.CERTIFICATES_TYPE,
                required: true
              },
              { type: "input", name: "paperno", className: "layui-col-md4", label: "证件编号:", required: true },
              { type: "calendar", name: "todate", className: "layui-col-md4", label: "有效期止:", value: endTodate, required: true },

              { type: "input", name: "remarks", className: "layui-col-md4", label: "备注:" },
              { type: "input", name: "paperauthority", className: "layui-col-md4", label: "发证机构:" },
              { type: "calendar", name: "paperdate", className: "layui-col-md4", label: "证件发放日期:", required: true }

            ]
          }
        ]
      });
      ddfrom.setFormData(uData);
      ddfrom.attachEvent("onFocus", function (name) {
        let fdata = ddfrom.getFormData();
        if (!fdata.paperprovidortype && name == "paperprovidor_emptyInput") {
          PlgDialog.msg("请选择证件对象类型!");
          return;
        }
      });
      ddfrom.attachEvent("onChange", function (name, value, boolean, state) {
        let fdata = ddfrom.getDForm();
        let typeCode = ddfrom.getFormData().paperprovidortype;
        let obj = {
          companytype: ""
        };
        if (name == "paperprovidortype") {
          if (value == "1" || value == "4" || value == "5" || value == "6") {
            fdata.showItem("paperprovidorList");
            fdata.hideItem("paperprovidorList2");
            fdata.hideItem("paperprovidorList3");
            fdata.hideItem("paperprovidor_emptyInput");

            fdata.setText("paperprovidorList", "");

            if (typeCode == "1") {
              obj.companytype = "Y";
            }
            else if (typeCode == "4") {
              obj.companytype = "C";
            }
            else if (typeCode == "5") {
              obj.companytype = "V";
            }
            else if (typeCode == "6") {
              obj.companytype = "H";
            }
            else {
              obj.companytype = "";
            }
            userTable.params = JSON.stringify(obj);
            fdata.setTableConfig("paperprovidorList", userTable);

          }
          else if (value == "2") {
            fdata.hideItem("paperprovidorList");
            fdata.showItem("paperprovidorList2");
            fdata.hideItem("paperprovidorList3");
            fdata.hideItem("paperprovidor_emptyInput");

            fdata.setText("paperprovidorList2", "");

          }
          else if (value == "3") {
            fdata.hideItem("paperprovidorList");
            fdata.hideItem("paperprovidorList2");
            fdata.showItem("paperprovidorList3");
            fdata.hideItem("paperprovidor_emptyInput");

            fdata.setText("paperprovidorList3", "");

          }
          else {
            fdata.hideItem("paperprovidorList");
            fdata.hideItem("paperprovidorList2");
            fdata.hideItem("paperprovidorList3");
            fdata.showItem("paperprovidor_emptyInput");
          }
        }


      });


      let fdata = ddfrom.getDForm();
      let typeCode = ddfrom.getFormData().paperprovidortype;
      let obj = {
        companytype: ""
      };
      if (typeCode == "1" || typeCode == "4" || typeCode == "5" || typeCode == "6") {
        fdata.showItem("paperprovidorList");
        fdata.hideItem("paperprovidorList2");
        fdata.hideItem("paperprovidorList3");
        fdata.hideItem("paperprovidor_emptyInput");

        if (typeCode == "1") {
          obj.companytype = "Y";
        }
        else if (typeCode == "4") {
          obj.companytype = "C";
        }
        else if (typeCode == "5") {
          obj.companytype = "V";
        }
        else if (typeCode == "6") {
          obj.companytype = "H";
        }
        else {
          obj.companytype = "";
        }
        userTable.params = JSON.stringify(obj);
        fdata.setTableConfig("paperprovidorList", userTable);
        fdata.setText("paperprovidorList", uData.paperprovidorname);

      }
      else if (typeCode == "2") {
        fdata.hideItem("paperprovidorList");
        fdata.showItem("paperprovidorList2");
        fdata.hideItem("paperprovidorList3");
        fdata.hideItem("paperprovidor_emptyInput");
        fdata.setText("paperprovidorList2", uData.paperprovidorname);
      }
      else if (typeCode == "3") {
        fdata.hideItem("paperprovidorList");
        fdata.hideItem("paperprovidorList2");
        fdata.showItem("paperprovidorList3");
        fdata.hideItem("paperprovidor_emptyInput");
        fdata.setText("paperprovidorList3", uData.paperprovidorname);
      }
      else {
        fdata.hideItem("paperprovidorList");
        fdata.hideItem("paperprovidorList2");
        fdata.hideItem("paperprovidorList3");
        fdata.showItem("paperprovidor_emptyInput");
      }


      changePanel();
    }

  }
  var optsTemplate1B = {
    //terrace显示全部，card分页显示
    skin: "card",
    //renderer:"grid",
    columns: [
      { id: "id", name: "id", type: "ro", width: "100", hidden: true },
      { id: "originFileName", name: "文件名", type: "ro" },
      { id: "createDay", name: "上传时间", type: "ro" },
      { id: "fileSize", name: "大小", type: "ro" },
      {
        id: "op",
        name: "操作",
        type: "button",
        align: "center",
        fixed: "right",
        width: 100,
        render: function () {
          if (openType == 4) {
            return "下载^carrierManagement_Template1B__donwload";
          }
          return "删除^carrierManagement_Template1B__delete,下载^carrierManagement_Template1B__donwload";

        }
      }
    ],
    // multiselect: true,

    url: "/app/biz-file/list", //数据接口
    type: "post", //数据提交方式，默认为get
    contentType: "application/json",
    params: "{}", //查询提交参数，分页参数默认为pageNum,pageSize
    page: false, //是否启用分页
    totalCount: "totalCount" //总记录数字段，默认totalCount
  };
  //分页参数 pageSize pageNum
  gridTemplate1B = new PlgGrid(optsTemplate1B);
  // 作废
  window.CFM_tovoid_btn = function (rid, rdata) {

    //询问框
    PlgDialog.confirm("是否作废证件？", {
      title: "作废提示",
      btn: ["确定", "取消"]
    }, function (index) {
      PlgDialog.close(index);

      //加载等待
      var pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
      Prolog.ajax({
        url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubPaper/cancel",
        type: "post",
        contentType: "application/json",
        data: JSON.stringify([{
          paperid: rid
        }]),
        success: function (data) {
          PlgDialog.close(pload);
          if (data.success) {
            PlgDialog.msg(data.message);
            setTimeout(function () {
              grid.reload();
            }, 10);
          }
          else {
            setTimeout(() => { PlgDialog.alert(data.message == null ? "接口调用失败" : data.message); }, 300);
          }
        },
        error: function () { PlgDialog.close(pload); PlgDialog.msg("接口调用失败"); }
      });

    });

  };
  // 修改
  window.CFM_modify_btn = function (rid, rdata) {
    openType = "";

    gridInit(1, rdata);
    queryItem = {
      bizId: rdata.paperid,
      bizType: "0",
      enterpriseid: userGJ.p_enterpriseid
    };
    getImgList(queryItem);
    setUploadMouth(queryItem);

    gridTemplate1B.renderTo("carrierManagement_Template1B_divB2");

    queryFileItem = {
      bizId: rdata.paperid + "file",
      bizType: "0",
      enterpriseid: userGJ.p_enterpriseid
    };
    getFileList(queryFileItem);
    setUploadFile(queryFileItem);

  };
  // 复制
  window.CFM_copy_btn = function (rid, rdata) {
    openType = "";

    rdata.paperid = null;
    gridInit(1, rdata);
    // queryItem = {
    //     bizId: rdata.paperid,
    //     bizType: "0",
    //     enterpriseid: userGJ.p_enterpriseid
    // };
    // getImgList(queryItem);
    // setUploadMouth(queryItem);
  };
  // 详情
  window.CFM_details_btn = function (rid, rdata) {
    openType = 4;


    $("#CFM_xi").html("");
    $("#CFMErr").html("详情");
    $("#CFM_save").css("display", "none");

    new PlgPanel({
      renderer: "CFM_xi",
      skin: 2,
      header: {
        isShow: true,
        title: "详情"
      },
      defaultBody: {
        layoutCol: 3,
        valueBj: true,
        cols: [
          [
            {
              label: "证件对象类型",
              value: getSelectValue(dataSelect.CERTIFICATE_PROVIDER_TYPE, rdata.paperprovidortype)
            },
            {
              label: "证件对象",
              value: rdata.paperprovidorname
            },
            {
              label: "有效期起",
              value: rdata.fromdate
            }
          ],
          [
            {
              label: "证件类型",
              value: rdata.papertypename
            },
            {
              label: "证件编号",
              value: rdata.paperno
            },
            {
              label: "有效期止",
              value: rdata.todate
            }

          ],
          [
            {
              label: "备注",
              value: rdata.remarks
            },
            {
              label: "发证机构",
              value: rdata.paperauthority
            },
            {
              label: "证件发放日期",
              value: rdata.paperdate
            }
          ]
        ]
      }
    });
    changePanel();


    queryItem = {
      bizId: rdata.paperid,
      bizType: "0",
      enterpriseid: userGJ.p_enterpriseid
    };
    getImgList(queryItem, "XQ");

    gridTemplate1B.renderTo("carrierManagement_Template1B_divB2");

    queryFileItem = {
      bizId: rdata.paperid + "file",
      bizType: "0",
      enterpriseid: userGJ.p_enterpriseid
    };
    getFileList(queryFileItem, "XQ");
    $("#CFM_tab").show();
    $("#carrierManagement_Template1B_divB1").css("display", "none");


  };


  //删除
  window.carrierManagement_Template1B__delete = function (id) {
    utilAjaxGJ("/app/biz-file/del", "post", { ids: id }, () => {
      layer.msg("成功");
      getFileList(queryFileItem);
    });
  };
  // 下载
  window.carrierManagement_Template1B__donwload = function (id) {

    downloadFileFun([id]);
  };
  // 批量下载
  $("#carrierManagement_Template1B_divB5").click(function () {
    let dataList = [];
    let indexNum = gridTemplate1B.getGrid().getRowsNum();
    if (!indexNum) return;
    for (let i = 0; i < indexNum; i++) {
      const element = gridTemplate1B.getRowData(gridTemplate1B.getRowId(i));
      dataList.push(element.id);
    }
    downloadFileFun(dataList);
  });


  //查询图片
  var imgList = [];
  function getImgList(data, type) {
    imgList = [];
    $("#CFM_xi2").html("");
    utilAjaxGJ("/app/biz-file/list", "post", data, (data) => {
      let imgListData = data.data;
      for (var i = 0; i < imgListData.length; i++) {
        imgList.push({ fileUrl: imgListData[i].file.fileUrl });
        $("#CFM_xi2").append("<img onclick='showCustImg(this)'  class='leftImg' src='" + imgListData[i].file.fileUrl + "'/>" +
          (type == "XQ" ? "" : "<div class='deleteCustomerImg' id='" + imgListData[i].id + "' onclick='deletecustImg(this)'>X</div>"));
      }
      if (type != "XQ") {
        $("#CFM_xi2").append("<img id='CFMAddImg' class='leftImg' src='/img/addimg.png'/>");
      }
      setUploadMouth(queryItem);
    });

  }
  //设置上传
  function setUploadMouth(data) {
    var token = window.localStorage.getItem("authorization");
    if (token == null || token == "") {
      PlgDialog.msg("登录状态异常，请重新登录！");
      window.location.href = "/menu?path=login";
      return;
    }
    var upload = layui.upload;
    upload.render({
      elem: "#CFMAddImg",
      url: "/app/biz-file/upload",
      accept: "images",
      field: "files",
      acceptMime: "image/*",
      headers: { "Authorization": token },
      data: data,
      contentType: "multipart/form-data",
      size: 10 * 1024,
      before: function () { //obj参数包含的信息，跟 choose回调完全一致，可参见上文。
        PlgDialog.load(2, { shade: [0.6, "#fff"] });
      },
      done: function () {
        layer.closeAll();
        getImgList(queryItem);
      },
      error: function (index) {
        layer.closeAll();
        layer.msg("失败");
      }
    });
  }
  //删除图片
  window.deletecustImg = function (data) {
    utilAjaxGJ("/app/biz-file/del", "post", { ids: data.id }, () => {
      layer.msg("成功");
      getImgList(queryItem);
    });
  };
  //展示图片
  window.showCustImg = function (data) {
    let index = 0;
    for (let i = 0; i < imgList.length; i++) {
      let t = imgList[i];
      if (t.fileUrl == data.src) index = i;
    }
    imageView(imgList, index);
  };
  //设置上传文件
  function setUploadFile(data) {
    var token = window.localStorage.getItem("authorization");
    if (token == null || token == "") {
      PlgDialog.msg("登录状态异常，请重新登录！");
      window.location.href = "/menu?path=login";
      return;
    }
    var upload = layui.upload;
    upload.render({
      elem: "#carrierManagement_Template1B_divB1",
      url: "/app/biz-file/upload",
      accept: "file",
      field: "files",
      headers: { "Authorization": token },
      data: data,
      contentType: "multipart/form-data",
      size: 10 * 1024,
      before: function () { //obj参数包含的信息，跟 choose回调完全一致，可参见上文。
        PlgDialog.load(2, { shade: [0.6, "#fff"] });
      },
      done: function () {
        layer.closeAll();
        getFileList(queryFileItem);
      },
      error: function (index) {
        layer.closeAll();
        layer.msg("失败");
      }
    });
  }
  //查询文件
  function getFileList(data) {
    utilAjaxGJ("/app/biz-file/list", "post", data, (data) => {
      let dList = data.data;
      for (var i = 0; i < dList.length; i++) {
        dList[i].originFileName = dList[i].file.originFileName;
        dList[i].createDay = dList[i].file.createDay;
        dList[i].fileSize = dList[i].file.fileSize / 1024 + "KB";
      }
      gridTemplate1B.getGrid().clearAll();
      //分组拆分条件查询
      gridTemplate1B.loadData({
        "success": true, "message": "查询成功", "code": "200", "data": {
          "list": dList, "totalCount": dList.length, "pageCount": 1, "pageNum": 1, "pageSize": dList.length, "startRow": 0, "endRow": dList.length
        }
      });
    });

  }
  // 文件下载
  function downloadFileFun(arr) {

    let url = "/app/biz-file/download2";
    let name = "批量文件" + Prolog.formatDate(new Date(), "%YY%MM%DD") + ".zip";
    Prolog.exportFile(
      url,
      name,
      "",
      "get",
      {
        ids: arr
      },
      "application/zip"
    );
  }
  //返回
  document.querySelector("#CFM_back1").onclick = function () {
    $("#CFM_save").css("display", "block");
    changePanel();
  };
  //保存
  document.querySelector("#CFM_save").onclick = function () {
    //信息比对
    let url = "";
    //数据修改
    let feik = ddfrom.validate();
    if (!feik) {
      return;
    }
    let datai = ddfrom.getFormData();

    // 新增
    if (!datai.paperid) {
      url = UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubPaper/add";
    }
    else {
      // 修改
      url = UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubPaper/update";
    }

    datai.papertypename = getSelectValue(dataSelect.CERTIFICATES_TYPE, datai.papertype);
    datai.fromdate = datai.fromdate ? Prolog.formatDate(datai.fromdate) : "";
    datai.todate = datai.todate ? Prolog.formatDate(datai.todate) : "";
    datai.paperdate = datai.paperdate ? Prolog.formatDate(datai.paperdate) : "";

    delete datai.paperprovidorList;
    delete datai.paperprovidorList2;
    delete datai.paperprovidorList3;
    delete datai.paperprovidor_emptyInput;

    //调用ajax方法
    utilAjaxGJ(url, "post", JSON.stringify(datai), function (data) {
      if (data.success) {
        grid.reload();

        if (!datai.paperid) {
          $("#CFM_tab").show();
          queryItem = {
            bizId: data.data,
            bizType: "0",
            enterpriseid: userGJ.p_enterpriseid
          };
          setUploadMouth(queryItem);

          openType = "";

          gridTemplate1B.renderTo("carrierManagement_Template1B_divB2");

          queryFileItem = {
            bizId: data.data + "file",
            bizType: "0",
            enterpriseid: userGJ.p_enterpriseid
            // indexCol1: "01"
          };
          setUploadFile(queryFileItem);

        }
        else {
          changePanel();
        }


      }
    }, "application/json");
  };


};