/**
 * zzx
 * 2020.09.24
 * 车辆维保登记
    */
    import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
    import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
export default () => {
  var master_grid, details_grid, edit_form_opts, edit_form, edit_grid;
var userinfo = {
  p_id: '',
  p_username: '',
  p_workernumber: '',
  p_nickname: '',
  p_phone: null,
  p_email: null,
  p_companyid: '',
  p_enterpriseid: '',
  p_organizationid: '',
  p_companyname: '',
  p_orgname: '',
  p_enterprisename: '',
  p_usertype: '',
  p_lastlogindate: '',
  p_lastmodipassdate: null,
  p_validdate: '',
  p_import_batchno: null,
  p_data_source: null,
  forceModifyPasswdFlag: false,
  vehicle: null,
}
  var edit_id = 0;

  // 跳转页面
  var carousel = layui.carousel;
  carousel.render({
    elem: "#vehicleMaintenanceRegistration",
    autoplay: false,
    index: 0,
    arrow: "none",
    indicator: "none",
    anim: "fade",
    width: "100%", // 设置容器宽度
    height: "100%"
  });
  // 切换页面
  function changePanel(name) {
    var slideList = ["#vehicleMaintenanceRegistration_main", "#vehicleMaintenanceRegistration_deit"];
    for (var i = 0; i < slideList.length; i++) {
      if (slideList[i] == name) {
        $(name).css("display", "block");
      }
      else {
        $(slideList[i]).css("display", "none");
      }
    }
  }
  // 返回
  $(document).on("click", "#vehicleMaintenanceRegistration_deit_return", function () {
    changePanel("#vehicleMaintenanceRegistration_main");
  });

  // 获取默认时间
  var startTime = Prolog.formatDate(new Date(), "%YY-%MM") + "-01 00:00:00";
  var endTime = Prolog.formatDate(new Date()) + " 23:59:59";

  // 获取下拉框数据
  var dataSelect;
  getSelectGJ([
    { objectcode: "REPAIR_TYPE" },
    { objectcode: "AUDIT_STATUS" },
    { objectcode: "REPAIR_UNIT" }], function (data) {
      dataSelect = data.data;
      dataSelect.REPAIR_TYPE.unshift({ "value": "", "text": "" });
      dataSelect.REPAIR_UNIT.unshift({ "value": "", "text": "" });
    }
  );

  // 配送中心table
  var branchTable = {
    // terrace显示全部，card分页显示
    skin: "card",
    // renderer:"grid",
    columns: [
      { id: "companyid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "companycode", name: "配送中心编号", type: "ro" },
      { id: "companyname", name: "配送中心名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "companycode", label: "配送中心编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/pubCompany/queryCompanyBranch",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ companytype: "S" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  // 车牌号table
  var vehicleTable = {
    skin: "card",
    columns: [
      { id: "vehicleId", name: "id", type: "ro", width: "130", hidden: true },
      { id: "vehicleNo", name: "车牌号", type: "ro" },
      { id: "vehicleName", name: "车辆名称", type: "ro" }
    ],
    multiselect: false,
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/tBaseVehicle/queryVehicleInfo",
    type: "post",
    pagebar: { type: "simple" },
    contentType: "application/json",
    params: JSON.stringify({ companyId: userinfo.p_companyid }),
    page: true,
    totalCount: "totalCount"
  };
  // 修理厂table
  var gsTable = {
    skin: "card",
    columns: [
      { id: "gsCode", name: "id", type: "ro", width: "130", hidden: true },
      { id: "gsCode", name: "维修厂编号", type: "ro" },
      { id: "gsName", name: "维修厂名称", type: "ro" }
    ],
    multiselect: false,
    toolbar: [
      { type: "settings", position: "label-left", width: 200, labelWidth: 100 },
      {
        type: "block", id: "bk", blockOffset: 0, list: [
          { type: "input", name: "gsCode", label: "维修厂编号:", width: 120 },
          { type: "newcolumn" },
          { type: "button", name: "querycarr", value: "查询" },
          { type: "newcolumn" },
          { type: "button", name: "car_Reset", value: "重置" }
        ]
      }
    ],
    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/partnerServingStation/pop",
    pagebar: { type: "simple" },
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    contentType: "application/json",
    page: true, // 是否启用分页
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };

  // 主页grid
  var master_grid_opts = {
    skin: "card",
    columns: [
      { id: "billno", name: "id", type: "ro", width: "130", hidden: true },
      { id: "branchid", name: "机构id", type: "ro", width: 120 },
      { id: "branchname", name: "机构牌号", type: "ro", width: 120 },
      { id: "billno", name: "维修保养单号", type: "ro", width: 120 },
      { id: "vehicleCode", name: "车辆编号", type: "ro", width: 120 },
      {
        id: "repairType", name: "保养维修类型", type: "ro", width: 120, render: function (v) {
          return getSelectValue(dataSelect.REPAIR_TYPE, v);
        }
      },
      { id: "presentMileage", name: "当前里程", type: "ro", width: 120 },
      { id: "lastRepairTime", name: "上次保养日期", type: "ro", width: 120 },
      { id: "gsCode", name: "维修厂编号", type: "ro", width: 120 },
      { id: "gsName", name: "维修厂", type: "ro", width: 120 },
      { id: "estimateAmount", name: "估损金额", type: "ro", width: 120 },
      { id: "repairTime", name: "维修保养日期", type: "ro", width: 120 },
      { id: "amount", name: "实际金额", type: "ro", width: 120 },
      { id: "audittime", name: "审核时间", type: "ro", width: 120 },
      { id: "auditperson", name: "审核人", type: "ro", width: 120 },
      {
        id: "status", name: "状态", type: "ro", width: 120, render: function (v) {
          return getSelectValue(dataSelect.AUDIT_STATUS, v);
        }
      },
      { id: "memo", name: "备注", type: "ro", width: 120 },
      {
        id: "op", name: "操作", type: "button", align: "left", fixed: "right", width: "100", render: function () {
          return "修改^vehicleMaintenanceRegistration_mod,删除^vehicleMaintenanceRegistration_del";
        }
      }
    ],
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "calendar", className: "layui-col-md3", name: "sdate", label: "开始时间:", value: startTime },
          { type: "calendar", className: "layui-col-md3", name: "edate", label: "结束时间:", value: endTime },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择配送中心",
            readonly: false,
            table: branchTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "branchidList",
            label: "配送中心:",
            listener: function (Grid) {
              setMethod(Grid, branchTable, function () { });
            }
          },
          { type: "input", className: "layui-col-md3", name: "billno", label: "维保单号:" },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择车牌号",
            readonly: false,
            table: vehicleTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "vehicleNo",
            fieldValue: "vehicleNo",
            name: "vehicleCodeList",
            label: "车牌号:",
            listener: function (Grid) {
              setMethod(Grid, vehicleTable, function () { });
            }
          },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择维修厂",
            readonly: false,
            table: gsTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "gsName",
            fieldValue: "gsCode",
            name: "gsCodeList",
            label: "维修厂:",
            listener: function (Grid) {
              setMethod(Grid, gsTable, function () { });
            }
          },
          { type: "combo", className: "layui-col-md3", readonly: true, name: "repairType", label: "维保类型:", options: dataSelect.REPAIR_TYPE },
          {
            type: "block", className: "layui-col-md2 form_btn_left",
            list: [
              { type: "button", className: "btn-normal", name: "master_search", value: "查 询" },
              { type: "newcolumn" },
              { type: "button", name: "master_reset", value: "重 置" }
            ]
          },
          {
            type: "block", className: "layui-col-md1 right",
            list: [
              { type: "button", className: "btn-normal", name: "master_add", value: "<i class='layui-icon layui-icon-add-1'></i>新 增" }
            ]
          }
        ]
      }
    ],
    pagebar: {
      buttons: [
        { text: "<i class='layui-icon layui-icon-delete'></i>删除", className: "plg-btn-normal", name: "pagebar_delete" }
      ]
    },
    fixedLast: true, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: true, // 是否支持多选

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/queryRepairRecordRegister", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: JSON.stringify({ sdate: startTime, edate: endTime, flag: "inputQuery" }), // 查询提交参数，分页参数默认为pageNum,pageSize
    page: true, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  master_grid = new PlgGrid(master_grid_opts);
  master_grid.renderTo("vehicleMaintenanceRegistration_master");
  master_grid.loadData();
  master_grid.attachToolBarEvent("onButtonClick", function (name) {
    switch (name) {
      case "master_search":
        var request = master_grid.getToolBarForm().getFormData();
        request.sdate = request.sdate ? Prolog.formatDate(request.sdate) + " 00:00:00" : "";
        request.edate = request.edate ? Prolog.formatDate(request.edate) + " 23:59:59" : "";
        if (request.sdate > request.edate) {
          layer.msg("开始时间不能大于结束时间");
          return false;
        }
        request.branchid = request.branchidList ? JSON.parse(request.branchidList)[0] : "";
        request.vehicleCode = request.vehicleCodeList ? JSON.parse(request.vehicleCodeList)[0] : "";
        request.gsCode = request.gsCodeList ? JSON.parse(request.gsCodeList)[0] : "";
        request.flag = "inputQuery";
        dealNullQueryCondition(request);
        delete request.branchidList;
        delete request.vehicleCodeList;
        delete request.gsCodeList;
        master_grid.setParams(JSON.stringify(request));
        master_grid.reload();
        details_grid.clearAll();
        break;
      case "master_reset":
        master_grid.getToolBarForm().clear();
        master_grid.getToolBarForm().setText("branchidList", "");
        master_grid.getToolBarForm().setText("vehicleCodeList", "");
        master_grid.getToolBarForm().setText("gsCodeList", "");
        master_grid.getToolBarForm().setFormData({ sdate: startTime, edate: endTime });
        break;
      case "master_add":
        $("#vehicleMaintenanceRegistration_deit_form").html("");
        edit_form = new PlgForm(edit_form_opts);
        edit_form.enableItem("billno");
        edit_form.enableItem("branchidList");
        edit_form.enableItem("vehicleCodeList");
        edit_form.enableItem("gsCodeList");
        edit_grid.clearAll();
        $("#vehicleMaintenanceRegistration_deit_title").html("新增");
        changePanel("#vehicleMaintenanceRegistration_deit");
        break;
    }
  });

  // 单个删除
  window.vehicleMaintenanceRegistration_del = function (rid) {
    tVmAccidentregDelete([{ billno: rid }]);
  };
  // 批量删除
  master_grid.attachPageBarEvent(function (name, ids) {
    let list = ids.split(",").map(item => {
      return { billno: item };
    });
    tVmAccidentregDelete(list);
  });
  function tVmAccidentregDelete(idList) {
    layer.open({
      title: "删除",
      content: "是否删除？",
      btn: ["确认", "取消"],
      yes: function () {
        let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        Prolog.ajax({
          url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/tmsRepairRecordDelete", type: "post", contentType: "application/json", data: JSON.stringify(idList),
          success: function (data) {
            PlgDialog.close(pload);
            if (data.success) {
              layer.closeAll();
              PlgDialog.msg(data.message);
              master_grid.reload();
              details_grid.clearAll();
              return true;
            }
            return false;

          }, error: function () { PlgDialog.close(pload); return false; }
        });
      }
    });
  }

  // 修改
  window.vehicleMaintenanceRegistration_mod = function (rid, rdata) {
    $("#vehicleMaintenanceRegistration_deit_form").html("");
    edit_form = new PlgForm(edit_form_opts);
    edit_form.disableItem("branchidList");
    edit_form.disableItem("vehicleCodeList");
    rdata.branchidList = JSON.stringify([rdata.branchid]);
    rdata.vehicleCodeList = JSON.stringify([rdata.vehicleCode]);
    rdata.gsCodeList = JSON.stringify([rdata.gsCode]);
    edit_form.setFormData(rdata);
    edit_form.disableItem("billno");
    edit_form.setText("branchidList", rdata.branchname);
    edit_form.setText("vehicleCodeList", rdata.vehicleCode);
    edit_form.setText("gsCodeList", rdata.gsName);
    edit_grid.setParams(JSON.stringify({ billno: rid }));
    edit_grid.reload();
    $("#vehicleMaintenanceRegistration_deit_title").html("修改");
    changePanel("#vehicleMaintenanceRegistration_deit");
  };

  // 单击一行显示明细
  master_grid.on("onRowSelect", function (id) {
    let { billno } = master_grid.getRowData(id);
    details_grid.setParams(JSON.stringify({ billno }));
    details_grid.reload();
  });

  // 明细grid
  var details_grid_opts = {
    skin: "card",
    columns: [
      { id: "lineid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "branchid", name: "机构id", type: "ro", width: 120 },
      { id: "branchname", name: "机构牌号", type: "ro", width: 120 },
      { id: "billno", name: "维修保养单号", type: "ro", width: 120 },
      { id: "item", name: "维修保养项目名称", type: "ro", width: 120 },
      { id: "brand", name: "品牌", type: "ro", width: 120 },
      { id: "model", name: "型号", type: "ro", width: 120 },
      { id: "qty", name: "数量", type: "ro", width: 120 },
      {
        id: "unit", name: "单位", type: "ro", width: 120, render: function (v) {
          return getSelectValue(dataSelect.REPAIR_UNIT, v);
        }
      },
      { id: "price", name: "单价", type: "ro", width: 120 },
      { id: "amount", name: "合计金额", type: "ro", width: 120 },
      { id: "memo", name: "备注", type: "ro", width: 120 }
    ],
    fixedLast: false, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: false, // 是否支持多选

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/queryTmsRepairRecordD", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    page: false, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  details_grid = new PlgGrid(details_grid_opts);
  details_grid.renderTo("vehicleMaintenanceRegistration_details");

  // 编辑页form
  edit_form_opts = {
    renderer: "vehicleMaintenanceRegistration_deit_form",
    items: [
      { type: "settings", labelAlign: "left", labelWidth: 95 },
      {
        type: "row",
        list: [
          { type: "input", className: "layui-col-md3", name: "billno", label: "维修保养单号:", required: true },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择配送中心",
            readonly: false,
            table: branchTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "companyname",
            fieldValue: "companyid",
            name: "branchidList",
            label: "配送中心:<span class='dhxform_item_required'>*</span>",
            listener: {
              "init": function (Grid) {
                // 注册按钮事件
                Grid.attachToolBarEvent("onButtonClick", function (name) {
                  switch (name) {
                    case "querycarr":
                      var { companycode } = Grid.getToolBarForm().getFormData();
                      Grid.setParams(JSON.stringify({ companycode, companytype: "S" }));
                      Grid.reload();
                      break;
                    case "car_Reset":
                      Grid.getToolBarForm().clear();
                      break;
                  }
                });
              },
              "afterSelect": function (isSelected, selectId, sgrid) {
                let sdata = sgrid.getRowData(selectId);
                edit_form.setFormData({
                  branchid: isSelected ? sdata.companyid : "",
                  branchname: isSelected ? sdata.companyname : ""
                });
              }
            }
          },
          { type: "hidden", name: "branchid", label: "配送中心id:" },
          { type: "hidden", name: "branchname", label: "配送中心名称:" },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择车牌号",
            readonly: false,
            table: vehicleTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "vehicleNo",
            fieldValue: "vehicleNo",
            name: "vehicleCodeList",
            label: "车牌号:<span class='dhxform_item_required'>*</span>",
            listener: {
              "afterSelect": function (isSelected, selectId, sgrid) {
                let sdata = sgrid.getRowData(selectId);
                edit_form.setFormData({
                  vehicleCode: isSelected ? sdata.vehicleNo : ""
                });
              }
            }
          },
          { type: "hidden", name: "vehicleCode", label: "车牌号:" },
          { type: "combo", className: "layui-col-md3", readonly: true, name: "repairType", label: "保养维修类型:", options: dataSelect.REPAIR_TYPE, required: true }
        ]
      },
      {
        type: "row",
        list: [
          { type: "input", className: "layui-col-md3", name: "presentMileage", label: "当前里程:", required: true },
          { type: "calendar", className: "layui-col-md3", name: "lastRepairTime", label: "上次保养日期:", required: true },
          {
            type: "selectTable",
            className: "layui-col-md3",
            placeholder: "请选择维修厂",
            readonly: false,
            table: gsTable,
            tableWidth: 600,
            tableHeight: 500,
            fieldText: "gsName",
            fieldValue: "gsCode",
            name: "gsCodeList",
            label: "维修厂:<span class='dhxform_item_required'>*</span>",
            listener: {
              "init": function (Grid) {
                // 注册按钮事件
                Grid.attachToolBarEvent("onButtonClick", function (name) {
                  switch (name) {
                    case "querycarr":
                      var { gsCode } = Grid.getToolBarForm().getFormData();
                      Grid.setParams(JSON.stringify({ gsCode }));
                      Grid.reload();
                      break;
                    case "car_Reset":
                      Grid.getToolBarForm().clear();
                      break;
                  }
                });
              },
              "afterSelect": function (isSelected, selectId, sgrid) {
                let sdata = sgrid.getRowData(selectId);
                edit_form.setFormData({
                  gsCode: isSelected ? sdata.gsCode : "",
                  gsName: isSelected ? sdata.gsName : ""
                });
              }
            }
          },
          { type: "hidden", name: "gsCode", label: "维修厂编号:" },
          { type: "hidden", name: "gsName", label: "维修厂名称:" }
        ]
      },
      {
        type: "row",
        list: [
          { type: "input", className: "layui-col-md3", name: "estimateAmount", label: "估损金额:", required: true },
          { type: "calendar", className: "layui-col-md3", name: "repairTime", label: "维修保养日期:", required: true },
          { type: "input", className: "layui-col-md3", name: "amount", label: "实际金额:", required: true }
        ]
      },
      {
        type: "row",
        list: [
          { type: "input", className: "layui-col-md6", name: "memo", label: "备注:", rows: 3 }
        ]
      }
    ]
  };
  // 编辑明细grid
  var edit_grid_opts = {
    skin: "card",
    columns: [
      { id: "lineid", name: "id", type: "ro", width: "130", hidden: true },
      { id: "item", name: "<span style='color:#096dd9;'>维保项目</span>", type: "ed" },
      { id: "brand", name: "<span style='color:#096dd9;'>品牌</span>", type: "ed" },
      { id: "model", name: "<span style='color:#096dd9;'>型号</span>", type: "ed" },
      { id: "qty", name: "<span style='color:#096dd9;'>数量</span>", type: "ed" }, // 6
      { id: "unit", name: "<span style='color:#096dd9;'>单位</span>", type: "coro" }, // 7
      { id: "price", name: "<span style='color:#096dd9;'>单价</span>", type: "ed" }, // 8
      { id: "amount", name: "<span style='color:#096dd9;'>金额</span>", type: "ed" }, // 9
      { id: "memo", name: "<span style='color:#096dd9;'>备注</span>", type: "ed" }
    ],
    toolbar: [
      { type: "settings", labelWidth: 90, labelAlign: "right" },
      {
        type: "row",
        list: [
          { type: "button", className: "btn-normal", name: "edit_add", value: "新 增" }
        ]
      }
    ],
    pagebar: {
      buttons: [
        { text: "<i class='layui-icon layui-icon-delete'></i>删除", className: "plg-btn-normal", name: "edit_delete" }
      ]
    },
    fixedLast: false, // 开启固定列，固定最后一行，倒数第二列不能隐藏
    multiselect: true, // 是否支持多选

    url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/queryTmsRepairRecordD", // 数据接口
    type: "post", // 数据提交方式，默认为get
    params: "{}", // 查询提交参数，分页参数默认为pageNum,pageSize
    page: false, // 是否启用分页
    contentType: "application/json",
    totalCount: "totalCount" // 总记录数字段，默认totalCount
  };
  edit_grid = new PlgGrid(edit_grid_opts);
  edit_grid.renderTo("vehicleMaintenanceRegistration_deit_grid");
  // 下拉赋值
  let combo_7 = edit_grid.getGrid().getCombo(7);
  dataSelect.REPAIR_UNIT.forEach(v => {
    combo_7.put(v.value, v.text);
  });
  edit_grid.getGrid().enableEditEvents(true, false, true);
  // 新增
  edit_grid.attachToolBarEvent("onButtonClick", function (name) {
    if (name === "edit_add") {
      var data = {
        item: "",
        brand: "",
        model: "",
        qty: "",
        unit: "",
        price: "",
        amount: "",
        memo: ""
      };
      edit_grid.addRow(++edit_id, data);
    }
  });
  // 删除
  edit_grid.attachPageBarEvent(function (name, ids) {
    if (name === "edit_delete") {
      layer.open({
        title: "删除",
        content: "还未保存，是否删除？",
        btn: ["确认", "取消"],
        yes: function () {
          let deletedList = [];
          ids.split(",").forEach(id => {
            let { lineid } = edit_grid.getRowData(id);
            if (lineid) {
              deletedList.push({ lineid });
            }
            edit_grid.deleteRow(id);
          });
          if (deletedList.length) {
            tmsRepairRecordDDelete(deletedList);
          }
          else {
            layer.closeAll();
          }
        }
      });
    }
  });
  // 修改时删除方法
  function tmsRepairRecordDDelete(idList) {
    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/tmsRepairRecordDDelete", type: "post", contentType: "application/json", data: JSON.stringify(idList),
      success: function (res) {
        layer.closeAll();
        PlgDialog.close(pload);
        if (res.success) {
          PlgDialog.msg(res.message);
          edit_grid.reload();
          return true;
        }
                return false;
      }, error: function () { PlgDialog.close(pload); return false; }
    });
  }
  // 编辑离开校验
  edit_grid.attachEvent("onEditCell", function (stage, rId, cInd, nValue) {
    let positveOrZero = /^[+]{0,1}(\d+)$|^[+]{0,1}(\d+\.\d+)$/; // 非负数
    if (stage === 2) {
      if ((cInd === 6 || cInd === 8 || cInd === 9) && !positveOrZero.test(nValue)) {
        layer.msg("请输入非负数");
        return false;
      }
      edit_grid.setCellValue(rId, cInd, nValue || 0);
    }
    return true;
  });

  // 保存
  $("#vehicleMaintenanceRegistration_deit_save").on("click", function () {
    let vdate = edit_form.validate();
    let isMoney_11bit = /(^[1-9](\d){0,10}?(\.\d{1,2})?$)|(^0$)|(^\d\.\d{1,2}$)/;
    if (!vdate) return false;
    let formData = edit_form.getFormData();
    if (!formData.branchname) {
      layer.msg("请选择配送中心");
      return false;
    }
    if (!formData.vehicleCode) {
      layer.msg("请选择车牌号");
      return false;
    }
    if (!formData.gsCode) {
      layer.msg("请选择维修厂");
      return false;
    }
    if (!isMoney_11bit.test(formData.presentMileage)) {
      layer.msg("当前里程为非负数");
      return false;
    }
    if (!isMoney_11bit.test(formData.estimateAmount)) {
      layer.msg("估损金额为非负数");
      return false;
    }
    if (!isMoney_11bit.test(formData.amount)) {
      layer.msg("实际金额为非负数");
      return false;
    }
    formData.lastRepairTime = formData.lastRepairTime ? Prolog.formatDate(formData.lastRepairTime) : "";
    formData.repairTime = formData.repairTime ? Prolog.formatDate(formData.repairTime) : "";
    delete formData.branchidList;
    delete formData.vehicleCodeList;
    delete formData.gsCodeList;

    let dataList = [];
    let indexNum = edit_grid.getGrid().getRowsNum();
    for (let i = 0; i < indexNum; i++) {
      const element = edit_grid.getRowData(edit_grid.getRowId(i));
      if (!element.item) {
        layer.msg("请输入维保项目");
        return false;
      }
      if (!element.brand) {
        layer.msg("请输入品牌");
        return false;
      }
      if (!element.model) {
        layer.msg("请输入型号");
        return false;
      }
      if (!element.qty) {
        layer.msg("请输入数量");
        return false;
      }
      if (!element.unit) {
        layer.msg("请选择单位");
        return false;
      }
      if (!element.price) {
        layer.msg("请输入单价");
        return false;
      }
      if (!element.amount) {
        layer.msg("请输入金额");
        return false;
      }
      dataList.push(element);
    }

    let request = {
      hvo: formData,
      list: dataList
    };
    let url = $("#vehicleMaintenanceRegistration_deit_title").html() === "新增" ? UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/tmsRepairRecordSave" : UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/vehicleManage/tmsRepairRecordUpdate";
    let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
    Prolog.ajax({
      url, type: "post", contentType: "application/json", data: JSON.stringify(request),
      success: function (res) {
        PlgDialog.close(pload);
        if (res.success) {
          PlgDialog.msg(res.message);
          changePanel("#vehicleMaintenanceRegistration_main");
          master_grid.reload();
          details_grid.clearAll();
          return true;
        }
                return false;
      }, error: function () { PlgDialog.close(pload); return false; }
    });
  });
};