/**
 * jiw
 * 2019.01.22
 * 仓物料设置
 */
 import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE,UPCLOUD_RDC_TMS_BUSINESS_SERVICE,UPCLOUD_RDC_TMS_INTERFACE_SERVICE} from '@/config/serviceSettings.js';
 import { getSelectGJ, querySysPicture } from '@/utils/prolog.ajax.js';
 export default () => {

    var itemid_grid, grid;
    var userinfo = {
        p_id: '',
        p_username: '',
        p_workernumber: '',
        p_nickname: '',
        p_phone: null,
        p_email: null,
        p_companyid: '',
        p_enterpriseid: '',
        p_organizationid: '',
        p_companyname: '',
        p_orgname: '',
        p_enterprisename: '',
        p_usertype: '',
        p_lastlogindate: '',
        p_lastmodipassdate: null,
        p_validdate: '',
        p_import_batchno: null,
        p_data_source: null,
        forceModifyPasswdFlag: false,
        vehicle: null,
      }
    //获取通用参照数据
    var rsp_status = [], rsp_qa_group = [], rsp_storagecondition = [], rsp_stockunit = [], rsp_abcattr = [], rsp_packtype = [], rsp_ettscodeflag = [], rsp_keeptype = [],
        rsp_shelfdaytype = [], rsp_itemtype = [], rsp_categorycode1 = [], rsp_categorycode2 = [], rsp_datetracklevel = [], rsp_ftypes = [], rsp_categoryid = [],
        rsp_bartype = [], rsp_ItemStockTurn = [], rsp_bflowbydoubleperson = [];
    var req = [{ "objectcode": "item_status" }, { "objectcode": "wms_storagecondition" }, { "objectcode": "ettscodeflag" }, { "objectcode": "abcgroup" }, { "objectcode": "bartype" },
    { "objectcode": "itemtype" }, { "objectcode": "categorycode1" }, { "objectcode": "categorycode2" }, { "objectcode": "stockunit" }, { "objectcode": "datetracklevel" },
    { "objectcode": "qa_group" }, { "objectcode": "keeptype" }, { "objectcode": "ftypes" }, { "objectcode": "categoryid" }, { "objectcode": "packtype" },
    { "objectcode": "shelfdaytype" }, { "objectcode": "WMS_ItemStockTurn" }, { "objectcode": "bflowbydoubleperson" }];
    var rsp_consignor = [];

    Prolog.ajax({
        url: "/sys/refdata/dtl/dd-list", type: "post", contentType: "application/json", data: JSON.stringify(req), async: false,
        success: function (data) {
            if (data.success) {
                bindRefdata(rsp_status, data.data.item_status, true);
                bindRefdata(rsp_bartype, data.data.bartype, true);
                bindRefdata(rsp_qa_group, data.data.qa_group, true);
                bindRefdata(rsp_storagecondition, data.data.wms_storagecondition, true);
                bindRefdata(rsp_stockunit, data.data.stockunit, true);
                bindRefdata(rsp_abcattr, data.data.abcgroup, true);
                bindRefdata(rsp_packtype, data.data.packtype, true);
                bindRefdata(rsp_ettscodeflag, data.data.ettscodeflag, true);
                bindRefdata(rsp_keeptype, data.data.keeptype, true);
                bindRefdata(rsp_shelfdaytype, data.data.shelfdaytype, true);
                bindRefdata(rsp_itemtype, data.data.itemtype, true);
                bindRefdata(rsp_categorycode1, data.data.categorycode1, true);
                bindRefdata(rsp_categorycode2, data.data.categorycode2, true);
                bindRefdata(rsp_datetracklevel, data.data.datetracklevel, true);
                bindRefdata(rsp_ftypes, data.data.ftypes, true);
                bindRefdata(rsp_categoryid, data.data.categoryid, true);
                bindRefdata(rsp_ItemStockTurn, data.data.WMS_ItemStockTurn, true);
                bindRefdata(rsp_bflowbydoubleperson, data.data.bflowbydoubleperson, true);
            }
        }, error: function () { PlgDialog.msg("接口调用失败"); }
    });
    Prolog.ajax({
        url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/company/consignors", type: "post", contentType: "application/json", data: JSON.stringify({ "pageSize": 100, "pageNum": 1, "carrierid": "%" }), async: false,
        success: function (data) {
            if (data.success) {
                rsp_consignor.push({ text: "", value: "" });
                for (var i = 0; i < data.data.list.length; i++) {
                    rsp_consignor.push({ text: data.data.list[i].locname, value: data.data.list[i].companyid });
                }
            }
        }, error: function () { PlgDialog.msg("接口调用失败"); }
    });
    var form_goodsDesc, form_logisticsDesc, form_logisticsDesc_chk, form_medicineDesc;


    // 返回
    $(".wareGoodsManage_zhen_btn_back").click(function () {
        $("#wareGoodsManage_zhen").css("display", "none");
        $("#wareGoodsManage_D").css("display", "none");
        $("#wareGoodsManage_grid_1").css("display", "block");
        $("#wareGoodsManage_Template").css("display", "none");
    });

    // 保存
    $("#btn_wareGoodsManage_zhen_save").click(function () {
        // 获取多选行的数据
        var fdata = itemid_grid.getToolBarForm().getFormData();
        var checkedIds = itemid_grid.getCheckedIds();
        checkedIds = checkedIds == null || checkedIds == "" ? itemid_grid.getSelectedRowId() : checkedIds;
        if (checkedIds == null || checkedIds == "") {
            PlgDialog.msg("请选择数据");
            return false;
        }
        var ids = checkedIds.split(",");
        var checkedData = [];
        ids.forEach(v => {
            var tr = itemid_grid.getGrid().getUserData(v, "data");
            tr.branchid = fdata.branchid;
            tr.itemname = tr.locname;
            checkedData.push(tr);
        });
        // 更新主表
        Prolog.ajax({
            url: "/basic/iteminfo-cop/batch-create",
            type: "post",
            contentType: "application/json",
            data: JSON.stringify(checkedData),
            success: function (data) {
                if (data.success) {
                    PlgDialog.msg(data.message);
                    grid.reload();
                    itemid_grid.reload();
                    $("#wareGoodsManage_zhen").css("display", "none");
                    $("#wareGoodsManage_D").css("display", "none");
                    $("#wareGoodsManage_grid_1").css("display", "block");
                    $("#wareGoodsManage_Template").css("display", "none");
                }
                else {
                    setTimeout(() => { PlgDialog.alert(data.message == null ? "接口调用失败" : data.message); }, 300);
                }
            },
            error: function () { PlgDialog.msg("接口调用失败"); }
        });
    });

    // 高级查询
    var searchFormOpt = {
        renderer: "searchForm",
        items: [
            { type: "settings", position: "label-left", labelWidth: 80 },
            { type: "input", name: "branchid", label: "仓号:" },
            { type: "input", name: "locname", label: "物料名称:" },
            { type: "input", name: "itemcode", label: "物料编码:" },
            { type: "input", name: "consignor", label: "货主:" },
            { type: "input", name: "zjm", label: "助记码:" }
        ]
    };
    var searchOpt = {
        title: "高级查询",
        shadeClose: true,
        area: ["300px", "300px"],
        content: "<div id=\"searchForm\"></div>",
        yes: function (index) {
            PlgDialog.close(index); //如果设定了yes回调，需进行手工关闭
            var searchParam = {};
            searchParam.branchid = $("#searchForm input[name=\"branchid\"]").val();
            searchParam.locname = $("#searchForm input[name=\"locname\"]").val();
            searchParam.itemcode = $("#searchForm input[name=\"itemcode\"]").val();
            searchParam.consignor = $("#searchForm input[name=\"consignor\"]").val();
            searchParam.zjm = $("#searchForm input[name=\"zjm\"]").val();
            if (searchParam.itemid == "") {
                searchParam.itemid = "%";
            }
            grid.setParams(searchParam);
            grid.reload();
        },
        success: function () {
            var _searchForm = new PlgForm(searchFormOpt);
            _searchForm.setFormItemData("branchid", userinfo.p_companyid);
        }
    };

    // 添加弹出框
    var wareGoodsManage_branchid_opts = {
        skin: "terrace",
        rowId: "itemid",
        columns: [
            { id: "itemid", name: "物料id", type: "ro", hidden: true, width: 100 }, // 主键，必须是唯一，放在第一行
            { id: "itemcode", name: "物料编号", type: "ro", width: 100 },
            { id: "locname", name: "物料名称", type: "ro", width: 100 },
            { id: "capacity", name: "规格", type: "ro", width: 100 },
            { id: "stockunit", name: "库存单位", type: "ro", width: 100 },
            { id: "basepack", name: "包装数量", type: "ro", width: 100 },
            { id: "ffactory", name: "厂家", type: "ro", width: 100 },
            { id: "consignor", name: "货主", type: "ro", width: 100 },
            { id: "consignorname", name: "货主名称", type: "ro", width: 100 },
            { id: "isweight", name: "是否秤重", type: "ro", width: 100 },
            { id: "islot", name: "是否批号管理", type: "ro", width: 100 },
            { id: "isseries", name: "是否序列号管理", type: "ro", width: 100 },
            { id: "sf_pcgl", name: "是否效期管理", type: "ro", width: 100 },
            { id: "keeptype", name: "整散标识", type: "ro", width: 100 },
            { id: "keeptemperature", name: "存储条件", type: "ro", width: 100 },
            { id: "palletpacks", name: "标准托盘量", type: "ro", width: 100 },
            { id: "palletpacktype", name: "托盘码放规则", type: "ro", width: 100 },
            { id: "abcgroup", name: "ABC属性", type: "ro", width: 100 },
            { id: "sf_wxp", name: "是否危险品", type: "ro", width: 100 },
            { id: "sf_mj", name: "是否免检标识", type: "ro", width: 100 },
            { id: "ettscodeflag", name: "是否监管", type: "ro", width: 100 },
            { id: "alertshelfdays", name: "预警保质期", type: "ro", width: 100 },
            { id: "inkeepdays", name: "入库预留保质期", type: "ro", width: 100 },
            { id: "outkeepdays", name: "出库保质期", type: "ro", width: 100 },
            { id: "isbatch", name: "是否批次管理", type: "ro", width: 100 }
        ],
        multiselect: true,
        toolbar: [
            { type: "input", name: "param", label: "查询条件:", Width: 260, placeholder: "物料编号/物料名称/助记码" }, { type: "newcolumn" },
            { type: "hidden", name: "branchid", label: "仓号:", offsetLeft: 10, value: userinfo.p_companyid }, { type: "newcolumn" },
            { type: "combo", readonly: true, name: "consignor", label: "货主:", offsetLeft: 10, options: rsp_consignor, width: 160 }, { type: "newcolumn" },
            { type: "button", name: "searchBtn", value: "查询" }, { type: "newcolumn" }
        ],
        imagePath: "/prologui/dist/images/PlgGrid",
        url: "/basic/iteminfo-cop/list-like",//数据接口
        type: "post",//数据提交方式，默认为get
        //params: {param: '',branchid: userinfo.p_companyid,type: '2', consignor: '', pageNum: 1, pageSize: 20}, //查询提交参数，分页参数默认为pageNum,pageSize
        contentType: "application/json",
        params: JSON.stringify({ param: "", branchid: userinfo.p_companyid, type: "2", consignor: "", pageNum: 1, pageSize: 20 }),
        page: true, //是否启用分页
        totalCount: "totalCount" //总记录数字段，默认totalCount
    };

    var wareGoodsManage_opts = {
        skin: "terrace",
        rowId: "id",
        columns: [
            { id: "id", name: "id", type: "ro", width: 100, hidden: true },
            { id: "itemid", name: "物料id", type: "ro", width: 100, hidden: true },
            { id: "consignorname", name: "货主名称", type: "ro", width: 150 },
            { id: "consignor", name: "货主编码", type: "ro", width: 100, hidden: true },
            { id: "itemcode", name: "物料编号", type: "ro", width: 150 },
            { id: "locname", name: "物料名称", type: "ro", width: 200 },
            { id: "capacity", name: "规格", type: "ro", width: 100 },
            { id: "ffactory", name: "厂家", type: "ro", width: 100, hidden: true },
            { id: "orign", name: "产地", type: "ro", width: 100, hidden: true },
            { id: "keeptemperature", name: "存储条件", type: "ro", align: "center", width: 80, hidden: true, render: function (v) { return Prolog.getNameByID(rsp_storagecondition, v); } },
            { id: "itemtype", name: "物料分类", type: "ro", align: "center", width: 80, render: function (v) { return Prolog.getNameByID(rsp_itemtype, v); } },
            { id: "abcgroup", name: "ABC属性", type: "ro", align: "center", width: 100, hidden: true, render: function (v) { return Prolog.getNameByID(rsp_abcattr, v); } },
            { id: "qa_group", name: "质检分组", type: "ro", align: "center", width: 100, render: function (v) { return Prolog.getNameByID(rsp_qa_group, v); } },
            {
                id: "status", name: "状态", type: "ro", width: 80, render: function (v) {
                    let str = Prolog.getNameByID(rsp_status, v);
                    if (v == "30")
                        str = Prolog.getCircle("yellow") + str;
                    else if (v == "0")
                        str = Prolog.getCircle("red") + str;
                    else
                        str = Prolog.getCircle("green") + str;
                    return str;
                }
            },
            { id: "zjm", name: "助记码", type: "ro", width: 100 },
            { id: "branchid", name: "仓编码", type: "ro", width: 100, hidden: true },
            { id: "branchname", name: "仓名称", type: "ro", width: 100, hidden: true },
            { id: "packtype", name: "包装单位", align: "center", type: "ro", hidden: true, width: 100, render: function (v) { return Prolog.getNameByID(rsp_packtype, v); } },
            { id: "basepack", name: "包装数量", type: "ro", width: 100, align: "right", headerAlign: "center" },
            { id: "stockunit", name: "库存单位", align: "center", type: "ro", hidden: true, width: 100, render: function (v) { return Prolog.getNameByID(rsp_stockunit, v); } },
            { id: "palletpacks", name: "标准托盘量", type: "ro", width: 100, align: "right", headerAlign: "center", hidden: true },
            { id: "fsymbol", name: "批准文号", type: "ro", width: 100, hidden: true },
            { id: "itembrand", name: "品牌", type: "ro", width: 100, hidden: true },
            { id: "categorycode1", name: "物料分类1", type: "ro", width: 100, hidden: true, render: function (v) { return Prolog.getNameByID(rsp_categorycode1, v); } },
            { id: "categorycode2", name: "物料分类2", type: "ro", width: 100, hidden: true, render: function (v) { return Prolog.getNameByID(rsp_categorycode2, v); } },
            { id: "shelfdaytype", name: "保质期单位", type: "ro", align: "center", width: 100 },
            { id: "shelfdays", name: "保质期时间", type: "ro", width: 100, align: "right", headerAlign: "center" },
            { id: "datetracklevel", name: "效期跟踪级别", type: "ro", width: 100, hidden: true, render: function (v) { return Prolog.getNameByID(rsp_datetracklevel, v); } },
            { id: "ettscodeflag", name: "条码采集分类", type: "ro", width: 100, hidden: true, render: function (v) { return Prolog.getNameByID(rsp_ettscodeflag, v); } },
            { id: "inkeepdays", name: "入库预留保质天数", type: "ro", width: 120, align: "right", headerAlign: "center", hidden: true },
            { id: "outkeepdays", name: "出库预留保质天数", type: "ro", width: 120, align: "right", headerAlign: "center", hidden: true },
            { id: "alertshelfdays", name: "预警保质期天数", type: "ro", width: 100, align: "right", headerAlign: "center", hidden: true },
            { id: "ftypes", name: "剂型", type: "ro", width: 100, hidden: true, render: function (v) { return Prolog.getNameByID(rsp_ftypes, v); } },
            { id: "normname", name: "通用名", type: "ro", width: 100, hidden: true },
            { id: "exintattr1", name: "用法", type: "ro", width: 100, hidden: true },
            { id: "spectype", name: "类别", type: "ro", width: 100, hidden: true, render: function (v) { return Prolog.getNameByID(rsp_categoryid, v); } },
            { id: "buyer", name: "采购员", type: "ro", width: 100, hidden: true },
            {
                id: "sf_shap", name: "是否异形", type: "ro", width: 100, hidden: true, align: "center", render: function (v) {
                    return "<input type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_shap\" lay-skin=\"switch\" lay-filter=\"chk_shap\" lay-text=\"ON|OFF\" disabled=\"disabled\">";
                }
            },
            {
                id: "valuabletype", name: "是否贵重", type: "ro", width: 100, hidden: true, align: "center", render: function (v) {
                    return "<input type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_valuabletype\" lay-skin=\"switch\" lay-filter=\"chk_valuabletype\" lay-text=\"ON|OFF\" disabled=\"disabled\">";
                }
            },
            {
                id: "islot", name: "是否批号管理", type: "ro", width: 100, hidden: true, align: "center", render: function (v) {
                    return "<input type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_islot\" lay-skin=\"switch\" lay-filter=\"chk_islot\" lay-text=\"ON|OFF\" disabled=\"disabled\">";
                }
            },
            {
                id: "isbatch", name: "是否批次管理", type: "ro", width: 100, hidden: true, align: "center", render: function (v) {
                    return "<input type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_isbatch\" lay-skin=\"switch\" lay-filter=\"chk_isbatch\" lay-text=\"ON|OFF\" disabled=\"disabled\">";
                }
            },
            {
                id: "isseries", name: "是否序列号管理", type: "ro", width: 100, hidden: true, align: "center", render: function (v) {
                    return "<input type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_isseries\" lay-skin=\"switch\" lay-filter=\"chk_isseries\" lay-text=\"ON|OFF\" disabled=\"disabled\">";
                }
            },
            {
                id: "sf_pcgl", name: "是否效期管理", type: "ro", width: 100, hidden: true, align: "center", render: function (v) {
                    return "<input type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_sf_pcgl\" lay-skin=\"switch\" lay-filter=\"chk_sf_pcgl\" lay-text=\"ON|OFF\" disabled=\"disabled\">";
                }
            },
            {
                id: "exsattr8", name: "是否重点保护", type: "ro", width: 100, hidden: true, align: "center", render: function (v) {
                    return "<input type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_exsattr8\" lay-skin=\"switch\" lay-filter=\"chk_exsattr8\" lay-text=\"ON|OFF\" disabled=\"disabled\">";
                }
            },
            {
                id: "sf_printdrutlist", name: "是否打印药监单", type: "ro", width: 100, hidden: true, align: "center", render: function (v) {
                    return "<input type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_sf_printdrutlist\" lay-skin=\"switch\" lay-filter=\"chk_sf_printdrutlist\" lay-text=\"ON|OFF\" disabled=\"disabled\">";
                }
            },
            {
                id: "basemedicinetype", name: "是否基药", type: "ro", width: 100, hidden: true, align: "center", render: function (v) {
                    return "<input type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_basemedicinetype\" lay-skin=\"switch\" lay-filter=\"chk_basemedicinetype\" lay-text=\"ON|OFF\" disabled=\"disabled\">";
                }
            },
            {
                id: "is_specialty", name: "是否特殊品", type: "ro", width: 100, hidden: true, align: "center", render: function (v) {
                    return "<input type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_is_specialty\" lay-skin=\"switch\" lay-filter=\"chk_is_specialty\" lay-text=\"ON|OFF\" disabled=\"disabled\">";
                }
            },
            {
                id: "sf_wxp", name: "是否危险品", type: "ro", width: 100, hidden: true, align: "center", render: function (v) {
                    return "<input type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_sf_wxp\" lay-skin=\"switch\" lay-filter=\"chk_sf_wxp\" lay-text=\"ON|OFF\" disabled=\"disabled\">";
                }
            },
            {
                id: "sf_fragile", name: "是否易碎", type: "ro", width: 100, hidden: true, align: "center", render: function (v) {
                    return "<input type=\"checkbox\" " + (v == "1" ? "checked=\"\"" : "") + " name=\"chk_sf_fragile\" lay-skin=\"switch\" lay-filter=\"chk_sf_fragile\" lay-text=\"ON|OFF\" disabled=\"disabled\">";
                }
            },
            { id: "keeptype", name: "整散标识", type: "ro", align: "center", width: 100, render: function (v) { return Prolog.getNameByID(rsp_keeptype, v); } },
            {
                id: "op", name: "操作", type: "button", align: "center", width: 250, render: function () {
                    return "详细^wareGoodsManage_detailClick,修改^wareGoodsManage_editClick,删除^wareGoodsManage_deleteClick";
                }
            }
        ],
        multiselect: true,
        fixedLast: true,
        toolbar: [
            { type: "input", name: "param", label: "查询条件:", offsetLeft: 10, inputWidth: 160, placeholder: "物料编号/物料名称/助记码" }, { type: "newcolumn" },
            { type: "hidden", name: "branchid", label: "仓号:", offsetLeft: 10, value: userinfo.p_companyid }, { type: "newcolumn" },
            { type: "combo", readonly: true, name: "consignor", label: "货主:", offsetLeft: 10, options: rsp_consignor, width: 160 }, { type: "newcolumn" },
            { type: "button", name: "searchBtn", value: "查询" }, { type: "newcolumn" },
            { type: "button", name: "btn_reset", className: " normal", value: "重置" }, { type: "newcolumn" },
            { type: "button", name: "exportBtn", className: "plg-toolbar-right normal", value: "<i class='layui-icon layui-icon-download-circle'></i>导出" }, { type: "newcolumn" },
            { type: "button", name: "addBtn", className: "plg-toolbar-right", value: "<i class='layui-icon layui-icon-add-1'></i>新增" }, { type: "newcolumn" }
        ],
        formData: [],
        pagebar: {
            buttons: [
                { text: "删除", className: "layui-btn-danger", name: "delete" }

            ]
        },
        imagePath: "/prologui/dist/images/PlgGrid",
        url: "/basic/iteminfo-cop/list-like",//数据接口
        type: "post",//数据提交方式，默认为get
        //params: {param: '',branchid: userinfo.p_companyid,type: '1', consignor: '', pageNum: 1, pageSize: 20}, //查询提交参数，分页参数默认为pageNum,pageSize
        contentType: "application/json",
        params: JSON.stringify({ param: "", branchid: userinfo.p_companyid, type: "1", consignor: "", pageNum: 1, pageSize: 20 }), //查询提交参数，分页参数默认为pageNum,pageSize
        page: true, //是否启用分页
        totalCount: "totalCount" //总记录数字段，默认totalCount
    };
    //分页参数 pageSize pageNum
    grid = new PlgGrid(wareGoodsManage_opts);
    grid.renderTo("wareGoodsManage_grid_1");
    grid.loadData();
    grid.getGrid().enableEditEvents(true, false, true);

    //工具栏键盘事件
    grid.getToolBarForm().attachEvent("onKeyDown", function (inp, ev) {
        if (ev.key == "Enter") {
            var fdata = grid.getToolBarForm().getFormData();
            fdata.type = "1";
            grid.setParams(JSON.stringify(fdata));
            grid.reload();
        }
    });

    //grid双击行
    grid.on("onRowDblClicked", function () {
        wareGoodsManage_detailClick(grid.getSelectedRowId(), grid.getSelectedRowData());
    });

    // 按钮事件
    grid.attachToolBarEvent("onButtonClick", function (name) {
        if (name == "searchBtn") { // 查询
            var fdata = grid.getToolBarForm().getFormData();
            fdata.type = "1";
            grid.setParams(JSON.stringify(fdata));
            grid.reload();
        } if (name == "more") {
            grid.getToolBarForm().clear();
            PlgDialog.open(searchOpt);
        } if (name == "exportBtn") {//导入
            /*            $('#wareGoodsManage_zhen').css("display", 'none');
                        $('#wareGoodsManage_D').css("display", 'none');
                        $('#wareGoodsManage_grid_1').css("display", 'none');
                        $('#wareGoodsManage_Template').css("display", 'block');*/
            wareGoods_export();
        } if (name == "download") {//下载模板
            window.open("/download/工作台模板.xlsx");
        }
        else if (name == "addBtn") { // 添加
            $("#wareGoodsManage_zhen_table_tit").html("新增");
            $("#wareGoodsManage_zhen").css("display", "block");
            $("#wareGoodsManage_D").css("display", "none");
            $("#wareGoodsManage_grid_1").css("display", "none");
            $("#wareGoodsManage_Template").css("display", "none");
            itemid_grid = new PlgGrid(wareGoodsManage_branchid_opts);
            itemid_grid.renderTo("wareGoodsManage_zhen1");
            itemid_grid.loadData();

            itemid_grid.attachToolBarEvent("onButtonClick", function (name) {
                if (name == "cus_fanh") { // 返回
                    $("#wareGoodsManage_zhen").css("display", "none");
                    $("#wareGoodsManage_D").css("display", "none");
                    $("#wareGoodsManage_grid_1").css("display", "block");
                    $("#wareGoodsManage_Template").css("display", "none");
                }
                if (name == "searchBtn") { // 查询
                    var fdata = itemid_grid.getToolBarForm().getFormData();
                    fdata.type = "2";
                    itemid_grid.setParams(JSON.stringify(fdata));
                    itemid_grid.reload();
                }
            });

        }
        else if (name == "btn_reset") {
            grid.getToolBarForm().clear();
        }
    });

    //分页栏按钮事件
    grid.attachPageBarEvent(function (name) {
        if (name == "delete") {
            var rowId = grid.getCheckedIds();
            var rowIds = rowId.split(",");
            var checkedIds = [];
            rowIds.forEach(v => {
                checkedIds.push(
                    { id: v }
                );
            });
            Prolog.delGridRowData(grid, "/basic/iteminfo-cop/batch-delete", "post", "application/json", JSON.stringify(checkedIds), true);
        }
    });

    //主界面导出事件
    function wareGoods_export() {
        let pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        if (grid.getRowsNum() <= 0) {
            PlgDialog.close(pload);
            PlgDialog.msg("没有要导出的数据");
            return;
        }
        let url = "/basic/iteminfo-cop/export";
        let name = "仓物料" + Prolog.formatDate(new Date(), "%YY%MM%DD") + ".xls";
        let p = grid.getToolBarForm().getFormData();
        Prolog.exportFile(url, name, "", "get", p);
        PlgDialog.close(pload);

    }

    utilImportGJ2("wareGoodsManage_Template1", "wareGoodsManageImportId", "wareGoodsManageExportId", "url", function () {
        $("#wareGoodsManage_zhen").css("display", "none");
        $("#wareGoodsManage_D").css("display", "none");
        $("#wareGoodsManage_grid_1").css("display", "block");
        $("#wareGoodsManage_Template").css("display", "none");
    });
    //删除
    window.wareGoodsManage_deleteClick = function (rid) {
        Prolog.delGridRowData(grid, "/basic/iteminfo-cop/batch-delete", "post", "application/json", JSON.stringify([{ id: rid }]), true);
    };
    //修改
    window.wareGoodsManage_editClick = function (rid, rdata) {
        $("#wareGoodsManage_title2").html("修改");
        grid.selectRowById(rid);
        $("#wareGoodsManage_zhen").css("display", "none");
        $("#wareGoodsManage_D").css("display", "block");
        $("#wareGoodsManage_grid_1").css("display", "none");
        $("#wareGoodsManage_Template").css("display", "none");
        // PlgDialog.open(editRowOpt);

        formInit(1, rdata);

    };
    window.wareGoodsManage_detailClick = function (rid, rdata) {
        $("#wareGoodsManage_title2").html("查看详细");
        grid.selectRowById(rid);
        $("#wareGoodsManage_zhen_grid_sub").removeClass();
        $("#btn_save_wareGoodsManage").hide();

        new PlgPanel({
            renderer: "wareGoodsManage_zhen_grid_sub",
            skin: 2,
            header: {
                isShow: true,
                title: "物料常规属性"
            },
            defaultBody: {
                layoutCol: 3,
                valueBj: true,
                cols: [
                    [{ value: rdata.consignor, label: "货主编号" },
                    { value: rdata.consignorname, label: "货主名称" },
                    { value: rdata.capacity, label: "规格" },
                    { value: rdata.itemcode, label: "物料编号" },
                    { value: rdata.locname, label: "物料名称" },
                    { value: Prolog.getNameByID(rsp_packtype, rdata.packtype), label: "包装单位" },
                    { value: rdata.uniteitemid, label: "统一物料ID" },
                    { value: rdata.itembrand, label: "品牌" },
                    { value: rdata.orign, label: "产地" },
                    { value: Prolog.getNameByID(rsp_status, rdata.status), label: "状态" },
                    { value: rdata.exnattr5, label: "超收比例" },
                    { value: Prolog.getNameByID(rsp_ItemStockTurn, rdata.categorycode3), label: "库存周转方式" },
                    { value: Prolog.getNameByID(rsp_bflowbydoubleperson, rdata.bflowbydoubleperson), label: "双人业务类型" },
                    { value: rdata.barcode, label: "物料条码" },
                    { value: rdata.barcode2, label: "物料辅助条码" },
                    { value: rdata.zjm, label: "助记码" }],
                    [
                        { value: Prolog.getNameByID(rsp_storagecondition, rdata.keeptemperature), label: "存储条件" },
                        { value: Prolog.getNameByID(rsp_abcattr, rdata.abcgroup), label: "ABC属性" },
                        { value: Prolog.getNameByID(rsp_stockunit, rdata.stockunit), label: "库存单位" },
                        { value: rdata.inkeepdays, label: "入库预留保质期" },
                        { value: rdata.basepack, label: "包装数量" },
                        { value: rdata.alertshelfdays, label: "预警保质期" },
                        { value: Prolog.getNameByID(rsp_shelfdaytype, rdata.shelfdaytype), label: "保质期单位" },
                        { value: rdata.outkeepdays, label: "出库预留保质期" },
                        { value: Prolog.getNameByID(rsp_itemtype, rdata.itemtype), label: "物料主类" },
                        { value: Prolog.getNameByID(rsp_categorycode1, rdata.categorycode1), label: "物料分类1" },
                        { value: Prolog.getNameByID(rsp_categorycode2, rdata.categorycode2), label: "物料分类2" },
                        { value: Prolog.getNameByID(rsp_datetracklevel, rdata.datetracklevel), label: "效期跟踪级别" },
                        { value: Prolog.getNameByID(rsp_ettscodeflag, rdata.ettscodeflag), label: "码采集" },
                        { value: Prolog.getNameByID(rsp_qa_group, rdata.qa_group), label: "质检分组" },
                        { value: Prolog.getNameByID(rsp_keeptype, rdata.keeptype), label: "整散标识" },
                        { value: rdata.spackweight, label: "小包重量(kg)" },
                        { value: rdata.spackl, label: "小包长(cm)" },
                        { value: rdata.spackw, label: "小包宽(cm)" },
                        { value: rdata.spackh, label: "小包高(cm)" },
                        { value: rdata.spackvol, label: "小包体积(cm³)" },
                        { value: rdata.lpackl, label: "大包长(cm)" },
                        { value: rdata.lpackw, label: "大包宽(cm)" },
                        { value: rdata.lpackh, label: "大包高(cm)" },
                        { value: rdata.lpackvol, label: "大包体积(cm³)" },
                        { value: rdata.palletpacks, label: "标准托盘量" },
                        { value: rdata.palletpacktype, label: "托盘码放规则" },
                        { value: rdata.lpackw, label: "物料来源" },
                        { value: rdata.lpackh, label: "价值类别ABC" },
                        { value: rdata.lpackvol, label: "货币代码" },
                        { value: rdata.palletpacks, label: "物料版本" },
                        { value: rdata.palletpacktype, label: "特殊防护要求" }
                    ],
                    [
                        { value: rdata.sf_fragile == "1" ? "是" : "否", label: "是否易碎" },
                        { value: rdata.is_specialty == "1" ? "是" : "否", label: "是否特殊品" },
                        { value: rdata.sf_shap == "1" ? "是" : "否", label: "是否异型" },
                        { value: rdata.isbatch == "1" ? "是" : "否", label: "是否批次管理" },
                        { value: rdata.islot == "1" ? "是" : "否", label: "是否批号管理" },
                        { value: rdata.isseries == "1" ? "是" : "否", label: "是否序列号管理" },
                        { value: rdata.sf_pcgl == "1" ? "是" : "否", label: "是否效期管理" },
                        { value: rdata.valuabletype == "1" ? "是" : "否", label: "是否贵重" },
                        { value: rdata.sf_wxp == "1" ? "是" : "否", label: "是否危险品" },
                        { value: rdata.isweight == "1" ? "是" : "否", label: "是否称重" },
                        { value: rdata.exsattr9 == "1" ? "是" : "否", label: "是否进口" }
                    ]
                ]
            }
        });

        new PlgPanel({
            renderer: "wareGoodsManage_zhen_grid_sub",
            skin: 2,
            empyt: false,
            header: {
                isShow: true,
                title: "日期属性"
            },
            defaultBody: {
                layoutCol: 3,
                valueBj: true,
                cols: [
                    [
                        { value: rdata.lpackw, label: "日期代码" },
                        { value: rdata.lpackh, label: "过期警告发出时间" },
                        { value: rdata.lpackvol, label: "存储期限" },
                        { value: rdata.palletpacks, label: "时间代码" }]
                ]
            }
        });

        $("#wareGoodsManage_zhen").css("display", "none");
        $("#wareGoodsManage_D").css("display", "block");
        $("#wareGoodsManage_grid_1").css("display", "none");
        $("#wareGoodsManage_Template").css("display", "none");
        return false;
    };

    //跳转页面
    var carousel = layui.carousel;
    carousel.render({
        elem: "#wareGoodsManage_div",
        autoplay: false,
        index: 0,
        arrow: "none",
        indicator: "none",
        anim: "fade",
        width: "100%", //设置容器宽度
        height: "100%"
    });

    // 去掉确认按钮
    // $(layero.selector).children('div:last').css('display', 'none');

    // 初始化表单
    function formInit(ntype, rdata) {
        $("#btn_save_wareGoodsManage").show();
        var html = "<div class=\"tc-title\">物料常规属性</div>";
        html += "<div class=\"tc-panel\" style=\"height:auto\">";
        html += "    <div id=\"addItem_goodsDesc\"></div>";
        html += "    <div id=\"addItem_logisticsDesc_checkbox\" style=\"margin-left:80px;margin-top:20px;\"></div>";
        html += "</div>";
        html += "<div class=\"tc-title\">日期属性</div>";
        html += "<div class=\"tc-panel\" style=\"height:auto\">";
        html += "    <div id=\"addItem_logisticsDesc\"></div>";
        html += "</div>";
        html += "<div class=\"tc-title\">序列号属性</div>";
        html += "<div class=\"tc-panel\" style=\"height:auto\">";
        html += "    <div id=\"addItem_medicineDesc\" style=\"width:100%\"></div>";
        html += "</div>";
        $("#wareGoodsManage_zhen_grid_sub").html(html);
        var goodsDesc_opt = {
            renderer: "addItem_goodsDesc",
            items: [
                { type: "settings", position: "label-left", labelWidth: 80, inputWidth: 160 },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "hidden", name: "id", label: "id" },
                        { type: "hidden", name: "branchid", label: "仓", value: userinfo.p_companyid },
                        { type: "hidden", name: "branchname", label: "仓ID", value: userinfo.p_companyname },
                        { type: "combo", readonly: true, name: "consignor", labelAlign: "right", label: "货主编号", disabled: true, required: true, width: 160, options: rsp_consignor },
                        { type: "hidden", name: "consignorname", label: "货主名称" },
                        { type: "hidden", name: "itemid", label: "id" },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "capacity", labelAlign: "right", disabled: true, label: "规格" },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "itemcode", labelAlign: "right", disabled: true, label: "物料编号" },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "locname", required: true, labelAlign: "right", disabled: true, label: "物料名称" }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "combo", readonly: true, name: "packtype", labelAlign: "right", disabled: true, label: "包装单位", width: 160, options: rsp_packtype },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "uniteitemid", labelAlign: "right", disabled: true, label: "统一物料ID" },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "itembrand", labelAlign: "right", disabled: true, label: "品牌" },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "orign", labelAlign: "right", disabled: true, label: "产地" }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "combo", readonly: true, name: "status", required: true, labelAlign: "right", label: "状态", width: 160, disabled: true, options: rsp_status }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "combo", readonly: true, name: "keeptemperature", labelAlign: "right", label: "存储条件", width: 160, options: rsp_storagecondition },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", readonly: true, name: "abcgroup", labelAlign: "right", label: "ABC属性", width: 160, options: rsp_abcattr },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "mpackunit", labelAlign: "right", label: "中包数量", disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "inkeepdays", labelAlign: "right", label: "入库预留保质期", labelWidth: 100, validate: "ValidInteger" }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "combo", readonly: true, name: "ettscodeflag", labelAlign: "right", label: "码采集", width: 160, options: rsp_ettscodeflag, disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", readonly: true, name: "itemtype", labelAlign: "right", label: "物料主类", width: 160, options: rsp_itemtype, disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", readonly: true, name: "datetracklevel", labelAlign: "right", label: "效期跟踪级别", width: 160, options: rsp_datetracklevel, disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "outkeepdays", labelAlign: "right", label: "出库预留保质期", labelWidth: 100, validate: "ValidInteger" }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "input", name: "basepack", required: true, labelAlign: "right", label: "包装数量", disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", readonly: true, name: "categorycode1", labelAlign: "right", label: "物料分类1", width: 160, options: rsp_categorycode1, disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", readonly: true, name: "qa_group", labelAlign: "right", label: "质检分组", width: 160, options: rsp_qa_group, disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "alertshelfdays", labelAlign: "right", label: "预警保质期", labelWidth: 100, validate: "ValidInteger" }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "input", name: "palletpacks", labelAlign: "right", label: "标准托盘量" },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", readonly: true, name: "categorycode2", labelAlign: "right", label: "物料分类2", width: 160, options: rsp_categorycode2, disabled: true },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", readonly: true, name: "keeptype", labelAlign: "right", label: "整散标识", width: 160, options: rsp_keeptype },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", readonly: true, name: "shelfdaytype", labelAlign: "right", label: "保质期单位", width: 160, labelWidth: 100, options: rsp_shelfdaytype }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "combo", name: "palletpacks2", labelAlign: "right", label: "物料来源" },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", readonly: true, name: "categorycode22", labelAlign: "right", label: "价值类别ABC", width: 160, options: rsp_categorycode2 },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", readonly: true, name: "keeptype3", labelAlign: "right", label: "货币代码", width: 160, options: rsp_keeptype },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", readonly: true, name: "shelfdaytype3", labelAlign: "right", label: "特殊防护要求", width: 160, labelWidth: 100, options: rsp_shelfdaytype }
                    ]
                },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "input", name: "palletpacks23", labelAlign: "right", label: "物料版本" }
                    ]
                }
            ]
        };
        form_goodsDesc = new PlgForm(goodsDesc_opt);
        form_goodsDesc.getCombo("consignor").attachEvent("onChange", function (v, t) {
            form_goodsDesc.setItemValue("consignorname", t);
        });
        // form_goodsDesc.disableAllItem();

        var logisticsDesc_opt = {
            renderer: "addItem_logisticsDesc",
            items: [
                { type: "settings", position: "label-left", labelWidth: 80, inputWidth: 160 },
                {
                    type: "block", width: "*",
                    list: [
                        { type: "combo", name: "palletpacks", labelAlign: "right", width: 160,label: "日期代码"},
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "palletpacktype2", labelAlign: "right", validate: "ValidInteger",label: "存储期限",placeholder: "0" },
                        { type: "newcolumn", offset: 20 },
                        { type: "combo", name: "palletpacktype3", labelAlign: "right", width: 160,label: "时间代码" },
                        { type: "newcolumn", offset: 20 },
                        { type: "input", name: "palletpacktype", labelAlign: "right", labelWidth: 100,label: "过期警告发出时间" }
                    ]
                }
            ]
        };
        form_logisticsDesc = new PlgForm(logisticsDesc_opt);

        var logisticsDesc_checkbox_opt = {
            renderer: "addItem_logisticsDesc_checkbox",
            items: [
                { type: "settings", position: "label-right", labelWidth: 80, width: "*" },
                { type: "checkbox", label: "是否易碎", labelWidth: 60, name: "sf_fragile", disabled: true },
                { type: "newcolumn", offset: 20 },
                { type: "checkbox", label: "是否特殊品", name: "is_specialty", disabled: true },
                { type: "newcolumn", offset: 20 },
                { type: "checkbox", label: "是否异型", labelWidth: 60, name: "sf_shap", disabled: true },
                { type: "newcolumn", offset: 20 },
                { type: "checkbox", label: "是否批次管理", name: "isbatch" },
                { type: "newcolumn", offset: 20 },
                { type: "checkbox", label: "是否批号管理", name: "islot" },
                { type: "newcolumn", offset: 20 },
                { type: "checkbox", label: "是否序列号管理", labelWidth: 100, name: "isseries" },
                { type: "newcolumn", offset: 20 },
                { type: "checkbox", label: "是否效期管理", name: "sf_pcgl" },
                { type: "newcolumn", offset: 20 },
                { type: "checkbox", label: "是否贵重", labelWidth: 60, name: "valuabletype", disabled: true },
                { type: "newcolumn", offset: 20 },
                { type: "checkbox", label: "是否危险品", name: "sf_wxp" }
            ]
        };
        form_logisticsDesc_chk = new PlgForm(logisticsDesc_checkbox_opt);

        //物料table
        var itemTable = {
            //terrace显示全部，card分页显示
            skin: "card",
            //renderer:"grid",
            columns: [
                { id: "itemid", name: "id", type: "ro", width: "130", hidden: true },
                { id: "itemcode", name: "序列号类型id", type: "ro" },
                { id: "locname", name: "物料描述", type: "ro" }
            ],
            multiselect: false,
            imagePath: "/prologui/dist/images/PlgGrid",
            url: UPCLOUD_RDC_TMS_MAINDATA_SERVICE+"/iteminfo/list", //数据接口
            type: "get", //数据提交方式，默认为get
            pagebar: { type: "simple" },
            params: {}, //查询提交参数，分页参数默认为pageNum,pageSize
            page: true, //是否启用分页
            totalCount: "totalCount" //总记录数字段，默认totalCount
        };
        form_medicineDesc = new PlgGrid(itemTable);
        form_medicineDesc.renderTo("addItem_medicineDesc");

        if (ntype === 1 || ntype === 2) {
            var rd1, rd2, rd3;
            rd1 = {
                "consignor": rdata.consignor,
                "consignorname": rdata.consignorname,
                "itemid": rdata.itemid,
                "capacity": rdata.capacity,
                "itemcode": rdata.itemcode,
                "locname": rdata.locname,
                "packtype": rdata.packtype,
                "uniteitemid": rdata.uniteitemid,
                "itembrand": rdata.itembrand,
                "orign": rdata.orign,
                "exnattr5": rdata.exnattr5,
                "categorycode3": rdata.categorycode3,
                "barcode": rdata.barcode,
                "barcode2": rdata.barcode2,
                "bflowbydoubleperson": rdata.bflowbydoubleperson,
                "status": rdata.status,
                "zjm": rdata.zjm,
                "keeptemperature": rdata.keeptemperature,
                "abcgroup": rdata.abcgroup,
                "stockunit": rdata.stockunit,
                "inkeepdays": rdata.inkeepdays,
                "ettscodeflag": rdata.ettscodeflag,
                "itemtype": rdata.itemtype,
                "nickname": rdata.nickname,
                "outkeepdays": rdata.outkeepdays,
                "basepack": rdata.basepack,
                "categorycode1": rdata.categorycode1,
                "qa_group": rdata.qa_group,
                "alertshelfdays": rdata.alertshelfdays,
                "palletpacks": rdata.palletpacks,
                "palletpacktype": rdata.palletpacktype,
                "categorycode2": rdata.categorycode2,
                "keeptype": rdata.keeptype,
                "shelfdaytype": rdata.shelfdaytype,
                "spackl": rdata.spackl,
                "spackh": rdata.spackh,
                "spackw": rdata.spackw,
                "spackweight": rdata.spackweight,
                "spackvol": rdata.spackvol,
                "lpackl": rdata.lpackl,
                "lpackh": rdata.lpackh,
                "lpackw": rdata.lpackw,
                "lpackvol": rdata.lpackvol,
                "datetracklevel": rdata.datetracklevel
            };

            rd2 = {
            };

            rd3 = {
                "sf_fragile": rdata.sf_fragile == null ? 0 : rdata.sf_fragile,
                "is_specialty": rdata.is_specialty == null ? 0 : rdata.is_specialty,
                "sf_shap": rdata.sf_shap == null ? 0 : rdata.sf_shap,
                "isbatch": rdata.isbatch == null ? 0 : rdata.isbatch,
                "islot": rdata.islot == null ? 0 : rdata.islot,
                "isseries": rdata.isseries == null ? 0 : rdata.isseries,
                "sf_pcgl": rdata.sf_pcgl == null ? 0 : rdata.sf_pcgl,
                "valuabletype": rdata.valuabletype == null ? 0 : rdata.valuabletype,
                "sf_wxp": rdata.sf_wxp == null ? 0 : rdata.sf_wxp,
                "isweight": rdata.isweight == null ? 0 : rdata.isweight,
                "exsattr9": rdata.exsattr9 == null ? 0 : rdata.exsattr9
            };

            form_goodsDesc.setFormData(rd1);
            form_logisticsDesc.setFormData(rd2);
            form_logisticsDesc_chk.setFormData(rd3);
            form_goodsDesc.disableItem("itemcode");
        }
    }

    //返回
    $(document).on("click", "#wareGoodsManage_back1", function () {
        $("#wareGoodsManage_zhen").css("display", "none");
        $("#wareGoodsManage_D").css("display", "none");
        $("#wareGoodsManage_Template").css("display", "none");
        $("#wareGoodsManage_grid_1").css("display", "block");
    });

    $("#btn_save_wareGoodsManage").click(function () {
        if (!form_goodsDesc.validate()) return;
        if (!form_logisticsDesc.validate()) return;
        if (!form_logisticsDesc_chk.validate()) return;

        var fd1 = form_goodsDesc.getFormData();
        var fd2 = form_logisticsDesc.getFormData();
        var fd3 = form_logisticsDesc_chk.getFormData();
        var id = grid.getSelectedRowId();

        // 合并对象
        var jsonData = Object.assign(fd1, fd2, fd3, { id });
        //加载等待
        var pload = PlgDialog.load(2, { shade: [0.6, "#fff"] });
        Prolog.ajax({
            url: "/basic/iteminfo-cop/update",
            type: "post",
            contentType: "application/json",
            data: JSON.stringify(jsonData),
            success: function (data) {
                PlgDialog.close(pload);
                if (data.success) {
                    $("#wareGoodsManage_zhen").css("display", "none");
                    $("#wareGoodsManage_D").css("display", "none");
                    $("#wareGoodsManage_grid_1").css("display", "block");
                    $("#wareGoodsManage_Template").css("display", "none");
                    grid.reload();
                    setTimeout(() => { PlgDialog.msg(data.message); }, 300);
                }
                else {
                    setTimeout(() => { PlgDialog.alert(data.message == null ? "接口调用失败" : data.message); }, 300);
                }
            },
            error: function () { PlgDialog.close(pload); PlgDialog.msg("接口调用失败"); }
        });
    });

    function bindRefdata(rsp, data, addNsN) {
        if (addNsN) {
            rsp.push({ text: "", value: "" });
        }
        for (var i = 0; i < data.length; i++) {
            rsp.push({ text: data[i].text, value: data[i].value });
        }
    }
};