import request from '@/utils/request'
import qs from 'qs'
import { UPCLOUD_RDC_TMS_MAINDATA_SERVICE } from '@/config/serviceSettings.js'
const serviceName = UPCLOUD_RDC_TMS_MAINDATA_SERVICE

// 主表地址
export const listRemoteUrl = {
  url: serviceName + '/item_category/paging_query',
  method: 'post',
}

// 启用/停用
export const updateStatus = data => {
  return request({
    url: serviceName + '/item_category/whether_to_enable',
    method: 'post',
    data,
  })
};

// 删除
export const Delete = data => {
  return request({
    url: serviceName + '/item_category/batch_delete',
    method: 'post',
    data,
  })
};

// 新增
export const Save = data => {
  return request({
    url: serviceName + '/item_category/add',
    method: 'post',
    data,
  })
};

// 修改
export const Update = data => {
  return request({
    url: serviceName + '/item_category/modify',
    method: 'post',
    data,
  })
};

//导入url
export const importUrl = serviceName + '/item_category/importExcel'
export const downUrl = serviceName + '/item_category/download_template'