// 主表
export const setMainColumns = (self, expData = []) => {
  return [
    { dataIndex: 'lineCode', title: '线路编码', width: 120, },
    { dataIndex: 'lineName', title: '线路名称', width: 120, },
    { dataIndex: 'startLineTypeName', title: '线路起点类型', width: 120, },
    { dataIndex: 'endLineName', title: '线路终点', width: 120, },
    { dataIndex: 'lineTypeName', title: '线路类型', width: 120, },
    { dataIndex: 'distinguishTypeName', title: '划分类型', width: 120, },
    { dataIndex: 'departmentName', title: '部门', width: 120, },
    { dataIndex: 'carrierTypeName', title: '承运方类型', width: 120, },
    { dataIndex: 'limitName', title: '是否承运方限额限制', width: 120, },
    { dataIndex: 'basisName', title: '限制依据', width: 120, },
    { dataIndex: 'pickUpSiteNumber', title: '提货点数', width: 120, },
    { dataIndex: 'lineDirectionName', title: '方向', width: 120, },
    { dataIndex: 'deliverySiteNumber', title: '送货点数', width: 120, },
    { dataIndex: 'totalStations', title: '总站点数', width: 120, },
    { dataIndex: 'totalMileage', title: '总里程数', width: 120, },
    { dataIndex: 'memo', title: '备注', width: 120, },
    { dataIndex: 'statusName', title: '状态', width: 120, },
    ...expData,
    { dataIndex: 'createperson', title: '创建人', width: 120, },
    { dataIndex: 'createtime', title: '创建时间', width: 120, },
    { dataIndex: 'updateperson', title: '修改人', width: 120, },
    { dataIndex: 'updatetime', title: '修改时间', width: 120, },
    {
      key: 'operation',
      title: '操作',
      width: 180,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' },
    },
  ]
}