

export const setMainColumns = (self, expData) => {
  return [
    { dataIndex: 'id', title: 'id', width: 120, hidden: true },
    { dataIndex: 'name', title: '消息名称', width: 120 },
    { dataIndex: 'typeName', title: '消息类型', width: 120 },

    { dataIndex: 'sendTypeName', title: '推送方式', width: 120 },

    {
      dataIndex: 'content',
      title: '消息内容',
      width: 200,
      customRender(txt) {
        return self._c('span', {
          domProps: {
            innerHTML:txt.replace(/\$\{[\s\S]*?\}/gi, function (value) {
              return '<span style="color: #c41d7f;">' + value + '</span>';
            }),
          },
        });
      },
    },
    { dataIndex: 'conditionName', title: '满足条件', width: 120 },
    { dataIndex: 'statusName', title: '状态', width: 120 },

    //{ dataIndex: 'typeName', title: '通知类型', width: 120 },
    // { dataIndex: 'roleName', title: '指定角色', width: 120 },
    // { dataIndex: 'userName', title: '指定用户', width: 120 },

    { dataIndex: 'createperson', title: '创建人', width: 120 },
    { dataIndex: 'createtime', title: '创建时间' },
    { dataIndex: 'updateperson', title: '修改人' },
    { dataIndex: 'updatetime', title: '修改时间' },

    {
      key: 'operation',
      title: '操作',
      width: 160,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' },
    },
  ];
};
