// "autoPickUpSign (integer, optional)": "自动提货签到 数据字典WHETHER:0否，1是",

// "defaultDeliveryRail (number, optional)": "默认送货围栏(km)",
// "deliveryPicture (integer, optional)": "送货图片 数据字典WHETHER:0否，1是",
// "deliverySign (integer, optional)": "送达签到 数据字典WHETHER:0否，1是",

export const setMainColumns = self => {
  return [
    { dataIndex: 'id', title: 'ID', hidden: true },
    { dataIndex: 'name', title: '标记名称' ,width: 200,},
    { dataIndex: 'typeName', title: '标记类型', width: 100, },
    { dataIndex: 'matchingValue', title: '标记类型匹配',width:200, },
    {
      key: 'demo',
      title: '效果',
      width: 300,
      customRender(txt, record) {
        const { color, background } = record
        return self._c('div', { class: 'row-colorView',  }, [self._c("div", { class: 'content',style: { color, background,} }, [self._v('正文内容预览')])])
      }
    },
    { dataIndex: 'priorityName', title: '优先级' },
//{ dataIndex: 'usingRange', title: '使用范围' },
    { dataIndex: 'createperson', title: '创建人', width: 100 },
    { dataIndex: 'createtime', title: '创建时间', width: 150 },
    { dataIndex: 'updateperson', title: '修改人', width: 100 },
    { dataIndex: 'updatetime', title: '修改时间', width: 150 },
    {
      key: 'operation',
      title: '操作',
      width: 140,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' }
    }
  ]
}
