
export const setMainColumns = (self,expData) => {
  return [
    { dataIndex: 'id', title: 'ID', hidden: true },
    { dataIndex: 'code', title: '站点编码' },
    { dataIndex: 'name', title: '站点名称' },
    { dataIndex: 'typeName', title: '站点类型' },
    { dataIndex: 'deliveryOrder', title: '配送顺序' },
    {
      dataIndex: 'statusName',
      title: '站点状态',
      align: 'center',
      customRender: (text, data) => {
        return self._c('a-badge', {
          attrs: {
            color: ~~data.status === 10 ? 'cyan' : 'red',
            text
          }
        });
      }
    },
    { dataIndex: 'higherLevelStationCode', title: '上级站点编号' },
    { dataIndex: 'higherLevelStationName', title: '上级站点名称' },
    { dataIndex: 'level', title: '站点级别' },
    { dataIndex: 'departmentName', title: '部门' },
    { dataIndex: 'areas', title: '区域' },
    ...expData,
    { dataIndex: 'createperson', title: '创建人', width: 100 },
    { dataIndex: 'createtime', title: '创建时间', width: 150 },
    { dataIndex: 'updateperson', title: '修改人', width: 100 },
    { dataIndex: 'updatetime', title: '修改时间', width: 150 },

    {
      key: 'operation',
      title: '操作',
      width: 140,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' }
    }
  ];
};
