export const setFormItems = (self, expData = []) => {
  return [
    { name: 'shipbillNumber', type: 'txt', label: '订单数', value: '', unit: '件' },
    { name: 'totalWeight', type: 'txt', label: '总重量', value: '' },
    { name: 'totalPcs', type: 'txt', label: '总体积', value: '' },
    { name: 'carrierTypeName', type: 'txt', label: '承运方类型', value: '' },
    { name: 'driverName', type: 'txt', label: '司机', value: '' },
    { name: 'vehiclePlateNumber', type: 'txt', label: '车牌号', value: '' },
    { name: 'vehicleTypeName', type: 'txt', label: '车型', value: '' },
    { name: 'loadingRate', type: 'txt', label: '装载率', value: '' },
  ]
}
export const setCarrierFormItems = (self, expData = []) => {
  return [
    { name: 'shipbillNumber', type: 'txt', label: '订单数', value: '', unit: '件' },
    { name: 'totalWeight', type: 'txt', label: '总重量', value: '' },
    { name: 'totalPcs', type: 'txt', label: '总体积', value: '' },
    { name: 'carrierTypeName', type: 'txt', label: '承运方类型', value: '' },
    { name: 'driverName', type: 'txt', label: '司机', value: '' },
    { name: 'driverPhoneNumber', type: 'txt', label: '司机手机号', value: '' },
    { name: 'vehiclePlateNumber', type: 'txt', label: '车牌号', value: '' },
    { name: 'deliverymanName', type: 'txt', label: '送货员', value: '' },
    { name: 'vehicleTypeName', type: 'txt', label: '车型', value: '' },
    { name: 'loadingRate', type: 'txt', label: '装载率', value: '' },
    { name: 'carrierName', type: 'txt', label: '承运方名称', value: '' },
    { name: 'carrierCode', type: 'txt', label: '承运商编码', value: '' },

  ]
}

export const setPickUpFormItems = (self, expData = []) => {
  return [
    { name: 'selfPickUpTime', type: 'txt', label: '自提登记时间', value: '' },
    { name: 'selfPickUpPerson', type: 'txt', label: '自提人', value: '' },
    { name: 'selfPickUpTel', type: 'txt', label: '联系方式', value: '' },
    { name: 'vehiclePlateNumber', type: 'txt', label: '车牌号', value: '' },
    { name: 'idCard', type: 'txt', label: '身份证', value: '' },
    { name: 'selfPickUpMemo', type: 'txt', label: '备注', value: '' },
  ]
}

export const setColumns = (self) => {
  return [
    {
      dataIndex: 'shippingOrder',
      title: '配送顺序',
    },
    {
      dataIndex: 'shipbillNo',
      title: '运单号',
    },
    { dataIndex: 'cargoOwnerName', title: '货主' },
    { dataIndex: 'orderNo', title: '订单号' },
    { dataIndex: 'wmsOrderNo', title: 'WMS单号' },
    {
      dataIndex: 'orderTypeName',
      title: '订单类型',
    },
    {
      dataIndex: 'orderBusinessTypeName',
      title: '业务类型',
    },
    {
      dataIndex: 'deliveryMethodTypeName',
      title: '配送方式',
    },
    {
      dataIndex: 'transportTypeName',
      title: '运输模式',
    },
    {
      dataIndex: 'temperatureRequirementName',
      title: '温度要求',
    },
    { dataIndex: 'lineName', title: '线路', },
    { dataIndex: 'memo', title: '备注', },
    {
      dataIndex: 'orderDate',
      title: '订单下单日期',
    },
    {
      dataIndex: 'estimatedPickupStartTime',
      title: '预计提货时间',
    },
    {
      dataIndex: 'estimatedDeliveryStartTime',
      title: '预计送达时间',
    },
    { dataIndex: 'transportAging', title: '时效', },
    {
      dataIndex: 'shipperTypeName',
      title: '发货方类型',
    },
    {
      dataIndex: 'shipperUnitName',
      title: '发货方单位',
    },
    { dataIndex: 'shipperName', title: '发货方', },
    {
      dataIndex: 'shipperProvinceCityDistrict',
      title: '发货方始发地',
    },
    {
      dataIndex: 'shipperContact',
      title: '发货方联系人',
    },
    {
      dataIndex: 'shipperPhoneNumber',
      title: '发货方手机号',
    },
    {
      dataIndex: 'shipperLandlineNumber',
      title: '发货方座机号',
    },
    {
      dataIndex: 'shipperEmail',
      title: '发货方邮箱',
    },
    {
      dataIndex: 'shipperAddress',
      title: '发货方详细地址',
    },
    {
      dataIndex: 'shipperMemo',
      title: '发货方备注',
    },
    {
      dataIndex: 'shipperPositioning',
      title: '发货方位置',
    },
    {
      dataIndex: 'consigneeTypeName',
      title: '收货方类型',
    },
    {
      dataIndex: 'consigneeUnitName',
      title: '收货方单位',
    },
    { dataIndex: 'consigneeName', title: '收货方' },
    {
      dataIndex: 'consigneeProvinceCityDistrict',
      title: '收货方始发地',
    },
    {
      dataIndex: 'consigneeContact',
      title: '收货方联系人',
    },
    {
      dataIndex: 'consigneePhoneNumber',
      title: '收货方手机号',
    },
    {
      dataIndex: 'consigneeLandlineNumber',
      title: '收货方座机号',
    },
    {
      dataIndex: 'consigneeEmail',
      title: '收货方邮箱',
    },
    {
      dataIndex: 'consigneeAddress',
      title: '收货方详细地址',
    },
    {
      dataIndex: 'consigneeMemo',
      title: '收货方备注',
    },
    {
      dataIndex: 'consigneePositioning',
      title: '收货方位置',
    },
    { dataIndex: 'totalPcs', title: '总件数' },
    { dataIndex: 'totalWeight', title: '总重量' },
    { dataIndex: 'totalVolume', title: '总体积' },
    {
      dataIndex: 'packageWholePiece',
      title: '整件数',
    },
    {
      dataIndex: 'packageLclPiece',
      title: '拼箱数',
    },
    {
      dataIndex: 'packageTotalWeight',
      title: '包裹总重量',
    },
    {
      dataIndex: 'packageTotalVolume',
      title: '包裹总体积',
    },
    { dataIndex: 'createperson', title: '创建人' },
    { dataIndex: 'createtime', title: '创建时间' },
  ]
}



