//调度运输

export default (self) => {



  return [
    { dataIndex: 'planBillId', title: 'id', hidden: true },
    {
      dataIndex: 'planBillNo',
      title: '计划单',
      sorter: (a, b) => a.planBillNo?.localeCompare(b.planBillNo),
      width: 160
    },
    {
      dataIndex: 'consigneeName', title: '收货方', width: 200,
      sorter: (a, b) => a.consigneeName?.localeCompare(b.consigneeName)
    },

    {
      dataIndex: 'carrierName',
      title: '承运商',
      align: 'center',
      width: 130,
      sorter: (a, b) => a.carrierName?.localeCompare(b.carrierName),

    },

    {
      dataIndex: 'driverName',
      title: '司机',
      width: 100,
      sorter: (a, b) => a.driverName?.localeCompare(b.driverName),

    },
    {
      dataIndex: 'productName',
      title: '产品名称',
      sorter: (a, b) => a.productName?.localeCompare(b.productName),
    },

    {
      dataIndex: 'planTotalPcs',
      title: '实际总件数',
      alert:'center',
      sorter: (a, b) => a.planTotalPcs - b.planTotalPcs,
      width: 100
    },

  ]
}
