// 主表
export const setMainColumns = (self, expData = []) => {
  return [
    { dataIndex: 'configName', title: '策略名称', width: 120, },
    { dataIndex: 'configConditions', title: '满足条件', width: 120, },
    { dataIndex: 'carrierTypeName', title: '承运方类型', width: 120, },
    { dataIndex: 'carrierNameList', title: '承运方名称', width: 120, },
    { dataIndex: 'driverPhoneNumber', title: '司机手机号', width: 120, },
    { dataIndex: 'deliverymanName', title: '送货员', width: 120, },
    { dataIndex: 'deliverymanPhoneNumber', title: '送货员手机号', width: 120, },
    { dataIndex: 'vehiclePlateNumber', title: '车牌号', width: 120, },
    { dataIndex: 'memo', title: '备注', width: 120, },
    { dataIndex: 'statusName', title: '状态', width: 120, },
    ...expData,
    {
      dataIndex: 'createperson',
      title: '创建人',
      width: 120,
    },
    {
      dataIndex: 'createtime',
      title: '创建时间',
      width: 120,
    },
    {
      dataIndex: 'updateperson',
      title: '修改人',
      width: 120,
    },
    {
      dataIndex: 'updatetime',
      title: '修改时间',
      width: 120,
    },
    {
      key: 'operation',
      title: '操作',
      width: 180,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' },
    },
  ]
}