//根据value获取中文名称，datas数据集合，text数据值
function getSelectValue(datas, text) {
  var str = text
  if (text == null) {
    str = ''
  } else if (datas == null) {
    str = text
  } else {
    for (var i = 0; i < datas.length; i++) {
      if (datas[i].value == text) str = datas[i].text
    }
  }
  return str
}


export const setMainColumns = (self,expData) => {

  return [
    { dataIndex: 'id', title: '策略ID', width: 120, hidden: true },
    { dataIndex: 'strategyName', title: '策略名称', width: 120 },
    { dataIndex: 'strategyConditions', title: '满足条件', width: 120 },
    { dataIndex: 'matchPrioItems', title: '匹配优先级', width: 120 },
    { dataIndex: 'memo', title: '备注', width: 120 },
    { dataIndex: 'statusName', title: '状态', width: 120 },

    { dataIndex: 'createperson', title: '创建人', width: 120 },
    { dataIndex: 'createtime', title: '创建时间' },
    { dataIndex: 'updateperson', title: '修改人' },
    { dataIndex: 'updatetime', title: '修改时间' },

    {
      key: 'operation',
      title: '操作',
      width: 140,
      fixed: 'right',
      align: 'center',
      scopedSlots: { customRender: 'operation' },
    },
  ]
}
