
export const setUpdateForm = (self, title) => {

  let 客服反馈 = [
    { name: 'ids', hidden: true },
    {name: 'shipbillId',hidden:true},
    {
      name: 'feedbackDate',
      label: '反馈时间',
      type: 'date',
      format: 'YYYY-MM-DD HH:mm',
      required: true,
      showTime: true,
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
      value:self.moment().format('YYYY-MM-DD HH:mm')
    },
    {
      name: 'address',
      label: '实时地点',
      type: 'input',
    //  required: true,
      value:'',
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },

    },
    {
      name: 'feedbackContent',
      span: 24,
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      value:'',
      required: true,
      label: '反馈内容',
      type: 'textarea'

    },
    {
    name: 'feedbackPicture',
    itemHeight: 'auto',
    label: '反馈图片',
    span: 24,
    labelCol: { span: 4 },
    wrapperCol: { span: 20 },
    scopedSlots: { customRender: 'photo' },
    value: ''
    }
  ]
  let 异常登记 = [
    { name: 'ids', hidden: true },
    {name: 'shipbillId',hidden:true},

    {
      name: 'abnormalTime',
      label: '异常发生时间',
      type: 'date',
      format: 'YYYY-MM-DD HH:mm',
      required: true,
      showTime: true,
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
      value:self.moment().format('YYYY-MM-DD HH:mm')
    },
    {
      name: 'abnormalType',
      label: '异常类型 ',
      type: 'select',
      required: true,
      get options() {
        return self.options.ABNORMAL_TYPE
       // 异常类型 ABNORMAL_TYPE   异常事件 ABNORMAL_EVENT
      },
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },
    {
      name: 'abnormalCase',
      label: '异常事件',
      type: 'select',
      required: true,
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
      get options() {
        return self.options.ABNORMAL_EVENT
      },
    },
    {
      name: 'customerComplain',
      label: '客户投诉',
      type: 'select',
      required: true,
      value: 1,
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
      options: [{
        label: '是',value:1
      },
      {
        label: '否',value:0
      }]
    },
    {
      name: 'content',
      span: 24,
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      required: true,
      label: '异常内容',
      type: 'textarea'
    },
    {
      name: 'pictureUrl',
      itemHeight: 'auto',
      label: '异常图片',
      span: 24,
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      scopedSlots: { customRender: 'photo' },
      value: ''
      }
  ]

  return eval(title)
}