
  // loadingBillId:"[string] 装车单ID"
  // memo:"[string] 备注"
  // picUrl:"[string] 回单照片地址"
  // receiptTime:"[string] 回单时间"
  // shipbillId:"[string] 运单ID"


export const setUpdateForm = (self, title) => {
  return [
    { name: 'shipbillId', hidden: true ,label: 'shipbillId'},
    // { name: 'loadingBillId', hidden: false ,label: ' 装车单ID'},
    {
      name: 'receiptTime',
      label: '签到时间',
      type: 'date',
      required: true,
      format: 'YYYY-MM-DD HH:mm',
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
      value: self.moment().format('YYYY-MM-DD HH:mm'),
    },
    {
      name: 'memo',
      span: 24,
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      label: '备注',
      type: 'textarea',
    },
    {
      name: 'picUrl',
      itemHeight: 'auto',
      label: '回单照片',
      span: 24,
      message: '请上传回单照片',
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      scopedSlots: { customRender: 'photo' },
      value: '',
      required: true,

    },
  ]
}
