// origReceiptVOs:[
// {
// loadingBillId:"[string] 装车单ID"
// shipbillId:"[string] 运单ID"
// status:"[integer] 运单状态"
// }
// ]

export const setUpdateForm = (self, title) => {
  return [
    { name: 'shipbillId', hidden: true, label: 'shipbillId' },
    // { name: 'loadingBillId', hidden: false ,label: ' 装车单ID'},
    {
      name: 'origReceiptReturnTime',
      label: '回单返回时间',
      type: 'date',
      required: true,
      format: 'YYYY-MM-DD HH:mm',
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
      value: self.moment().format('YYYY-MM-DD HH:mm'),
    },
    {
      name: 'origReceiptStatus',
      label: '回单状态',
      type: 'select',
      required: true,
      // value:30,
      get options() {
        return self.options.ORIG_RECEIPT_STATUS
      },
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },
    {
      name: 'origReceiptType',
      label: '回单类型',
      type: 'select',
      required: true,
      // value:30,
      get options() {
        return self.options.ORIG_RECEIPT_TYPE
      },
      labelCol: { span: 8 },
      wrapperCol: { span: 16 },
    },
    // { name: 'origReceiptAging', label:'回单时效',type:'number'},
    { name: 'origReceiptReceivePerson', label: '接收人', labelCol: { span: 8 }, wrapperCol: { span: 16 } },
    { name: 'origReceiptNum', label: '接收份数', type: 'number', unit:'份',labelCol: { span: 8 }, wrapperCol: { span: 16 } },
    // 回单类型 数据字典 ORIG_RECEIPT_TYPE
    {
      name: 'memo',
      span: 24,
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      label: '备注',
      type: 'textarea',
    },
    {
      name: 'picUrl3',
      itemHeight: 'auto',
      label: '回单图片',
      span: 24,
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      scopedSlots: { customRender: 'photo3' },
      value: '',
    },
    {
      name: 'picUrl',
      itemHeight: 'auto',
      label: '添加图片',
      span: 24,
      message: '请上传回单照片',
      labelCol: { span: 4 },
      wrapperCol: { span: 20 },
      scopedSlots: { customRender: 'photo' },
      value: '',
      required: true,
    },
  ]
}
