package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单、装车单信息DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/5/11 14:16
 */
@Data
@ApiModel("运单、装车单信息DTO")
public class ShipbillAndLoadingbillInfoDTO implements Serializable {

	private static final long serialVersionUID = -4224684835481192261L;

	@ApiModelProperty(value = "装车单ID")
	private String loadingbillId;

	@ApiModelProperty(value = "装车单编号")
	private String loadingbillNo;

	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "司机编号")
	private String driverCode;

	@ApiModelProperty(value = "司机名称")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "运单状态")
	private Integer status;

}
