package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 运单接口转业务DTO
 *
 * @className :ShipbillResultDTO
 * @author :fanzw
 * @creationTime :2022/08/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class ShipbillResultDTO implements Serializable {

	private static final long serialVersionUID = -3729894728829321473L;

	@ApiModelProperty(value = "是否成功")
	private boolean success;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "处理结果")
	private String result;

}
