package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class SySParameterDTO implements Serializable {

	private static final long serialVersionUID = 5417172731328470180L;

	@ApiModelProperty(value = "id")
	private String id;

	@ApiModelProperty(value = "重量精度")
	private Integer weightPrecision;

	@ApiModelProperty(value = "重量取整")
	private Integer weightInteger;

	@ApiModelProperty(value = "重量精度")
	private Integer volumePrecision;

	@ApiModelProperty(value = "重量取整")
	private Integer volumeInteger;

	@ApiModelProperty(value = "重量精度")
	private Integer packWeightPrecision;

	@ApiModelProperty(value = "包装重量取整")
	private Integer packWeightInteger;

	@ApiModelProperty(value = "包装体积精度")
	private Integer packVolumePrecision;

	@ApiModelProperty(value = "包装体积取整")
	private Integer packVolumeInteger;

	@ApiModelProperty(value = "费用精度")
	private Integer costPrecision;

	@ApiModelProperty(value = "费用取整")
	private Integer costInteger;

	@ApiModelProperty(value = "是否核算之后开始对账")
	private Integer isReconciliation;

	@ApiModelProperty(value = "是否含税单价 1：含税，2：未税")
	private Integer isTax;
	private String isTaxName;

	@ApiModelProperty(value = "价格表计费方式")
	private Integer priceCostType;

	@ApiModelProperty(value = "创建人")
	private Integer createperson;

	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "最后修改人")
	private String updateperson;

	@ApiModelProperty(value = "最后修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "价格表省市区匹配方式")
	private Integer pricePcdMatchType;

	@ApiModelProperty(value = "TMS下传单据:10-仅运单,20-运单和派车单")
	private Integer tmsTransferOrderType;

	@ApiModelProperty(value = "承运价格计费:1：含税，2：未税")
	private Integer carrierPriceType;

	@ApiModelProperty(value = "司机价格计费:1：含税，2：未税")
	private Integer driverPriceType;
}