package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 *
 * 预警配置用户查询DTO
 *
 * @className :SysAlertUsersQueryDTO
 * @author :fanzw
 * @creationTime :2022/01/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/01/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysAlertUsersQueryDTO implements Serializable {

	private static final long serialVersionUID = -5659418610134354260L;

	@ApiModelProperty(value = "数据ID")
	private Long lineId;

	@ApiModelProperty(value = "预警ID")
	private String earlyWarningId;

	@ApiModelProperty(value = "用户ID")
	private String userid;

	@ApiModelProperty(value = "用户名称")
	private String username;

	@ApiModelProperty(value = "用户账号")
	private String userAccount;

	@ApiModelProperty(value = "用户手机号")
	private String phone;

	@ApiModelProperty(value = "部门ID")
	private String departmentId;

	@ApiModelProperty(value = "部门名称")
	private String departmentName;

	@ApiModelProperty(value = "用户类型编码")
	private String userTypeCode;

	@ApiModelProperty(value = "用户类型名称")
	private String userTypeName;

	@ApiModelProperty(value = "状态 0:停用 1:启用")
	private Integer status;

}
