package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 审核历史DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/5/7 17:58
 */
@Data
@ApiModel("审核历史DTO")
public class ApprovalLogDTO implements Serializable {
    private static final long serialVersionUID = -8915120147638868261L;

    @ApiModelProperty(value = "审批日志ID")
    private Long id;

    @ApiModelProperty(value = "审批角色ID")
    private Long approverRoleId;

    @ApiModelProperty(value = "审批角色名称")
    private String approverRoleName;

    @ApiModelProperty(value = "审批用户ID")
    private Long approverUserId;

    @ApiModelProperty(value = "审批用户名称")
    private String approverUserName;

    @ApiModelProperty(value = "审批人ID")
    private Long approverPersonId;

    @ApiModelProperty(value = "审批人名称")
    private String approverPersonName;

    @ApiModelProperty(value = "审批意见")
    private String approvalOpinion;

    @ApiModelProperty(value = "审批时间")
    private Date approvalTime;

    @ApiModelProperty(value = "状态 数据字典 APPROVAL_BUSSINESS_NODE_STATUS:1待审批 2驳回发起人 3驳回上一级  4审批通过")
    private Integer result;

    @ApiModelProperty(value = "状态 数据字典 APPROVAL_BUSSINESS_NODE_STATUS:1待审批 2驳回发起人 3驳回上一级  4审批通过")
    private String resultName;

    @ApiModelProperty(value = "备注")
    private String memo;
}
