package com.prolog.rdc.tms.model.dto.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 车辆查询或新增VO
 *
 * @className :VehicleAutomaticDTO
 * @author :fanzw
 * @creationTime :2022/08/11
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/11
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("车辆查询或新增VO")
public class VehicleAutomaticDTO implements Serializable {

	private static final long serialVersionUID = 7769256574111421815L;

	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	@ApiModelProperty(value = "车辆名称")
	private String vehicleName;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

}
