package com.prolog.rdc.tms.model.dto.g7;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 *
 * 车辆当前定位V1.0DTO
 *
 * @className :ItemResultDTO
 * @author :fanzw
 * @creationTime :2022/08/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class CTemperatureProbeInfoDTO {

    @ApiModelProperty(value = "光感")
    private String t0Light;

    @ApiModelProperty(value = "告警类型")
    private String t0AlarmTypes;

    @ApiModelProperty(value = "探头0温度")
    private String t0Temperature;

    @ApiModelProperty(value = "探头0湿度")
    private String t0Humidity;

    @ApiModelProperty(value = "告警状态值")
    private String t0AlarmStatus;

    @ApiModelProperty(value = "探头1温度")
    private String t1Temperature;

    @ApiModelProperty(value = "探头1")
    private String t1HumidityAlarmStatus;

    @ApiModelProperty(value = "探头1")
    private String t1TemperatureAlarmStatus;

    @ApiModelProperty(value = "探头2温度")
    private String t2Temperature;

    @ApiModelProperty(value = "探头2")
    private String t2HumidityAlarmStatus;

    @ApiModelProperty(value = "探头2")
    private String t2TemperatureAlarmStatus;

    @ApiModelProperty(value = "探头3温度")
    private String t3Temperature;

    @ApiModelProperty(value = "探头3")
    private String t3HumidityAlarmStatus;

    @ApiModelProperty(value = "探头3")
    private String t3TemperatureAlarmStatus;

    @ApiModelProperty(value = "探头4温度")
    private String t4Temperature;

    @ApiModelProperty(value = "探头4")
    private String t4HumidityAlarmStatus;

    @ApiModelProperty(value = "探头4")
    private String t4TemperatureAlarmStatus;

}
