package com.prolog.rdc.tms.model.dto.g7;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 *
 * 车辆当前定位V1.0DTO
 *
 * @className :CurrentTemperatureDTO
 * @author :fanzw
 * @creationTime :2022/08/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class CurrentTemperatureDTO {

    @ApiModelProperty(value = "车辆编号")
    private String truckid;

    @ApiModelProperty(value = "机构号")
    private String orgcode;

    @ApiModelProperty(value = "车牌号")
    private String carnum;

    @ApiModelProperty(value = "设备号")
    private String gpsno;

    @ApiModelProperty(value = "1 - 固定; 2 - 便携")
    private String coldchaintype;

    @ApiModelProperty(value = "1.固定式")
    private String properties;

    @ApiModelProperty(value = "温度采集时间")
    private String time;

    @ApiModelProperty(value = "探头温度")
    private CTemperatureProbeInfoDTO probeInfo;

    @ApiModelProperty(value = "经度，GCJ02坐标系")
    private BigDecimal lng;

    @ApiModelProperty(value = "纬度，GCJ02坐标系")
    private BigDecimal lat;
}
