package com.prolog.rdc.tms.model.dto.message;

import com.prolog.product.core.framework.entity.UserEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/11/16
 */
@NoArgsConstructor
@RequiredArgsConstructor
@Data
public class SendMessageDTO {

    @NonNull
    @ApiModelProperty(value = "单据类型")
    private String messageOrderType;

    @NonNull
    @ApiModelProperty(value = "消息类型")
    private String messageType;

    @NonNull
    @ApiModelProperty(value = "单号")
    private List<String> billCode;

    @ApiModelProperty(value = "用户信息")
    private UserEntity user;

}
