package com.prolog.rdc.tms.model.dto.print;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PrinterBatchTemplateDTO implements Serializable {

	private static final long serialVersionUID = 2060516508182424434L;

	private String templateCode;

	@ApiModelProperty(value = "id")
	private Long id;

	@ApiModelProperty(value = "方案名称")
	private String planName;

	@ApiModelProperty(value = "方案编码")
	private String planCode;

	@ApiModelProperty(value = "客户类型")
	private String companyType;
	private String companyTypeName;

	@ApiModelProperty(value = "仓库ID")
	private Long warehouseId;

	@ApiModelProperty(value = "仓库编码")
	private String warehouseCode;

	@ApiModelProperty(value = "仓库名称")
	private String warehouseName;

	@ApiModelProperty(value = "客户ID")
	private Long companyId;

	@ApiModelProperty(value = "客户编码")
	private String companyCode;

	@ApiModelProperty(value = "客户名称")
	private String companyName;

	@ApiModelProperty(value = "模版高度")
	private BigDecimal templateHeight;

	@ApiModelProperty(value = "模版宽度")
	private BigDecimal templateWide;

	@ApiModelProperty(value = "模版名称")
	private String templateName;

	@ApiModelProperty(value = "模版地址")
	private String templatePath;

	@ApiModelProperty(value = "模版类型 0:纸单 1:标签")
	private String templateType;
	private String templateTypeName;

	@ApiModelProperty(value = "仓库名称")
	private String status;
	private String statusName;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "备注")
	private int version;

	@ApiModelProperty(value = "0 未删除，1 已删除")
	private int deletedFlag;

	@ApiModelProperty(value = "创建人")
	private String createdBy;

	@ApiModelProperty(value = "创建时间")
	private Date createdDate;

	@ApiModelProperty(value = "最后修改人")
	private String lastModifiedBy;

	@ApiModelProperty(value = "最后修改时间")
	private Date lastModifiedDate;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	// 打印模版信息
//    private PrinterTemplateDTO templateList;
}