package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@Data
public class BillDownloadVO implements Serializable {

    private static final long serialVersionUID = -92248416608078822L;

 /*   @ApiModelProperty(value = "运单商品集合")
    private List<BmsShipBillDetailVO> shipBillDetailList;


*/
    @ApiModelProperty(value = "下传运单")
    @NotNull(message = "运单不能为空")
    private List<ShipBillVO> shipBillVOList;

    @Valid
    @ApiModelProperty(value = "派车单集合")
    private List<LoadingBillVO> loadingBillVOList;

    @ApiModelProperty(value = "所属组织ID")
    private Long organizationId;

    @ApiModelProperty(value = "所属组织编码")
    private String organizationCode;

    @ApiModelProperty(value = "所属组织名称")
    private String organizationName;

    private String nickName;
    private String userName;
    private Long enterpriseId;
    private String enterpriseName;
}