package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 导入日志保存VO
 *
 *
 * @className: ImportLogAddVO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("导入日志保存VO")
public class ImportLogUpdateVO implements Serializable {

	private static final long serialVersionUID = 8557571975587273736L;

	@ApiModelProperty(value = "导入批次")
	private String importBatchNumber;

	@ApiModelProperty(value = "导入状态 数据字典IMPORT_STATUS:0失败，1.成功")
	private Integer status;

	@ApiModelProperty(value = "成功条数")
	private Integer successNum;

	@ApiModelProperty(value = "失败条数")
	private Integer failNum;

	@ApiModelProperty(value = "失败原因")
	private String failReason;

}
