package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 审批流程节点审核VO
 *
 * @className :ApprovalNodeVO
 * @author :lhb
 * @creationTime :2022/05/07
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class ApprovalBusinessNodeVO implements Serializable {

	private static final long serialVersionUID = 5427702336753396573L;

	@ApiModelProperty(value = "审批对象名称")
	private String approvalObjectName;

	@ApiModelProperty(value = "审批业务ID")
	private Long approvalBusinessId;

	@ApiModelProperty(value = "审批流程ID")
	private Long approvalId;

	@ApiModelProperty(value = "审批流程下一节点ID")
	private Long nextApprovalNodeId;

	@ApiModelProperty(value = "审批流程下一节点顺序")
	private Integer nextApprovalOrder;

	@ApiModelProperty(value = "节点审批者类型 数据字典 NODE_APPROVER_TYPE 1 角色 2 用户")
	private Integer nodeApproverType;

	@ApiModelProperty(value = "审批方式  数据字典 NODE_APPROVAL_TYPE: 1 会签 2 或签")
	private Integer nodeApprovalType;

	@ApiModelProperty(value = "下一审批角色ID")
	private String nextApproverRoleId;

	@ApiModelProperty(value = "下一审批角色名称")
	private String nextApproverRoleName;

	@ApiModelProperty(value = "下一审批用户ID")
	private String nextApproverUserId;

	@ApiModelProperty(value = "下一审批用户名称")
	private String nextApproverUserName;

	@ApiModelProperty(value = "当前节点审批人ID")
	private Long approverPersonId;

	@ApiModelProperty(value = "当前节点审批人名称")
	private String approverPersonName;

	@ApiModelProperty(value = "当前节点审批人角色ID")
	private String approverPersonRoleId;

	@ApiModelProperty(value = "当前节点审批人角色名称")
	private String approverPersonRoleName;

	@ApiModelProperty(value = "审批意见")
	private String approvalOpinion;

	@ApiModelProperty(value = "审批时间")
	private Date approvalTime;

	@ApiModelProperty(value = "审批结果 数据字典 NODE_RESULT:1发起申请 2驳回发起人 3驳回上一级  4审批通过 5撤回 6 作废")
	private Integer result;
}
