package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import com.prolog.framework.core.annotation.Column;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 根据客户收货方编码名称查询客户收货方资料VO
 *
 * @className :CustomerConsigneeByEncodingNameVO
 * @author :fanzw
 * @creationTime :2022/05/10
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/05/10
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据客户收货方编码名称查询客户收货方资料VO")
public class CustomerConsigneeByEncodingNameVO implements Serializable {

	private static final long serialVersionUID = -8946670451623061810L;

	@ApiModelProperty(value = "客户ID")
	private Long customerId;

	@ApiModelProperty(value = "客户收货方编码")
	@Column(value = "code")
	private String code;

	@ApiModelProperty(value = "客户收货方名称")
	@Column(value = "name")
	private String name;

}
