package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 供应商发货方资料查看VO
 * 
 * @author Eton Woo
 * @date 2022/03/28
 */
@Data
@ApiModel("供应商发货方资料查看VO")
public class ProviderShipperCheckVO implements Serializable {

	private static final long serialVersionUID = -501289806033023960L;
	
	@ApiModelProperty(value = "供应商发货方ID")
	private Long shipperId;
}
