package com.prolog.rdc.tms.model.vo.e6;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 获取设备的最新位置信息VO
 * @author hongbo.pan
 * @date 2023/3/21
 */
@Data
public class EquipInfoVO {

    @NotBlank
    @ApiModelProperty(value = "设备编码串，支持多设备批量查询，设备编码间用英文逗号分割，传入-1则查询全部可见设备")
    private String equipCode;
}
