package com.prolog.rdc.tms.model.vo.e6;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 获取车辆的最新位置信息VO
 * @author hongbo.pan
 * @date 2023/3/21
 */
@Data
public class VehicleInfoVO {

    @NotBlank
    @ApiModelProperty(value = "车牌")
    private String vehicle;
}
