package com.prolog.rdc.tms.model.vo.g7;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 *
 *
 * 设备历史轨迹VO
 *
 * @className :ItemResultDTO
 * @author :fanzw
 * @creationTime :2022/08/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class HistoryLocationByGpsnoVO {

    @ApiModelProperty(value = "设备号")
    private String gpsno;

    @ApiModelProperty(value = "车辆号")
    private String plateNum;

    @ApiModelProperty(value = "开始时间，格式为yyyy-MM-dd HH:mm:ss")
    private Date from;

    @ApiModelProperty(value = "结束时间，格式为yyyy-MM-dd HH:mm:ss")
    private Date to;


}
