package com.prolog.rdc.tms.app.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 提货预约可预约时间段DTO
 *
 * @author lhb
 * @since 2022-06-06 15:30:16
 */
@Data
@ApiModel("提货预约可预约时间段DTO")
public class AppointmentTimesDTO implements Serializable {

	private static final long serialVersionUID = -95869941042132913L;

	@ApiModelProperty(value = "时间段")
	private String appDura;

	@ApiModelProperty(value = "已预约次数")
	private Integer appedCnt;

	@ApiModelProperty(value = "可预约次数")
	private Integer appAliCnt;

}
