package com.prolog.rdc.tms.app.model.dto;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 配送单查询DTO
 *
 * @className :DeliveryOrderQueryReesponseDTO
 * @author :qian.yh
 * @date :2022/7/4
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("配送单查询DTO")
public class DeliveryOrderQueryReesponseDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "已完成数")
	private int ywcNumber;

	@ApiModelProperty(value = "异常数")
	private int ycNumber;

	@ApiModelProperty(value = "运单明细")
	private List<DeliveryOrderQueryDTO> deliveryOrderList;
}
