package com.prolog.rdc.tms.app.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * 派车单汇总查询DTO
 *
 * @className :DispatchOrderQueryResponseDTO
 * @author :qian.yh
 * @date :2022/7/4
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("派车单汇总查询DTO")
public class DispatchOrderQueryResponseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "已完成数")
    private int ywcNumber;

    @ApiModelProperty(value = "货物明细")
    private List<DispatchOrderQueryDTO> dispatchOrderList;
}

