package com.prolog.rdc.tms.app.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 司机基础信息DTO
 *
 * @className :DriverInformationQueryDTO
 * @author :qian.yh
 * @date :2022/7/7
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("司机基础信息DTO")
public class DriverInformationQueryDTO   implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "车牌号")
    private String plateNumber;

    @ApiModelProperty(value = "车型")
    private String vehicleType;

    @ApiModelProperty(value = "电话")
    private String driverTel;

    @ApiModelProperty(value = "提货任务数")
    private Integer pickupNum;

    @ApiModelProperty(value = "送货任务数")
    private Integer deliveryNum;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;
}
