package com.prolog.rdc.tms.app.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 播报数据
 * @author hongbo.pan
 * @date 2023/1/12
 */
@Data
public class VoiceBroadcastDTO {

    @ApiModelProperty(value = "司机ID")
    private Long driverId;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "播报明细")
    private List<VoiceBroadcastItemDTO> voiceBroadcastItemDTOList;
}
