package com.prolog.rdc.tms.app.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * 仓库可预约资源结果DTO
 *
 * @className :WarehouseAppointmentResourceQueryDTO
 * @author :qian.yh
 * @date :2022/7/4
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("仓库可预约资源结果DTO")
public class WarehouseAppointmentResourceQueryDTO implements Serializable {

    private static final long serialVersionUID = -95869941042132913L;

    @ApiModelProperty(value = "仓库ID")
    private Long branchId;

    @ApiModelProperty(value = "仓库编码")
    private String branchCode;

    @ApiModelProperty(value = "仓库名称")
    private String branchName;

    @ApiModelProperty(value = "可预约一周时间")
    private List<AppointmentWeekDTO> appointmentWeeks;
}
