package com.prolog.rdc.tms.app.model.dto.business;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @date 2022/10/31
 */
@Data
public class AllShipbillItemDetailDTO {

	@ApiModelProperty(value = "商品ID")
	private Long itemId;

	@ApiModelProperty(value = "商品编码")
	private String itemCode;

	@ApiModelProperty(value = "商品名称")
	private String itemName;

	@ApiModelProperty(value = "件数")
	private BigDecimal pcs;

	@ApiModelProperty(value = "发货件数")
	private BigDecimal deliveryPcs;

	@ApiModelProperty(value = "原始件数")
	private BigDecimal origPcs;

	@ApiModelProperty(value = "关闭件数")
	private BigDecimal closingPcs;

	@ApiModelProperty(value = "签收件数")
	private BigDecimal signInPcs;

	@ApiModelProperty(value = "商品单件体积")
	private BigDecimal volume;

	@ApiModelProperty(value = "商品单件重量")
	private BigDecimal weight;

	@ApiModelProperty(value = "体积")
	private BigDecimal tovolume;

	@ApiModelProperty(value = "重量")
	private BigDecimal toweight;

	@ApiModelProperty(value = "单位体积")
	private BigDecimal unitVolume;

	@ApiModelProperty(value = "单位重量")
	private BigDecimal unitWeight;

}
