package com.prolog.rdc.tms.app.model.dto.business;

import com.prolog.rdc.tms.app.model.dto.ShipbillItemDetailQueryDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 *
 * 运单明细DTO
 *
 * @className :ShipbillItemDetailQueryDTO
 * @author :qian.yh
 * @date :2022/7/4
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("待送达运单DTO")
public class DeliveryShipbillQueryDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "货物明细")
	private List<ShipbillItemDetailQueryDTO> itemDetail;

}
