package com.prolog.rdc.tms.app.model.dto.business;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 首页-统计DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/15 11:09
 */

@Data
@ApiModel("首页-统计DTO")
public class FrontPageStatisticalDTO implements Serializable {
    private static final long serialVersionUID = 7131638770404783869L;

    @ApiModelProperty(value = "所有运单数量")
    private Long allShipbillNum;

    @ApiModelProperty(value = "待提交数量")
    private Long waitSubmitNum;

    @ApiModelProperty(value = "待审核数量")
    private Long pendingReviewNum;

    @ApiModelProperty(value = "待调度数量")
    private Long pendingDispatchNum;

    @ApiModelProperty(value = "待提货数量")
    private Long waitPickUpNum;

    @ApiModelProperty(value = "待送达数量")
    private Long waitDeliveredNum;

    @ApiModelProperty(value = "待理货数量")
    private Long waitForArrangeGoodsNum;

    @ApiModelProperty(value = "预约待审核数量")
    private Long planRevieNum;

    @ApiModelProperty(value = "已完成数量")
    private Long completedNum;
}
