package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2022/12/6
 */
@Data
@ApiModel("装车扫描运单数量DTO")
public class LoadingScanShipBillDTO {

    @ApiModelProperty("未扫运单号")
    private List<String> unScanShipBillIdList;

    @ApiModelProperty("已扫运单号")
    private List<String> scannedShipBillIdList;

    @ApiModelProperty("应扫运单号")
    private List<String> totalScanShipBillIdList;

    @ApiModelProperty("未扫运单号")
    private List<LoadingScanShipBillInfoDTO> unScanShipBillList;

    @ApiModelProperty("已扫运单号")
    private List<LoadingScanShipBillInfoDTO> scannedShipBillList;

    @ApiModelProperty("应扫运单号")
    private List<LoadingScanShipBillInfoDTO> totalScanShipBillList;

    @ApiModelProperty("未扫")
    private Integer unScan;

    @ApiModelProperty("已扫")
    private Integer scanned;

    @ApiModelProperty("应扫")
    private Integer totalScan;

    @ApiModelProperty(value = "装车确认 数据字典CONFIRM_STATUS:10初始 20已装车确认")
    private Integer confirmStatus;
}
