package com.prolog.rdc.tms.app.model.dto.business;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/20 16:39
 */
@Data
@ApiModel("待提交-查询运单商品DTO")
public class PendingSubmitQueryItemDTO implements Serializable {
    private static final long serialVersionUID = -5561378748808369824L;

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "明细行号")
    private Integer seqno;

    @ApiModelProperty(value = "商品ID")
    private Long itemId;

    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    @ApiModelProperty(value = "商品名称")
    private String itemName;

    @ApiModelProperty(value = "件数")
    private BigDecimal pcs;

    @ApiModelProperty(value = "库存件数")
    private Integer inventoryPcs;

    @ApiModelProperty(value = "暂存位")
    private String stagingLocation;
}
