package com.prolog.rdc.tms.app.model.dto.business;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待预约-配载包裹查询DTO
 *
 *
 * @author lhb
 * @since 2022/6/6 14:17
 */
@Data
@ApiModel("待预约-配载包裹查询DTO")
public class  PendingSubmitQueryPackageDTO implements Serializable {

	private static final long serialVersionUID = 143259325234539797L;

	@ApiModelProperty(value = "包裹号")
	private String packageCode;

	@ApiModelProperty(value = "件数")
	private BigDecimal pcs;

}
