package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
/**
 * 首页扫二维码返回信息DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/6/6 17:36
 */
@Data
@ApiModel("首页扫二维码返回信息DTO")
public class ScanQRDTO implements Serializable {

    @ApiModelProperty(value = "取号地点ID")
    private Long branchId;

    @ApiModelProperty(value = "取号地点编码")
    private String branchCode;

    @ApiModelProperty(value = "取号地点名称")
    private String branchName;

    @ApiModelProperty(value = "取号详细地址")
    private String branchAddress;

    @ApiModelProperty(value = "司机ID")
    private Long driverId;

    @ApiModelProperty(value = "司机编码")
    private String driverCode;

    @ApiModelProperty(value = "司机名称")
    private String driverName;

    @ApiModelProperty(value = "司机手机号")
    private String driverPhoneNumber;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "页面跳转标识 1按预约单取号 2按运单取号 3跳转至运单管理界面")
    private String flag;

    @ApiModelProperty(value = "预约号")
    private String reserveNumber;

}
