package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 自提确认查询DTO
 * Company: 湖北普罗格科技股份有限公司
 * @author xyf
 * @since 2022/4/15 15:21
 */
@Data
@ApiModel("自提确认查询DTO")
public class SelfWithdrawalConfirmQueryDTO implements Serializable {

    private static final long serialVersionUID = -395224701099284118L;

    @ApiModelProperty(value = "自提人")
    private String selfWithdrawalPerson;

    @ApiModelProperty(value = "联系方式")
    private String contactTel;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "身份证")
    private String idCrad;


}
