package com.prolog.rdc.tms.app.model.dto.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/5/22
 */
@Data
@ApiModel("容器温度DTO")
public class ShowContainerTemperatureDTO {

    @ApiModelProperty(value = "是否显示容器温度")
    private Boolean showContainerTemperature;

    @ApiModelProperty(value = "容器信息")
    private List<ContainerTemperatureDTO> dtoList;
}
