package com.prolog.rdc.tms.app.model.dto.business;

import com.prolog.rdc.tms.model.dto.basicConfigure.StrategyBusinessMatchingDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/2/7
 */
@Data
@ApiModel("业务规则策略-匹配VO")
public class StrategyBusinessTemperatureDTO {

    @ApiModelProperty(value = "是否显示启运温度")
    private Boolean showDepartureTemperature;

    @ApiModelProperty(value = "是否显示送达温度")
    private Boolean showDeliveryTemperature;

    @ApiModelProperty(value = "业务匹配规则")
    private List<StrategyBusinessMatchingDTO> dtoList;
}
