package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 自动签到VO
 *
 * @className :AutoCheckInVO
 * @author :qian.yh
 * @date :2022/08/17
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("自动签到VO")
public class AutoCheckInVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "当前地点经度")
    private String currLongitude;

    @ApiModelProperty(value = "当前地点纬度")
    private String currLatitude;

}

