package com.prolog.rdc.tms.app.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 容器归还单司机操作VO
 *
 * @className :ContoinerBillReturnOperateVO
 * @author :fanzw
 * @creationTime :2023/06/09
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/06/09
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("容器归还单司机操作VO")
public class ContoinerBillReturnOperateVO implements Serializable {

	private static final long serialVersionUID = 1011526752383620975L;

	@ApiModelProperty(value = "容器归还单号")
	private String containerBillNo;

	@ApiModelProperty(value = "状态 数据字典CONTAINER_BILL_STATUS: 3归还 4回途 5已送达")
	private Integer status;



}
