package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
/**
 *
 * 司机取号信息VO
 *
 * @className :DriverGetNumberQueryVO
 * @author :qian.yh
 * @date :2022/07/22
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("司机取号信息VO")
public class DriverGetNumberQueryVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

}