package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 全链路预约确认VO
 *
 * @className :FullLinkAppointmentConfirmationVO
 * @author :qian.yh
 * @date :2022/08/15
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("全链路预约确认VO")
public class FullLinkAppointmentConfirmationVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "调度单明细ID")
    private String id;

    @ApiModelProperty(value = "预约日期")
    private String appointmentDate;

    @ApiModelProperty(value = "预约时间")
    private String appointTime;

    // STD-DEVELOP20220823 lhb auto check in 20220905 start
    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "提货地点")
    private String shipfrom;

    @ApiModelProperty(value = "预计提货时间")
    private String shipfromDate;
    // STD-DEVELOP20220823 lhb auto check in 20220905 end
}
