package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
/**
 *
 * 提货任务明细查询VO
 *
 * @className :PendingPickUpDetailQueryVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("提货任务明细查询VO")
public class PendingPickUpDetailQueryVO   implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "司机ID")
    private String driverId;

    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

    @ApiModelProperty(value = "提货地点")
    private String shipfrom;

    @ApiModelProperty(value = "预计提货时间")
    private String shipfromDate;

    @ApiModelProperty(value = "运单id集合")
    private String shipbillIds;

    // STD-DEVELOP20220823 lhb auto check in 20220902 start
    @ApiModelProperty(value = "运单id集合",hidden = true)
    private String[] shipbillIdList;
    // STD-DEVELOP20220823 lhb auto check in 20220902 end
}
