package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 提货取号VO
 *
 * @className :PendingPickUpTakeNumberVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("提货取号VO")
public class PendingPickUpTakeNumberVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "预约单ID")
    private String appointmentId;

    @ApiModelProperty(value = "仓库")
    private Long branchId;
}
