package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author hongbo.pan
 * @date 2023/1/12
 */
@Data
public class VoiceBroadcastQueryVO {

    @NotNull
    @ApiModelProperty(value = "司机ID")
    private Long driverId;

    @NotBlank
    @ApiModelProperty(value = "车牌号")
    private String vehiclePlateNumber;

    @NotNull
    @ApiModelProperty(value = "经度")
    private BigDecimal longitude;

    @NotNull
    @ApiModelProperty(value = "纬度")
    private BigDecimal latitude;
}
