package com.prolog.rdc.tms.app.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待送达-配载包裹查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/6/6 18:05
 */
@Data
@ApiModel("待送达-配载包裹查询VO")
public class WaitDeliveredPackageDetailVO implements Serializable {

	private static final long serialVersionUID = 286588962211675260L;

	@ApiModelProperty(value = "运单id")
	private String shipbillId;

	@NotNull(message = "页码不能为空")
	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@NotNull(message = "每页条数不能为空")
	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;
}
