package com.prolog.rdc.tms.app.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 仓库预约资源查询VO
 *
 * @className :WarehouseAppointmentResourceQueryVO
 * @author :qian.yh
 * @date :2022/07/04
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("仓库预约资源查询VO")
public class WarehouseAppointmentResourceQueryVO  implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "仓库ID")
    private String branchId;

    @ApiModelProperty(value = "企业ID")
    private String enterpriseId;

}
