package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 预约运单详情查询VO
 *
 * @author zhangsj
 * @since 2022-03-30 15:36:56
 */
@Data
@ApiModel("预约运单详情查询VO")
public class AppointmentShipbillQueryVO implements Serializable {

	private static final long serialVersionUID = -39695669101321531L;

	@ApiModelProperty(value = "运单ID集合")
	private String shipbillIds;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

}
