package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author hongbo.pan
 * @date 2023/5/22
 */
@Data
@ApiModel("容器温度VO")
public class ContainerTemperatureVO {

    @ApiModelProperty(value = "容器ID")
    private Long id;

    @ApiModelProperty(value = "容器编号")
    private String code;

    @ApiModelProperty(value = "容器名称")
    private String name;

    @ApiModelProperty(value = "容器类型（1：托盘 2：周转箱 3：保温箱）")
    private Integer type;

    @ApiModelProperty(value = "温度")
    private BigDecimal temperature;
}
