package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 待装卸-配载包裹查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/6 18:05
 */
@Data
@ApiModel("待装卸-配载包裹查询VO")
public class DzxPackageDetailVO implements Serializable {

    private static final long serialVersionUID = 286588962211675260L;

    @ApiModelProperty(value = "运单id集合")
    private List<String> shipbillIds;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;
}
