package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 装车扫描DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/13 14:51
 */
@Data
@ApiModel("装车扫描VO")
public class LoadingScanVO implements Serializable {

    private static final long serialVersionUID = 9179127280552737280L;

    @ApiModelProperty(value = "调度单ID")
    private String scanId;

}
