package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
/**
 * 首页——扫描二维码VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/6/6 17:43
 */
@Data
@ApiModel("首页——扫描二维码VO")
public class ScanQRVO implements Serializable {

    @NotEmpty(message = "运单号不能为空")
    @ApiModelProperty(value = "运单号")
    private String shipbillNo;

}
