package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 自提登记运单VO
 * Company: 湖北普罗格科技股份有限公司
 * @author xyf
 * @since 2022/4/15 15:21
 */
@Data
@ApiModel("自提登记运单VO")
public class SelfPickUpRegisterShipbillVO implements Serializable {

    private static final long serialVersionUID = -395224701099284118L;

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "运单明细是否显示申请件数 1显示 0不显示")
    private Integer showApplyPcs;

    @ApiModelProperty(value = "库存校验 10校验 0不校验")
    private Integer inventoryCheck;

    @ApiModelProperty(value = "商品明细")
    List<SelfPickUpShipBillDetailVO> selfPickUpShipBillDetailDTOS;

}
