package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * 已派车配载运单剔除VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/15 15:21
 */
@Data
@ApiModel("已派车配载运单剔除VO")
public class SendCarDeleteDetailVO implements Serializable {

	private static final long serialVersionUID = 139792966485191839L;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "运单ID集合")
	private List<String> shipbillIds = new ArrayList<String>();
}
