package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 已派车查询VO
 *
 * @author zhangsj
 * @since 2022-04-13 16:10:48
 */
@Data
@ApiModel("已派车查询VO")
public class SendCarQueryVO implements Serializable {
    private static final long serialVersionUID = -70431594534880386L;

    @ApiModelProperty(value = "创建开始时间")
    private Date createStartTime;

    @ApiModelProperty(value = "创建结束时间")
    private Date createEndTime;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

    @ApiModelProperty(value = "派车单号")
    private String loadingBillNo;
}
