package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 查询运单服务评价
 * @author hongbo.pan
 * @date 2022/11/1
 */
@Data
@ApiModel("查询运单服务评价VO")
public class ShipbillEvaluationQueryVO implements Serializable {

    @ApiModelProperty(value = "评价id")
    private String id;

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "评价对象 数据字典 EVALUATION_TARGET：1发货方 2物流公司 3司机")
    private Integer evaluationTarget;

    @ApiModelProperty(value = "问题类型 数据字典 EVALUATION_PROBLEM_TYPE：1收费错误2态度问题")
    private Integer problemType;

}
