package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 运单节点跟踪VO
 *
 * @author zhangsj
 * @since 2022-03-31 15:10:08
 */
@Data
@ApiModel("运单节点跟踪保存VO")
public class ShipbillNodeTrackingSaveVO implements Serializable {
	private static final long serialVersionUID = 421170638783164411L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
	private Integer status;

	@ApiModelProperty(value = "节点事件")
	private String nodeEvent;

	@ApiModelProperty(value = "承运方运单调度状态 数据字典CARRIER_SHIPBILL_STATUS:10待接单 20已接单 30已提交 5已回退 40已审核 50已调度")
	private Integer carrierShipbillStatus;

	@ApiModelProperty(value = "节点时间")
	private Date nodeDate;

	@ApiModelProperty(value = "图片地址")
	private String picUrl;
}
