package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 运单查询VO
 *
 * @author zhangsj
 * @since 2022-04-13 16:10:48
 */
@Data
@ApiModel("运单查询VO")
public class ShipbillQueryVO implements Serializable {
    private static final long serialVersionUID = -70431594534880386L;

    @ApiModelProperty(value = "装车单ID")
    private String loadingBillId;

    @ApiModelProperty(value = "运单ID")
    private String shipBillIdList;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

}
