package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

/**
 *
 *
 * @author xyf
 * @since 2022-04-19 13:51:50
 */
@Data
@ApiModel("开始装卸VO")
public class StartLoadVO implements Serializable {

    private static final long serialVersionUID = -4552460698235088135L;

    @NotEmpty(message = "预约单ID不能为空")
    @ApiModelProperty(value = "预约单ID")
    private List<String> appointmentIds;

}
