package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * 取号管理-按派车单取号VO
 *
 * @author panhb
 * @date 2022/10/12
 */
@Data
@ApiModel("取号管理-按派车单取号VO")
public class TakeNumberByLoadingBillListVO implements Serializable {

	private static final long serialVersionUID = -2885379600521006444L;

	@Size(min = 1, message = "派车单id集合不能为空")
	@NotNull(message = "派车单id集合不能为空")
	@ApiModelProperty(value = "派车单id集合")
	private List<String> loadingBillIdList;

}
