package com.prolog.rdc.tms.app.model.vo.business;

import java.io.Serializable;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 商品查询VO
 *
 * @since 2022-04-13 16:10:48
 */
@Data
@ApiModel("商品查询VO")
public class WaitDeliveredItemQueryVO implements Serializable {

	private static final long serialVersionUID = -2412535638293153982L;

	@NotEmpty(message = "运单ID不能为空")
	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

}
