package com.prolog.rdc.tms.app.model.vo.business;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待送达-签到VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xiaoyf
 * @since 2022/6/6 18:05
 */
@Data
@ApiModel("待送达-签到VO")
public class WaitDeliveredSignVO implements Serializable {

	private static final long serialVersionUID = -4378348922029053516L;

	@ApiModelProperty(value = "装车单明细ID")
	private String id;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

}
