package com.prolog.rdc.tms.app.model.vo.business;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单汇总表(TmsShipbillHeader)VO
 *
 * @author zhangsj
 * @since 2022-03-30 15:36:56
 */
@Data
@ApiModel("待理货-查询运单VO")
public class WaitForArrangeGoodsQueryVO implements Serializable {

	private static final long serialVersionUID = -39695669101321531L;

	@ApiModelProperty(value = "运单ID集合")
	private List<String> shipbillIds;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

}
