package com.prolog.rdc.tms.app.model.vo.business;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 *
 * 待提货已扫描查询VO
 *
 * @className :WaitPickUpScannedVO
 * @author :fanzw
 * @creationTime :2022/06/28
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/28
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("待提货已扫描查询VO")
public class WaitPickUpScannedVO implements Serializable {

	private static final long serialVersionUID = -3946580039040372381L;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

}
