package com.prolog.rdc.tms.app.service;

import com.prolog.rdc.tms.app.model.dto.NavigationLoadingBillDTO;
import com.prolog.rdc.tms.app.model.dto.NavigationLoadingBillDetailDTO;
import com.prolog.rdc.tms.app.model.vo.NavigationLoadingBillDetailQueryVO;
import com.prolog.rdc.tms.app.model.vo.NavigationLoadingBillQueryVO;

import java.util.List;

/**
 * @author yaohai
 * @version v1.0.0
 * @since 2023/08/28 14:47
 **/
public interface NavigationService {
    /**
     * 派车单列表查询
     * @param queryVO
     * @return
     */
    List<NavigationLoadingBillDTO> getLoadingBillByDriverId(NavigationLoadingBillQueryVO queryVO);

    /**
     * 任务列表查询
     * @param queryVO
     * @return
     */
    List<NavigationLoadingBillDetailDTO> getLoadingBillDetail(NavigationLoadingBillDetailQueryVO queryVO);
}
