package com.prolog.rdc.tms.app.service.business;

import com.prolog.rdc.tms.app.model.dto.business.AdjustmentQueryDTO;
import com.prolog.rdc.tms.app.model.vo.business.AdjustShipbillQueryVO;

import java.util.List;

/**
 * 业务APP--运单调整服务层
 *
 * @author lhb
 * @since 2022-04-11 14:45:00
 */
public interface AdjustmentService {

	/**
	 * 调整运单模式查询
	 *
	 * @param adjustShipbillQueryVO
	 * @return
	 */
	List<AdjustmentQueryDTO> queryAdjustShipbill(AdjustShipbillQueryVO adjustShipbillQueryVO);


}
