package com.prolog.rdc.tms.app.service.business;



import com.prolog.rdc.tms.app.model.dto.business.ShipbillOperateLogDTO;
import com.prolog.rdc.tms.app.model.vo.business.ShipbillOperateLogListVO;
import com.prolog.rdc.tms.app.model.vo.business.ShipbillOperateLogSaveNewVO;
import com.prolog.rdc.tms.app.model.vo.business.ShipbillOperateLogSaveVO;

import java.util.List;

/**
 * 运单操作日志服务层
 *
 * @author zhangsj
 * @since 2022-03-31 14:45:00
 */
public interface ShipbillOperateLogService {

	/**
	 * 运单操作日志查看
	 * 
	 * @param shipbillOperateLogListVO
	 * @return
	 */
	List<ShipbillOperateLogDTO> listShipbillOperateLogData(ShipbillOperateLogListVO shipbillOperateLogListVO);

	/**
	 * 运单操作日志新增
	 * 
	 * @param vo
	 */
	void addShipbillOperateLogData(ShipbillOperateLogSaveVO vo);

	/**
	 * 运单操作日志新增(新)
	 *
	 * @param vo
	 */
	void addShipbillOperateLogNewData(ShipbillOperateLogSaveNewVO vo);
}
