package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


@Data
public class BmsTimeStrategyLadderDTO implements Serializable {

    @ApiModelProperty(value = "id")
    private String id;

    @ApiModelProperty(value = "时间计费策略ID")
    private String timeStrategyId;

    @ApiModelProperty(value = "区间上限符号")
    private Integer sectionUpSymbol;

    @ApiModelProperty(value = "区间上限符号名称")
    private String sectionUpSymbolName;

    @ApiModelProperty(value = "区间上限")
    private BigDecimal sectionUp;

    @ApiModelProperty(value = "区间下限符号")
    private Integer sectionDownSymbol;

    @ApiModelProperty(value = "区间下限符号名称")
    private String sectionDownSymbolName;

    @ApiModelProperty(value = "区间下限")
    private BigDecimal sectionDown;

    @ApiModelProperty(value = "计费时间")
    private BigDecimal ladderTime;
}