package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;


@Data
public class ShipPackDetailDTO implements Serializable {

    private String id;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @ApiModelProperty(value = "包裹号")
    private String packageCode;

    @ApiModelProperty(value = "包裹类型")
    private String packageTypeName;

    @ApiModelProperty(value = "包裹数量")
    private int pcs;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "暂存区")
    private String storageCache;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "关联设备类型")
    private String deviceCompany;

    @ApiModelProperty(value = "关联设备编号")
    private String deviceCompanyName;
}