package com.prolog.rdc.tms.model.dto.income;

import com.prolog.rdc.tms.model.dto.loadingbill.BmsLoadingBillDTO;
import com.prolog.rdc.tms.model.dto.shipbill.BmsShipBillDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 单据 收入费用主表 Model
 *
 * @author lhb
 * @since 2023-04-10 18:57
 */
@Data
public class BmsBillIncomeFeeInfoDTO {

    @ApiModelProperty(value = "费用信息")
    private BmsBillIncomeFeeDTO incomeFeeDTO;

    @ApiModelProperty(value = "派车单信息")
    private BmsLoadingBillDTO loadingBillDTO;

    @ApiModelProperty(value = "运单信息")
    private BmsShipBillDTO shipBillDTO;

}