package com.prolog.rdc.tms.model.dto.shipbill;

import com.prolog.rdc.tms.model.dto.common.BmsBaseDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @date 2023/4/13
 */
@Data
public class BmsLogOperationDTO extends BmsBaseDTO {

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "业务单号")
    private String orderNo;

    @ApiModelProperty(value = "日志类型 1:运单，2：合同,3:对账单 4：结算单，5：费用单")
    private Integer logType;

    @ApiModelProperty(value = "日志说明")
    private String logMemo;
}