package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;


@Data
public class BmsProportionStrategyVO implements Serializable {

    @ApiModelProperty(value = "ID")
    private String id;

    //@NotEmpty(message = "比例系数不能为空")
    @ApiModelProperty(value = "比例系数")
    private String ratio;

    @ApiModelProperty(value = "比例系数-分子")
    private String ratioNumerator;

    @ApiModelProperty(value = "比例系数-分母")
    private String ratioDenominator;

    @NotEmpty(message = "策略名称不能为空")
    @ApiModelProperty(value = "策略名称")
    private String strategyName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "策略状态")
    private int status;

    @ApiModelProperty(value = "相同订单号")
    private Integer isSameBillNo;

    @ApiModelProperty(value = "相同运单号")
    private Integer isSameShipbillNo;

    @ApiModelProperty(value = "相同WMS单号")
    private Integer isSameWmsNo;

    @ApiModelProperty(value = "相同发货方")
    private Integer isSameSender;

    @ApiModelProperty(value = "相同实际启运日期")
    private Integer isStartDate;

    @ApiModelProperty(value = "相同运输车辆")
    private Integer isSameCar;

    @ApiModelProperty(value = "相同运输司机")
    private Integer isSameDriver;

    @ApiModelProperty(value = "相同收货方")
    private Integer isSameReceive;

    @ApiModelProperty(value = "相同实际送达日期")
    private Integer isSameEndDate;

    @ApiModelProperty(value = "相同电子回单日期")
    private Integer isSameElectronicBackDate;

    @ApiModelProperty(value = "相同正本回单日期")
    private Integer isSameOriginalBackDate;

    @ApiModelProperty(value = "相同承运商")
    private Integer isSameCarrier;

    private List<BmsProportionStrategyDetailVO> flowConditions;
}