package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.io.Serializable;
import java.util.List;

@Data
public class FeeSaveInfoVO implements Serializable {

    @ApiModelProperty(value = "承运商编码")
    @NotEmpty(message = "承运商编码不能为空")
    private String code;

    private List<FeeSaveInfoDetailVO> list;

}