package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;


@Data
public class FreightPriceExportVO implements Serializable {

    @ApiModelProperty(value = "当前页")
    private int pageNum;

    @ApiModelProperty(value = "页行数")
    private int pageSize;

    @ApiModelProperty(value = "合同编号")
    private String contractNo;

    @ApiModelProperty(value = "0：运输费用，1：附加费")
    private Integer isSurcharge;

}