package com.prolog.rdc.tms.model.vo.pay;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/4/17
 */
@Data
public class BmsPayFeeAddVO {

    @Size(min = 1)
    @NotNull
    @ApiModelProperty(value = "id")
    private List<Long> idList;

    @Size(min = 1)
    @NotNull
    @Valid
    @ApiModelProperty(value = "费用")
    private List<BmsPayDetailAddVO> detailAddVOList;


}
