package com.prolog.rdc.tms.model.vo.shipbill;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
 * @author hongbo.pan
 */
@Data
public class BmsShipBillPackageVO {

    @ApiModelProperty(value = "包裹ID")
    private Long id;

    @ApiModelProperty(value = "包裹号")
    private String packageCode;

    @ApiModelProperty(value = "暂存区")
    private String storageCache;

    @ApiModelProperty(value = "包裹类型")
    private String packType;

    @ApiModelProperty(value = "关联设备类型")
    private String deviceCompany;

    @ApiModelProperty(value = "关联设备编号")
    private String deviceCompanyName;

    @ApiModelProperty(value = "整件数")
    private BigDecimal wholePiece;

    @ApiModelProperty(value = "拼箱数")
    private BigDecimal lclPiece;

    @ApiModelProperty(value = "包裹总重量")
    private BigDecimal packageTotalWeight;

    @ApiModelProperty(value = "包裹总体积")
    private BigDecimal packageTotalVolume;

    @ApiModelProperty(value = "明细行号")
    private Integer seqNo;

    @ApiModelProperty(value = "件数")
    private BigDecimal pcs;

    @ApiModelProperty(value = "体积")
    private BigDecimal volume;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;

    @ApiModelProperty(value = "备注")
    private String memo;

}