package com.prolog.rdc.tms.service;

import com.prolog.product.core.framework.entity.UserEntity;
import com.prolog.rdc.tms.model.dto.ShipBillPriceDTO;
import com.prolog.rdc.tms.model.entity.BmsLoadingBillHeaderModel;
import com.prolog.rdc.tms.model.entity.BmsShipBillDetailModel;
import com.prolog.rdc.tms.model.entity.BmsShipBillHeaderModel;
import com.prolog.rdc.tms.model.vo.BmsShipBillDTO;

import java.util.List;

public interface BillPayCostStrategyService {


    // 派车单司机费用
    Integer loadingBillDriverCostStrategy(BmsLoadingBillHeaderModel loadingModel, String source, UserEntity user);

    // 运单托运费用
    Integer costShipBillTrailerStrategy(BmsShipBillHeaderModel costStrategy, List<BmsShipBillDetailModel> detailModels, String source, UserEntity user);
}
