package com.prolog.rdc.tms.service;

import com.prolog.rdc.tms.constant.enums.LogTypeEnum;
import com.prolog.rdc.tms.model.dto.shipbill.BmsLogOperationDTO;

import java.util.List;

/**
 * @author hongbo.pan
 */
public interface BmsBillLogService {

    /**
     * getLog
     * @param logTypeEnum
     * @param code
     * @return
     */
    List<BmsLogOperationDTO> getLog(LogTypeEnum logTypeEnum, String code);

    /**
     * addLog
     * @param logTypeEnum
     * @param code
     * @param memo
     */
    void addLog(LogTypeEnum logTypeEnum, String code, String memo);

}
