package com.prolog.rdc.tms.service;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.DriverledgerBillDTO;
import com.prolog.rdc.tms.model.entity.BmsPaySettlementModel;
import com.prolog.rdc.tms.model.vo.settlement.driver.BmsDriverFeeSettlementVO;
import com.prolog.rdc.tms.model.vo.settlement.driver.DriverFeeSettlementPageVO;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/5/4
 */
public interface BmsDriverFeeSettlementService {

    /**
     * 司机台账查询
     *
     * @param vo
     * @return Page<DriverledgerBillDTO>
     */
    Page<DriverledgerBillDTO> pageForDriverSettlement(DriverFeeSettlementPageVO vo);

    /**
     * 费用结算
     * @param vo
     */
    void feeSettlement(BmsDriverFeeSettlementVO vo);

    /**
     * initPaySettlement
     * @param feeIdList
     * @return
     */
    BmsPaySettlementModel initPaySettlement(List<Long> feeIdList);

}
