package com.prolog.rdc.tms.service;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.SettlementOrderDTO;
import com.prolog.rdc.tms.model.dto.ShipBillFeeDetail;
import com.prolog.rdc.tms.model.dto.ShipBillFeeDetailDTO;
import com.prolog.rdc.tms.model.entity.BmsLogOperationModel;
import com.prolog.rdc.tms.model.vo.PayAmountQueryVO;

import java.util.List;

public interface PayAmountService {

    Page<SettlementOrderDTO> findList(PayAmountQueryVO vo);

    List<ShipBillFeeDetailDTO> findListForFee(Long id);

    List<BmsLogOperationModel> findListForLog(Long id);
}
