package com.prolog.rdc.tms.constant;

/**
 * 
 *
 * 序列号常量
 *
 * @className :SeriaNnumberConstant
 * @author :fanzw
 * @creationTime :2022/02/24
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/24
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public class SeriaNnumberConstant {
	// 运单汇总ID
	public static final String TMS_SHIPBILL_HEADER_ID = "TMS_SHIPBILL_HEADER_ID";

	// 运单明细ID
	public static final String TMS_SHIPBILL_DETAIL_ID = "TMS_SHIPBILL_DETAIL_ID";

	// 运单日志ID
	public static final String TMS_SHIPBILL_OPERATE_LOG_ID = "TMS_SHIPBILL_OPERATE_LOG_ID";

	// 运单节点ID
	public static final String TMS_SHIPBILL_NODE_TRACKING_ID = "TMS_SHIPBILL_NODE_TRACKING_ID";

	// 装车单明细ID
	public static final String TMS_LOADING_BILL_HEADER_ID = "TMS_LOADING_BILL_HEADER_ID";

	// 装车单明细ID
	public static final String TMS_LOADING_BILL_DETAIL_ID = "TMS_LOADING_BILL_DETAIL_ID";

	// 运单包裹表ID
	public static final String TMS_SHIPBILL_PACKAGE_ID = "TMS_SHIPBILL_PACKAGE_ID";

	// 运单包裹明细ID
	public static final String TMS_SHIPBILL_PACKAGE_DETAIL_ID = "TMS_SHIPBILL_PACKAGE_DETAIL_ID";

	// 导入批次号
	public static final String IMPORT_BATCHNO = "IMPORT_BATCHNO";

	// 运输记录表
	public static final String TMS_SHIPBILL_TRANSPORT_LOG_ID = "TMS_SHIPBILL_TRANSPORT_LOG_ID";

	// 预约主表ID
	public static final String TMS_APPOINTMENT_HEADER_ID = "TMS_APPOINTMENT_HEADER_ID";
	// 预约明细表ID
	public static final String TMS_APPOINTMENT_DETAIL_ID = "TMS_APPOINTMENT_DETAIL_ID";

	// 运单异常表ID
	public static final String TMS_SHIPBILL_ABNORMAL_ID = "TMS_SHIPBILL_ABNORMAL_ID";

	// 分组配置主表ID
	public static final String SYS_GROUP_CFG_HDR_ID = "SYS_GROUP_CFG_HDR_ID";

	// 分组配置明细表ID
	public static final String SYS_GROUP_CFG_DTL_ID = "SYS_GROUP_CFG_DTL_ID";

	/**
	 * 运单容器温度表ID
	 */
	public static final String TMS_SHIPBILL_CONTAINER_TEMP_ID = "TMS_SHIPBILL_CONTAINER_TEMP_ID";

	// 容器随车单
	public static final String CONTAINER_BILL_NO_SC = "CONTAINER_BILL_NO_SC";

	// 容器归还单
	public static final String CONTAINER_BILL_NO_GH = "CONTAINER_BILL_NO_GH";


	// 计划单主表ID
	public static final String TMS_TRANSPORT_PLAN_BILL_HEADER_ID = "TMS_TRANSPORT_PLAN_BILL_HEADER_ID";

	// 计划单明细表ID
	public static final String TMS_TRANSPORT_PLAN_BILL_DETAIL_ID = "TMS_TRANSPORT_PLAN_BILL_DETAIL_ID";

	// 运单明细表扫描记录表ID
	public static final String TMS_SHIPBILL_DETAIL_SCAN_ID = "TMS_SHIPBILL_DETAIL_SCAN_ID";

	// 扫描装车扫描记录表ID
	public static final String TMS_DISPATCH_SCAN_LOG_ID = "TMS_DISPATCH_SCAN_LOG_ID";

	/**
	 * 智能调度汇总表id
	 */
	public static final String TMS_INTELLIGENT_DISPATCH_ID = "TMS_INTELLIGENT_DISPATCH_ID";

	public static final String SHIPBILL_ROUTE_DATA_ID = "SHIPBILL_ROUTE_DATA_ID";

}
