package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.ContoinerBillContainerPageDTO;
import com.prolog.rdc.tms.model.entity.TmsContainerBillDetailModel;
import com.prolog.rdc.tms.model.vo.ContoinerBillContainerPageVO;

/**
 *
 * 容器业务单明细
 *
 * @className    :TmsContainerBillDetailMapper
 * @author       :fanzw
 * @date         :2023/6/8
 * @description  :
 *
 * @version      :1.2.1
 *
 */
@Repository
public interface TmsContainerBillDetailMapper extends BaseMapper<TmsContainerBillDetailModel> {

	/**
	 * 容器在途查询
	 *
	 * @param vo
	 * @return
	 */
	List<ContoinerBillContainerPageDTO> contoinerBillContainerSql(@Param("vo") ContoinerBillContainerPageVO contoinerBillContainerPageVO);

}
