package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 仓库各预约时间段排队数DTO
 *
 * @author xyf
 * @since 2022-06-06 15:30:16
 */
@Data
@ApiModel("仓库各预约时间段排队数DTO")
public class AppointTimeCountDTO implements Serializable {

	private static final long serialVersionUID = 2562176305766224208L;

	@ApiModelProperty(value = "仓库可预约时间段")
	private String appointmentTime;

	@ApiModelProperty(value = "已排队数")
	private Integer count;

}
