package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 门店在途统计查询DTO
 *
 * @className :ContoinerBillConsigneeCountDTO
 * @author :fanzw
 * @creationTime :2023/06/09
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/06/09
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("门店在途统计查询DTO")
public class ContoinerBillConsigneeCountDTO implements Serializable {

	private static final long serialVersionUID = -2896726638537340030L;

	@ApiModelProperty(value = "容器总数量")
	private BigDecimal containersNumbers;

	@ApiModelProperty(value = "托盘总数量")
	private BigDecimal palletsNumbers;

	@ApiModelProperty(value = "周转箱总数量")
	private BigDecimal totesNumbers;

}
