package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 容器在途统计查询DTO
 *
 * @className :ContoinerBillContainerCountDTO
 * @author :fanzw
 * @creationTime :2023/06/09
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/06/09
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("容器在途统计查询DTO")
public class ContoinerBillContainerCountDTO implements Serializable {

	private static final long serialVersionUID = -8983911835841952949L;

	@ApiModelProperty(value = "在途容器总数量")
	private BigDecimal onwayContainersNumbers;

	@ApiModelProperty(value = "在途托盘总数量")
	private BigDecimal onwayPalletsNumbers;

	@ApiModelProperty(value = "在途周转箱总数量")
	private BigDecimal onwayTotesNumbers;

	@ApiModelProperty(value = "在店容器总数量")
	private BigDecimal instoreContainersNumbers;

	@ApiModelProperty(value = "在店托盘总数量")
	private BigDecimal instorePalletsNumbers;

	@ApiModelProperty(value = "在店周转箱总数量")
	private BigDecimal instoreTotesNumbers;

	@ApiModelProperty(value = "回途容器总数量")
	private BigDecimal backContainersNumbers;

	@ApiModelProperty(value = "回途托盘总数量")
	private BigDecimal backPalletsNumbers;

	@ApiModelProperty(value = "回途周转箱总数量")
	private BigDecimal backTotesNumbers;

}
