package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 经纬度DTO
 *
 * @author lhb
 * @since 2022/4/19 14:17
 *
 */
@Data
@ApiModel("经纬度DTO")
public class LineConsigneeDTO implements Serializable {

	private static final long serialVersionUID = 143259325234539797L;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@ApiModelProperty(value = "收货方详细地址")
	private String consigneeAddress;

	@ApiModelProperty(value = "配送顺序")
	private Integer deliveryOrder;

	@ApiModelProperty(value = "客户名称")
	private String customerName;
}
