package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/8 11:30
 */

@Data
@ApiModel("装车扫描DTO")
public class LoadingScanDTO implements Serializable {

	private static final long serialVersionUID = 9179127280552737280L;

	@ApiModelProperty("1:派车单 2:运单 3:商品")
	private String codeType;

	@ApiModelProperty(value = "已扫派车单")
	private List<LoadingScanByLoadbillDTO> scannedLoadingBillDTOList;

	@ApiModelProperty("未扫描运单集合")
	private List<WaitPickUpGoodsNotScannedDTO> noScannedShipbillList;

	@ApiModelProperty("已扫描运单集合")
	private List<WaitPickUpGoodsNotScannedDTO> scannedShipbillList;

	@ApiModelProperty("未扫描运单明细集合")
	private List<DzxItemDetailDTO> noScannedShipbillDetailList;

	@ApiModelProperty("已扫描运单明细集合")
	private List<DzxItemDetailDTO> scannedShipbillDetailList;
}
