package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 待调度运单地图-订单类型-运单货量统计DTO
 *
 * @author lhb
 * @since 2022/4/13 14:17
 *
 */
@ApiModel("订单类型-运单货量统计DTO")
@Data
public class OrderTypeDTO implements Serializable {

    private static final long serialVersionUID = 143259325234539797L;

    @ApiModelProperty(value = "订单类型 数据字典ORDER_TYPE：1普通 2紧急 3加急")
    private Integer orderType;

    @ApiModelProperty(value = "订单类型名称 数据字典ORDER_TYPE：1普通 2紧急 3加急")
    private String orderTypeName;

    @ApiModelProperty(value = "运单数量")
    private Integer shipbillQty;

}
