package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 待审核运单打印表格DTO
 * 
 * @author lhb
 * @date 2022/04/06
 */
@ApiModel("待审核运单打印表格DTO")
@Data
public class PendingReviewPrintTableDTO implements Serializable {

	private static final long serialVersionUID = 785244085077428594L;

	@ApiModelProperty(value = "商品编码")
	private String itemCode;

	@ApiModelProperty(value = "商品名称")
	private String itemName;

	@ApiModelProperty(value = "商品品类")
	private String itemCategoryName;

	@ApiModelProperty(value = "包装类型")
	private String packTypeName;

	@ApiModelProperty(value = "货物温层")
	private String cargoThermosphereName;

	@ApiModelProperty(value = "件数")
	private BigDecimal pcs;

	@ApiModelProperty(value = "体积")
	private BigDecimal volume;

	@ApiModelProperty(value = "重量")
	private BigDecimal weight;

	@ApiModelProperty(value = "备注")
	private String memo;
}
