package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 装卸月台与车辆DTO
 *
 * @author lhb
 * @since 2022-06-06 15:30:16
 */
@Data
@ApiModel("装卸月台与车辆DTO")
public class PlatformAndVehicleDTO implements Serializable {

	private static final long serialVersionUID = -4777879014371572255L;

	@ApiModelProperty(value = "月台编号")
	private String platformCode;

	@ApiModelProperty(value = "装卸车辆信息")
	private List<PlatformAndVehicleListDTO> data = new ArrayList<PlatformAndVehicleListDTO>();

}
