package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 运单地图查询DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author lhb
 * @since 2022/4/20 12:22
 */
@Data
@ApiModel("运单地图查询DTO")
public class ShipbillMapDTO {

    @ApiModelProperty(value = "调度前运单地图站点信息")
    List<LineSiteMapDTO> lineSiteMapDTOS;

    @ApiModelProperty(value = "线路货量统计信息")
    List<PendingDispatchShipbillQtyByLineDTO> shipbillQtyByLineDTOS;

    @ApiModelProperty(value = "运单货量统计信息")
    PendingDispatchShipbillQtyDTO shipbillQtyDTO;

}
