package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单打印表格DTO
 * 
 * @author Eton Woo
 * @date 2022/04/06
 */
@ApiModel("运单打印表格DTO")
@Data
public class ShipbillPrintTableDTO implements Serializable {

	private static final long serialVersionUID = 785244085077428594L;

	@ApiModelProperty(value = "商品编码")
	private String itemCode;
	
	@ApiModelProperty(value = "商品名称")
	private String itemName;
	
	@ApiModelProperty(value = "商品件数")
	private BigDecimal pcs;
	
	@ApiModelProperty(value = "商品重量")
	private BigDecimal weight;
	
	@ApiModelProperty(value = "商品体积")
	private BigDecimal volume;
}
