package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.List;

import com.prolog.rdc.tms.model.dto.basicConfigure.StrategySplitMatchingDTO;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 待调度-智能拆分DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/18 15:30
 */
@Data
@ApiModel("待调度-智能拆分DTO")
public class SmartSplitDTO implements Serializable {

	private static final long serialVersionUID = -9212744889210585459L;

	@ApiModelProperty(value = "运单id")
	private String shipbillId;

	@ApiModelProperty(value = "策略集合")
	private List<StrategySplitMatchingDTO> strategySplitMatchingDTOS;
}
