package com.prolog.rdc.tms.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.rdc.tms.model.dto.basicConfigure.ShipbillMatchCarrierDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 系统分组-配载单信息查询 DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author lhb
 * @since 2022/4/20 12:22
 */
@Data
@ApiModel("系统分组-配载单信息查询DTO")
public class SysGroupLoadingQueryDTO implements Serializable {

	private static final long serialVersionUID = 7441090120308648472L;

	@ApiModelProperty(value = "系统分组-运单信息")
	List<SysGroupShipbillQueryDTO> sysGroupShipbillQueryDTOS;

	@ApiModelProperty(value = "系统分组-默认承运商信息")
	ShipbillMatchCarrierDTO shipbillMatchCarrierDTO;

	@ApiModelProperty(value = "系统分组-运单货量信息")
	PendingDispatchShipbillQtyDTO dispatchShipbillQtyDTO;

}
