package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 系统分组-查询 DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author lhb
 * @since 2022/4/20 12:22
 */
@Data
@ApiModel("系统分组-查询DTO")
public class SysGroupQueryRsDTO {

    @ApiModelProperty(value = "分组查询数据集合")
    List<SysGroupQueryDTO> groupQueryDTOS;

    @ApiModelProperty(value = "分组项目配置")
    List<SysGroupCfgDtlDTO> groupCfgDTOS;

    @ApiModelProperty(value = "分组项目名称")
    private List<String> groupItemNames;

}
