package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 叫号管理——时间段、排队数DTO
 *
 * @author xiaoyf
 * @since 2022/4/20 12:22
 */
@Data
@ApiModel("叫号管理——时间段、排队数DTO")
public class TimeCountDTO {

    @ApiModelProperty(value = "仓库预约时间段")
    private String time;

    @ApiModelProperty(value = "该时间段内的已排队数")
    private Integer count;

}
