package com.prolog.rdc.tms.model.dto.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hongbo.pan
 * @date 2023/8/24
 */
@Data
public class IntelligentDispatchGroupDTO {

    @ApiModelProperty(value = "货主")
    private List<IntelligentDispatchGroupCountDTO> cargoOwnerList;

    @ApiModelProperty(value = "业务类型")
    private List<IntelligentDispatchGroupCountDTO> orderBusinessTypeList;

    @ApiModelProperty(value = "运输类型")
    private List<IntelligentDispatchGroupCountDTO> transportTypeList;

    @ApiModelProperty(value = "配送方式")
    private List<IntelligentDispatchGroupCountDTO> deliveryMethodTypeList;

    @ApiModelProperty(value = "温度要求")
    private List<IntelligentDispatchGroupCountDTO> temperatureRequirementList;

    @ApiModelProperty(value = "线路")
    private List<IntelligentDispatchGroupCountDTO> lineList;

    @ApiModelProperty(value = "商品品类")
    private List<IntelligentDispatchGroupCountDTO> itemCategoryList;

    @ApiModelProperty(value = "发货方站点")
    private List<IntelligentDispatchGroupCountDTO> shipperStationList;

    @ApiModelProperty(value = "发货方站点区域")
    private List<IntelligentDispatchGroupCountDTO> shipperStationAreasList;

    @ApiModelProperty(value = "收货方站点")
    private List<IntelligentDispatchGroupCountDTO> consigneeStationList;

    @ApiModelProperty(value = "收货方站点区域")
    private List<IntelligentDispatchGroupCountDTO> consigneeStationAreasList;

    @ApiModelProperty(value = "总运单数量")
    private Long totalShipBillNum;

}
