package com.prolog.rdc.tms.model.dto.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author hongbo.pan
 * @since 2023-08-24 12:27:10
 */
@Data
public class IntelligentDispatchResultDTO {

    @ApiModelProperty(value = "调度模式")
    private String dispatchMode;

    @ApiModelProperty(value = "调度限制条件")
    private List<String> dispatchLimit;

    @ApiModelProperty(value = "调度规则")
    private List<String> dispatchRule;

    @ApiModelProperty(value = "车辆路线信息")
    private List<IntelligentDispatchResultRoutesInfoDTO> routesInfo;

}
