package com.prolog.rdc.tms.model.dto.intelligent;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @since 2023-09-12 12:27:10
 */
@Data
public class IntelligentResultDTO {

    @ApiModelProperty(value = "操作结果标志，1表是成功，0表示操作失败")
    private Integer success;

    @JSONField(name = "TaskId")
    @ApiModelProperty(value = "任务ID")
    private String taskId;

    @JSONField(name = "Pid")
    @ApiModelProperty(value = "进程ID")
    private String pId;

    @ApiModelProperty(value = "提示信息")
    private String message;

    @ApiModelProperty(value = "返回结果")
    private Object data;

}
