package com.prolog.rdc.tms.model.dto.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @date 2023/8/24
 */
@Data
public class IntelligentShipBillDetailDTO {

    @ApiModelProperty(value = "主键")
    private String id;

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "运单编号")
    private String shipbillNo;

    @ApiModelProperty(value = "明细行号")
    private String seqno;

    @ApiModelProperty(value = "商品ID")
    private String itemId;

    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    @ApiModelProperty(value = "商品名称")
    private String itemName;

    @ApiModelProperty(value = "商品品类ID")
    private String itemCategoryId;

    @ApiModelProperty(value = "商品品类编码")
    private String itemCategoryCode;

    @ApiModelProperty(value = "商品品类名称")
    private String itemCategoryName;

    @ApiModelProperty(value = "包装类型  数据字典PACK_TYPE:1纸箱  2包装袋")
    private String packType;

    @ApiModelProperty(value = "货物温层  数据字典CARGO_THERMOSPHERE:1常温 2冷藏 3冷冻")
    private String cargoThermosphere;

    @ApiModelProperty(value = "件数,也叫剩余件数")
    private String pcs;

    @ApiModelProperty(value = "体积")
    private String volume;

    @ApiModelProperty(value = "重量")
    private String weight;

    @ApiModelProperty(value = "单位体积")
    private String unitVolume;

    @ApiModelProperty(value = "单位重量")
    private String unitWeight;

}
