package com.prolog.rdc.tms.model.dto.intelligent;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @date 2023/8/28
 */
@Data
public class IntelligentStopResultDTO {

    @JSONField(name = "TaskId")
    @ApiModelProperty(value = "任务唯一标识")
    private String taskId;

    @ApiModelProperty(value = "操作结果标志，1表是成功，0表示操作失败")
    private Integer success;

    @ApiModelProperty(value = "出错的信息")
    private String message;

}
