package com.prolog.rdc.tms.model.dto.intelligent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @date 2023/8/28
 */
@Data
public class IntelligentVehicleDTO {

    @ApiModelProperty(value = "仓库ID")
    private String id;

    @ApiModelProperty(value = "仓库编码")
    private String code;

    @ApiModelProperty(value = "车牌号")
    private String plateNumber;

    @ApiModelProperty(value = "归属属性 1自有、2挂靠、3临时")
    private String type;

    @ApiModelProperty(value = "隶属机构ID(承运商)")
    private String affiliationId;

    @ApiModelProperty(value = "隶属机构名称(承运商)")
    private String affiliationCode;

    @ApiModelProperty(value = "隶属机构名称(承运商)")
    private String affiliationName;

    @ApiModelProperty(value = "车型ID（车辆规格）")
    private String vehicleTypeId;

    @ApiModelProperty(value = "车型编码（车辆规格）")
    private String vehicleTypeCode;

    @ApiModelProperty(value = "车型名称（车辆规格）")
    private String vehicleTypeName;

    @ApiModelProperty(value = "备注")
    private String memo;
}
