package com.prolog.rdc.tms.model.dto.intransit;

import com.prolog.rdc.tms.model.dto.ShipbillHeaderPageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author hongbo.pan
 * @date 2022/9/21
 */
@Data
public class LoadingAndShipBillHeaderDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "运单信息")
    private ShipbillHeaderPageDTO shipBill;

    @ApiModelProperty(value = "派车单信息")
    private LoadingBillHeaderPageDTO loadingBill;
}
