package com.prolog.rdc.tms.model.dto.print;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 待预约打印数据DTO
 *
 * @className :AppointmentPrintDataDTO
 * @author :fanzw
 * @creationTime :2022/11/16
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/16
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class AppointmentPrintDataDTO implements Serializable {

	private static final long serialVersionUID = 4647549371725125321L;

	@ApiModelProperty(value = "汇总")
	private AppointmentPrintHeadDTO head;

	@ApiModelProperty(value = "明细")
	private List<AppointmentPrintDetailDTO> table;

}
