package com.prolog.rdc.tms.model.dto.print;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 打印信息基础DTO
 *
 * @className :PrintBaseDTO
 * @author :fanzw
 * @creationTime :2022/11/16
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/16
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class PrintBaseDTO implements Serializable {

	private static final long serialVersionUID = 5272510620360300207L;

	@ApiModelProperty(value = "TCP/IP")
	private String tcp;

	@ApiModelProperty(value = "打印机名称")
	private String printName;

	@ApiModelProperty(value = "打印方案")
	private String printSolution;

	@ApiModelProperty(value = "模板地址")
	private String url;
}
