package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 所有运单——商品更新VO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("商品更新VO")
public class AllShipbillItemVO implements Serializable {

	private static final long serialVersionUID = 881146168481804199L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "件数")
	private BigDecimal pcs;

	@ApiModelProperty(value = "重量")
	private BigDecimal weight;

	@ApiModelProperty(value = "体积")
	private BigDecimal volume;

}
