package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * 
 *
 * 所有运单包裹查询VO
 *
 * @className :AllShipbillPackageQueryVO
 * @author :fanzw
 * @creationTime :2022/06/28
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/28
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("所有运单包裹查询VO")
public class AllShipbillPackageQueryVO implements Serializable {

	private static final long serialVersionUID = 437793240684143257L;

	@NotNull(message = "当前页不能为空")
	private Integer pageNum;

	@NotNull(message = "页最大行数不能为空")
	private Integer pageSize;

	@NotEmpty(message = "运单ID不能为空")
	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

}
