package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 预约单商品查询VO
 *
 * @author lhb
 * @date 2022/06/01
 */
@Data
@ApiModel("预约单商品查询VO")
public class AppointPackQueryVO implements Serializable {

	private static final long serialVersionUID = -2472367080754291884L;

	@ApiModelProperty(value = "运单ID")
	private String appointmentId;

	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@ApiModelProperty(value = "页最大行数")
	private Integer pageSize;

}
