package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 叫号管理-配载运单查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/6 17:43
 */
@Data
@ApiModel("叫号管理-配载运单查询VO")
public class CallNumberGetShipbillVO implements Serializable {

    private static final long serialVersionUID = 7327238441731401967L;

    @NotNull(message = "预约单id不能为空")
    @ApiModelProperty(value = "预约单id")
    private String appointmentId;
}
