package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 容器归还单签收明细VO
 *
 * @className :ContoinerBillReturnReceiptedDetailsVO
 * @author :fanzw
 * @creationTime :2023/06/09
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/06/09
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("容器归还单签收明细VO")
public class ContoinerBillReturnReceiptedDetailsVO implements Serializable {

	private static final long serialVersionUID = 1894646235269392536L;

	@ApiModelProperty(value = "主键")
	private String id;

	@ApiModelProperty(value = "容器业务单号")
	private String containerBillNo;

	@ApiModelProperty(value = "容器业务单类型：CONTAINER_BILL_TYPE:1容器随车单 2容器归还单")
	private Integer containerBillType;

	@ApiModelProperty(value = "容器ID")
	private Long containerId;

	@ApiModelProperty(value = "容器编号")
	private String containerCode;

	@ApiModelProperty(value = "容器名称")
	private String containerName;

	@ApiModelProperty(value = "容器类型 数据字典CONTAINER_TYPE(1：托盘 2：周转箱 3：保温箱)")
	private Integer containerType;

	@ApiModelProperty(value = "容器包裹类型 数据字典PACKAGE_TYPE:1整件 2拼箱")
	private Integer containerPackageType;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "异常状态 数据字典CONTAINER_ABNORMAL_STATUS：0正常 1缺货 2多货 3丢失")
	private Integer abnormalStatus;

	@ApiModelProperty(value = "异常备注")
	private String abnormalMemo;

	@ApiModelProperty(value = "状态 数据字典CONTAINER_BILL_STATUS:0 取消 1在途 2在店 3归还 4回途 5已送达 6到仓")
	private Integer status;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "装车单编号")
	private String loadingBillNo;

	@ApiModelProperty(value = "关联单号（容器随车单号）")
	private String relevancyBillNo;

	@ApiModelProperty(value = "关联ID（容器随车单号明细ID）")
	private String relevancyId;

}
