package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 提货确认-运单客服反馈VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/20 12:24
 */
@Data
@ApiModel("提货确认-运单客服反馈VO")
public class DeliveryConfirmFeedBackByShipbillVO implements Serializable {

	private static final long serialVersionUID = 6936363039739602122L;

	@ApiModelProperty("运单集合")
	private List<String> shipbillIds;

	@ApiModelProperty(value = "反馈日期")
	private Date feedbackDate;

	@ApiModelProperty(value = "实时地点")
	private String address;

	@ApiModelProperty(value = "反馈内容")
	private String feedbackContent;

    @ApiModelProperty(value = "反馈图片")
    private String feedbackPicture;

}
