package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 提货入库-配载商品查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/6 18:05
 */
@Data
@ApiModel("提货入库-配载商品查询VO")
public class DeliveryConfirmItemDetailVO implements Serializable {

    private static final long serialVersionUID = 286588962211675260L;

    @ApiModelProperty(value = "派车单id")
    private String loadingBillId;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;
}
