package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 待调度折分商品信息查询
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/11 16:17
 */
@Data
@ApiModel("待调度折分商品信息查询")
public class DetailItemSplitVO implements Serializable {

    private static final long serialVersionUID = 88361986113496366L;

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

}
