package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 完成运单高级查询VO
 *
 * @author lhb
 * @date 2022/06/01
 */
@Data
@ApiModel("完成运单高级查询VO")
public class FinishAdsQueryVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;

	@ApiModelProperty(value = "高级查询条件")
	private String sql;

	@ApiModelProperty(value = "用户类型")
	private String userType;

	@ApiModelProperty(value = "运单状态集合")
	private Integer[] statusList;

	@ApiModelProperty(value = "是否部门权限")
	private String isDept;

	@ApiModelProperty(value = "部门IDs")
	private String[] depts;

	@ApiModelProperty(value = "货主集合")
	private Long[] consignors;

	@ApiModelProperty(value = "承运商集合")
	private Long[] suppliers;

	@ApiModelProperty(value = "客户集合")
	private Long[] customers;

	@ApiModelProperty(value = "仓库集合")
	private Long[] wsarehouses;

	@ApiModelProperty(value = "单位ID")
	private Long unitId;

	@ApiModelProperty(value = "承运商状态集合")
	private Integer[] carrierStatusList;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "状态")
	private Integer status;
}
