package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 装车单明细表VO
 *
 * @author lhb
 * @since 2022-04-19 13:51:51
 */
@Data
@ApiModel("装车单明细表VO")
public class LoadingBillDetailVO implements Serializable {
	private static final long serialVersionUID = -30632760594453541L;

	@ApiModelProperty(value = "配送顺序")
	private Integer shippingOrder;

	@ApiModelProperty(value = "提货顺序")
	private Integer pickUpOrder;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;
}
