package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * 装车扫描DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/13 14:51
 */
@Data
@ApiModel("装车扫描VO")
public class LoadingScanVO implements Serializable {

    private static final long serialVersionUID = 9179127280552737280L;

    @NotBlank
    @ApiModelProperty(value = "单号")
    private String billCode;

    @ApiModelProperty(value = "派车单号")
    private String loadingBillNo;

}
