package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
/**
 * 运输管理——外包跟踪 配载运单查询VO
 *
 * @author xyf
 * @since 2022-04-19 13:51:50
 */
@Data
@ApiModel("外包跟踪 配载运单查询VO")
public class OutsourceTrackShipbillQueryVO implements Serializable {

    private static final long serialVersionUID = 7327238421731401967L;

    @NotNull(message = "页码不能为空")
    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @NotNull(message = "页条目数不能为空")
    @ApiModelProperty(value = "页条目数")
    private Integer pageSize;

    @NotNull(message = "托运单ID不能为空")
    @ApiModelProperty(value = "托运单ID")
    private String loadingBillId;

}
