package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 待调度地址解析查询VO
 *
 * @className :PendingDispatchAddressPageVO
 * @author :fanzw
 * @creationTime :2022/06/20
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/20
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("待调度地址解析查询VO")
public class PendingDispatchAddressPageVO implements Serializable {

	private static final long serialVersionUID = 4183063680059546439L;

	@ApiModelProperty(value = "运单ID集")
	private List<String> shipbillIds;

	@ApiModelProperty(value = "订单号")
	private String orderNo;

	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

	@ApiModelProperty(value = "货主")
	private String cargoOwnerName;

	@ApiModelProperty(value = "发货方单位")
	private String shipperUnitName;

	@ApiModelProperty(value = "收货方单位")
	private String consigneeUnitName;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "每页条数")
	private Integer pageSize;
}
