package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 装车单明细VO
 *
 * @author lhb
 * @since 2022-04-19 13:51:51
 */
@Data
@ApiModel("装车单明细VO")
public class PendingDispatchReviewDetailVO implements Serializable {

	private static final long serialVersionUID = 6823361323966930754L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "提货顺序")
	private Integer pickUpOrder;

	@ApiModelProperty(value = "配送顺序")
	private Integer shippingOrder;

}
