package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 拣货出库-装车确认VO
 *
 * @className :WaitPickUpConfirmVO
 * @author :fanzw
 * @creationTime :2022/06/28
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/28
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("拣货出库-装车确认VO")
public class  PickingOutboundConfirmVO implements Serializable {

	private static final long serialVersionUID = -4475775458611173539L;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "已扫描运单")
	private List<String> scannedShipbillIds;

	@ApiModelProperty(value = "未扫描运单")
	private List<String> notScannedShipbillIds;
}
