package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 装卸月台与车辆VO
 *
 * @className :PlatformAndVehicleVO
 * @author :fanzw
 * @creationTime :2022/08/25
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/25
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("装卸月台与车辆VO")
public class PlatformAndVehicleVO implements Serializable {

	private static final long serialVersionUID = -2829012209859914136L;

	@NotNull(message = "仓库ID不为空")
	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

}
