package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 *
 * 待装卸-预约单模式VO
 *
 * @className :ShipbillPrintVO
 * @author :xyf
 * @creationTime :2022/05/08
 * @description :
 *
 *
 * 
 * @version :1.0.0
 *
 */
@Data
@ApiModel("待装卸-预约单模式VO")
public class QueryTypeByAppointmentVO implements Serializable {

	private static final long serialVersionUID = 3142212969333551913L;

	@NotNull(message = "当前页不能为空")
	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@NotNull(message = "页最大行数不能为空")
	@ApiModelProperty(value = "页最大行数")
	private Integer pageSize;

	@NotNull(message = "仓库ID不能为空")
	@ApiModelProperty(value = "仓库ID")
	private String branchId;

	@ApiModelProperty(value = "预约单号")
	private String appointmentNo;

	@ApiModelProperty(value = "预约类型")
	private Integer appointmentType;

	@ApiModelProperty(value = "仓库详细地址")
	private String branchAddress;

	@ApiModelProperty(value = "司机名称 ")
	private String driverName;

	@ApiModelProperty(value = "司机手机号")
	private String driverPhoneNumber;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "叫号号码")
	private String callNumber;

	@ApiModelProperty(value = "预约号码")
	private String reserveNumber;

}
