package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 *
 * 外包跟踪——正本回单确认VO
 *
 * @className :
 * @author :xyf
 * @creationTime :2022/05/08
 * @description :
 *
 *
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("外包跟踪——正本回单确认VO")
public class ReturnOrderConfirmVO implements Serializable {

	private static final long serialVersionUID = -2327073465233530529L;

	@ApiModelProperty(value = "勾选运单ID集合 格式 ids:['','']")
	private List<String> ids;

	@NotNull(message = "回单返回时间不能为空")
	@ApiModelProperty(value = "回单返回时间 年月日")
	private Date returnOrderDate;

	@NotNull(message = "回单状态不能为空")
	@ApiModelProperty(value = "回单状态")
	private Integer returnOrderStatus;

	@NotNull(message = "回单类型不能为空")
	@ApiModelProperty(value = "回单类型")
	private Integer returnOrderType;

	@ApiModelProperty(value = "回单时效")
	private BigDecimal prescription;

	@ApiModelProperty(value = "接收人")
	private String receiver;

	@ApiModelProperty(value = "接收份数")
	private Integer counts;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "图片地址")
	private String pictureUrl;

}
