package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 待调度撤销VO
 *
 * @author lhb
 * @date 2022/04/24
 */
@Data
@ApiModel("待调度撤销VO")
public class RevokeVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "撤销运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "撤销运单父级运单ID")
	private String fatherShipbillId;

}
