package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 待自提-主界面分页查询DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author xyf
 * @since 2022/6/7 14:20
 */
@Data
@ApiModel("待自提-主界面分页查询DTO")
public class SelfWithdrawaShipbillVO implements Serializable {

	private static final long serialVersionUID = -8583550197782251605L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "自提人")
	private String selfWithdrawalPerson;

	@ApiModelProperty(value = "联系方式")
	private String contactTel;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "身份证")
	private String idCrad;
}
