package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 已派车计算里程DTO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/14 11:13
 */
@Data
@ApiModel("已派车计算里程DTO")
public class SendCarCalculateMileageVO implements Serializable {

    private static final long serialVersionUID = -6425919121531366083L;

    @ApiModelProperty(value = "装车单ID")
    private String loadingBillId;

    @ApiModelProperty(value = "总里程数")
    private BigDecimal totalMileage;
}
