package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 已派车修改——运单剔除VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/15 15:21
 */
@Data
@ApiModel("已派车修改——运单剔除VO")
public class SendCarUpdateDeleteDetailVO implements Serializable {

	private static final long serialVersionUID = -2134203142608991834L;

	@ApiModelProperty(value = "装车单ID")
	private String loadingBillId;

	@ApiModelProperty(value = "运单ID集合")
	private List<String> shipbillIds = new ArrayList<String>();
}
