package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单审核撤回VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/5/10 11:17
 */
@Data
@ApiModel("运单审核撤回VO")
public class ShipbillApprovalRetractVO implements Serializable {
    private static final long serialVersionUID = 4250270869273727509L;

    @ApiModelProperty(value = "运单ID")
    private String shipbillId;

    @ApiModelProperty(value = "审批业务ID")
    private String approvalBusinessId;
}
