package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 运单节点跟踪回退VO
 *
 * @author zhangsj
 * @since 2022-03-31 15:10:08
 */
@Data
@ApiModel("运单节点跟踪回退VO")
public class ShipbillNodeTrackingRollbackVO implements Serializable {

	private static final long serialVersionUID = 421170638783164411L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单状态 数据字典SHIPBILL_STATUS:0已作废 10初始化 20已提交 5已回退")
	private Integer status;


}
