package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 签收数量-商品明细VO
 * @author panhb
 * @since 2022/10/17
 */
@Data
@ApiModel("签收数量-商品明细VO")
public class SignInItemVO implements Serializable {

	private static final long serialVersionUID = -6020099009631693990L;

	@ApiModelProperty("运单ID")
	private String shipbillId;

	@ApiModelProperty("运单明细ID")
	private String id;

	@ApiModelProperty(value = "商品ID")
	private Long itemId;

	@ApiModelProperty(value = "签收数量")
	private BigDecimal signInPcs;

}
