package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 *
 * 提货启运VO
 *
 * @className :PendingPickUpStartShipmentVO
 * @author :qian.yh
 * @date :2022/07/07
 * @description :
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("提货启运明细VO")
public class StartShipmentDetailVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "运单id")
    private String shipbillId;

    @ApiModelProperty("运单明细ID")
    private String id;

    @ApiModelProperty(value = "商品ID")
    private String itemId;

    @ApiModelProperty(value = "商品编码")
    private String itemCode;

    @ApiModelProperty(value = "商品名称")
    private String itemName;

    @ApiModelProperty(value = "数量")
    private BigDecimal planDeliveryPcs;

    @ApiModelProperty(value = "提货件数")
    private BigDecimal pickUpPcs;

}

