package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 入库在途-派车单客服反馈VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/20 12:24
 */
@Data
@ApiModel("入库在途-派车单客服反馈VO")
public class StorageHalfwayFeedBackVO implements Serializable {

	private static final long serialVersionUID = -962285003092283558L;

	@ApiModelProperty("派车单集合")
	private List<String> loadbillIds;

	@ApiModelProperty(value = "反馈日期")
	private Date feedbackDate;

	@ApiModelProperty(value = "实时地点")
	private String address;

	@ApiModelProperty(value = "反馈内容")
	private String feedbackContent;

	@ApiModelProperty(value = "反馈图片")
	private String feedbackPicture;

}
