package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 配载运单查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/6/6 17:43
 */
@Data
@ApiModel("配载运单查询VO")
public class StorageHalfwayGetShipbillVO implements Serializable {

    private static final long serialVersionUID = 7327238441731401967L;

    @ApiModelProperty(value = "派车单id")
    private String loadingBillId;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;
}
