package com.prolog.rdc.tms.model.vo;

import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 系统调度分组配置保存VO
 *
 * @author xyf
 * @since 2022-04-13 15:30:16
 */
@Data
@ApiModel("系统调度分组配置保存VO")
public class SysGroupCfgSaveVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "分组名称")
	private String groupName;

	@ApiModelProperty(value = "是否默认 Y是 N否")
	private String defaultFlag;

	@ApiModelProperty(value = "分组配置明细集合")
	List<SysGroupCfgDtlSaveVO> cfgDtlVOList;
}
