package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 取号管理-取号信息查询VO
 *
 * @author xiaoyf
 * @date 2022/04/20
 */
@Data
@ApiModel("取号管理-取号信息查询VO")
public class TakeNumberInfoByShipbillNoVO implements Serializable {

	private static final long serialVersionUID = 752354118685001674L;

	@NotEmpty(message = "运单号不能为空")
	@ApiModelProperty(value = "运单号")
	private String shipbillNo;

}
