package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 已拖车配载运单移动VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/4/15 15:21
 */
@Data
@ApiModel("已拖车配载运单移动VO")
public class TrailerMobileDetailVO implements Serializable {

	private static final long serialVersionUID = -3730503679536451199L;

	@ApiModelProperty(value = "原装车单ID")
	private String originalLoadingBillId;

	@ApiModelProperty(value = "目标装车单ID")
	private String nowLoadingBillId;

	@ApiModelProperty(value = "运单ID集合")
	private List<String> shipbillIds = new ArrayList<String>();
}
