package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 待调度中转VO
 *
 * @author lhb
 * @date 2022/04/22
 */
@Data
@ApiModel("待调度中转VO")
public class TransitVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "运单ID集合")
	private List<String> shipbillIdList;

	@ApiModelProperty(value = "多个中转信息集合")
	private List<TransitDetailInfoVO> transitDetailInfoVOList;

}
