package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 整车直发—异常登记VO
 *
 * @author xyf
 * @date 2022/04/22
 */
@Data
@ApiModel("整车直发—异常登记VO")
public class WholeCarAbnormalRegisterVO implements Serializable {

	private static final long serialVersionUID = -6968101979666059192L;

	@ApiModelProperty(value = "勾选的派车单主键集合 格式['','']")
	private List<String> loadingBillids;

	@ApiModelProperty(value = "勾选的运单主键集合 格式['','']")
	private List<String> shipbillIds;

	@ApiModelProperty(value = "异常发生时间")
	private Date abnormalTime;

	@ApiModelProperty(value = "异常类型")
	private Integer abnormalType;

	@ApiModelProperty(value = "异常事件")
	private Integer abnormalCase;

	@ApiModelProperty(value = "客户投诉(是/否 1是 0否)")
	private Integer customerComplain;

	@ApiModelProperty(value = "异常内容")
	private String content;

	@ApiModelProperty(value = "异常图片地址")
	private String pictureUrl;

}
