package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 整车直发派车单查询VO
 *
 * @author xyf
 * @date 2022/04/22
 */
@Data
@ApiModel("整车直发派车单查询VO")
public class WholeCarDeliveryadvancedQueryVO implements Serializable {

	private static final long serialVersionUID = -995812760554222507L;

	@NotNull(message = "当前页不能为空")
	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@NotNull(message = "当前页最大行数不能为空")
	@ApiModelProperty(value = "当前页最大行数")
	private Integer pageSize;

	@ApiModelProperty(value = "企业ID", hidden = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "调度类型 数据字典SCHEDULE_TYPE:1.自有  2.承运商", hidden = true)
	private Integer scheduleType;

	@ApiModelProperty(value = "承运方类型 数据字典LINE_CARRIER_TYPE:1.承运商  2.司机", hidden = true)
	private Integer carrierType;

	@ApiModelProperty(value = "装车单类型 数据字典LOADING_BILL_TYPE:10.入库类型  20.出库类型 30其他类型", hidden = true)
	private Integer loadingBillType;

	@ApiModelProperty(value = "用户类型", hidden = true)
	private String userType;

	@ApiModelProperty(value = "sql",hidden = true)
	private String sql;

	@ApiModelProperty(value = "部门权限",hidden = true)
	private String[] depts;

}
