package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 行政区编码VO
 *
 * @author lhb
 * @date 2022/04/11
 */
@Data
@ApiModel("行政区编码VO")
public class ZoneVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "行政区编码")
	private String zoneid;

	@ApiModelProperty(value = "行政层级")
	private Integer zlevel;

}
