package com.prolog.rdc.tms.model.vo.intransit;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author hongbo.pan
 * @date 2022/9/20
 */
@Data
@ApiModel("在途管理——查询")
public class InTransitQueryVO implements Serializable {

	private static final long serialVersionUID = 8589824858603650368L;

	@ApiModelProperty(value = "车牌号")
	private String carNumber;

	@ApiModelProperty(value = "司机手机号")
	private String mobilePhone;

	@ApiModelProperty(value = "开始日期")
	private Date startDate;

	@ApiModelProperty(value = "结束日期")
	private Date endDate;

	@ApiModelProperty(value = "派车单号")
	private String loadingBillNo;

	@ApiModelProperty(value = "运单号")
	private String shipBillNo;

	@ApiModelProperty(value = "派车单号")
	private String loadingBillId;

	@ApiModelProperty(value = "运单号")
	private String shipBillId;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

}
