package com.prolog.rdc.tms.model.vo.planMng;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 运输计划单明细保存VO
 *
 * @author lhb
 * @date 2023/06/07
 */
@Data
@ApiModel("运输计划单明细保存VO")
public class TransportPlanBillDetailVO implements Serializable {

	private static final long serialVersionUID = -1629837230585746141L;

	@ApiModelProperty(value = "主键ID")
	private String id;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "运单明细行id")
	private String shipbillDetailId;

	@ApiModelProperty(value = "计划发运日期")
	private Date planDeliveryDate;

}
