package com.prolog.rdc.tms.service;

import com.prolog.framework.core.pojo.Page;
import com.prolog.rdc.tms.model.dto.ConsignmentHandoverPageDTO;
import com.prolog.rdc.tms.model.vo.ConsignmentHandoverPageVO;

/**
 * 
 *
 * 运输管理-托运交接（运单）服务层
 *
 * @className :ConsignmentHandoverService
 * @author :fanzw
 * @creationTime :2023/08/29
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/08/29
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface ConsignmentHandoverService {

	/**
	 * 托运交接（运单）查询
	 * 
	 * @param consignmentHandoverPageVO
	 * @return
	 */
	Page<ConsignmentHandoverPageDTO> pageConsignmentHandoverShipbillData(ConsignmentHandoverPageVO consignmentHandoverPageVO);

}
