package com.prolog.rdc.tms.service;

import com.prolog.rdc.tms.kuaidi100.dto.SubscribeResp;
import com.prolog.rdc.tms.model.ShipbillRouteDataModel;
import com.prolog.rdc.tms.model.vo.KD100VO;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 
 *
 * 快递100接口调用服务层
 *
 * @className :KD100Service
 * @author :fanzw
 * @creationTime :2022/11/28
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/28
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface KD100Service {

	/**
	 * 启运登记订阅
	 *
	 * @param
	 * @return
	 */
	void pickUpSubscribe(List<KD100VO> vos) throws Exception;

	SubscribeResp shipBillRouteReceive(HttpServletRequest request);

	void saveGps(List<ShipbillRouteDataModel> routeDataModels,String...gaoDe);
}
