package com.prolog.rdc.tms.service;

import com.prolog.rdc.tms.model.dto.ScanDispatchBillDTO;
import com.prolog.rdc.tms.model.vo.BillScanVO;
import com.prolog.rdc.tms.model.vo.ScanDispatchVO;

/**
 * 扫描派车服务层
 *
 * @author lhb
 * @since 2022-04-26 14:45:00
 */
public interface ScanDispatchService {

	/**
	 * 单号扫描
	 *
	 * @param vo
	 * @return
	 */
	ScanDispatchBillDTO scanBill(BillScanVO vo);

	/**
	 * 扫描派车调度
	 *
	 * @param vo
	 * @return
	 */
	void dispatch(ScanDispatchVO vo);

}
