package com.prolog.rdc.tms.service;

import java.util.List;

import com.prolog.product.core.framework.entity.UserEntity;
import com.prolog.rdc.tms.model.dto.ShipbillOperateLogDTO;
import com.prolog.rdc.tms.model.vo.ShipbillOperateLogListVO;
import com.prolog.rdc.tms.model.vo.ShipbillOperateLogSaveNewVO;
import com.prolog.rdc.tms.model.vo.ShipbillOperateLogSaveVO;

/**
 * 运单操作日志服务层
 *
 * @author zhangsj
 * @since 2022-03-31 14:45:00
 */
public interface ShipbillOperateLogService {

	/**
	 * 运单操作日志查看
	 * 
	 * @param shipbillOperateLogListVO
	 * @return
	 */
	List<ShipbillOperateLogDTO> listShipbillOperateLogData(ShipbillOperateLogListVO shipbillOperateLogListVO);

	/**
	 * 运单操作日志新增
	 * 
	 * @param vo
	 */
	void addShipbillOperateLogData(ShipbillOperateLogSaveVO vo, UserEntity user);
	void addShipbillOperateLogData(ShipbillOperateLogSaveVO vo);

	/**
	 * 运单操作日志新增(新)
	 *
	 * @param vo
	 */
	void addShipbillOperateLogNewData(ShipbillOperateLogSaveNewVO vo);
}
