package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 *
 *
 * 查询车辆事件报表VO
 *
 * @className :TruckEventVO
 * @author :fanzw
 * @creationTime :2022/08/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/08/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class TruckEventVO {

    @ApiModelProperty(value = "车牌号 多个车牌号,分割")
    private String carnums;

    @ApiModelProperty(value = "事件id，多个事件ID用“,”号分割")
    private String alarmtypes;

    @ApiModelProperty(value = "开始时间，格式为yyyy-MM-dd HH:mm:ss")
    private Date from;

    @ApiModelProperty(value = "结束时间，格式为yyyy-MM-dd HH:mm:ss")
    private Date to;
}
