package com.prolog.rdc.tms.service;

import java.util.List;

import com.prolog.rdc.tms.model.vo.IntfProviderSaveVO;

/**
 * 
 *
 * 供应商资料接口服务层
 *
 * @className :ProviderService
 * @author :fanzw
 * @creationTime :2022/11/07
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/07
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface ProviderService {

	/**
	 * 供应商资料接口保存
	 *
	 * @param
	 * @return
	 */
	void saveProviderData(List<IntfProviderSaveVO> intfProviderSaveVOs);

	/**
	 * 供应商接口定时任务
	 */
	void providerTimerTask();

}
