package com.prolog.rdc.tms.service;

import java.util.List;

import com.prolog.rdc.tms.model.vo.IntfProviderShipperSaveVO;

/**
 * 
 *
 * 供应商发货方接口服务层
 *
 * @className :ProviderShipperService
 * @author :fanzw
 * @creationTime :2022/11/14
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/11/14
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface ProviderShipperService {

	/**
	 * 供应商发货方接口保存
	 *
	 * @param
	 * @return
	 */
	void saveProviderShipperData(List<IntfProviderShipperSaveVO> intfProviderShipperSaveVOs);

	/**
	 * 供应商发货方接口定时任务
	 */
	void providerShipperTimerTask();

}
