package com.prolog.rdc.tms.config;

/**
 * @ClassName com.prolog.maindata.config.CacheNameConstant
 * @Description 基础数据缓存常量管理
 * @Author tanaq
 * @Date 2019-06-01 下午4:29
 * @Version 1.0.0
 */
public interface CacheNameConstant {

	String WMS_DATABASE_PREFIX = "WMS:DB:"; // 前缀
	String PUB_ADDRESS_KEY = WMS_DATABASE_PREFIX + "PUB_ADDRESS"; // 地址信息表
	String PUB_COMPANY_KEY = WMS_DATABASE_PREFIX + "PUB_COMPANY"; // 机构信息表
	String PUB_ITEMINFO_KEY = WMS_DATABASE_PREFIX + "PUB_ITEMINFO"; // 商品信息表
	String PUB_ITEMPACK_KEY = WMS_DATABASE_PREFIX + "PUB_ITEMPACK"; // 商品包装信息表
	String PUB_ITEMBAR_KEY = WMS_DATABASE_PREFIX + "PUB_ITEMBAR"; // 商品条码信息表

}
