package com.prolog.rdc.tms.constant;

/**
 * 常量类
 * 
 * @author Administrator
 *
 */
public class BussinessConstant {

	public static final String ORDER_IMPORT_FILE_NAME = "tmsOrder";

	public static final String TMS_REPAIR_RECORD_AUDIT = "20";// 车辆维保审核状态

	public static final String TMS_REPAIR_RECORD_REJECT = "5";// 车辆维保驳回状态

	public static final String TMS_REPAIR_RECORD_COMMIT = "10";// 车辆维保提交状态

	public static final String TMS_VEHICLE_ILLEGAL_COMMIT = "10";// 车辆违章登记提交状态

	public static final String TMS_VEHICLE_ILLEGAL_AUDIT = "20";// 车辆违章已审核状态

	public static final String TMS_VEHICLE_ILLEGAL_REJECT = "5";// 车辆违章驳回状态

	public static final String T_VM_ACCIDENTREG_COMMIT = "10";// 车辆事故登记提交状态

	public static final String T_VM_ACCIDENTREG_AUDIT = "20";// 车辆事故登记审核状态

	public static final String T_VM_ACCIDENTREG_REJECT = "5";// 车辆事故登记驳回状态

	public static final String T_VM_INSURANCE_COMMIT = "10";// 车辆保险登记提交状态

	public static final String T_VM_INSURANCE_AUDIT = "20";// 车辆保险登记审核状态

	public static final String T_VM_INSURANCE_REJECT = "5";// 车辆保险登记驳回状态

	public static final String T_VM_FUEL_RECORD_COMMIT = "10";// 车辆加油登记提交状态

	public static final String T_VM_FUEL_RECORD_AUDIT = "20";// 车辆加油登记审核状态

	public static final String T_VM_FUEL_RECORD_REJECT = "5";// 车辆加油登记驳回状态

	// "BASE_PARAMETER_SEQNO";
	// 取号标识-号码管理器号码代号
	public static final String CODEENGINE_SYS_CODEENGINE_CODEID = "SYS_CODEENGINE_CODEID";
	// 取号标识-审核节点流程配置ID
	public static final String PUB_PUB_PROCESS_CONFIGURATION_ID = "PUB_PROCESS_CONFIGURATION_ID";
	// 取号标识-证件ID
	public static final String PAPERID = "PAPERID";

	// 取号标识-预警ID
	public static final String EARLY_WARNING_ID = "EARLY_WARNING_ID";

	// 取号标识-消息ID
	public static final String SYS_ALERT_MESSAGE_ID = "SYS_ALERT_MESSAGE_ID";

	// 区域层级
	public static final Integer ZONE_ZLEVEL = 1;

	// 数据字典-预警类型
	public static final String EARLY_WARNING_TYPE = "EARLY_WARNING_TYPE";

	// 数据字典-预警配置状态0:无效 1:有效
	public static final String EARLY_WARNING_STATUS = "EARLY_WARNING_STATUS";

	public static final String BASE_VEHICLE_TYPE_LC = "02";// 冷藏车

	// 请求系统参数类型(1:扫描, 2:选仓)
	public static final String PARAMETER_CONDITION_SM = "1";
	public static final String PARAMETER_CONDITION_XC = "2";

	// 经营状态E/D
	public static final String OPERATION_STATUS_E = "E";
	public static final String OPERATION_STATUS_D = "D";

	// 导入模板汇总表主键
	public static final String SYS_IMPORT_TEMPLETH_ID = "SYS_IMPORT_TEMPLETH_ID";

	// 导入模板明细表主键
	public static final String SYS_IMPORT_TEMPLETD_ID = "SYS_IMPORT_TEMPLETD_ID";

	// 预警配置状态0:无效 1:有效
	public static final Integer EARLY_WARNING_STATUS_WX = 0;
	public static final Integer EARLY_WARNING_STATUS_YX = 1;

	// 预警配置用户状态 0:停用 1:启用
	public static final Integer ALERT_USERS_STATUS_TY = 0;
	public static final Integer ALERT_USERS_STATUS_QY = 1;

	// 预警消息类型 1:预警
	public static final Integer ALERT_MESSAGE_TYPE_YJ = 1;

	// 预警消息是否已读 0:否 1:是
	public static final Integer ALERT_MESSAGE_WHETHER_READ_N = 0;
	public static final Integer ALERT_MESSAGE_WHETHER_READ_Y = 1;

	// 预警消息是否处理 0:否 1:是
	public static final Integer ALERT_MESSAGE_STATUS_N = 0;
	public static final Integer ALERT_MESSAGE_STATUS_Y = 1;

	public static final Integer ZERO = 0;
	public static final Integer ONE = 1;

	// 文件大小
	public static final int FILE_SIZE = 15728640;

	// 用户分类: I-内部员工(自有) C-客户 V-供应商 H-货主 S-服务商(承运商) D-司机 M-送货员
	public static final String USER_TYPE_ZY = "I";
	public static final String USER_TYPE_CYS = "S";
	public static final String USER_TYPE_GYS = "V";
	public static final String USER_TYPE_HZ = "H";
	public static final String USER_TYPE_KH = "C";
	public static final String USER_TYPE_SJ = "D";
	public static final String USER_TYPE_SHY = "M";

	// 部分权限 1有 0没有
	public static final Integer USER_DEPARTMENT_AUTH_Y = 1;
	public static final Integer USER_DEPARTMENT_AUTH_N = 0;

	// 默认密码
	public static final String PASSWORD = "plg123456";

	// 账号类型，1-企业管理员，2普通用户
	public static final Integer PERSON_TYPE_QE = 1;
	public static final Integer PERSON_TYPE_PT = 2;

	// 司机/送货员角色ID
	public static final String ROLEID_DRIVER_ID = "99999999999999999999";
	public static final String ROLEID_DRIVER_NAME = "司机角色";

	// 是否获取所有仓货主客户权限(0:否 1:是)
	public static final Integer ALLAUTH_NO = 0;
	public static final Integer ALLAUTH_YES = 1;

	// 司机定位间隔
	public static final String LOCATE_INTERVAL = "LOCATE_INTERVAL";
	// 车辆轨迹数据保存期限(天)
	public static final String GPS_SAVE_DAYS = "GPS_SAVE_DAYS";

	public static final Integer E6 = 1;
	public static final Integer G7 = 3;

	public static final String GOODS_TRANSFINITE_ENABLED = "GOODS_TRANSFINITE_ENABLED";

}
