package com.prolog.rdc.tms.constant;

/**
 * 
 *
 * 序列号常量
 *
 * @className :SeriaNnumberConstant
 * @author :fanzw
 * @creationTime :2022/02/24
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/24
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public class SeriaNnumberConstant {

	// 商品品类ID
	public static final String ITEM_CATEGORY_ID = "ITEM_CATEGORY_ID";

	// 商品ID
	public static final String ITEM_ID = "ITEM_ID";

	// 货主ID
	public static final String CARGO_OWNER_ID = "CARGO_OWNER_ID";

	// 客户ID
	public static final String TMS_BASE_CUSTOMER_ID = "TMS_BASE_CUSTOMER_ID";

	// 客户收货方ID
	public static final String TMS_BASE_CUSTOMER_RECEIVER_ID = "TMS_BASE_CUSTOMER_RECEIVER_ID";

	// 仓库ID
	public static final String TMS_BASE_BRANCH_ID = "TMS_BASE_BRANCH_ID";

	// 仓库预约时段ID
	public static final String TMS_BASE_BRANCH_APT_TIME_DURA = "TMS_BASE_BRANCH_APT_TIME_DURA";

	// 仓库车位ID
	public static final String TMS_BASE_CARPORT_ID = "TMS_BASE_CARPORT_ID";

	// 承运商ID
	public static final String TMS_BASE_CARRIER_ID = "TMS_BASE_CARRIER_ID";

	// 取号标识-加油站维修厂ID
	public static final String PARTNER_GS_ID = "PARTNER_GS_ID";

	// 线路ID
	public static final String TMS_BASE_TRANSLINE_ID = "TMS_BASE_TRANSLINE_ID";

	// 线路承运方ID
	public static final String TMS_LINE_CARRIER_LINK = "TMS_LINE_CARRIER_LINK";

	// 线路收货方ID
	public static final String TMS_LINE_CONSIGNEE_LINK = "TMS_LINE_CONSIGNEE_LINK";

	// 线路发货方ID
	public static final String TMS_LINE_SHIPPER_LINK = "TMS_LINE_SHIPPER_LINK";

	// 中转站ID
	public static final String TMS_TRANSFER_STATION_ID = "TMS_TRANSFER_STATION_ID";

	// 车型ID
	public static final String TMS_BASE_VEHICLE_TYPE_ID = "TMS_BASE_VEHICLE_TYPE_ID";

	// 司机ID
	public static final String DRIVER_ID = "DRIVER_ID";

	// 证件ID
	public static final String PAPER_ID = "PAPER_ID";

	// 车辆ID
	public static final String TMS_BASE_VEHICLE_ID = "TMS_BASE_VEHICLE_ID";

	// 设备ID
	public static final String DEVICE_ID = "DEVICE_ID";

	// 保险ID
	public static final String INSURANCE_ID = "INSURANCE_ID";

	// 送货员ID
	public static final String DELIVERYMAN_ID = "DELIVERYMAN_ID";

	// 容器ID
	public static final String CONTAINER_ID = "CONTAINER_ID";

	// 供应商ID
	public static final String TMS_BASE_PROVIDER_ID = "TMS_BASE_PROVIDER_ID";

	// 发货方ID
	public static final String TMS_BASE_SHIPPER_ID = "TMS_BASE_SHIPPER_ID";

	// 导入批次号
	public static final String IMPORT_BATCHNO = "IMPORT_BATCHNO";

	// 标记配置ID
	public static final String TMS_BASE_SIGNCONFIG_ID = "TMS_BASE_SIGNCONFIG_ID";

	// 审批流程ID
	public static final String TMS_APPROVAL_HEADER_ID = "TMS_APPROVAL_HEADER_ID";

	// 审批流程条件ID
	public static final String TMS_APPROVAL_HEADER_CT_ID = "TMS_APPROVAL_HEADER_CT_ID";

	// 审批流程节点ID

	public static final String TMS_APPROVAL_NODE_ID = "TMS_APPROVAL_NODE_ID";

	// 审批流程节点审批者ID
	public static final String TMS_APPROVAL_NODE_APPROVER_ID = "TMS_APPROVAL_NODE_APPROVER_ID";

	// 审核业务主表ID
	public static final String TMS_APPROVAL_BUSINESS_ID = "TMS_APPROVAL_BUSINESS_ID";

	// 审核业务明细表D
	public static final String TMS_APPROVAL_BUSINESS_DETAIL_ID = "TMS_APPROVAL_BUSINESS_DETAIL_ID";

	// 审核业务明细表D
	public static final String TMS_APPROVAL_BUSINESS_APPROVER_ID = "TMS_APPROVAL_BUSINESS_APPROVER_ID";

	// 审核业务日志ID
	public static final String TMS_APPROVAL_BUSINESS_LOG_ID = "TMS_APPROVAL_BUSINESS_LOG_ID";

	// 业务流程表ID
	public static final String TMS_BUSINESS_FLOW_ID = "TMS_BUSINESS_FLOW_ID";

	// 业务流程条件表ID
	public static final String TMS_BUSINESS_FLOW_CONDITION_ID = "TMS_BUSINESS_FLOW_CONDITION_ID";

	// 高级查询配置汇总表ID
	public static final String SYS_QUERY_CONFIGURATION_H_ID = "SYS_QUERY_CONFIGURATION_H_ID";

	// 高级查询配置明细表ID
	public static final String SYS_QUERY_CONFIGURATION_D_ID = "SYS_QUERY_CONFIGURATION_D_ID";

	// 承运方匹配策略ID
	public static final String TMS_CARRIER_MATCH_STRATEGY_ID = "TMS_CARRIER_MATCH_STRATEGY_ID";

	// 承运方匹配策略条件表ID
	public static final String TMS_CARRIER_MATCH_STRATEGY_CT_ID = "TMS_CARRIER_MATCH_STRATEGY_CT_ID";

	// 线路匹配策略ID
	public static final String TMS_LINE_MATCH_STRATEGY_ID = "TMS_LINE_MATCH_STRATEGY_ID";

	// 线路匹配策略条件表ID
	public static final String TMS_LINE_MATCH_STRATEGY_CT_ID = "TMS_LINE_MATCH_STRATEGY_CT_ID";

	// 运单拆分策略表ID
	public static final String TMS_STRATEGY_SPLIT_ID = "TMS_STRATEGY_SPLIT_ID";

	// 运单拆分策略条件表ID
	public static final String TMS_STRATEGY_SPLIT_CONDITION_ID = "TMS_STRATEGY_SPLIT_CONDITION_ID";

	// 系统参数ID
	public static final String TMS_SYS_PARAM_CONFIG_ID = "TMS_SYS_PARAM_CONFIG_ID";

	// 车辆GPS数据表ID
	public static final String TMS_VEHICLE_GPS_ID = "TMS_VEHICLE_GPS_ID";

	// 承运方配置表ID
	public static final String TMS_CARRIER_CONFIG_ID = "TMS_CARRIER_CONFIG_ID";

	// 承运方配置条件表ID
	public static final String TMS_CARRIER_CONFIG_CT_ID = "TMS_CARRIER_CONFIG_CT_ID";

	/**
	 * 部门基础关联表id
	 */
	public static final String TMS_DEPARTMENT_BASE_LINK_ID = "TMS_DEPARTMENT_BASE_LINK_ID";

	// 中转匹配策略表ID
	public static final String TMS_STRATEGY_TRANSFER_ID = "TMS_STRATEGY_TRANSFER_ID";

	// 中转匹配策略中转站表ID
	public static final String TMS_STRATEGY_TRANSFER_STATION_ID = "TMS_STRATEGY_TRANSFER_STATION_ID";

	// 业务规则策略表ID
	public static final String TMS_STRATEGY_BUSINESS_ID = "TMS_STRATEGY_BUSINESS_ID";

	// 业务规则策略条件表ID
	public static final String TMS_STRATEGY_BUSINESS_CNT_ID = "TMS_STRATEGY_BUSINESS_CNT_ID";

	/**
	 * 消息条件表id
	 */
	public static final String TMS_MESSAGE_CONFIG_CONDITION_ID = "TMS_MESSAGE_CONFIG_CONDITION_ID";

	/**
	 * 消息配置表id
	 */
	public static final String TMS_MESSAGE_CONFIG_ID = "TMS_MESSAGE_CONFIG_ID";

	/**
	 * 消息用户表id
	 */
	public static final String TMS_MESSAGE_CONFIG_NOTICE_TO_ID = "TMS_MESSAGE_CONFIG_NOTICE_TO_ID";

	/**
	 * 消息表id
	 */
	public static final String TMS_MESSAGE_ID = "TMS_MESSAGE_ID";

	/**
	 * 消息表id
	 */
	public static final String TMS_MESSAGE_SEND_LOG_ID = "TMS_MESSAGE_SEND_LOG_ID";

	/**
	 * 站点表id
	 */
	public static final String TMS_BASE_STATION_ID = "TMS_BASE_STATION_ID";

	/**
	 * 始发站点表id
	 */
	public static final String TMS_BASE_STARTING_STATION_ID = "TMS_BASE_STARTING_STATION_ID";

}
