package com.prolog.rdc.tms.constant;

/**
 * 
 *
 * 状态常量
 *
 * @className :StatusConstant
 * @author :fanzw
 * @creationTime :2022/02/24
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/24
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public class StatusConstant {

	// 数据字典MAINDATA_STATUS: 0停用 1已创建 5审核中 10启用
	public static final Integer STATUS_DISABLE = 0;
	public static final Integer STATUS_CREATE = 1;
	public static final Integer STATUS_UNDER_REVIEW = 5;
	public static final Integer STATUS_ENABLE = 10;

	// 是否通用状态:0否 1是
	public static final String WHETHER = "WHETHER";
	public static final Integer WHETHER_NO = 0;
	public static final Integer WHETHER_YES = 1;
	public static final String WHETHER_STRING_NO = "否";
	public static final String WHETHER_STRING_YES = "是";
}
