package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.entity.line.TmsApprovalBusDetailModel;

/**
 *
 *
 * 审批业务明细表
 *
 * @className :TmsApprovalBussDetailMapper
 * @author :lhb
 * @creationTime :2022/04/29
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface TmsApprovalBusinessDetailMapper extends BaseMapper<TmsApprovalBusDetailModel> {

	/**
	 * 查询 我已处理的审批流程
	 * 
	 * @param approverPersonId
	 * @param status
	 * @param enterpriseId
	 * @return
	 */
	List<Long> queryApprovalBusinessIds(@Param("approverPersonId") String approverPersonId, @Param("status") Integer status, @Param("enterpriseId") Long enterpriseId);

}
