package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.basicData.LineByCustomerDTO;
import com.prolog.rdc.tms.model.entity.line.TmsLineConsigneeLinkModel;
import com.prolog.rdc.tms.model.vo.basicData.TmsArriverVO;

@Mapper
public interface TmsLineConsigneeLinkMapper extends BaseMapper<TmsLineConsigneeLinkModel> {
	long findCountByConsignee(@Param("vo") TmsArriverVO vo);

	List<LineByCustomerDTO> findLineByCustomer(@Param("customerId") Long customerId, @Param("consigneeId") Long consigneeId);

}
