package com.prolog.rdc.tms.dao.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.basicData.TmsShipperDTO;
import com.prolog.rdc.tms.model.entity.line.TmsLineShipperLinkModel;
import com.prolog.rdc.tms.model.vo.basicData.TmsBaselineVO;
import com.prolog.rdc.tms.model.vo.basicData.TmsShipperVO;

/**
 * 
 *
 * 线路资料管理表
 *
 * @className :TmsBaseTranslineMapper
 * @author :zsj
 * @creationTime :2022/04/07
 * @description :
 *
 * @modifier :zsj
 * @modifyTime :2022/04/07
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface TmsLineShipperLinkMapper extends BaseMapper<TmsLineShipperLinkModel> {

	List<TmsShipperDTO> queryLineShipper(@Param("vo") TmsBaselineVO vo);

	long findCountByShipper(@Param("vo") TmsShipperVO vo);
}
