package com.prolog.rdc.tms.dao.mapper;

import com.prolog.framework.dao.mapper.BaseMapper;

import com.prolog.rdc.tms.model.entity.TmsLoadingBillDetailModel;
import com.prolog.rdc.tms.model.vo.message.MessageJobVO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 装车单明细表数据库访问层
 *
 * @author zhangsj
 * @since 2022-04-13 14:13:38
 */
@Repository
public interface TmsLoadingBillDetailMapper extends BaseMapper<TmsLoadingBillDetailModel> {


    /**
     * queryLoadingBillDetail
     * @param vo
     * @return
     */
    List<TmsLoadingBillDetailModel> queryLoadingBillDetail(@Param("vo") MessageJobVO vo);
}
