package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ConfigurationQueryDDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "明细ID")
	private String seqId;

	@ApiModelProperty(value = "行号")
	private Integer seqNo;

	@ApiModelProperty(value = "汇总ID")
	private String hdrId;

	@ApiModelProperty(value = "逻辑符号")
	private String logicSymbol;

	@ApiModelProperty(value = "逻辑符号")
	private String logicSymbolName;

	@ApiModelProperty(value = "字段编码")
	private String fieldCode;

	@ApiModelProperty(value = "字段名称")
	private String fieldName;

	@ApiModelProperty(value = "字段类型")
	private String fieldType;

	@ApiModelProperty(value = "操作符")
	private String operationSymbol;

	@ApiModelProperty(value = "字段值")
	private String fieldValue;

	@ApiModelProperty(value = "创建时间")
	private Date createdate;

	@ApiModelProperty(value = "创建人")
	private String createby;

	@ApiModelProperty(value = "修改时间")
	private Date lastmodifydate;

	@ApiModelProperty(value = "修改人")
	private String lastmodifyby;

	@ApiModelProperty(value = "企业ID")
	private String penterpriseid;

	@ApiModelProperty(value = "企业名称")
	private String penterprisename;

}
