package com.prolog.rdc.tms.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 *
 * 接口返回通用DTO
 * @version      :1.0.0
 *
 */
@Data
@ApiModel("接口返回DTO")
public class RestMessageDTO implements Serializable {
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "是否成功")
	private boolean success;
	
	@ApiModelProperty(value = "消息信息")
	private String message;

	@ApiModelProperty(value = "唯一标识，如果是多个字段使用逗号隔开")
	private String id;

	private Boolean exsist;

}