package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入日志 DTO
 *
 *
 * @className: SysImportLogDTO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysImportLogDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private String logid;

	@ApiModelProperty(value = "导入人ID")
	private String importBy;

	@ApiModelProperty(value = "导入人姓名p_nickname")
	private String importPersonName;

	@ApiModelProperty(value = "模板名称")
	private String templeteName;

	@ApiModelProperty(value = "手机号")
	private String phoneno;

	@ApiModelProperty(value = "导入对象")
	private String importObjNo;

	@ApiModelProperty(value = "导入对象名称")
	private String importObjName;

	@ApiModelProperty(value = "导入批次")
	private String batchno;

	@ApiModelProperty(value = "导入状态，0失败，1.成功")
	private Integer status;

	@ApiModelProperty(value = "操作状态，0撤销，1.导入")
	private Integer optStatus;

	@ApiModelProperty(value = "成功条数")
	private Integer successNum;

	@ApiModelProperty(value = "失败条数")
	private Integer failNum;

	@ApiModelProperty(value = "失败原因")
	private String failReason;

	@ApiModelProperty(value = "导入公司ID")
	private String penterpriseid;

	@ApiModelProperty(value = "导入公司名称")
	private String penterprisename;

	@ApiModelProperty(value = "导入时间")
	private LocalDateTime importTime;

	@ApiModelProperty(value = "修改时间")
	private LocalDateTime updatetime;

	@ApiModelProperty(value = "修改人ID")
	private String updateby;

	@ApiModelProperty(value = "修改人姓名p_nickname")
	private String updateperson;

}
