package com.prolog.rdc.tms.model.dto;

import java.io.Serializable;
import java.time.LocalDateTime;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入模板标准字段表 DTO
 *
 *
 * @className: SysImportStdFeildDTO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysImportStdFeildDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "主键")
	private String fieldid;

	@ApiModelProperty(value = "导入对象编码，通用参照数据中配置")
	private String importObjNo;

	@ApiModelProperty(value = "标准列名编码")
	private String stdColNo;

	@ApiModelProperty(value = "标准列名名称")
	private String stdColName;

	@ApiModelProperty(value = "排序号")
	private Integer sort;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createtime;

	@ApiModelProperty(value = "创建人")
	private String createby;

	@ApiModelProperty(value = "创建人姓名")
	private String createperson;

	@ApiModelProperty(value = "修改时间")
	private LocalDateTime updatetime;

	@ApiModelProperty(value = "修改人ID")
	private String updateby;

	@ApiModelProperty(value = "修改人姓名p_nickname")
	private String updateperson;

}
