package com.prolog.rdc.tms.model.dto.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 审批流程条件查看DTO
 *
 * @className :ApprovalConditionViewDTO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("审批流程条件查看DTO")
public class ApprovalConditionViewDTO {

    @ApiModelProperty(value = "ID 主键")
    private Long id;

    @ApiModelProperty(value = "流程ID")
    private Long approvalId;

    @ApiModelProperty(value = "审批流程条件类型 数据字典 approval_condition_type 1配送方式 2发货方类型 3收货方类型 4订单类型 5订单业务类型 6运输模式 7温度要求 8货主 9部门")
    private Integer approvalConditionType;

    @ApiModelProperty(value = "审批流程条件类型名称")
    private String approvalConditionTypeName;

    @ApiModelProperty(value = "流程条件对应的值  流程条件是配送方式 ：1配送 2自提 流程条件是收/发货方类型：1客户 2仓库 3供应商")
    private Integer approvalConditionValue;

    @ApiModelProperty(value = "流程条件对应的值名称")
    private String approvalConditionValueName;

    @ApiModelProperty(value = "单位ID  单位ID1,单位ID2")
    private String unitId;

    @ApiModelProperty(value = "单位编码 单位编码1,单位编码2")
    private String unitCode;

    @ApiModelProperty(value = "单位名称 单位名称1,单位名称2")
    private String unitName;
}
