package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 审批流程节点查询 DTO
 *
 *
 * @className: ApprovalNodeDTO
 * @author: lhb
 * @creationTime: 2022-04-29 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("审批流程节点查询 DTO")
public class ApprovalNodeDTO implements Serializable {

	private static final long serialVersionUID = 3379051381641311253L;

	@ApiModelProperty(value = "审批节点ID")
	List<ApprovalNodeQueryDTO> approvalNodeQueryDTOS;

	@ApiModelProperty(value = "是否可修改  1 可修改 2 不可修改")
	private Integer updateFlg;
}
