package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 系统参数查询DTO
 *
 * @className :ParamConfigQueryDTO
 * @author :fanzw
 * @creationTime :2022/07/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/07/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("系统参数查询DTO")
public class ParamConfigQueryDTO implements Serializable {

	private static final long serialVersionUID = 7726298959265897232L;

	@ApiModelProperty(value = "参数编码")
	private String code;

	@ApiModelProperty(value = "参数名称")
	private String name;

	@ApiModelProperty(value = "参数值")
	private String value;

}
