package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 扩展字段表DTO
 *
 * @className :SysExtendedFieldDTO
 * @author :fanzw
 * @creationTime :2022/01/12
 * @description :
 * @modifier :fanzw
 * @modifyTime :2022/01/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysExtendedFieldDTO implements Serializable {

	private static final long serialVersionUID = 6423951458449455577L;

	@ApiModelProperty(value = "数据ID")
	private String lineid;

	@ApiModelProperty(value = "扩展对象编码")
	private String extendedObjectCode;

	@ApiModelProperty(value = "扩展对象名称")
	private String extendedObjectName;

	@ApiModelProperty(value = "显示名称")
	private String displayName;

	@ApiModelProperty(value = "字段名称")
	private String fieldName;

	@ApiModelProperty(value = "字段类型")
	private String fieldType;

	@ApiModelProperty(value = "字段类型名称")
	private String fieldTypeName;

	@ApiModelProperty(value = "字段选择框值")
	private String fieldChoiceValue;

	@ApiModelProperty(value = "字段排序")
	private Integer fieldSort;

	@ApiModelProperty(value = "状态:0停用 1启用")
	private String status;

	@ApiModelProperty(value = "企业ID")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	private String enterprisename;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateperson;

}
