package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 根据扩展对象查询扩展字段VO
 *
 * @className :SysExtendedFieldListDTO
 * @author :fanzw
 * @creationTime :2022/03/22
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/22
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysExtendedFieldListDTO implements Serializable {

	private static final long serialVersionUID = -1300525633907761256L;

	@ApiModelProperty(value = "数据ID")
	private String lineId;

	@ApiModelProperty(value = "扩展对象编码")
	private String extendedObjectCode;

	@ApiModelProperty(value = "扩展对象名称")
	private String extendedObjectName;

	@ApiModelProperty(value = "显示名称")
	private String displayName;

	@ApiModelProperty(value = "字段名称")
	private String fieldName;

	@ApiModelProperty(value = "字段类型")
	private String fieldType;

	@ApiModelProperty(value = "字段类型名称")
	private String fieldTypeName;

	@ApiModelProperty(value = "字段选择框值")
	private String fieldChoiceValue;

	@ApiModelProperty(value = "字段排序")
	private Integer fieldSort;

}
