package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入配置模板汇总 DTO
 *
 *
 * @className: SysImportTemplethPageDTO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysImportTemplethPageDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "模板汇总主键")
	private String id;

	@ApiModelProperty(value = "模板汇总主键")
	private String hid;

	@ApiModelProperty(value = "导入对象编号")
	private String importObjNo;

	@ApiModelProperty(value = "导入对象名称")
	private String importObjName;

	@ApiModelProperty(value = "模板名称")
	private String templeteName;

	@ApiModelProperty(value = "是否启用，0否，1是")
	private Integer status;

	@ApiModelProperty(value = "是否启用，0否，1是")
	private String statusName;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "创建时间")
	private Date createtime;

	@ApiModelProperty(value = "创建人主键")
	private String createby;

	@ApiModelProperty(value = "创建用户")
	private String createperson;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "修改时间")
	private Date updatetime;

	@ApiModelProperty(value = "修改人")
	private String updateby;

	@ApiModelProperty(value = "修改用户")
	private String updateperson;

	@ApiModelProperty(value = "企业ID")
	private String penterpriseid;

	@ApiModelProperty(value = "企业名称")
	private String penterprisename;
}
