package com.prolog.rdc.tms.model.dto.basicConfigure;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 导入配置模板汇总 DTO
 *
 *
 * @className: SysImportTemplethQueryHdDTO
 * @author: kh
 * @creationTime: 2022-01-12 10:12:37
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysImportTemplethQueryHdDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "模板汇总主键")
	private String id;

	@ApiModelProperty(value = "模板汇总主键")
	private String hid;

	@ApiModelProperty(value = "导入对象编号")
	private String importObjNo;

	@ApiModelProperty(value = "导入对象名称")
	private String importObjName;

	@ApiModelProperty(value = "模板名称")
	private String templeteName;

	@ApiModelProperty(value = "是否启用，0否，1是")
	private Integer status;

	@ApiModelProperty(value = "是否启用，0否，1是")
	private String statusName;

	@ApiModelProperty(value = "模板状态，0无效，1有效")
	private Integer templetStatus;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "明细")
	List<SysImportTempletdQueryDTO> list;
}
