package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 根据客户查询线路DTO
 *
 * @className :LineByCustomerQueryDTO
 * @author :fanzw
 * @creationTime :2022/07/06
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/07/06
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据客户查询线路DTO")
public class LineByCustomerQueryDTO implements Serializable {

	private static final long serialVersionUID = 599424027147115216L;

	@ApiModelProperty(value = "线路ID")
	private Long lineId;

	@ApiModelProperty(value = "线路编号")
	private String lineCode;

	@ApiModelProperty(value = "线路名称")
	private String lineName;

}
