package com.prolog.rdc.tms.model.dto.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 
 *
 * 站点距离DTO
 *
 * @className :StationDistanceDTO
 * @author :xyf
 * @creationTime :2022/04/14
 * @description :
 *
 * @modifier :xyf
 * @modifyTime :2022/04/14
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("站点距离DTO")
public class StationDistanceDTO implements Serializable {

	private static final long serialVersionUID = 2587512965896470451L;

	@ApiModelProperty(value = "站点名称")
	private String stationName;

	@ApiModelProperty(value = "始发站点名称")
	private String startingStationName;

	@ApiModelProperty(value = "距离")
	private BigDecimal distance;

	/*@ApiModelProperty(value = "始发站点集合")
	List<StartingStationViewDTO> StartingStationList;*/

}
