package com.prolog.rdc.tms.model.dto.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("仓库预约时间段DTO")
public class TmsBaseBranchApTimeDTO implements Serializable {
	private static final long serialVersionUID = 1832871154259681611L;

	@ApiModelProperty(value = "ID(主键)")
	private Long id;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "预约起始时刻")
	private String startTime;

	@ApiModelProperty(value = "预约截至时刻")
	private String endTime;
}
