package com.prolog.rdc.tms.model.dto.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

@Data
public class TmsLineMapDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "线路ID")
	private Long lineId;

	@ApiModelProperty(value = "线路编号")
	private String lineCode;

	@ApiModelProperty(value = "线路名称")
	private String lineName;

	@ApiModelProperty(value = "总里程数")
	private BigDecimal totalMileage;

	@ApiModelProperty(value = "提货点数")
	private Integer pickUpSiteNumber;

	@ApiModelProperty(value = "送货点数")
	private Integer deliverySiteNumber;

	@ApiModelProperty(value = "总站点数")
	private Integer totalStations;

	@ApiModelProperty(value = "线路的站点信息")
	List<TmsLineWaySiteDTO> siteDTOs;
}
