package com.prolog.rdc.tms.model.dto.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class TmsLineWaySiteDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "站点顺序")
	private Integer siteOrder;

	@ApiModelProperty(value = "站点类型")
	private String siteTypeName;

	@ApiModelProperty(value = "类型")
	private String typeName;

	@ApiModelProperty(value = "站点编码")
	private String siteCode;

	@ApiModelProperty(value = "站点名称")
	private String siteName;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "线路-客户收货方或者客户发货方主键")
	private String linkId;

	@ApiModelProperty(value = "站点经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "站点纬度")
	private BigDecimal latitude;

	@ApiModelProperty(value = "客户ID")
	private Long customerId;

	@ApiModelProperty(value = "客户编号")
	private String customerCode;

	@ApiModelProperty(value = "客户名称")
	private String customerName;

	@ApiModelProperty(value = "收货方ID")
	private Long consigneeId;

	@ApiModelProperty(value = "收货方编码")
	private String consigneeCode;

	@ApiModelProperty(value = "收货方名称")
	private String consigneeName;

	@ApiModelProperty(value = "仓库ID")
	private Long branchId;

	@ApiModelProperty(value = "仓库编码")
	private String branchCode;

	@ApiModelProperty(value = "仓库名称")
	private String branchName;

	@ApiModelProperty(value = "发货时间")
	private String shipperAgingTime;

	@ApiModelProperty(value = "发货时间类型")
	private String shipperAgingTimeLine;

	@ApiModelProperty(value = "发货时间类型")
	private String shipperAgingTimeLineName;

	@ApiModelProperty(value = "到货时间")
	private String consigneeAgingTime;

	@ApiModelProperty(value = "到货时间类型")
	private String consigneeAgingTimeLine;

	@ApiModelProperty(value = "到货时间类型")
	private String consigneeAgingTimeLineName;
}
