package com.prolog.rdc.tms.model.dto.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 用户供应商弹窗DTO
 *
 * @className :UserProviderPopupDTO
 * @author :fanzw
 * @creationTime :2022/07/05
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/07/05
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("用户供应商弹窗DTO")
public class UserProviderPopupDTO implements Serializable {

	private static final long serialVersionUID = -6407370205450583199L;

	@ApiModelProperty(value = "供应商ID")
	private Long id;

	@ApiModelProperty(value = "供应商ID")
	private Long supplierId;

	@ApiModelProperty(value = "供应商编码")
	private String supplierCode;

	@ApiModelProperty(value = "供应商名称")
	private String supplierName;

}
