package com.prolog.rdc.tms.model.entity;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * 导入配置模板汇总系统参数配置 Model
 *
 *
 * @className: SysParamConfigModel
 * @author: xiaoyf
 * @creationTime: 2022-01-19 09:39:31
 * @description:
 * @modifier:
 * @modifyTime:
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@Table(value = "tms_sys_param_config")
public class SysParamConfigModel implements Serializable {

    private static final long serialVersionUID = -10849675687736706L;

    @Id
    @ApiModelProperty(value = "ID")
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "参数编码")
    @Column(value = "code")
    private String code;

    @ApiModelProperty(value = "参数名称")
    @Column(value = "name")
    private String name;

    @ApiModelProperty(value = "参数值")
    @Column(value = "value")
    private String value;

    @ApiModelProperty(value = "备注")
    @Column(value = "memo")
    private String memo;

    @ApiModelProperty(value = "参数1")
    @Column(value = "param1")
    private String param1;

    @ApiModelProperty(value = "参数2")
    @Column(value = "param2")
    private String param2;

    @ApiModelProperty(value = "企业ID")
    @Column(value = "enterprise_id")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    @Column(value = "enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    @Column(value = "createtime")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    @Column(value = "createperson")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    @Column(value = "updatetime")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    @Column(value = "updateperson")
    private String updateperson;

}
