package com.prolog.rdc.tms.model.entity;

import java.io.Serializable;
import java.util.Date;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("查询配置实体汇总")
@Table(value = "sys_query_configuration_hdr")
public class SysQueryCfgHdrModel implements Serializable {

	private static final long serialVersionUID = 1L;

	@Id
	@Column(value = "id")
	@ApiModelProperty(value = "业务ID")
	private String id;

	@Column(value = "biz_type")
	@ApiModelProperty(value = "业务类型")
	private String bizType;

	@Column(value = "biz_name")
	@ApiModelProperty(value = "业务名称")
	private String bizName;

	@Column(value = "default_flag")
	@ApiModelProperty(value = "是否默认")
	private String defaultFlag;

	@Column(value = "createdate")
	@ApiModelProperty(value = "创建时间")
	private Date createdate;

	@Column(value = "createby")
	@ApiModelProperty(value = "创建人")
	private String createby;

	@Column(value = "lastmodifydate")
	@ApiModelProperty(value = "修改时间")
	private Date lastmodifydate;

	@Column(value = "lastmodifyby")
	@ApiModelProperty(value = "修改人")
	private String lastmodifyby;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "enterprise_id")
	private Long enterpriseId;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "enterprise_name")
	private String enterpriseName;

}
