package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.List;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AccountSaveInfoVO implements Serializable {

	private static final long serialVersionUID = 5580166049646803308L;

	@ApiModelProperty(value = "承运商编码")
	@NotEmpty(message = "承运商编码不能为空")
	private String code;

	private List<AccountSaveInfoDetailVO> list;
}