package com.prolog.rdc.tms.model.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 首页 我发起的审批流程查询VO
 *
 * @author lhb
 * @since 2022-05-07 16:54:01
 */
@Data
@ApiModel("首页 我发起的审批流程查询")
public class ApplyApprovalVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户ID")
    private String userId;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;
}
