package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 审批业务日志表新增VO
 *
 * @author zhangsj
 * @since 2022-05-07 16:54:01
 */
@Data
@ApiModel("审批业务日志表新增VO")
public class ApprovalBusLogSaveVO implements Serializable {
	private static final long serialVersionUID = -53607500936487631L;

	@ApiModelProperty(value = "审批业务ID")
	private Long approvalBusinessId;

	@ApiModelProperty(value = "审批流程ID")
	private Long approvalId;

	@ApiModelProperty(value = "审批流程节点ID")
	private Long approvalNodeId;

	@ApiModelProperty(value = "审批节点顺序")
	private Integer approvalNodeOrder;

	@ApiModelProperty(value = "节点审批者类型 数据字典 NODE_APPROVER_TYPE 1 角色 2 用户")
	private Integer nodeApproverType;

	@ApiModelProperty(value = "审批方式  数据字典 NODE_APPROVAL_TYPE: 1 会签 2 或签")
	private Integer nodeApprovalType;

	@ApiModelProperty(value = "审批角色ID")
	private Long approverRoleId;

	@ApiModelProperty(value = "审批角色名称")
	private String approverRoleName;

	@ApiModelProperty(value = "审批用户ID")
	private Long approverUserId;

	@ApiModelProperty(value = "审批用户名称")
	private String approverUserName;

	@ApiModelProperty(value = "审批人ID")
	private Long approverPersonId;

	@ApiModelProperty(value = "审批人名称")
	private String approverPersonName;

	@ApiModelProperty(value = "审批意见")
	private String approvalOpinion;

	@ApiModelProperty(value = "审批时间")
	private Date approvalTime;

	@ApiModelProperty(value = "审批结果 数据字典 NODE_RESULT:1发起申请 2驳回发起人 3驳回上一级  4审批通过 5撤回 6 作废")
	private Integer result;

	@ApiModelProperty(value = "备注")
	private String memo;

}
