package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
@ApiModel("新增配置实体汇总")
public class ConfigurationHSaveVO implements Serializable {

	private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "业务ID")
    private String id;
    
    @ApiModelProperty(value = "业务类型")
    private String bizType;
    
    @ApiModelProperty(value = "业务名称")
    private String bizName;
    
    @ApiModelProperty(value = "是否默认")
    private String defaultFlag;
    
    @ApiModelProperty(value = "明细")
    private List<ConfigurationDAddVO> details;
}
