package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class FeeSaveInfoDetailVO implements Serializable {

	private static final long serialVersionUID = -6891736009279944974L;

	@ApiModelProperty(value = "货主/承运商/司机 编码")
	private String code;

	@ApiModelProperty(value = "费用编码")
	private String expenseCode;

	@ApiModelProperty(value = "费用名称")
	private String expenseName;

	@ApiModelProperty(value = "费用科目编码")
	private String expenseAccountCode;

	@ApiModelProperty(value = "费用科目名称")
	private String expenseAccountName;

	@ApiModelProperty(value = "数据类型 1:货主 2:承运商 3:司机")
	private Integer dataType;
}