package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.List;

import javax.validation.constraints.NotEmpty;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class FeeSaveInfoVO implements Serializable {

	private static final long serialVersionUID = -6144852278942075355L;

	@ApiModelProperty(value = "承运商/货主/司机 的编码")
	@NotEmpty(message = "编码不能为空")
	private String code;

	private List<FeeSaveInfoDetailVO> list;

}