package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class SySParameterVO implements Serializable {

	private static final long serialVersionUID = -5330416347520226738L;

	@NotNull(message = "重量精度不能为空")
	@ApiModelProperty(value = "重量精度")
	private Integer weightPrecision;

	@NotNull(message = "重量取整不能为空")
	@ApiModelProperty(value = "重量取整")
	private Integer weightInteger;

	@NotNull(message = "重量精度不能为空")
	@ApiModelProperty(value = "重量精度")
	private Integer volumePrecision;

	@NotNull(message = "重量取整不能为空")
	@ApiModelProperty(value = "重量取整")
	private Integer volumeInteger;

	@NotNull(message = "重量精度不能为空")
	@ApiModelProperty(value = "重量精度")
	private Integer packWeightPrecision;

	@NotNull(message = "包装重量取整不能为空")
	@ApiModelProperty(value = "包装重量取整")
	private Integer packWeightInteger;

	@NotNull(message = "包装体积精度不能为空")
	@ApiModelProperty(value = "包装体积精度")
	private Integer packVolumePrecision;

	@NotNull(message = "包装体积取整不能为空")
	@ApiModelProperty(value = "包装体积取整")
	private Integer packVolumeInteger;

	@NotNull(message = "费用精度不能为空")
	@ApiModelProperty(value = "费用精度")
	private Integer costPrecision;

	@NotNull(message = "费用取整不能为空")
	@ApiModelProperty(value = "费用取整")
	private Integer costInteger;

	@ApiModelProperty(value = "是否核算之后开始对账 1：是，0：否")
	private Integer isReconciliation;

	@ApiModelProperty(value = "是否含税单价 1：含税，2：未税")
	private Integer isTax;

	@ApiModelProperty(value = "价格表计费方式")
	private Integer priceCostType;

	@NotNull(message = "价格表省市区匹配方式不能为空")
	@ApiModelProperty(value = "价格表省市区匹配方式")
	private Integer pricePcdMatchType;

	@ApiModelProperty(value = "TMS下传单据:10-仅运单,20-运单和派车单")
	private Integer tmsTransferOrderType;

	@ApiModelProperty(value = "承运价格计费:1-未税单价,2-含税单价")
	private Integer carrierPriceType;

	@ApiModelProperty(value = "司机价格计费:1-未税单价,2-含税单价")
	private Integer driverPriceType;
}