package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * TMS系统参数配送中心保存VO
 *
 * @className :TmsBaseParameterSaveBranchsVO
 * @author :fanzw
 * @creationTime :2021/04/21
 * @description :
 * @modifier :fanzw
 * @modifyTime :2021/04/21
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("TMS系统参数配送中心保存VO")
public class TmsBaseParameterSaveBranchsVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "配送中心ID")
	private String branchCode;

	@ApiModelProperty(value = "配送中心名称名称")
	private String branchName;

}
