package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * TMS系统参数保存VO
 *
 * @className :TmsBaseParameterSaveVO
 * @author :fanzw
 * @creationTime :2021/04/21
 * @description :
 * @modifier :fanzw
 * @modifyTime :2021/04/21
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("TMS系统参数保存VO")
public class TmsBaseParameterSaveVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "配送中心集合")
	private List<TmsBaseParameterSaveBranchsVO> branchCodes = new ArrayList<TmsBaseParameterSaveBranchsVO>();

	@ApiModelProperty(value = "系统参数详情")
	private List<TmsBaseParameterSaveDetailsVO> details = new ArrayList<TmsBaseParameterSaveDetailsVO>();

}
