package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * TMS系统参数查询VO
 *
 * @className :TmsBaseParameterSearchVO
 * @author :fanzw
 * @creationTime :2021/04/21
 * @description :
 * @modifier :fanzw
 * @modifyTime :2021/04/21
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("TMS系统参数查询VO")
public class TmsBaseParameterSearchVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "配送中心ID")
	private String branchCode;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页面大小")
	private Integer pageSize;
}
