package com.prolog.rdc.tms.model.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * TMS系统参数更新VO
 *
 * @className :TmsBaseParameterUpdateVO
 * @author :fanzw
 * @creationTime :2021/04/21
 * @description :
 * @modifier :fanzw
 * @modifyTime :2021/04/21
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("TMS系统参数更新VO")
public class TmsBaseParameterUpdateVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "系统参数详情")
	private List<TmsBaseParameterUpdateDetailsVO> details = new ArrayList<TmsBaseParameterUpdateDetailsVO>();

}
