package com.prolog.rdc.tms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 更新打印路由配置条件
 * 
 * @author hrq
 *
 */
@Data
public class UpdateSysDefinePrintRouteVO {

	@ApiModelProperty(value = "路由配置ID", required = true)
	private String printrouteid;

	@ApiModelProperty(value = "企业ID", required = true)
	private Long enterpriseId;

	@ApiModelProperty(value = "仓ID", required = true)
	private Long branchId;

	@ApiModelProperty(value = "打印方案编码", required = true)
	private String tempid;

	@ApiModelProperty(value = "打印方案名称", required = true)
	private String tempname;

	@ApiModelProperty(value = "工号", required = true)
	private String operatorcode;

	@ApiModelProperty(value = "人员名称", required = true)
	private String operatorname;

	@ApiModelProperty(value = "IP地址", required = true)
	private String machine_ip;

	@ApiModelProperty(value = "扩展分组1")
	private String group1;

	@ApiModelProperty(value = "扩展分组2")
	private String group2;

	@ApiModelProperty(value = "扩展分组3")
	private String group3;

	@ApiModelProperty(value = "扩展分组4")
	private String group4;

	@ApiModelProperty(value = "扩展分组5")
	private String group5;

	@ApiModelProperty(value = "状态(10 启用 20 不启用)", required = true)
	private Integer statue;

	@ApiModelProperty(value = "备注")
	private String note;

}
