package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 *
 *
 * 承运方匹配策略修改VO
 *
 * @className :CarrierMthStrategyCtUpdateVO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("承运方匹配策略修改VO")
public class CarrierConfigCtUpdateVO {

    @ApiModelProperty(value = "ID 主键")
    private Long id;

    @ApiModelProperty(value = "承运方配置ID")
    private Long configId;

    @ApiModelProperty(value = "承运方配置条件类型 数据字典 STRATEGY_CONDITION_TYPE 1配送方式 2发货方类型 3收货方类型 4订单类型 5订单业务类型 6运输模式 7温度要求 8货主 9部门")
    private Integer configConditionType;

    @ApiModelProperty(value = "承运方配置条件对应的值 配置条件是订单类型 1普通 2紧急 3加急 配置条件是订单业务类型 1销售订单-直送 2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 配置条件是配送方式 ：1配送 2自提 配置条件是运输模式：1整车 2零担")
    private Integer configConditionValue;

    @ApiModelProperty(value = "单位ID  单位ID1,单位ID2")
    private String unitId;

    @ApiModelProperty(value = "单位编码  单位编码1,单位编码2")
    private String unitCode;

    @ApiModelProperty(value = "单位名称  单位名称1,单位名称2")
    private String unitName;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "修改时间")
    private Date updatetime;

    @ApiModelProperty(value = "修改人")
    private String updateperson;

}
