package com.prolog.rdc.tms.model.vo.basicConfigure;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 *
 * 承运方配置分页查询VO
 *
 * @className :CarrierConfigPageVO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("承运方配置分页查询VO")
public class CarrierConfigPageVO {

    @ApiModelProperty(value = "配置名称")
    private String configName;

    @ApiModelProperty(value = "状态 数据字典GENERAL_STATUS:0停用 10启用")
    private Integer status;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "页码大小")
    private Integer pageSize;
}
