package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 *
 *
 * 承运方匹配策略保存VO
 *
 * @className :CarrierMthStrategyCtSaveVO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("承运方匹配策略保存VO")
public class CarrierMthStrategyCtSaveVO {

    @ApiModelProperty(value = "承运商策略条件类型 数据字典 STRATEGY_CONDITION_TYPE 1订单类型 2订单业务类型 3配送方式 4运输模式 5仓库 6客户 7供应商")
    private Integer strategyConditionType;

    @ApiModelProperty(value = "承运商策略条件对应的值 策略条件是订单类型 1普通 2紧急 3加急 策略条件是订单业务类型 1销售订单-直送 2销售订单-供应商配送 3采购订单-供应商配送 4采购订单-自提 策略条件是配送方式 ：1配送 2自提 策略条件是运输模式：1整车 2零担")
    private Integer strategyConditionValue;

    @ApiModelProperty(value = "单位ID  单位ID1,单位ID2")
    private String unitId;

    @ApiModelProperty(value = "单位编码  单位编码1,单位编码2")
    private String unitCode;

    @ApiModelProperty(value = "单位名称  单位名称1,单位名称2")
    private String unitName;


}
