package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *
 *
 * 承运方匹配策略保存VO
 *
 * @className :CarrierMthStrategySaveVO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("承运方匹配策略保存VO")
public class CarrierMthStrategySaveVO {

	@ApiModelProperty(value = "策略名称")
	private String strategyName;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "按照客户匹配承运方顺序")
	private Integer matchTypeCustomer;

	@ApiModelProperty(value = "按照线路-收货方匹配承运方顺序")
	private Integer matchTypeLineConsignor;

	@ApiModelProperty(value = "按照承运方匹配策略")
	private Integer matchTypeCarrier;

	@ApiModelProperty(value = "按照重量匹配策略")
	private Integer matchTypeWeight;

	@ApiModelProperty(value = "按照体积匹配策略")
	private Integer matchTypeVolume;

	@ApiModelProperty(value = "按照重量体积匹配策略")
	private Integer matchTypeWeightVolume;

	@ApiModelProperty(value = "承运方匹配策略条件集合")
	private List<CarrierMthStrategyCtSaveVO> strategyCtSaveVOList;
}
