package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 *
 *
 * 线路匹配策略保存VO
 *
 * @className :LineMthStrategySaveVO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("线路匹配策略保存VO")
public class LineMthStrategySaveVO {

	@ApiModelProperty(value = "策略名称")
	private String strategyName;

	@ApiModelProperty(value = "备注")
	private String memo;

	@ApiModelProperty(value = "按行政区域-行政区域顺序")
	private Integer adminToAdmin;

	@ApiModelProperty(value = "按行政区域-收货方顺序")
	private Integer adminToConsignor;

	@ApiModelProperty(value = "按仓库-行政区域顺序")
	private Integer branchToAdmin;

	@ApiModelProperty(value = "按仓库-收货方顺序")
	private Integer branchToConsignor;

	@ApiModelProperty(value = "线路匹配策略条件集合")
	private List<LineMthStrategyCtSaveVO> strategyCtSaveVOList;
}
