package com.prolog.rdc.tms.model.vo.basicConfigure;

import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;


/**
 *
 *
 * 线路匹配策略修改VO
 *
 * @className :LineMthStrategyUpdateVO
 * @author :lhb
 * @creationTime :2022/06/16
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("线路匹配策略修改VO")
public class LineMthStrategyUpdateVO {

    @ApiModelProperty(value = "策略ID")
    @Column(value = "id")
    private Long id;

    @ApiModelProperty(value = "策略名称")
    private String strategyName;

    @ApiModelProperty(value = "备注")
    private String memo;

    @ApiModelProperty(value = "按行政区域-行政区域顺序")
    private Integer adminToAdmin;

    @ApiModelProperty(value = "按行政区域-收货方顺序")
    private Integer adminToConsignor;

    @ApiModelProperty(value = "按仓库-行政区域顺序")
    private Integer branchToAdmin;

    @ApiModelProperty(value = "按仓库-收货方顺序")
    private Integer branchToConsignor;

    @ApiModelProperty(value = "企业ID")
    private Long enterpriseId;

    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    @ApiModelProperty(value = "创建时间")
    private Date createtime;

    @ApiModelProperty(value = "创建人")
    private String createperson;

    @ApiModelProperty(value = "线路匹配策略条件集合")
    private List<LineMthStrategyCtUpdateVO> strategyCtUpdateVOList;
}
