package com.prolog.rdc.tms.model.vo.basicConfigure;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 业务规则策略-匹配VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/7/18 10:08
 */
@Data
@ApiModel("业务规则策略-匹配VO")
public class StrategyBusinessItemVO implements Serializable {

    private static final long serialVersionUID = -6630627123305344637L;

    @ApiModelProperty(value = "商品ID")
    private Long itemId;

    @ApiModelProperty(value = "商品品类ID")
    private Long itemCategoryId;

    @ApiModelProperty(value = "剩余件数")
    private BigDecimal pcs;

    @ApiModelProperty(value = "重量")
    private BigDecimal weight;
}
