package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 预警配置保存
 *
 * @className :SysAlertConfigurationSaveVO
 * @author :fanzw
 * @creationTime :2022/01/19
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/01/19
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysAlertConfigurationSaveVO implements Serializable {

	private static final long serialVersionUID = 5559916170979447395L;

	@ApiModelProperty(value = "预警名称")
	private String earlyWarningName;

	@ApiModelProperty(value = "预警类型编码")
	private String earlyWarningTypeCode;

	@ApiModelProperty(value = "预警类型名称")
	private String earlyWarningTypeName;

/*	@ApiModelProperty(value = "预警配置客户")
	private List<SysAlertConfigurationCompanyVO> companys = new ArrayList<SysAlertConfigurationCompanyVO>();*/

	@ApiModelProperty(value = "单位id 多个逗号分割")
	private String customerIds;

	@ApiModelProperty(value = "单位编号 多个逗号分割")
	private String customerCodes;

	@ApiModelProperty(value = "单位名称 多个逗号分割")
	private String customerNames;

	@ApiModelProperty(value = "开始时间偏差数")
	private BigDecimal startTimeOffset;

	@ApiModelProperty(value = "开始时间偏差单位")
	private String startTimeOffsetUnit;

	@ApiModelProperty(value = "结束时间偏差数")
	private BigDecimal endTimeOffset;

	@ApiModelProperty(value = "结束时间偏差单位")
	private String endTimeOffsetUnit;

	@ApiModelProperty(value = "推送方式ID")
	private String pushMethodCode;

	@ApiModelProperty(value = "推送方式名称")
	private String pushMethodName;

	@ApiModelProperty(value = "间隔数")
	private BigDecimal intervalNumber;

	@ApiModelProperty(value = "间隔单位")
	private String intervalNumberUnit;

	@ApiModelProperty(value = "预警描述")
	private String describe;

	@ApiModelProperty(value = "预警配置通知用户")
	private List<SysAlertConfigurationUserSaveVO> users = new ArrayList<SysAlertConfigurationUserSaveVO>();

}
