package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 预警配置修改VO
 *
 * @className :SysAlertConfigurationUpdateVO
 * @author :fanzw
 * @creationTime :2022/01/19
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/01/19
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysAlertConfigurationUpdateVO implements Serializable {

	private static final long serialVersionUID = -3327950847018175404L;

	@ApiModelProperty(value = "预警ID")
	private String earlyWarningId;

	@ApiModelProperty(value = "开始时间偏差数")
	private BigDecimal startTimeOffset;

	@ApiModelProperty(value = "开始时间偏差单位")
	private String startTimeOffsetUnit;

	@ApiModelProperty(value = "结束时间偏差数")
	private BigDecimal endTimeOffset;

	@ApiModelProperty(value = "结束时间偏差单位")
	private String endTimeOffsetUnit;

	@ApiModelProperty(value = "推送方式ID")
	private String pushMethodCode;

	@ApiModelProperty(value = "推送方式名称")
	private String pushMethodName;

	@ApiModelProperty(value = "间隔数")
	private BigDecimal intervalNumber;

	@ApiModelProperty(value = "间隔单位")
	private String intervalNumberUnit;

	@ApiModelProperty(value = "预警描述")
	private String describe;

	@ApiModelProperty(value = "预警配置通知用户")
	private List<SysAlertConfigurationUserUpdateVO> users = new ArrayList<SysAlertConfigurationUserUpdateVO>();

}
