package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 预警配置通知用户保存VO
 *
 * @className :SysAlertConfigurationUserSaveVO
 * @author :fanzw
 * @creationTime :2022/01/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/01/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysAlertConfigurationUserSaveVO implements Serializable {

	private static final long serialVersionUID = -9084312487679777630L;

	@ApiModelProperty(value = "用户ID")
	private String userid;

	@ApiModelProperty(value = "用户名称")
	private String username;

	@ApiModelProperty(value = "用户账号")
	private String userAccount;

	@ApiModelProperty(value = "用户手机号")
	private String phone;

	@ApiModelProperty(value = "部门ID")
	private String departmentId;

	@ApiModelProperty(value = "部门名称")
	private String departmentName;

	@ApiModelProperty(value = "用户类型编码")
	private String userTypeCode;

	@ApiModelProperty(value = "用户类型名称")
	private String userTypeName;

}
