package com.prolog.rdc.tms.model.vo.basicConfigure;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 扩展字段保存VO
 *
 * @className :SysExtendedFieldSaveVO
 * @author :fanzw
 * @creationTime :2022/01/12
 * @description :
 * @modifier :fanzw
 * @modifyTime :2022/01/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class SysExtendedFieldSaveVO implements Serializable {

	private static final long serialVersionUID = 941381925126209462L;

	@ApiModelProperty(value = "扩展对象编码")
	private String extendedObjectCode;

	@ApiModelProperty(value = "扩展对象名称")
	private String extendedObjectName;

	@ApiModelProperty(value = "显示名称")
	private String displayName;

	@ApiModelProperty(value = "字段名称")
	private String fieldName;

	@ApiModelProperty(value = "字段类型")
	private String fieldType;

	@ApiModelProperty(value = "字段类型名称")
	private String fieldTypeName;

	@ApiModelProperty(value = "字段选择框值")
	private String fieldChoiceValue;

	@ApiModelProperty(value = "字段排序")
	private Integer fieldSort;

	@ApiModelProperty(value = "状态:0停用 1启用")
	private String status;

}
