package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 货主资料和流程审批的查询VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/5/10 11:17
 */
@Data
@ApiModel("货主资料和流程审批的查询VO")
public class CargoOwnerApprovalQueryVO implements Serializable {
    private static final long serialVersionUID = 4250270869273727509L;

    @ApiModelProperty(value = "货主ID")
    private Long cargoOwnerId;

    @ApiModelProperty(value = "审批业务ID")
    private Long approvalBusinessId;

}
