package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 货主IdVO
 *
 * @className :CargoOwnerByIdVO
 * @author :fanzw
 * @creationTime :2022/03/04
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/04
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("货主IdVO")
public class CargoOwnerByIdVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "货主编码")
	private String cargoOwnerCode;

	@ApiModelProperty(value = "货主名称")
	private String cargoOwnerName;

}
