package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 货主资料地址解析VO
 *
 * @className :CargoOwnerGeocodingVO
 * @author :fanzw
 * @creationTime :2022/06/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("货主资料地址解析VO")
public class CargoOwnerGeocodingVO implements Serializable {

	private static final long serialVersionUID = 5858775554415447546L;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;
}
