package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 *
 * 货主流程审批 撤回VO
 *
 * @className :CargoOwnerByEncodingNameVO
 * @author :lhb
 * @creationTime :2022/05/10
 * @description :
 *
 * @modifier :
 * @modifyTime :
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("货主流程审批 撤回VO")
public class CargoOwnerProcessApprovalVO implements Serializable {

	private static final long serialVersionUID = -2633664770938937619L;

	@ApiModelProperty(value = "货主ID")
	private Long cargoOwnerId;

	@ApiModelProperty(value = "货主编码")
	private String cargoOwnerCode;


	@ApiModelProperty(value = "审批业务ID")
	private Long approvalBusinessId;

}
