package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 承运商根据ID分页查询VO
 *
 * @className :CarrierByIdPageVO
 * @author :fanzw
 * @creationTime :2022/04/15
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/15
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("承运商根据ID分页查询VO")
public class CarrierByIdPageVO implements Serializable {

	private static final long serialVersionUID = 2533894545735114935L;

	@ApiModelProperty(value = "承运商名称  地址解析查询入参")
	private String name;

	@ApiModelProperty(value = "承运商ID数组集合 前端入参格式 ['承运商ID1','承运商ID2']")
	private List<String> ids;

	@ApiModelProperty(value = "当前页")
	private Integer pageNum;

	@ApiModelProperty(value = "页最大行数")
	private Integer pageSize;

}
