package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 商品品类分页查询VO
 *
 * @className :ItemCategoryPagingQueryVO
 * @author :fanzw
 * @date :2022/2/23
 * @description :
 *
 * @version :1.2.1
 *
 */
@Data
@ApiModel("商品品类分页查询VO")
public class ItemCategoryPagingQueryVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "商品品类编码")
	private String itemCategoryCode;

	@ApiModelProperty(value = "商品品类名称")
	private String itemCategoryName;

	@ApiModelProperty(value = "所属货主")
	private String cargoOwnerName;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
