package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import com.prolog.framework.core.annotation.Column;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 运单定位信息查询VO
 *
 * @className :LocationByIdVO
 * @author :fanzw
 * @creationTime :2023/01/12
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2023/01/12
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("运单定位信息查询VO")
public class LocationByIdVO implements Serializable {

	private static final long serialVersionUID = 4470825955187645908L;

	@ApiModelProperty(value = "发货方类型 数据字典SHIPPER_TYPE:1客户 2仓库 3供应商")
	private Integer shipperType;

	@ApiModelProperty(value = "发货方ID")
	private Long shipperId;

	@ApiModelProperty(value = "收货方类型 数据字典CONSIGNEE_TYPE:1客户 2仓库 3供应商")
	private Integer consigneeType;

	@ApiModelProperty(value = "收货方ID")
	private Long consigneeId;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

}
