package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 供应商资料分页查询VO
 * 
 * @author Eton Woo
 * @date 2022/03/25
 */
@Data
@ApiModel("供应商资料分页查询VO")
public class ProviderPagingQueryVO implements Serializable {

	private static final long serialVersionUID = 3255538728824164355L;

	@ApiModelProperty(value = "供应商编码")
	private String code;

	@ApiModelProperty(value = "供应商名称")
	private String name;
	
	@ApiModelProperty(value = "所属货主名称")
	private String cargoOwnerName;
	
	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
