package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 供应商发货方资料分页查询VO
 * 
 * @author Eton Woo
 * @date 2022/03/25
 */
@Data
@ApiModel("供应商发货方资料分页查询VO")
public class ProviderShipperPagingQueryVO implements Serializable {

	private static final long serialVersionUID = 2636758260714971236L;

	@ApiModelProperty(value = "供应商ID")
	private Long providerId;
	
	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
