package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 供应商发货方弹窗VO
 *
 * @className :ProviderShipperPopupVO
 * @author :fanzw
 * @creationTime :2022/04/22
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/22
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("供应商发货方弹窗VO")
public class ProviderShipperPopupVO implements Serializable {

	private static final long serialVersionUID = 7509411048180701299L;

	@ApiModelProperty(value = "供应商ID")
	private Long providerId;

	@ApiModelProperty(value = "供应商发货方编码")
	private String code;

	@ApiModelProperty(value = "供应商发货方名称")
	private String name;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
