package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 根据供应商发货方ID集合分页查询VO
 *
 * @className :ProviderByIdsVO
 * @author :fanzw
 * @creationTime :2022/04/13
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/13
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("根据供应商发货方ID集合分页查询VO")
public class ShipperByIdsVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "供应商发货方ID集合")
	private List<ShipperByIdVO> shipperIds = new ArrayList<ShipperByIdVO>();

	@ApiModelProperty(value = "供应商发货方名称")
	private String search;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
