package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;
import java.util.Map;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 线路资料管理 VO
 *
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author zhangsj
 * @since 2022/3/8 16:43
 */
@Data
public class TmsBaseTranslineByDateVO implements Serializable {

	private static final long serialVersionUID = 7674886779898131630L;

	@ApiModelProperty(value = "线路ID")
	private Long lineId;

	@ApiModelProperty
	private Map<String, Object> weeks;

	@ApiModelProperty
	private Map<String, Object> days;
}
