package com.prolog.rdc.tms.model.vo.basicData;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class TmsLineMapSiteSaveVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "站点顺序")
	private Integer siteOrder;

	@ApiModelProperty(value = "站点类型")
	private String siteTypeName;

	@ApiModelProperty(value = "类型")
	private String typeName;

	@ApiModelProperty(value = "站点编码")
	private String siteCode;

	@ApiModelProperty(value = "站点名称")
	private String siteName;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "线路-客户收货方或者客户发货方主键")
	private String linkId;

	@ApiModelProperty(value = "站点经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "站点纬度")
	private BigDecimal latitude;

}
