package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class TmsTransferStationParsingVO implements Serializable {

	private static final long serialVersionUID = -1229714349620020512L;

	@ApiModelProperty(value = "中转站ID")
	private Long id;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "经度")
	private BigDecimal longitude;

	@ApiModelProperty(value = "纬度")
	private BigDecimal latitude;

	@ApiModelProperty("查询条件")
	private String search;

	private Integer pageNum;

	private Integer pageSize;

	@ApiModelProperty(value = "中转站ID集合")
	private List<String> ids;

}
