package com.prolog.rdc.tms.model.vo.basicData;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 用户供应商资料弹窗VO
 *
 * @className :UserProviderPopupVO
 * @author :fanzw
 * @creationTime :2022/02/25
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/02/25
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("用户供应商资料弹窗VO")
public class UserProviderPopupVO implements Serializable {

	private static final long serialVersionUID = -1099029949625007231L;

	@ApiModelProperty(value = "编码或名称")
	private String search;

	@ApiModelProperty(value = "编码或名称")
	private String supplierNoName;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;
}
