package com.prolog.rdc.tms.model.vo.fleetManagement;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
 * @author panhongbo
 */
@Data
@ApiModel("承运商证件资料是否启用VO")
public class CarrierPaperWhetherEnableVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@Size(min = 1)
	@NotNull
	@ApiModelProperty(value = "承运商证件ID集合")
	private List<Long> paperIdList;

	@NotNull
	@ApiModelProperty(value = "状态：0：停用 10：启用")
	private Integer status;
}
