package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 容器资料是否启用VO
 *
 * @className :ContainerWhetherEnableVO
 * @author :fanzw
 * @creationTime :2022/04/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("容器资料是否启用VO")
public class ContainerWhetherEnableVO implements Serializable {

	private static final long serialVersionUID = -6240786792892454939L;

	@ApiModelProperty(value = "容器ID集")
	private List<String> ids;

	@ApiModelProperty(value = "容器状态")
	private Integer status;
}
