package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 送货员证件资料是否启用VO
 *
 * @className :DeliverymanPaperWhetherEnableVO
 * @author :fanzw
 * @creationTime :2022/03/16
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/16
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("送货员证件资料是否启用VO")
public class DeliverymanPaperWhetherEnableVO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "送货员证件ID集合")
	private List<DeliverymanPaperByIdVO> deliverymanPaperIds = new ArrayList<DeliverymanPaperByIdVO>();

	@ApiModelProperty(value = "状态：0：停用 1：启用")
	private Integer status;
}
