package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 设备资料表 Vo
 * 
 * Company: 湖北普罗格科技股份有限公司
 *
 *
 * @author zhangsj
 * @since 2021-03-16 11:54
 */
@Data
@ApiModel("设备资料表 VO")
public class DevicePopVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "设备编号")
	private String code;

	@ApiModelProperty(value = "设备名称")
	private String name;

	@ApiModelProperty(value = "设备类型")
	private Integer type;

	@ApiModelProperty(value = "物流中心/仓ID")
	private Long branchId;

	private Integer pageNum;

	private Integer pageSize;

}
