package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 设备资料是否启用VO
 *
 * @className :DeviceWhetherEnableVO
 * @author :fanzw
 * @creationTime :2022/04/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("设备资料是否启用VO")
public class DeviceWhetherEnableVO implements Serializable {

	private static final long serialVersionUID = 714792257098198116L;

	@ApiModelProperty(value = "设备ID集")
	private List<String> ids;

	@ApiModelProperty(value = "设备状态")
	private Integer status;
}
