package com.prolog.rdc.tms.model.vo.fleetManagement;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 
 *
 * 司机资料弹窗VO
 *
 * @className :DriverPopupVO
 * @author :fanzw
 * @creationTime :2022/03/15
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/15
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("司机资料弹窗VO")
public class DriverPopupVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "司机编码")
	private String code;

	@ApiModelProperty(value = "司机名称")
	private String name;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

	@ApiModelProperty(value = "车型ID")
	private Long vehicleTypeId;

	@ApiModelProperty(value = "承运商ID")
	private Long carriersId;
}
