package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 未绑/已绑车辆查询VO
 *
 * @className :DriverVehicleLinkVO
 * @author :fanzw
 * @creationTime :2022/03/15
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/03/15
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("未绑/已绑车辆查询VO")
public class DriverVehicleLinkVO implements Serializable {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "司机ID")
	private Long id;

	@ApiModelProperty(value = "是否绑定:0未绑 1已绑")
	private Integer whether;
}
