package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * Company: 湖北普罗格科技股份有限公司
 *
 * @author zhangsj
 * @since 2022/3/16 16:36
 */
@Data
public class InsuranceVO implements Serializable {

	private static final long serialVersionUID = 365334123758805633L;

	@ApiModelProperty(value = "保单号")
	private String code;

	@ApiModelProperty(value = "受益对象类型")
	private Integer beneficiaryType;

	@ApiModelProperty(value = "对象名称")
	private String objectName;

	private Integer pageNum;

	private Integer pageSize;

}
