package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 保险资料是否启用VO
 *
 * @className :InsuranceWhetherEnableVO
 * @author :fanzw
 * @creationTime :2022/04/18
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/04/18
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
@ApiModel("保险资料是否启用VO")
public class InsuranceWhetherEnableVO implements Serializable {

	private static final long serialVersionUID = -307935558014217200L;

	@ApiModelProperty(value = "保险ID集")
	private List<String> ids;

	@ApiModelProperty(value = "保险状态")
	private Integer status;
}
