package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 加油站弹窗查询VO
 *
 * @className :PartnerGasStationPopVO
 * @author :fanzw
 * @creationTime :2021/08/31
 * @description :
 * @modifier :fanzw
 * @modifyTime :2021/08/31
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class PartnerGasStationPopVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "加油站助记码")
	private String zjm;

	@ApiModelProperty(value = "加油站编号")
	private String code;

	@ApiModelProperty(value = "加油站名称")
	private String name;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页码大小")
	private Integer pageSize;

}
