package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 *
 * 维修厂查询VO
 *
 * @className :PartnerServingStationQueryVO
 * @author :fanzw
 * @creationTime :2021/08/31
 * @description :
 * @modifier :fanzw
 * @modifyTime :2021/08/31
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Data
public class PartnerServingStationQueryVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "录入开始日期")
	private Date startDate;

	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@ApiModelProperty(value = "录入结束日期")
	private Date endDate;

	@ApiModelProperty(value = "维修厂助记码")
	private String zjm;

	@ApiModelProperty(value = "维修厂编号")
	private String code;

	@ApiModelProperty(value = "维修厂名称")
	private String name;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页码大小")
	private Integer pageSize;

}
