package com.prolog.rdc.tms.model.vo.fleetManagement;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆容器关联新增VO
 *
 * @author panhongbo
 * @date 2023/2/2
 */
@Data
@ApiModel("车辆容器关联新增VO")
public class VehicleContainerLinkVO {

	@ApiModelProperty(value = "容器id")
	private String containerId;

	@ApiModelProperty(value = "容器编号")
	private String containerCode;

	@ApiModelProperty(value = "容器名称")
	private String containerName;
}
