package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆GPS查询VO
 *
 * @author xiaoyf
 * @date 2022/03/16
 */
@Data
@ApiModel("车辆GPS查询VO")
public class VehicleGpsQueryVO implements Serializable {

	private static final long serialVersionUID = -8602001794263954121L;

	@ApiModelProperty(value = "运单ID")
	private String shipbillId;

	@ApiModelProperty(value = "运单编号")
	private String shipbillNo;

	@ApiModelProperty(value = "装车单ID")
	private String loadingbillId;

	@ApiModelProperty(value = "装车单编号")
	private String loadingbillNo;

	@ApiModelProperty(value = "车辆ID")
	private Long vehicleId;

	@ApiModelProperty(value = "车辆编号")
	private String vehicleCode;

	@ApiModelProperty(value = "车牌号")
	private String vehiclePlateNumber;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "开始时间(年月日时分秒)")
	private Date startDate;

	@ApiModelProperty(value = "结束时间(年月日时分秒)")
	private Date endDate;

}
