package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车辆证件资料是否启用VO
 * 
 * @author Eton Woo
 * @date 2022/03/17
 */
@Data
@ApiModel("车辆证件资料是否启用VO")
public class VehiclePaperWhetherEnableVO implements Serializable {

	private static final long serialVersionUID = 2846358620153170978L;

	@ApiModelProperty(value = "车辆证件ID集合")
	private List<VehiclePaperByIdVO> vehiclePaperIds = new ArrayList<VehiclePaperByIdVO>();

	@ApiModelProperty(value = "状态：0：停用 1：启用")
	private Integer status;
}
