package com.prolog.rdc.tms.model.vo.fleetManagement;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 车辆资料弹窗VO
 * 
 * @author Eton Woo
 * @date 2022/03/21
 */
@Data
@ApiModel("车辆资料弹窗VO")
public class VehiclePopupVO implements Serializable {

	private static final long serialVersionUID = -1316011726720823922L;

	@ApiModelProperty(value = "司机ID")
	private Long driverId;

	@ApiModelProperty(value = "司机ID集合")
	private List<Long> driverIds;

	@ApiModelProperty(value = "车辆编码")
	private String code;

	@ApiModelProperty(value = "车牌号")
	private String plateNumber;

	@ApiModelProperty(value = "页码")
	private Integer pageNum;

	@ApiModelProperty(value = "页数")
	private Integer pageSize;

	@ApiModelProperty(value = "企业id")
	private Long enterpriseId;

	@ApiModelProperty(value = "配置参数")
	private String configParam;

	@ApiModelProperty(value = "车型ID")
	private Long vehicleTypeId;

	@ApiModelProperty(value = "承运商ID")
	private Long carriersId;
}
