package com.prolog.rdc.tms.model.vo.fleetManagement;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 车型资料查看VO
 * 
 * @author Eton Woo
 * @date 2022/03/15
 */
@Data
@ApiModel("车型资料查看VO")
public class VehicleTypeCheckVO implements Serializable {

	private static final long serialVersionUID = -1167011803061136152L;
	
	@ApiModelProperty(value = "车型ID")
	private Long vehicleTypeId;

	@ApiModelProperty(value = "车型名称")
	private String vehicleTypeName;

	@ApiModelProperty(value = "载重")
	private BigDecimal weight;

	@ApiModelProperty(value = "载方")
	private BigDecimal volume;
}
