package com.prolog.rdc.tms.model.vo.message;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 消息配置查询
 * @author hongbo.pan
 * @date 2022/11/15
 */
@Data
public class MessageConfigQueryVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "消息名称")
    private String name;

    @ApiModelProperty(value = "消息类型MESSAGE_TYPE")
    private String type;

    @ApiModelProperty(value = "推送类型MESSAGE_SEND_TYPE")
    private String sendType;

    @ApiModelProperty(value = "状态：0停用 1启用")
    private String status;

    @ApiModelProperty(value = "通知类型MESSAGE_NOTICE_TYPE")
    private String noticeType;

    @ApiModelProperty(value = "页码")
    private Integer pageNum;

    @ApiModelProperty(value = "每页条数")
    private Integer pageSize;

}
