package com.prolog.rdc.tms.model.vo.message;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 消息查询
 * @author hongbo.pan
 * @date 2022/11/15
 */
@Data
public class PullMessageVO {

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty(value = "结束时间")
    private Date endDate;

    @NotNull
    @ApiModelProperty(value = "间隔，单位秒")
    private Integer interval;



}
