package com.prolog.rdc.tms.model.vo.message;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


/**
*  DTO
* <p>
* Copyright: Copyright (C) 2022 prolog-int, Inc. All rights reserved.
* <p>
* Company: 湖北普罗格科技股份有限公司
*
*
* @author hongbo.pan
* @since 2022-11-15 14:03:39
*/
@Data
public class SaveMessageConfigConditionVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "消息配置条件类型MESSAGE_CONDITION_TYPE")
    private String conditionType;

    @ApiModelProperty(value = "消息配置条件对应的值")
    private String conditionValue;

    @ApiModelProperty(value = "单位ID  单位ID1,单位ID2")
    private String unitId;

    @ApiModelProperty(value = "单位编码  单位编码1,单位编码2")
    private String unitCode;

    @ApiModelProperty(value = "单位名称  单位名称1,单位名称2")
    private String unitName;

}
