package com.prolog.rdc.tms.model.vo.print;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class QuerySysPrinterConfigurationVO implements Serializable {

	private static final long serialVersionUID = -2061117358171115333L;

	@ApiModelProperty(value = "打印机编码")
	private String printerCode;

	@ApiModelProperty(value = "打印机名称")
	private String printerName;

	@ApiModelProperty(value = "当前页")
	@NotNull(message = "当前页不能为空")
	private int pageNum;

	@ApiModelProperty(value = "页最大行数")
	@NotNull(message = "页最大行数不能为空")
	private int pageSize;
}