package com.prolog.rdc.tms.model.vo.print;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class QuerySysPrinterRouteVO implements Serializable {

	private static final long serialVersionUID = 4281138825375008047L;

	@ApiModelProperty(value = "员工ID")
	private String employeeId;

	@ApiModelProperty(value = "仓库编码")
	private String warehouseCode;

	@ApiModelProperty(value = "当前页")
	@NotNull(message = "当前页不能为空")
	private int pageNum;

	@ApiModelProperty(value = "页最大行数")
	@NotNull(message = "页最大行数不能为空")
	private int pageSize;
}