package com.prolog.rdc.tms.model.vo.print;

import java.io.Serializable;

import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class QuerySysPrinterTemplateVO implements Serializable {

	private static final long serialVersionUID = 1204845629311368631L;

	@ApiModelProperty(value = "方案编码")
	private String planCode;

	@ApiModelProperty(value = "方案名称")
	private String planName;

	@ApiModelProperty(value = "当前页")
	@NotNull(message = "当前页不能为空")
	private int pageNum;

	@ApiModelProperty(value = "页最大行数")
	@NotNull(message = "页最大行数不能为空")
	private int pageSize;
}