package com.prolog.rdc.tms.service.basicConfigure;

import java.util.List;

import com.prolog.rdc.tms.model.dto.basicConfigure.ImportStdFeildQueryDTO;

/**
 * 
 *
 * 基础配置-标准模板详情服务层
 *
 * @className :ImportStdFeildService
 * @author :fanzw
 * @creationTime :2022/06/21
 * @description :
 *
 * @modifier :fanzw
 * @modifyTime :2022/06/21
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
public interface ImportStdFeildService {

	/**
	 * 标准模板列查询
	 * 
	 * @param importObjNo
	 * @return
	 */
	List<ImportStdFeildQueryDTO> list(String importObjNo);

	/**
	 * 生成标准导入字段
	 * 
	 * @param
	 * @return
	 * @throws @date 2022/1/13 12:16
	 */
	void generate(String importObjNo) throws Exception;

}
